(function(){
	if (typeof Object.assign != 'function') {
	     Object.assign = function(target) {
	     'use strict';
	     if (target == null) {
	         throw new TypeError('Cannot convert undefined or null to object');
	     }
	     target = Object(target);
	     for (var index = 1; index < arguments.length; index++) {
	        var source = arguments[index];
	        if (source != null) {
	            for (var key in source) {
	                if (Object.prototype.hasOwnProperty.call(source, key)) {
	                    target[key] = source[key];
	                }
	            }
	        }
	     }
	     return target;
	  };
	}
	var session = window.sessionStorage;
	window._sysVersion = '622';
	var _sysBaseUrl = position+'../trade/';
	window._configPath = _sysBaseUrl+'configuration.js?v='+Math.random();
	function includeLinkStyle(url) {
		var link = document.createElement("link");
		link.rel = "stylesheet";
		link.type = "text/css";
		link.charset= "utf-8";
		link.href = url;
		document.getElementsByTagName("head")[0].appendChild(link);
	}
	function addCss(a){
		for(var i = 0; i < a.length; i++){
			var url = position + a[i] + "?v=" + _sysVersion;
			includeLinkStyle(url);
		}
	}
	function addJS(a){
		for(var i = 0; i < a.length; i++){
			var url = position + a[i] + "?v=" + _sysVersion;
			document.write(unescape("%3Cscript src='"+url+"' async='async' type='text/javascript'%3E%3C/script%3E"));
		}
	}
	document.write(unescape("%3Cscript src='"+position+"../2.0.0/lib/zepto.min.js?v="+_sysVersion+"' type='text/javascript'%3E%3C/script%3E"));
	// //首页不需要再加载css了，其他页面需要
	// var objList=null,objName=null;
	// if(document.scripts){
	// 	objList = location.href;
	// 	if(objList){
	// 		objList = objList.split("/trade/");
	// 		if(objList){
	// 			objName = objList[objList.length-1];
	// 		}
	// 	}
	// }
	// if(objName!="views/account/index.html"){
		addCss(["../2.0.0/css/hsea.min.css"]);

		var request = new UrlSearch();
		var cssType = request["cssType"];
		if(cssType){
			sessionStorage._CSSType = cssType;
		}
		else{
			cssType = sessionStorage._CSSType;
		}
		switch(cssType){
			case "1":
				addCss([]);
				break;
			default:
				addCss(["css/common.css","css/style.css","css/xd.css","css/style_option.css","css/trade.css","css/retrieveAccount.css","css/thirdStyle.css","css/common_new.css","css/style_new.css","css/custom.css","css/nsb.css","css/debtzg/debtzg.css","css/index_new.css","css/variable.css","css/netVote.css","css/bond.css","css/blockTrade.css"]);
				break;
		}
	// }
	var js = ["../2.0.0/js/hsea.min.js"];
	addJS(js);

	function UrlSearch() {
		var name, value;
		var str = location.href; //取得整个地址栏
		var num = str.indexOf("?")
		str = str.substr(num + 1); //取得所有参数   stringvar.substr(start [, length ]
		var arr = str.split("&"); //各个参数放到数组里
		for (var i = 0; i < arr.length; i++) {
			num = arr[i].indexOf("=");
			if (num > 0) {
				name = arr[i].substring(0, num);
				value = arr[i].substr(num + 1);
				this[name] = value;
			}
		}
	}


})()
