/**
 * 适当性
 */
define('trade/scripts/account/appropriate.js', function(require, exports, module) {
	var gconfig = $.config;
	var global = gconfig.global;
	var common = require("common");
    var service_appropr = require("service_appropr");
    var service_fund = require("service_fund");
    var common = require("common");
    var prof_flag = false;
    var riskText = null;
    var placeOrderParam = {};
    var queryAppropriaData = {};
	var accessAuthorityData = {};
	var markData = {}; // 留痕参数
	var agreementList = []; //中台展示协议数组
    var _loginCallBack = null;
    
	var iscrollUtils = require("iscrollUtils");
	var nativePluginService = require("nativePluginService");
	
	/**
	 * 登录接口资料未完善提示
	 * @param {Object} data
	 * @param {Object} success
	 */
	function login(data,success){
		if(data){
//			if(data.prof_flag == 0){
//				prof_flag = false;
//				var match_list = data.match_list;
//				if(match_list && typeof(match_list) == "string"){
//					match_list = JSON.parse(match_list);
//				}
//				var list = match_list.match_list;
//				if(list && list.length > 0){
//					//用弹出div方式
////					loginDiv(list,success);
//					
//					//跳页方式
//					$.pageInit("account/login","account/precondition",{"data":list},null,true);
//					_loginCallBack = success;
//					return false;
//				}
//				else{
					if(success){
						success();
					}
					return true;
//				}
//			}
//			else if(data.prof_flag == 1){
//				prof_flag = true;
//				if(success){
//					success();
//				}
//				return true;
//			}
		}
	}
	
	/**
	 * 跳页的回调
	 */
	function loginCallBack(){
		if(_loginCallBack){
			_loginCallBack();
		}
		else{
			$.pageInit("account/precondition","account/index",{},"left",true);
		}
	}
	
	/**
	 * 资料未完善div
	 */
	function loginDiv(data,success){
		var div = '<div class="appropriate"><header class="header">';
	    div += '<div class="top_title">';
	    div += '<a href="javascript:void(0);" class="icon_back"></a>';
	    div += '<h3>前置条件</h3>';
	    div += '</div>';
	    div += '</header>';
	    div += '<section class="main">';
	    div += '<div class="precondition_box">';
	    div += '<h3>以下条件尚未满足，请先满足</h3>';
	    div += '<ul class="condition_list">';
	    		if(data){
					for(var i = 0; i < data.length; i++){
		div += '<li id="'+i+'"><a href="javascript:void(0);"><span class="rt_text">'+data[i].prompt+'</span>'+data[i].match_info+'</a></li>';
					}
				}
	    div += '</ul>';
	    div += '<div class="return_box">';
	    div += '<a href="javascript:void(0);" class="btn_button">继续交易</a>';
	    div += '</div>';
	    div += '</div>';
	    div += '</section></div>';
	    var _pageId = '#'+$.getCurrentPageObj().pageId;
		$(_pageId).append(div);
		$(_pageId + " .appropriate").show();
		$(_pageId + " .appropriate section.main").height($(window).height() - $(_pageId + " .appropriate .header").height());
		$(_pageId + " .appropriate section.main").css("overflow","auto");
		
		$.bindEvent($(_pageId + " .appropriate .condition_list li"), function(e){
			var id = $(this).attr("id");
			var d = data[id];
			//跳转类型（0：原生，1：H5（默认），2：网页（老版本），和1一样的处理3：H5（带标题栏），4：H5（带返回键），5：H5（内部消息跳转））
			if(d.jump_type == "0"){
				window.location.href = d.go_url;
			}
			else if(d.jump_type == "1"){
				window.location.href = d.go_url;
			}
			else if(d.jump_type == "2"){
				window.location.href = d.go_url;
			}
			else if(d.jump_type == "3"){
				window.location.href = d.go_url;
			}
			else if(d.jump_type == "4"){
				window.location.href = d.go_url;
			}
			else if(d.jump_type == "5"){
				window.location.href = d.go_url;
			}
			$.pageInit("account/precondition","account/index",{},"left",true);
			$(_pageId + " .appropriate").remove();
			e.stopPropagation();
		},"touchstart");
		
		// 返回按钮
		$.bindEvent($(_pageId + " .appropriate .top_title .icon_back"), function(e){
			setTimeout(function () {
				$.pageInit("account/precondition", "account/index", {}, "left", true);
				$(_pageId + " .appropriate").remove();
				e.preventDefault();
				e.stopPropagation();
			},300);
		});
		
		// 返回按钮
		$.bindEvent($(_pageId + " .appropriate .return_box .btn_button"), function(e){
			if(success){
				success();
			}
			$(_pageId + " .appropriate").remove();
			e.stopPropagation();
		},"touchstart");
	}
	
	/**
	 * 客户准入权限查询及是否存在适当性不匹配持仓查询接口
	 */
	function accessAuthority(success){
		var userInfo = common.getCurUserInfo();
		var entrust_way = global.entrust_way; // 委托方式  在configuration配置
		var branch_no = userInfo.branch_no;	
		var fund_account = userInfo.fund_account;
		var cust_code = userInfo.cust_code;
		var sessionid = userInfo.session_id;
		var client_right = "2";
		var param = {			
				"entrust_way":entrust_way,
				"branch_no":branch_no,
				"fund_account":fund_account,
				"cust_code":cust_code,
				"sessionid":sessionid,
				"client_right": client_right,
		};
		service_appropr.accessAuthority(param,function(data){
			if (data) {
				if(data.error_no == 0){
					var results = ""; // 适配单结果集和多结果集
                    if(data.DataSet){
                    	results = data.DataSet;
                    }else if(data.results){
                    	results = data.results;
                    }
					if(results && results.length > 0){
						if(results[0] && results[0].client_right == 2 && results[0].right_state == 0){
						
							if(results[0].organ_flag=="0"){//个人
								var tipStr = "<p style='text-align: left;'>尊敬的投资者：</p><p style='text-indent: 25px;'>根据新的《证券期货投资者适当性管理办法》，本公司在向您销售产品时，需对您的风险承受能力等级、投资期限及投资品种进行适当性匹配。请您完成风险承受能力调查问卷。<p>"
								common.iConfirm("系统提示",tipStr,function(){
									if(results[0].organ_flag=="0"){//个人
		//								window.location.href = results[0].jump_url;
										$.callMessage({"moduleName":"trade","funcNo": "71011","jump_url":results[0].jump_url});
									}
								},function(){
									if(success){
										success();
									}
								},"风险测评");
							}
							else{//机构
								var tipStr = "<p style='text-align: left;'>尊敬的投资者：</p><p style='text-indent: 25px;'>根据新的《证券期货投资者适当性管理办法》，本公司在向您销售产品时，需对您的风险承受能力等级、投资期限及投资品种进行适当性匹配。请您完成临柜办理。<p>"
								common.singleIConfirm("系统提示",tipStr,function(){
									if(success){
										success();
									}
								},"确定");
							}
						}
					}
				}
				else{
					$.alert(data.error_info);
				}
			}
		},
			{
			"isLastReq":false,
			"isShowWait":false,
			"isShowOverLay":false,
			"isGlobal":true,
			"timeOutFunc":function(){
			},
			"errorFunc":function(){
			},
		});
	}
	
	/**
	 * 交易适当性查询查询
	 * @param {Object} tipStr
	 * @param {Object} success
	 */
	function queryAppropria(comStatParam,paramData,tipStr,success,t,customTitle){
        var title = customTitle || "下单确定";
		queryAppropriaData = {};	
		
		service_appropr.queryAppropria(placeOrderParam,function(data){
			if (data) {
				if(data.error_no == 0){
					if(data.results && data.results[0]){						
						var results = data.results[0];
						queryAppropriaData = results;
						// results.match_state = 4;
						// placeOrderParam.business_type = 1;
						if(results.match_state == 7){
							
							if(Object.keys(comStatParam).length>0){
								var comStatList={
									"i_entrust_bs":comStatParam.i_entrust_bs, // 交易方向( 1,买入 2,卖出)
									"i_stock_code":comStatParam.i_stock_code, // 股票代码
									"i_stock_name":comStatParam.i_stock_name, // 股票名称
									"i_entrust_prop":comStatParam.i_entrust_prop, // 委托属性
									"i_exchange_type":comStatParam.i_exchange_type, // 交易市场
									"i_entrust_price":comStatParam.i_entrust_price, // 选择后的价格
									"i_entrust_amount":comStatParam.i_entrust_amount, // 委托数量
								}
							}
                            if(paramData&&paramData.stock_type_reits&&paramData.stock_type_reits=="21"){
                                function399930(title,tipStr,function(){
                                    function399931(null, function(){
                                        if(success){
                                            success();
                                        }
                                        //埋点
                                        if(Object.keys(comStatParam).length>0){
                                            comStatList.i_oper = "1"; // 动作（1确定 2取消）
                                            common.comStat(comStatParam.objectId,2,comStatParam.actionId,false,comStatList);
                                        }
                                    },paramData.stock_type_reits);

                                },function(){
                                    //埋点
                                    if(Object.keys(comStatParam).length>0){
                                        comStatList.i_oper = "2"; // 动作（1确定 2取消）
                                        common.comStat(comStatParam.objectId,2,comStatParam.actionId,false,comStatList);
                                    }
                                });
                            }else{
							placeConfirm(title,tipStr,function(){
								function399931(null, function(){
									if(success){
										success();
									}
									//埋点
									if(Object.keys(comStatParam).length>0){
										comStatList.i_oper = "1"; // 动作（1确定 2取消）
										common.comStat(comStatParam.objectId,2,comStatParam.actionId,false,comStatList);
									}
								});
								
							},function(){
								//埋点
								if(Object.keys(comStatParam).length>0){
									comStatList.i_oper = "2"; // 动作（1确定 2取消）
									common.comStat(comStatParam.objectId,2,comStatParam.actionId,false,comStatList);
								}
							});
                            }
						}
						else if(results.match_state == 1){//匹配
							if(placeOrderParam.business_type == "2"){//场外
								placeOrderDiv2(comStatParam,results,true,3,false,tipStr,success);
							}
							else{//场内
								placeOrderDiv(comStatParam,results,true,true,false,tipStr,success);
							}
						}
						else if(results.match_state == 2){//不匹配
							if(placeOrderParam.business_type == "2"){
								placeOrderDiv2(comStatParam,results,true,false,false,tipStr,success);
							}
							else{
								placeOrderDiv(comStatParam,results,true,false,false,tipStr,success);
							}
						}
						else if(results.match_state == 3){//高风险
							if(placeOrderParam.business_type == "2"){
								placeOrderDiv2(comStatParam,results,true,true,true,tipStr,success);
							}
							else{
								placeOrderDiv(comStatParam,results,true,true,true,tipStr,success);
							}
						}
						else if(results.match_state == 4){//高风险不匹配
							if(placeOrderParam.business_type == "2"){
								placeOrderDiv2(comStatParam,results,true,false,true,tipStr,success);
							}
							else{
								placeOrderDiv(comStatParam,results,true,false,true,tipStr,success);
							}
						}
						else if(results.match_state == 5){
							if(placeOrderParam.business_type == "2"){
								placeOrderDiv2(comStatParam,results,false);
							}
							else{
								placeOrderDiv(comStatParam,results,false);
							}
						}
						else if(results.match_state == 6){
							var tet = results.text_content || "请在线下双录后再购买该证券";
							$.alert(tet);
						}
					}
				}
				//定投
				else if(placeOrderParam.business_type == "2" && placeOrderParam.isFixedFlag && data.error_no == "-39980110") {
					var imsg = "该基金您暂未开通权限，您是否现在开通？";
					common.iConfirm("基金开户",imsg,function() { // 点击确定
						// 基金开户
						service_fund.fundOpenAccount(placeOrderParam, function(data){
							if(data.error_no == 0) {
								common.iConfirm("温馨提示",data.error_info+"是否继续下单？",function() {
//									if(success){
//										success();
//									}
									placeOrder(comStatParam,paramData,tipStr,success,t);
								},function(){});
								
							} else {
								$.alert(data.error_info);
							}
						});
					});
					
				}
				//申购认购
				else if(placeOrderParam.business_type == "2" && data.error_no == "-39980110") {
					var imsg = "该基金您暂未开通权限，您是否现在开通？";
					common.iConfirm("基金开户",imsg,function() { // 点击确定
						// 基金开户
						service_fund.fundOpenAccount(placeOrderParam, function(data){
							if(data.error_no == 0) {
								$.alert("基金户开通成功");
							} else {
								$.alert(data.error_info);
							}
						});
					});
				}
				else{
					$.alert(data.error_info);
				}
			}
		},
			{
			"isLastReq":false,
			"isShowWait":false,
			"isShowOverLay":false,
			"isGlobal":true,
			"timeOutFunc":function(){
			},
			"errorFunc":function(){
			},
		});
	}
	
	
	/**
	 * 交易用户确认购买适当性不匹配产品的留痕接口
	 * @param {Object} type 留痕类型
	 * @param {Object} success 留痕成功回调
	 * @param {Object} is 性评估是否匹配 ，true 适当性匹配 
	 */
	function mismatchingMark(type, success, is){
//		if(is){
//			if(success){
//				success();
//			}
//		}
//		else{
			var param = placeOrderParam;
			if(type){
				param.instr_type = "1";//	留痕类型(0 普通适当性不匹配留痕 1 高风险产品适当性留痕)
				if(riskText){
					param.text_content_no = riskText.text_content_no; //文本协议编号
				}
			}
			else{
				param.instr_type = "0";
				if(param.business_type == "2"){
					if(queryAppropriaData.match_state == "2" || queryAppropriaData.match_state == "4"){
						param.text_content_no = queryAppropriaData.text_content_trace+"经本人经审慎考虑，仍坚持申请购买本产品，并自愿承担由此可能产生的一切不利后果和损失"; //文本协议编号
					}
					else if(queryAppropriaData.match_state == "1" || queryAppropriaData.match_state == "3"){
						param.text_content_no = "您的风险承受能力等级、拟投资期限、投资品种、预期收益等投资目标与该金融服务产品或服务风险等级、投资期限、投资品种相匹配。"; //文本协议编号
					}
					else{
						param.text_content_no = queryAppropriaData.text_content_trace; //文本协议编号
					}
				}
				else{
					param.text_content_no = queryAppropriaData.text_content_no; //文本协议编号
				}
			}
			param.instr_batch_no  = queryAppropriaData.instr_batch_no;
			param.time_limit = queryAppropriaData.time_limit; //投资期限
			param.busi_risk_level = queryAppropriaData.busi_risk_level;
			param.revenue_type = queryAppropriaData.revenue_type;
			param.invest_type = queryAppropriaData.invest_type;
			service_appropr.mismatchingMark(param,function(data){
				if (data) {
					if(data.error_no == 0){
						if(success){
							success();
						}
					}
					else{
						$.alert(data.error_info);
					}
				}
			},
				{
				"isLastReq":false,
				"isShowWait":false,
				"isShowOverLay":false,
				"isGlobal":true,
				"timeOutFunc":function(){
				},
				"errorFunc":function(){
				},
			});
//		}
	}
	
	/**
	 * 风险揭示书查询接口
	 * @param {Object} _pageId 当前页面地址
	 */
	function queryRiskDisclosure(_pageId){
		var userInfo = common.getCurUserInfo();
		
		var entrust_way = global.entrust_way; // 委托方式  在configuration配置
		var branch_no = userInfo.branch_no;	
		var fund_account = userInfo.fund_account;
		var cust_code = userInfo.cust_code;
		var sessionid = userInfo.session_id;
		var flag_num = queryAppropriaData.match_state;
		var param = {			
				"entrust_way":entrust_way,
				"branch_no":branch_no,
				"fund_account":fund_account,
				"cust_code":cust_code,
				"sessionid":sessionid,
				"flag_num": flag_num,
		};
		service_appropr.queryRiskDisclosure(param,function(data){
			if (data) {
				if(data.error_no == 0){
					if(data.results && data.results[0]){
						riskText = data.results[0];
						if(riskText && $(_pageId + " .risk_disclosure .disclosure").length > 0 && !$(_pageId + " .risk_disclosure .disclosure").attr("is-text")){
							if(riskText.text_content_type == 1){
								$(_pageId + " .risk_disclosure .disclosure").html(riskText.text_content);
								$(_pageId + " .risk_disclosure .disclosure").attr("is-text","true");
								$.hidePreloader();
							}
							else if(riskText.text_content_type == 2){
								$(_pageId + " .risk_disclosure .disclosure").html(riskText.text_content);
								$(_pageId + " .risk_disclosure .disclosure").attr("is-text","true");
								$.hidePreloader();
							}
							else if(riskText.text_content_type == 3){
								var ifdiv = '<div class="sr_entry" style="overflow:auto;-webkit-overflow-scrolling:touch;"><iframe src="'+riskText.text_content+'"></iframe></div>';
								$(_pageId + " .risk_disclosure .disclosure").html(ifdiv);
								$(_pageId + " .risk_disclosure .disclosure").attr("is-text","true");
								var iframeHeight = $(_pageId + " .risk_disclosure section.main .disclosure").height();
								$(_pageId + " .risk_disclosure .disclosure .sr_entry").height(iframeHeight);
								var ifeamediv = $(_pageId + " .risk_disclosure .disclosure iframe");
								ifeamediv.height(iframeHeight-4);
								ifeamediv[0].onload = function(){
									$.hidePreloader();
								};
							}
						}
					}
				}
				else{
					$.alert(data.error_info);
				}
			}
		},
			{
			"isLastReq":false,
			"isShowWait":false,
			"isShowOverLay":false,
			"isGlobal":true,
			"timeOutFunc":function(){
			},
			"errorFunc":function(){
			},
		});
	}
	
	
	/**
	 * 下单适当性调用方法
	 * @param {Object} comStatParam 埋点数据
	 * @param {Object} data 接口数据
	 * @param {Object} tipStr 下单的提示内容div
	 * @param {Object} success 成功回调
	 * @param {Object} t 是否要做适当性 true 不做
	 */
	function placeOrder(comStatParam,data,tipStr,success,t,customTitle){
        var title = customTitle || "下单确定";
		$(" .appropriate").remove();
		$(" .risk_disclosure").remove();
		var userInfo = common.getCurUserInfo();
		placeOrderParam = data;
		// 场外基金exchange_type固定传TA
		placeOrderParam.exchange_type = placeOrderParam.business_type == "2" ? "TA" : placeOrderParam.exchange_type;
		markData = {};
		agreementList = [];
		if(t || prof_flag || (userInfo && userInfo.prof_flag == "1")){
			
			if(Object.keys(comStatParam).length >0){
				var comStatList={
					"i_entrust_bs":comStatParam.i_entrust_bs, // 交易方向( 1,买入 2,卖出)
					"i_stock_code":comStatParam.i_stock_code, // 股票代码
					"i_stock_name":comStatParam.i_stock_name, // 股票名称
					"i_entrust_prop":comStatParam.i_entrust_prop, // 委托属性
					"i_exchange_type":comStatParam.i_exchange_type, // 交易市场
					"i_entrust_price":comStatParam.i_entrust_price, // 选择后的价格
					"i_entrust_amount":comStatParam.i_entrust_amount, // 委托数量
				}
			}
			if(data&&data.stock_type_reits&&data.stock_type_reits=="21"){
                function399930(title,tipStr,function(){
                    function399931(null, function(){
                        if(success){
                            success();
                        }
                        //埋点
                        if(Object.keys(comStatParam).length>0){
                            comStatList.i_oper = "1"; // 动作（1确定 2取消）
                            common.comStat(comStatParam.objectId,2,comStatParam.actionId,false,comStatList);
                        }
                    },data.stock_type_reits);

                },function(){
                    //埋点
                    if(Object.keys(comStatParam).length>0){
                        comStatList.i_oper = "2"; // 动作（1确定 2取消）
                        common.comStat(comStatParam.objectId,2,comStatParam.actionId,false,comStatList);
                    }
                });
			}else{
                placeConfirm(title,tipStr,function(){
                    function399931(null, function(){
                        if(success){
                            success();
                        }
                        //埋点
                        if(Object.keys(comStatParam).length>0){
                            comStatList.i_oper = "1"; // 动作（1确定 2取消）
                            common.comStat(comStatParam.objectId,2,comStatParam.actionId,false,comStatList);
                        }
                    });

                },function(){
                    //埋点
                    if(Object.keys(comStatParam).length>0){
                        comStatList.i_oper = "2"; // 动作（1确定 2取消）
                        common.comStat(comStatParam.objectId,2,comStatParam.actionId,false,comStatList);
                    }
                },undefined,undefined,undefined,undefined,placeOrderParam.isSellOrder?"sellConfirmBtns":"");
            }

			// common.iConfirm("下单确定",tipStr,function(){
			// 	if(success){
			// 		success();
			// 	}
			// 	//埋点
			// 	if(Object.keys(comStatParam).length>0){
			// 		comStatList.i_oper = "1"; // 动作（1确定 2取消）
			// 		common.comStat(comStatParam.objectId,2,comStatParam.actionId,false,comStatList);
			// 	}
			// },function(){
			// 	//埋点
			// 	if(Object.keys(comStatParam).length>0){
			// 		comStatList.i_oper = "2"; // 动作（1确定 2取消）
			// 		common.comStat(comStatParam.objectId,2,comStatParam.actionId,false,comStatList);
			// 	}
			// });						
		}
		else{
			queryAppropria(comStatParam,data,tipStr,success,t,customTitle);
		}
	}
	
	/**
	 * 适当性弹出框div
	 * @param {Object} data 适当性查询接口返回数据
	 * @param {Object} xd 是否可以下单，是否弹出下单框 ，true 弹出下单框
	 * @param {Object} is 性评估是否匹配 ，true 适当性匹配 
	 * @param {Object} fx 是否是高风险， true 是高风险
	 * @param {Object} tipStr 下单的提示内容div
	 * @param {Object} success 成功回调
	 */
	function placeOrderDiv2(comStatParam,data,xd,is,fx,tipStr,success){
		var div = '<div class="appropriate"><header class="header">';
    		div += '<div class="top_title2">';
        	div += '<a href="javascript:void(0);" class="icon_back"></a>';
        	div += '<h3>适当性评估</h3>';
        	div += '</div>';
    		div += '</header>';
    		div += '<section class="main">';
    		div += '<div class="iscroll_vWrapper" id="wrapper" style="position: relative;">';
        	div += '<div class="iscroll_vScroller">';
            div += '<div class="vertical_list" data-is-content="true" style="padding-bottom: 10px;">';
    		div += '<div class="appro_evaluation">';
    		if(!xd){
			    div += '<div class="appro_tit">';
			    div += '<i class="error"></i>';
			    div += '<p class="error_tips">抱歉，根据适当性管理规则，您暂时无法办理此项业务。如有疑问，请联系营业部。</p>';
			    div += '</div>';
    		}
    		else{
    			if(is){
    				div += '<div class="appro_tit">';
    				div += '<i class="matching"></i>';
    				div += '<p>您的适当性评估匹配</p>';
    				div += '</div>';
    			}
    			else{
    				div += '<div class="appro_tit">';
    				div += '<i class="no_matching"></i>';
    				div += '<p>您的适当性评估不匹配</p>';
    				div += '</div>';
    			}
    		}
    		div += '<table width="100%" border="0" cellpadding="0" cellspacing="0" class="appro_list mt10">';
    		div += '<tr>';
		    div += '<th>您的风险承受能力等级为：</th>';
		    div += '<td>'+(data.corp_risk_level_name || "--")+'</td>';
		    div += '</tr>';
		    div += '<tr>';
		    div += '<th>本产品的风险等级为：</th>';
		    div += '<td>'+(data.busi_risk_level_name || "--")+'</td>';
		    div += '</tr>';
    		div += '</table>';
    		if(data.text_content){
    			div += '<div class="investor_confir_box mt10">';
    			div += '<div class="txt">';
    			div += data.text_content;
    			div += '</div>';
    			div += '</div>';
    		}
    		if(data.text_content2){
    			div += '<div class="investor_confir_box mt10">';
    			div += '<div class="txt">';
    			div += (data.text_content2.replace("=",""));
    			div += '</div>';
    			div += '</div>';
    		}
    		if(is==3||(!is && xd) ){
    			div += '<div class="appropriate_botto" style="margin-top: 10px;"><p style="text-align: center;"><span style="text-decoration: none;"><em></em>本人已阅知上述内容，并对适当性评估结果表示确认</span></div>';
    		}
    		div += '<div class="apprp_btn_box">';
    		if(!is&&data.match_state == 2){//适当性不匹配
    			div += '<a href="javascript:void(0);" class="btn_button" style="background:#999999">'+data.reading_time+'s</a>';
    		}else{//适当性匹配
    			div += '<a href="javascript:void(0);" class="btn_button confirm" style="background:#EE4034">我已确认</a>';
    		}
    		div += '</div>';
    		div += '</div>';
    		div += '</div>';
    		div += '</div>';
    		div += '</div>';
    		div += '</section></div>';
    		
		var _pageId = '#'+$.getCurrentPageObj().pageId;
		$(_pageId).append(div);
		$(_pageId + " .appropriate").show();
		if(!is&&data.match_state == 2){//适当性不匹配
    		readTheSecond(data,_pageId,xd,is,fx,tipStr,success,comStatParam);//读秒
    	}else{//适当性匹配
    		placeOrderEvent2(comStatParam,_pageId,xd,is,fx,tipStr,success);
    	}
		var scrollOptions = {
			scrollerHeight: $(window).height() - $(_pageId + " .appropriate .header").height(), // 滚动组件的高度
			$wrapper: $(_pageId + " .appropriate #wrapper"),
			scrollbars: true, // 隐藏滚动条
			hasPullDown: false, // 是否显示下拉提示，默认 true
			hasPullUp: false, // 是否显示上拉提示，默认 true
			bounceTime: 300 // 回弹的动画时间
		};
		iscrollUtils.vScroller(scrollOptions);
	}
	
	function  readTheSecond(data,pageId,xd,is,fx,tipStr,success,comStatParam){
		var flagTime=data.reading_time;
//		var flagTime=10;
    	var interval =setInterval(function(){
			flagTime-=1;
			if(flagTime>0){
				$(pageId+" .btn_button:eq(0)").html(flagTime+"s");
				$(pageId+" .btn_button:eq(0)").removeClass("confirm");
				$(pageId+" .btn_button:eq(0)").css("background","#999999");
			}else if(flagTime<=0){
				clearInterval(interval);
				$(pageId+" .btn_button:eq(0)").html("我已确认");
				$(pageId+" .btn_button:eq(0)").css("background","#EE4034");
				$(pageId+" .btn_button:eq(0)").addClass("confirm");
				placeOrderEvent2(comStatParam,pageId,xd,is,fx,tipStr,success);
			}
		}, 1000);
	}
	
	/**
	 * 适当性弹出框div
	 * @param {Object} data 适当性查询接口返回数据
	 * @param {Object} xd 是否可以下单，是否弹出下单框 ，true 弹出下单框
	 * @param {Object} is 性评估是否匹配 ，true 适当性匹配 
	 * @param {Object} fx 是否是高风险， true 是高风险
	 * @param {Object} tipStr 下单的提示内容div
	 * @param {Object} success 成功回调
	 */
	function placeOrderDiv(comStatParam,data,xd,is,fx,tipStr,success){
		var div = '<div class="appropriate"><header class="header">';
    		div += '<div class="top_title2">';
        	div += '<a href="javascript:void(0);" class="icon_back"></a>';
        	div += '<h3>适当性评估</h3>';
        	div += '</div>';
    		div += '</header>';
    		div += '<section class="main">';
    		div += '<div class="iscroll_vWrapper" id="wrapper" style="position: relative;">';
        	div += '<div class="iscroll_vScroller">';
            div += '<div class="vertical_list" data-is-content="true" style="padding-bottom: 10px;">';
    		div += '<div class="appro_evaluation">';
    		if(!xd){
			    div += '<div class="appro_tit">';
			    div += '<i class="error"></i>';
			    div += '<p class="error_tips">抱歉，根据适当性管理规则，您暂时无法办理此项业务。如有疑问，请联系营业部。</p>';
			    div += '</div>';
    		}
    		else{
    			if(is){
    				div += '<div class="appro_tit">';
    				div += '<i class="matching"></i>';
    				div += '<p>您的适当性评估匹配</p>';
    				div += '</div>';
    			}
    			else{
    				div += '<div class="appro_tit">';
    				div += '<i class="no_matching"></i>';
    				div += '<p>您的适当性评估不匹配</p>';
    				div += '</div>';
    			}
    		}
    		div += '<table width="100%" border="0" cellpadding="0" cellspacing="0" class="appro_list mt10">';
    		div += '<tr>';
		    div += '<th style="width: 45%;">风险承受能力等级</th>';
		    div += '<td>'+(data.corp_risk_level_name || "--")+'</td>';
		    div += '</tr>';
		    div += '<tr>';
		    div += '<th style="width: 45%;">接受服务</th>';
		    div += '<td>'+(data.business_name || "--")+'</td>';
		    div += '</tr>';
		    div += '<tr>';
		    div += '<th style="width: 45%;">风险等级</th>';
		    div += '<td>'+(data.busi_risk_level_name || "--")+'</td>';
		    div += '</tr>';
		    div += '<tr>';
		    div += '<th style="width: 45%;">投资品种</th>';
		    div += '<td>'+(data.invest_type_name || "--")+'</td>';
		    div += '</tr>';
    		div += '</table>';
    		div += '<div class="investor_confir_box mt10">';
    		div += '<div class="txt">';
    		if(data.text_content){
    			div += data.text_content;
    		}
    		else{
    			if(xd){
    				div += '<p>本人在此确认自身风险承受能力等级，拟投资期限，投资品种，预期收益等投资目标与该金融服务风险等级投资期限，投资品种，收益预期投资等目标';
    				if(is){
    					div += '<em>相匹配</em>。</p><p>本人投资该项产品或接受该项服务的的决定，系本人/本机构独立、自主、真实的意思表示，与贵营业部及相关从业人员无关。</p>';
    				}
    				else{
    					div += '<em>不匹配</em>。</p><p>本人经审慎考虑后，仍坚持投资该项产品，并愿意承担该项投资可能引起的损失和其他后果。投资该项产品的决定，系本人/本机构独立、自主、真实的意思表示，与贵营业部及相关从业人员无关。</p>';
    				}
    			}
    		}
    		div += '</div>';
    		div += '</div>';
    		div += '<div class="apprp_btn_box">';
    		div += '<a href="javascript:void(0);" class="btn_button confirm">我已确认</a>';
    		div += '<a href="javascript:void(0);" class="btn_button w_bg">退出</a>';
    		div += '</div>';
    		div += '</div>';
    		div += '</div>';
    		div += '</div>';
    		div += '</div>';
    		div += '</section></div>';
    	
		var _pageId = '#'+$.getCurrentPageObj().pageId;
		$(_pageId).append(div);
		$(_pageId + " .appropriate").show();
		var scrollOptions = {
			scrollerHeight: $(window).height() - $(_pageId + " .appropriate .header").height(), // 滚动组件的高度
			$wrapper: $(_pageId + " .appropriate #wrapper"),
			scrollbars: true, // 隐藏滚动条
			hasPullDown: false, // 是否显示下拉提示，默认 true
			hasPullUp: false, // 是否显示上拉提示，默认 true
			bounceTime: 300 // 回弹的动画时间
		};
		iscrollUtils.vScroller(scrollOptions);
		placeOrderEvent(comStatParam,_pageId,xd,is,fx,tipStr,success);
		if(fx){
			queryRiskDisclosure(_pageId);
			riskText = null;
		}
	}
	
	/**
	 * 风险揭示书弹出框div
	 * @param {Object} data 风险揭示书接口返回数据
	 */
	function riskDisclosure(data){
		$.showPreloaders("请等待...");
		var div = '<div class="risk_disclosure">';
			div += '<header class="header">';
    		div += '<div class="top_title">';
        	div += '<a href="javascript:void(0);" class="icon_back"></a>';
        	div += '<h3>风险揭示书</h3>';
        	div += '</div>';
    		div += '</header>';
    		div += '<section class="main">';
    		div += '<div class="disclosure"></div>';
    		div += '<div class="disclosure_btn">';
    		div += '<a href="javascript:void(0);" class="btn_button">同意签署</a>';
    		div += '</div>';
    		div += '</section>';
			div += '</div>';
			var _pageId = '#'+$.getCurrentPageObj().pageId;
			if($(_pageId + " .risk_disclosure").attr("is-jzwc")){
				$(_pageId + " .risk_disclosure").show();
			}
			else{
				$(_pageId).append(div);
				$(_pageId + " .risk_disclosure").attr("is-jzwc","true");
				$(_pageId + " .risk_disclosure").show();
				$(_pageId + " .risk_disclosure section.main").height($(window).height() - $(_pageId + " .risk_disclosure .header").height());
				$(_pageId + " .risk_disclosure section.main").css("overflow","auto");
		
//				$(_pageId + " .risk_disclosure section.main .disclosure").height($(window).height() - $(_pageId + " .risk_disclosure .header").height() - $(_pageId + " .risk_disclosure .disclosure_btn").height());
				if(riskText && !$(_pageId + " .risk_disclosure .disclosure").attr("is-text")){
					if(riskText.text_content_type == 1){
						$(_pageId + " .risk_disclosure .disclosure").html(riskText.text_content);
						$(_pageId + " .risk_disclosure .disclosure").attr("is-text","true");
						$.hidePreloader();
					}
					else if(riskText.text_content_type == 2){
						$(_pageId + " .risk_disclosure .disclosure").html(riskText.text_content);
						$(_pageId + " .risk_disclosure .disclosure").attr("is-text","true");
						$.hidePreloader();
					}
					else if(riskText.text_content_type == 3){
						var ifdiv = '<div class="sr_entry" style="overflow:auto;-webkit-overflow-scrolling:touch;"><iframe src="'+riskText.text_content+'"></iframe></div>';
						$(_pageId + " .risk_disclosure .disclosure").html(ifdiv);
						$(_pageId + " .risk_disclosure .disclosure").attr("is-text","true");
						var iframeHeight = $(_pageId + " .risk_disclosure section.main .disclosure").height();
						$(_pageId + " .risk_disclosure .disclosure .sr_entry").height(iframeHeight);
						var ifeamediv = $(_pageId + " .risk_disclosure .disclosure iframe");
						ifeamediv.height(iframeHeight-4);
						ifeamediv[0].onload = function(){
							$.hidePreloader();
						};
					}
				}
				riskEvent(_pageId);
			}
	}
	
	/**
	 * 适当性事件绑定
	 * @param {Object} _pageId 当前页面id
	 * @param {Object} xd 是否可以下单，是否弹出下单框 ，true 弹出下单框
	 * @param {Object} is 性评估是否匹配 ，true 适当性匹配 
	 * @param {Object} fx 是否是高风险， true 是高风险
	 * @param {Object} tipStr 下单的提示内容div
	 * @param {Object} success 成功回调
	 */
	function placeOrderEvent2(comStatParam,_pageId,xd,is,fx,tipStr,success){
		// 返回
		$.bindEvent($(_pageId + " .appropriate .header .icon_back"), function(e){
//			$(_pageId + " .appropriate").hide();
			$(_pageId + " .appropriate").remove();
			e.stopPropagation();
		});
		
		// 退出
		$.bindEvent($(_pageId + " .appropriate .apprp_btn_box .w_bg"), function(e){
//			$(_pageId + " .appropriate").hide();
			$(_pageId + " .appropriate").remove();
			e.stopPropagation();
		},"tap");
		
//		 基本信息完整
		$.bindEvent($(_pageId + " .appropriate .appropriate_botto p"), function(e){
			$(this).toggleClass("active");
			e.stopPropagation();
		},"touchstart");
		
		// 点击我已经确定
		$.bindEvent($(_pageId + " .appropriate .apprp_btn_box .confirm"), function(e){
			// 柜台留痕
			if(Object.keys(comStatParam).length >0){
				var comStatList={
					"i_entrust_bs":comStatParam.i_entrust_bs, // 交易方向( 1,买入 2,卖出)
					"i_stock_code":comStatParam.i_stock_code, // 股票代码
					"i_stock_name":comStatParam.i_stock_name, // 股票名称
					"i_entrust_prop":comStatParam.i_entrust_prop, // 委托属性
					"i_exchange_type":comStatParam.i_exchange_type, // 交易市场
					"i_entrust_price":comStatParam.i_entrust_price, // 选择后的价格
					"i_entrust_amount":comStatParam.i_entrust_amount, // 委托数量
				}
			}
			var gtMatchingMark = function(){
				mismatchingMark(false,function(){
					if(!xd){
	//					$(_pageId + " .appropriate").hide();
						$(_pageId + " .appropriate").remove();
					}
					else{						
						// common.iConfirm("下单确定",tipStr,function(){
							if(success){
								success(queryAppropriaData.instr_batch_no);
							}
							$(_pageId + " .appropriate").remove();
		//					$(_pageId + " .appropriate").hide();
							//埋点
							if(Object.keys(comStatParam).length>0){
								comStatList.i_oper = "1"; // 动作（1确定 2取消）
								common.comStat(comStatParam.objectId,2,comStatParam.actionId,false,comStatList);
							}
						// },function(){
						// 	//埋点
						// 	if(Object.keys(comStatParam).length>0){
						// 		comStatList.i_oper = "2"; // 动作（1确定 2取消）
						// 		common.comStat(comStatParam.objectId,2,comStatParam.actionId,false,comStatList);
						// 	}
						// });
						
					}
				},is);
			}
			
			if($(_pageId + " .appropriate .appropriate_botto") && $(_pageId + " .appropriate .appropriate_botto").length > 0){
				if($(_pageId + " .appropriate .appropriate_botto p").hasClass("active")){
					placeConfirm("下单确定",tipStr,function(){
						function399931(null,gtMatchingMark);					
					},function(){
						//埋点
						if(Object.keys(comStatParam).length>0){
							comStatList.i_oper = "2"; // 动作（1确定 2取消）
							common.comStat(comStatParam.objectId,2,comStatParam.actionId,false,comStatList);
						}
					});							
					// gtMatchingMark();
				}else{
					var promptbg = document.getElementById("promptbg");//获取遮罩层
		    		promptbg.style.visibility = "visible";//显示遮罩层
		    		promptbg.style.zIndex = "10001";//显示遮罩层
					$(".modal_stick").fadeIn(100);//显示弹框
					timeObj = setTimeout(function(){$(".modal_stick").fadeOut(500);promptbg.style.visibility = 'hidden';},800);//0.6秒后关闭弹框和遮罩层		
				}
			}
			else{
				function399931(null,gtMatchingMark);
				// gtMatchingMark();
			}
			e.stopPropagation();
		},"touchstart");
	}
	
	/**
	 * 适当性事件绑定
	 * @param {Object} _pageId 当前页面id
	 * @param {Object} xd 是否可以下单，是否弹出下单框 ，true 弹出下单框
	 * @param {Object} is 性评估是否匹配 ，tru
	 * e 适当性匹配
	 * @param {Object} fx 是否是高风险， true 是高风险
	 * @param {Object} tipStr 下单的提示内容div
	 * @param {Object} success 成功回调
	 */
	function placeOrderEvent(comStatParam,_pageId,xd,is,fx,tipStr,success){
		// 返回
		$.bindEvent($(_pageId + " .appropriate .header .icon_back"), function(e){
//			$(_pageId + " .appropriate").hide();
			$(_pageId + " .appropriate").remove();
			e.stopPropagation();
		},"touchstart");
		
		// 退出
		$.bindEvent($(_pageId + " .appropriate .apprp_btn_box .w_bg"), function(e){
//			$(_pageId + " .appropriate").hide();
			$(_pageId + " .appropriate").remove();
			e.stopPropagation();
		},"tap");
		
		// 点击我已经确定
		$.bindEvent($(_pageId + " .appropriate .apprp_btn_box .confirm"), function(e){
			mismatchingMark(false,function(){
				if(!xd){
//					$(_pageId + " .appropriate").hide();
					$(_pageId + " .appropriate").remove();
				}
				else{
					if(fx){
						var t = "<div class='appropriate_top'>本产品风险等级定义为高风险，请投资者阅读并签署《风险揭示书》后，确认本委托！</div>"+tipStr;
						t += "<div class='appropriate_botto'><p class=''><span><em></em>已阅读并同意签署《风险揭示书》</span><i></i></div>";
						
						if(Object.keys(comStatParam).length >0){
							var comStatList={
								"i_entrust_bs":comStatParam.i_entrust_bs, // 交易方向( 1,买入 2,卖出)
								"i_stock_code":comStatParam.i_stock_code, // 股票代码
								"i_stock_name":comStatParam.i_stock_name, // 股票名称
								"i_entrust_prop":comStatParam.i_entrust_prop, // 委托属性
								"i_exchange_type":comStatParam.i_exchange_type, // 交易市场
								"i_entrust_price":comStatParam.i_entrust_price, // 选择后的价格
								"i_entrust_amount":comStatParam.i_entrust_amount, // 委托数量
							}
						}
						common.iConfirm("下单确定",t,function(){
							if(success){
								success(queryAppropriaData.instr_batch_no);
							}
		//					$(_pageId + " .appropriate").hide();
							$(_pageId + " .appropriate").remove();
							//埋点
							if(Object.keys(comStatParam).length>0){
								comStatList.i_oper = "1"; // 动作（1确定 2取消）
								common.comStat(comStatParam.objectId,2,comStatParam.actionId,false,comStatList);
							}
						},function(){
							//埋点
							if(Object.keys(comStatParam).length>0){
								comStatList.i_oper = "2"; // 动作（1确定 2取消）
								common.comStat(comStatParam.objectId,2,comStatParam.actionId,false,comStatList);
							}
						});
						
						// 基本信息完整
						$.bindEvent($(_pageId + " .appropriate_botto span"), function(e){
							if(riskText){
								riskDisclosure();
							}
							else{
								$.alert("没有查询到风险揭示书");
//								queryRiskDisclosure(_pageId);
							}
							e.stopPropagation();
						},"touchstart");
						
					}
					else{
						if(Object.keys(comStatParam).length >0){
							var comStatList={
								"i_entrust_bs":comStatParam.i_entrust_bs, // 交易方向( 1,买入 2,卖出)
								"i_stock_code":comStatParam.i_stock_code, // 股票代码
								"i_stock_name":comStatParam.i_stock_name, // 股票名称
								"i_entrust_prop":comStatParam.i_entrust_prop, // 委托属性
								"i_exchange_type":comStatParam.i_exchange_type, // 交易市场
								"i_entrust_price":comStatParam.i_entrust_price, // 选择后的价格
								"i_entrust_amount":comStatParam.i_entrust_amount, // 委托数量
							}
						}
						common.iConfirm("下单确定",tipStr,function(){
							if(success){
								success(queryAppropriaData.instr_batch_no);
							}
							$(_pageId + " .appropriate").remove();
		//					$(_pageId + " .appropriate").hide();
							//埋点
							if(Object.keys(comStatParam).length>0){
								comStatList.i_oper = "1"; // 动作（1确定 2取消）
								common.comStat(comStatParam.objectId,2,comStatParam.actionId,false,comStatList);
							}
						},function(){
							//埋点
							if(Object.keys(comStatParam).length>0){
								comStatList.i_oper = "2"; // 动作（1确定 2取消）
								common.comStat(comStatParam.objectId,2,comStatParam.actionId,false,comStatList);
							}
						});
						
					}
				}
			},is);
			e.stopPropagation();
		},"touchstart");
	}
	
	/**
	 * 风险揭示书事件
	 * @param {Object} _pageId 当前页面id
	 */
	function riskEvent(_pageId){
		// 返回
		$.bindEvent($(_pageId + " .risk_disclosure .header .icon_back"), function(e){
			$(_pageId + " .risk_disclosure").hide();
			$.hidePreloader();
			e.stopPropagation();
		});
		
		// 签署
		$.bindEvent($(_pageId + " .risk_disclosure .disclosure_btn .btn_button"), function(e){
			$.hidePreloader();
			mismatchingMark(true,function(){
				$(_pageId + " .risk_disclosure").hide();
				$(_pageId + " .appropriate_botto p").addClass("active");
			});
			e.stopPropagation();
		},"touchstart");
		
	}
	
	/**
	 * 交易的客户准入权限控制
	 * @param {Object} topage 要跳转的页面地址
	 * @param {Object} data 接口返回参数
	 */
	function admittance(topage, data){
		var userInfo = common.getCurUserInfo();
		if(!prof_flag || (userInfo && userInfo.prof_flag == "0")){
			
			//0股票，1场内，2场外，3分级，4港股通，5融资融券，6新三板，7期权
			//股票 accessAuthorityData
			if(topage.indexOf("stock/") == 0){
				if(accessAuthorityData['0'] && accessAuthorityData['0'].right_state == 0){
					$.alert(accessAuthorityData['0'].right_mag);
					return false;
				}
			}
			//场内
			else if(topage.indexOf("fund/inside/") == 0){
				if(accessAuthorityData['1'] && accessAuthorityData['1'].right_state == 0){
					$.alert(accessAuthorityData['1'].right_mag);
					return false;
				}
			}
			//场外
			else if(topage.indexOf("fund/outside/") == 0){
				if(accessAuthorityData['2'] && accessAuthorityData['2'].right_state == 0){
					$.alert(accessAuthorityData['2'].right_mag);
					return false;
				}
			}
			//分级
			else if(topage.indexOf("fund/grading/") == 0){
				if(accessAuthorityData['3'] && accessAuthorityData['3'].right_state == 0){
					$.alert(accessAuthorityData['3'].right_mag);
					return false;
				}
			}
			//港股通
			else if(topage.indexOf("ggt/") == 0){
				if(accessAuthorityData['4'] && accessAuthorityData['4'].right_state == 0){
					$.alert(accessAuthorityData['4'].right_mag);
					return false;
				}
			}
			//融资融券
			else if(topage.indexOf("credit/") == 0){
				if(accessAuthorityData['5'] && accessAuthorityData['5'].right_state == 0){
					$.alert(accessAuthorityData['5'].right_mag);
					return false;
				}
			}
			//新三板
			else if(topage.indexOf("stockTransfer/") == 0){
				if(accessAuthorityData['6'] && accessAuthorityData['6'].right_state == 0){
					$.alert(accessAuthorityData['6'].right_mag);
					return false;
				}
			}
			//期权
			else if(topage.indexOf("option/") == 0){
				if(accessAuthorityData['7'] && accessAuthorityData['7'].right_state == 0){
					$.alert(accessAuthorityData['7'].right_mag);
					return false;
				}
			}
			return true;
		}
		else{
			return true;
		}
	}
	
	/**
	 * 调用客户准入权限查询及是否存在适当性不匹配持仓查询接口
	 */
	function positionDetails(success){
		var userInfo = common.getCurUserInfo();
		if(!prof_flag || (userInfo && userInfo.prof_flag == "0")){
			accessAuthority(success);
		}
		else{
			if(success){
				success();
			}
		}
	}
	
	/**
	 * 模拟登录去记录是否专业投资者
	 */
	function analogLogin(data){
		if(data){
			if(data.prof_flag == 0){
				prof_flag = false;
			}
			else if(data.prof_flag == 1){
				prof_flag = true;
			}
		}
	}

	function placeConfirm(theme, content, determineFunction, cancelFunction, determine, cancel, prompt,clickType,btnClass){
		if(isMarkData()){ // 基金留痕只改造场内场外
			function399930(theme, content, determineFunction, cancelFunction, determine, cancel, prompt,clickType,btnClass);			
		}else{
			common.iConfirm(theme, content, determineFunction, cancelFunction, determine, cancel, prompt,clickType,btnClass)
		}	
	}

	function function399930(theme, content, determineFunction, cancelFunction, determine, cancel){
		var params = {
			fund_code: placeOrderParam.fund_code || placeOrderParam.stock_code,
			isMallProduct: placeOrderParam.business_type == "2" ? "1" : "0",
			exchange_type: placeOrderParam.exchange_type
		};
		service_fund.function399930(params,function(data){
			$.hidePreloader();
			if(data.error_no == 0){
				if(data.results && data.results[0]){
					markData = $.extend(false,data.results[0],markData);
				}
				agreementList = [];
				if(markData.risk_disclosure_name && markData.risk_disclosure_text){ // 风险揭示
					agreementList.push({
						title: markData.risk_disclosure_name,
						content: markData.risk_disclosure_text,
						headName: "协议内容",
						url: ""
					});
				}
				if(markData.ann_name && markData.ann_link){ // 基金产品资料概要
					agreementList.push({
						title: markData.ann_name,
						content: "",
						headName: "基金产品资料概要",
						url: markData.ann_link
					});
				}
				if(markData.contract_name && markData.contract_link){ // 基金产品基金合同
					agreementList.push({
						title: markData.contract_name,
						content: "",
						headName: "基金产品基金合同",
						url: markData.contract_link
					});
				}
				if(markData.prospectus_name && markData.prospectus_link){ // 基金产品招募说明书
					agreementList.push({
						title: markData.prospectus_name,
						content: "",
						headName: "基金产品招募说明书",
						url: markData.prospectus_link
					});
				}
				agreeTipsBoxConfirm(theme, content, determineFunction, cancelFunction, determine, cancel, {},agreementList)
			}else{
				$.alert(data.error_info);
			}
		},
			{
			"isLastReq":false,
			"isShowWait":true,
			"isShowOverLay":false,
			"isGlobal":true,
			"timeOutFunc":function(){
			},
			"errorFunc":function(){
			},
		});
	}

	/**
	 * 基金协议提示框
	 * @param {Object} theme 提示标题
	 * @param {Object} content 提示内容
	 * @param {Object} determineFunction 点击正确执行函数
	 * @param {Object} cancelFunction 点击取消执行函数
	 * @param {Object} determine 正确按钮语
	 * @param {Object} cancel 取消按钮语
	 * @param {Object} agreementList 协议内容
	 * @param {Object} isShowBtn 设置为灰色
	 */
	function agreeTipsBoxConfirm(theme, content, determineFunction, cancelFunction, determine, cancel,param,agreementList,isShowBtn){
		$("#agreeTipsBox").remove();
		var pageId = '#'+$.getCurrentPageObj().pageId+" ";
		if(theme && typeof(theme) == "string"){
			theme ="<h3>" +theme+"</h3>";
		}
		if(typeof(content) == "undefined"){
			content = "";
		}
		if(!determine){
			determine = "确认";
		}
		if(!cancel){
			cancel = "取消";
		}
		var css="";
		if(!isShowBtn){
			css="disabled";
		}
		if(agreementList && agreementList.length && agreementList[0]){
			content +='<div class="x-notice-tips2"><i class="x-notice-tips-icon"></i>根据相关发文，交易前请仔细阅读下方协议并进行签署。</div>';
			var xyList = [];
			for(var i =0 ; i < agreementList.length; i++){
				xyList.push('<span>《'+agreementList[i].title+'》</span>');
				xyList.push('<span>、</span>');
			}
			xyList.pop();
			content +='<div class="x-check-text"><i class="x-checkbox"></i><p>我已确认知悉并同意签署如下文件</p><p class="x-notice-text xy">'+xyList.join("")+'</p></div>';
		}else{
			css="";
		}
		var div='';
		div +='<div id="agreeTipsBox" class="agreeTipsBox" style="position: fixed;">';
			div +='<div class="ui dialog-overlay" style="display: block;z-index: 1000;"></div>';
			div +='<div class="ui dialog x-dialog-pop" style="z-index: 1000;width: 80%">';
				div +='<div class="dialog-cet">';
					div +='<h3>'+theme+'</h3>' + content ;
				div +='</div>';
				div +='<div class="ui layout dialog-btn" style="border: none!important;">';
					div +='<div class="row-1">';
						div +='<a class="x-btn border cancel" id="cancel">'+ cancel +'</a>';
					div +='</div>';
					div +='<div class="row-1">';
						div +='<a class="x-btn '+css+'" id="determine">'+ determine+'</a>';
					div +='</div>';
				div +='</div>';
			div +='</div>';
		div +='</div>';
		$(pageId).append(div);
		var $content = $(pageId+" #agreeTipsBox .x-dialog-pop ._content");
		if($content.height() < 30){
			$content.height(30);
		}
		var $prompt = $(pageId+" #agreeTipsBox .dialog-overlay");
		var wHeight = Number($(pageId).height()) * 0.4;
		var topHeight = $prompt.height()/2;
		if(topHeight >= wHeight){
			topHeight = wHeight;
			$content.css({"height": topHeight*2 - 131, "overflow": "auto"});
		}
		$(pageId+" #agreeTipsBox").css("position", "static");
		//点击遮罩层
		$.bindEvent($(pageId+" #agreeTipsBox .dialog-overlay"), function(e) {
			$("#agreeTipsBox").remove();
			var evt = e || window.event;
			evt.stopPropagation ? evt.stopPropagation() : (evt.cancelBubble = true);
			evt.preventDefault();
		});
		//确定
		$.bindEvent($(pageId+" #agreeTipsBox #determine"), function(e) {
			if(!$(this).hasClass("disabled")){
				$("#agreeTipsBox").remove();
				if(determineFunction){
					setTimeout(function(){
						determineFunction(param,agreementList);
					},300);
				}
			}
			var evt = e || window.event;
			evt.stopPropagation ? evt.stopPropagation() : (evt.cancelBubble = true);
			evt.preventDefault();
		});
		//取消
		$.bindEvent($(pageId+" #agreeTipsBox #cancel"), function(e) {
			$("#agreeTipsBox").remove();
			if(cancelFunction){
				setTimeout(function(){
					cancelFunction($content);
				},300);
			}
			var evt = e || window.event;
			evt.stopPropagation ? evt.stopPropagation() : (evt.cancelBubble = true);
			evt.preventDefault();
		});
		//查看
		$.bindEvent($(pageId+" #agreeTipsBox .x-notice-text"), function(e) {
			if(agreementList.length > 1){
				agreementListDiv(agreementList);
			}else if(agreementList.length == 1){
				if(agreementList[0].url){
					nativePluginService.function50240({
						btnMode: "1",
						url: agreementList[0].url,
						title: agreementList[0].headName || agreementList[0].title
					})
				}else{
					agreementInfoDiv(agreementList[0]);
				}
			}
			
		});

		//本人已知晓并同意上述协议
		$.bindEvent($(pageId+" #agreeTipsBox .x-check-text .x-checkbox"), function(e) {
			$(this).toggleClass("checked");
			if($(this).hasClass("checked")){
				$(pageId + "#determine").removeClass("disabled");
			}else{
				$(pageId + "#determine").addClass("disabled");
			}
		});
	}

	function agreementListDiv(agreementList, callBack){
		$(pageId+" #agreementListDiv").remove();
		var pageId = '#'+$.getCurrentPageObj().pageId+" ";
		var div='';
		div+='<div class="appropriate" id="agreementListDiv" style="display:block;">';
		div+='<header class="header"><div class="top_title2"><a href="javascript:void(0);" class="icon_back"></a>';
		div+='<h3>协议列表</h3>';
		div+='</div></header>';
		div+='<section class="main"><div class="rule_box">';
		var divArr = [];
		divArr.push("<ul>");
		for(var i = 0; i < agreementList.length; i++){
			divArr.push("<li>"+ agreementList[i].title +"</li>");
		}
		divArr.push("</ul>");
		div+= divArr.join("");
		div+='</div></section>';
		// div+='<div class="x-footer-btn border-top">';
		// div+='<a class="x-define-btn">确定</a>';
		// div+='</div>'
		div+='</div>';
		$(pageId).append(div);
		var mianHeight = $(pageId).height() - $(pageId+" .header").outerHeight(true) - ($(pageId+".x-footer-btn").outerHeight(true) || 0);
		$(pageId + " section.main .x-notice-page").height(mianHeight).css({"overflow":"auto","-webkit-overflow-scrolling":"touch"});
		setTimeout(function(){
			$.bindEvent($(pageId+" #agreementListDiv .header .icon_back"), function(e) {
				$(pageId+" #agreementListDiv").remove();
				var evt = e || window.event;
				evt.stopPropagation ? evt.stopPropagation() : (evt.cancelBubble = true);
			});
			$.bindEvent($(pageId+" #agreementListDiv .x-define-btn"), function(e) {
				$(pageId+" #agreementListDiv").remove();
				var evt = e || window.event;
				evt.stopPropagation ? evt.stopPropagation() : (evt.cancelBubble = true);
			});
			$.bindEvent($(pageId+" #agreementListDiv .rule_box li"), function(e) {
				var index = $(this).index();
				var agreementInfo = agreementList[index];
				if(agreementInfo.url){
					nativePluginService.function50240({
						btnMode: "1",
						url: agreementInfo.url,
						title: agreementInfo.headName || agreementInfo.title
					})
				}else{
					agreementInfoDiv(agreementInfo);
				}
			});
		},500);
		if(callBack){
			callBack(agreementList);
		}
	}


	function agreementInfoDiv(agreementInfo, callBack){
		$(pageId+" #agreementInfoDiv").remove();
		var pageId = '#'+$.getCurrentPageObj().pageId+" ";
		var div='';
		div+='<div class="appropriate" id="agreementInfoDiv" style="display:block">';
		div+='<header class="header"><div class="top_title2"><a href="javascript:void(0);" class="icon_back"></a>';
		div+='<h3>'+(agreementInfo.headName || agreementInfo.title || "协议内容")+'</h3>';
		div+='</div></header>';
		div+='<section class="main"><div class="x-notice-page">';
		div+=agreementInfo.content;
		div+='</div></section>';
		// div+='<div class="x-footer-btn border-top">';
		// div+='<a class="x-define-btn">确定</a>';
		// div+='</div>'
		div+='</div>';
		$(pageId).append(div);
		var mianHeight = $(pageId).height() - $(pageId+" .header").outerHeight(true) - ($(pageId+".x-footer-btn").outerHeight(true) || 0);
		$(pageId + " section.main .x-notice-page").height(mianHeight).css({"overflow":"auto","-webkit-overflow-scrolling":"touch"});
		setTimeout(function(){
			$.bindEvent($(pageId+" #agreementInfoDiv .header .icon_back"), function(e) {
				$(pageId+" #agreementInfoDiv").remove();
				var evt = e || window.event;
				evt.stopPropagation ? evt.stopPropagation() : (evt.cancelBubble = true);
			});
			$.bindEvent($(pageId+" #agreementInfoDiv .x-define-btn"), function(e) {
				$(pageId+" #agreementInfoDiv").remove();
				//签署协议，并下单
				if(callBack){
					callBack(agreementInfo);
				}
				var evt = e || window.event;
				evt.stopPropagation ? evt.stopPropagation() : (evt.cancelBubble = true);
			});
		},500);
	}

	/*
	是否需要查询中台协议留痕
	business_type 0普通交易 1 沪市LOF，场内基金 2 场外基金 3基金盘后业务 4港股通 5两融 6ETF基金
	*/
	function isMarkData(){
		return placeOrderParam.business_type == "1" || placeOrderParam.business_type == "2" || placeOrderParam.business_type == "6";
	}

	//留痕接口
	function function399931(param, success,stock_type_reits){
		var userInfo = common.getCurUserInfo();
		markData = $.extend(false,param || {},markData,userInfo,placeOrderParam,queryAppropriaData);
		// 中台查询有结果集或者有适当性记录就需要留痕 只有场内场外需要留痕
		if(stock_type_reits&&stock_type_reits=="21"||isMarkData() && (agreementList && agreementList[0]) || (queryAppropriaData.match_state && queryAppropriaData.match_state!=7 && !placeOrderParam.leavesTraceFlag)){
			service_fund.function399931(markData,function(data){
				$.hidePreloader();
				if(data.error_no == 0){
					if(data.results && data.results[0]){
						markData.id = data.results[0].id;
						markData.contract_id = data.results[0].contract_id;
						markData.prospectus_id = data.results[0].prospectus_id;
					}				
					success && success();
				}else{
					$.alert(data.error_info);
				}
			},
				{
				"isLastReq":false,
				"isShowWait":true,
				"isShowOverLay":false,
				"isGlobal":true,
				"timeOutFunc":function(){
					$.hidePreloader();
				},
				"errorFunc":function(){
					$.hidePreloader();
				},
			});
		}else{
			success && success();
		}		
	}

    //留痕接口
    function functionTwo399931(param, success){
        var userInfo = common.getCurUserInfo();
        markData = $.extend(false,param || {},markData,userInfo,placeOrderParam,queryAppropriaData);
        // 中台查询有结果集或者有适当性记录就需要留痕 只有场内场外需要留痕
        service_fund.function399931(markData,function(data){
                $.hidePreloader();
                if(data.error_no == 0){
                    if(data.results && data.results[0]){
                        markData.id = data.results[0].id;
                    }
                    success && success();
                }else{
                    $.alert(data.error_info);
                }
            },
            {
                "isLastReq":false,
                "isShowWait":true,
                "isShowOverLay":false,
                "isGlobal":true,
                "timeOutFunc":function(){
                    $.hidePreloader();
                },
                "errorFunc":function(){
                    $.hidePreloader();
                },
            });
    }

	//留痕接口
	function function399932(param, callback){
		var userInfo = common.getCurUserInfo();
		var cust_code = userInfo.cust_code;	//客户代码
		var fund_account = userInfo.fund_account;	//资产账户
		var branch_no = userInfo.branch_no;	//分支机构
		var sessionid = userInfo.session_id;
		var entrust_way = global.entrust_way; // 委托方式  在configuration配置
		var client_name = userInfo.client_name;
		var paraMap = {
			"entrust_way": entrust_way,
			"branch_no": branch_no,
			"fund_account": fund_account,
			"cust_code": cust_code,
			"sessionid": sessionid,
			"client_name": client_name
		}
		paraMap["stock_code"] = param.stockCode || param.stock_code;		//证券代码，多个用,分割
		paraMap["text_content"] = param.convertible_bonds_prompt;	//提示内容
		paraMap["create_by"] = param.create_by;
		paraMap["ann_name"] = param.ann_name || '特别提醒';			//协议标题
		paraMap["entrust_no"] = param.entrust_no;		//委托号，多个用,分割
		var mobileNoInfo = $.callMessage({"funcNo":"50043","key":"activePhone"}); // 电话号码
		if(mobileNoInfo.error_no == "0"){//手机号
			paraMap["phone"] = mobileNoInfo.results[0].value||" ";
		}
		if((param.stock_type == "7" || param.stock_type == "18" || param.stock_type == "19") && paraMap["text_content"]){
			service_fund.function399932(paraMap,function(data){
				$.hidePreloader();
			},
				{
				"isLastReq":false,
				"isShowWait":true,
				"isShowOverLay":false,
				"isGlobal":true,
				"timeOutFunc":function(){
					$.hidePreloader();
				},
				"errorFunc":function(){
					$.hidePreloader();
				},
			});
		}else{
			callback && callback();
		}		
	}
	//一键申购首次查询
	function function399933(param, callback){
		var userInfo = common.getCurUserInfo();
		var cust_code = userInfo.cust_code;	//客户代码
		var fund_account = userInfo.fund_account;	//资产账户
		var branch_no = userInfo.branch_no;	//分支机构
		var sessionid = userInfo.session_id;
		var entrust_way = global.entrust_way; // 委托方式  在configuration配置
		var client_name = userInfo.client_name;
		var paraMap = {
			"entrust_way": entrust_way,
			"branch_no": branch_no,
			"fund_account": fund_account,
			"client_id": cust_code,
			"sessionid": sessionid,
			"client_name": client_name,
		}
        paraMap = $.extend(paraMap,param);
        service_fund.function399933(paraMap,function(data){
            $.hidePreloader();
            callback && callback(data);
        },
            {
            "isLastReq":false,
            "isShowWait":true,
            "isShowOverLay":false,
            "isGlobal":true,
            "timeOutFunc":function(){
                $.hidePreloader();
            },
            "errorFunc":function(){
                $.hidePreloader();
            },
        });	
	}
	//自定义协议 留痕接口
	function function399934(param, callback){
		var userInfo = common.getCurUserInfo();
		var cust_code = userInfo.cust_code;	//客户代码
		var fund_account = userInfo.fund_account;	//资产账户
		var branch_no = userInfo.branch_no;	//分支机构
		var sessionid = userInfo.session_id;
		var entrust_way = global.entrust_way; // 委托方式  在configuration配置
		var client_name = userInfo.client_name;
		var paraMap = {
			"entrust_way": entrust_way,
			"branch_no": branch_no,
			"fund_account": fund_account,
			"client_id": cust_code,
			"sessionid": sessionid,
			"client_name": client_name,
		}
		paraMap["stock_code"] = param.stockCode || param.stock_code;		//多个,分割   agree_type=2传
		paraMap["text_content"] = param.text_content;	                    //提示内容
		paraMap["id"] = param.id;                                           //gree_type=2传且第二次更新传 （由第一次请求返回）
		paraMap["agree_type"] = param.agree_type;			                //1-申购首次，2-申购，3-条件单非首次
		paraMap["entrust_no"] = param.entrust_no;		                    // agree_type=2传且第二次更新传
		var mobileNoInfo = $.callMessage({"funcNo":"50043","key":"activePhone"}); // 电话号码
		if(mobileNoInfo.error_no == "0"){//手机号
			paraMap["phone"] = mobileNoInfo.results[0].value||" ";
		}
        service_fund.function399934(paraMap,function(data){
            $.hidePreloader();
            callback && callback(data);
        },
            {
            "isLastReq":false,
            "isShowWait":true,
            "isShowOverLay":false,
            "isGlobal":true,
            "timeOutFunc":function(){
                $.hidePreloader();
            },
            "errorFunc":function(){
                $.hidePreloader();
            },
        });	
	}
	
	var base = {
		"login":login,
		"loginCallBack": loginCallBack,
		"placeOrder": placeOrder,
		"admittance": admittance,
		"positionDetails": positionDetails,
		"analogLogin": analogLogin,
		"function399931": function399931,
		"function399932": function399932,
		"function399933": function399933,
		"function399934": function399934
	};
	module.exports = base;
});
