/**
 * 招商银行首次入金指引
 */
define('trade/scripts/banking/zsGoldEntryGuide.js', function(require, exports, module) {
    var common = require("common");
	var gconfig = $.config;
	var global = gconfig.global;
    var _pageId = "#banking_zsGoldEntryGuide ";
    
    /**
     * 初始化
     */
	function init(){
    }
	
	function load(){
		var mainHeight = common.setMainHeight(_pageId, false) - $(_pageId + " .n-header-inner").height();
		$(_pageId + " .main").height(mainHeight).css({"overflow":"auto","-webkit-overflow-scrolling":"touch"});
	}
	
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		// 返回按钮
		$.bindEvent($(_pageId + ".n-header-inner .n-back-btn"), function(e){
			$.pageBack();
			e.preventDefault();
		});
	}
	
	
	/**
	 * 销毁
	 */
	function destroy(){}
	
	var base = {
		"init" : init,
		"load" : load,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = base;
});