/**
 * 北交所系统协议卖出
 */
define('trade/scripts/bjs/order/confirmSell.js',function(require, exports, module) {
	var gconfig = $.config;
	var global = gconfig.global;
	var agreementOrder = require("agreementOrder");
	var common = require("common");
	var _pageId = "#bjs_order_confirmSell ";
	var downslide = new (require("downslide")).Downslide();
	var height_table = null;
	var _load = false;
	
    /**
     * 初始化
     */
	function init(){
		common.pageChangeHeight();
		common.pageBuryingPoint("101860");
		downslide.addSlide();
		if(global.requestLocation == 0){
			backgroundInterface();
		}

    }

    function load() {
		if(global.requestLocation == 1){
			backgroundInterface();
		}
		var mainHeight =  common.setMainHeight(_pageId, false);
        height_table =  mainHeight - $(_pageId + ".back_form").getMHeight() - $(_pageId + ".srincome").getHeight() - $(_pageId + ".fund_table").css("margin-top").slice(0, -2);
        _load = true;
        if(agreementOrder.getQueryHolding()){
	        initScroller();
        }
		$(_pageId + ".ce_btn div.order").css({"padding-top": "3px","line-height":"14px","width":$(_pageId + ".ce_btn a").width(),"display":"inline-block"});
		$(_pageId + ".ce_btn #total").css("display","inline-block");
	}
    
	function backgroundInterface(){
		var orderType = "10"; // 9:协议买入、10:协议卖出
		agreementOrder.dataInit(_pageId,orderType,initScroller);
		agreementOrder.elementBindEvent();
	}
	/**
	 * 初始化滑动组件
	 */
	function initScroller()
	{
		if(_load){
			downslide.rollInit(height_table);
		}
	}
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
	}
	
	/**
	 * 数据重置
	 */
	function destroy(){
		agreementOrder.dataDestroy();
		downslide.slideDestroy();
		common.pageBuryingPoint();
	}
	
	var base = {
		"init" : init,
		"load" : load,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = base;
});
