/**
 * 普通交易-对账单
 */
define('trade/scripts/bjs/statementQuery.js', function(require, exports, module) {
	var common = require("common");
	var gconfig = $.config;
	var commonFunc = require("commonFunc");
	var global = gconfig.global;
	var service_stock = require("service_stock");
    var _pageId = "#bjs_statementQuery ";
    var userInfo =  null;
	var VIscroll = require("vIscroll");
	var vIscroll = {"scroll":null,"_init":false};		//上下滑动
    var search_type = 1;//默认近一周


    /**
     * 初始化
     */
	function init(){
		common.switchingCurUser("0");
		userInfo = common.getCurUserInfo();
		common.pageBuryingPoint("100235");
		if(global.requestLocation == 0){
			backgroundInterface();
		}
    }
		
	function load(){
		if(global.requestLocation == 1){
			backgroundInterface();
		}
		var mianHeight = common.setMainHeight(_pageId, false);

	}
	function backgroundInterface(){
		commonFunc.initTimeChoice(_pageId,30);
        var trade_query_begin_time = $.getSStorageInfo("trade_query_begin_time");
        var trade_query_end_time = $.getSStorageInfo("trade_query_end_time");
        if(trade_query_begin_time!=""&&trade_query_begin_time!=undefined){
            $(_pageId+" #startDate").quzhi(trade_query_begin_time);
        }
        if(trade_query_end_time!=""&&trade_query_end_time!=undefined){
            $(_pageId+" #endDate").quzhi(trade_query_end_time);
        }

        var trade_query_search_type = $.getSStorageInfo("trade_query_search_type");
        if(trade_query_search_type!=''&&trade_query_search_type!=undefined||trade_query_search_type=="0"){
            search_type=trade_query_search_type;
        }
        if(search_type==2){
            $(_pageId + ".nsb_tab_nav ul li:eq(1)").addClass("active");
            $(_pageId + ".nsb_tab_nav ul li:eq(0)").removeClass("active");
            $(_pageId + ".nsb_tab_nav ul li:eq(2)").removeClass("active");
            $(_pageId + ".nsb_tab_nav ul li:eq(3)").removeClass("active");
            $(_pageId + ".time").hide();
        }else if(search_type==3){
            $(_pageId + ".nsb_tab_nav ul li:eq(2)").addClass("active");
            $(_pageId + ".nsb_tab_nav ul li:eq(1)").removeClass("active");
            $(_pageId + ".nsb_tab_nav ul li:eq(0)").removeClass("active");
            $(_pageId + ".nsb_tab_nav ul li:eq(3)").removeClass("active");
            $(_pageId + ".time").hide();
        }else if(search_type==0){
            $(_pageId + ".nsb_tab_nav ul li:eq(3)").addClass("active");
            $(_pageId + ".nsb_tab_nav ul li:eq(1)").removeClass("active");
            $(_pageId + ".nsb_tab_nav ul li:eq(2)").removeClass("active");
            $(_pageId + ".nsb_tab_nav ul li:eq(0)").removeClass("active");
            $(_pageId + ".time").show();
        }else{
            $(_pageId + ".nsb_tab_nav ul li:eq(0)").addClass("active");
            $(_pageId + ".nsb_tab_nav ul li:eq(1)").removeClass("active");
            $(_pageId + ".nsb_tab_nav ul li:eq(2)").removeClass("active");
            $(_pageId + ".nsb_tab_nav ul li:eq(3)").removeClass("active");
            $(_pageId + ".time").hide();
        }
		statementQuery(search_type);
	}
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		//返回按钮
		$.bindEvent($(_pageId + ".header_inner .back_btn"), function(e){
			setTimeout(function () {
				$(this).unbind(e.type);
				this[e.type] = null;
				//埋点
				common.comStat(100236, 2, 103, true, {"i_group_name": "返回"});
//			$.pageInit("stock/statementQuery","stock/stockQuery",{});
				commonFunc.appThirdBack('bjs_statementQuery', function () {
					$.pageBack("stock/stockQuery", "left");
				});
				e.preventDefault();
				e.stopPropagation();
			},300);
		},"tap");
		//时间选择
		$.bindEvent($(_pageId + ".date_filter .btn"), function(e){
			if(!vIscroll._init){
				initVIScroll();
			}else{
				vIscroll.scroll.refresh();
			}
			statementQuery(search_type);
			
			//埋点
			var end_time = $(_pageId+" #endDate").text();  
			var begin_time = $(_pageId+" #startDate").text();	
			var time1 = begin_time.replaceAll("-", "");
			var time2 = end_time.replaceAll("-", "");
			common.comStat(100237,2,104,true,{"i_change_name":"对账单查询","i_change_to":time1+"-"+time2});
		});

        //页面切换
        $.bindEvent($(_pageId + ".nsb_tab_nav ul li"), function(e){
            //在页面切换时清掉请求
            $.clearRequest();
            if(null!=vIscroll.scroll){
                vIscroll.scroll.getWrapperObj().scrollTo(0,0,0);
            }
            //切换页面时时间控件初始化
            commonFunc.initTimeChoice(_pageId,30,true);
            if(!vIscroll._init){
                initVIScroll();
            }else{
                vIscroll.scroll.refresh();
            }
            $(this).addClass("active").siblings().removeClass("active");

            //页面埋点
            var index=$(_pageId + ".nsb_tab_nav ul li.active").index();
            if(index==3){
                index=0;
                $(_pageId + ".time").show();
            }else{
                index=index+1;
                $(_pageId + ".time").hide();
            }
            search_type =index;
            statementQuery(search_type);
        });


	}
	
	/**
	 * 对账单查询
	 */
	function statementQuery(search_type){
		$(_pageId+ ".no_data").hide();
        $(_pageId+".no_more_data").hide();
		$(_pageId+".state_list ").html("");
		var entrust_way = global.entrust_way; // 委托方式  在configuration配置
		var branch_no = userInfo.branch_no;	
		var fund_account = userInfo.fund_account;
		var cust_code = userInfo.cust_code;
		var sessionid=userInfo.session_id;
		var business_flag = "";
		var money_type = "";
		var end_time = $(_pageId+" #endDate").text();  
		var begin_time = $(_pageId+" #startDate").text();
		var time1 = new Date(end_time.replaceAll("-", "/"));
		var time2 = new Date(begin_time.replaceAll("-", "/"));
		if(time1 < time2)
		{
		    $.alert("开始日期大于截止日期");
		    return false;
		}//截止时间
		var param = {			
			"entrust_way":entrust_way,
			"branch_no":branch_no,
			"fund_account":fund_account,
			"cust_code":cust_code,
			"sessionid":sessionid,
			"money_type":money_type,
            "search_type":search_type,
            "begin_date":search_type==0?begin_time:"",
            "end_date":search_type==0?end_time:"",
			"business_flag" : business_flag
		};
		$(_pageId+ ".no_data").hide();
		service_stock.queryStatementOfAccountNew(param,queryStatementOfAccountCallback,
			{
			"isLastReq":true,
			"isShowWait":true,
			"isShowOverLay":false,
			"timeOutFunc":function(){
				$(_pageId+ ".no_data").show();
				if(!vIscroll._init){
					initVIScroll();
				}else{
					vIscroll.scroll.refresh();
				}
			}
		});
	}
	/**
	 * 对账单查询回调
	 */
	function queryStatementOfAccountCallback(data){
		if (typeof(data) != "undefined" && data) {
            $(_pageId+".j-position-table").html("");
            $(_pageId+".j-position-table").hide();
			if(data.error_no == 0){
				$(_pageId+".no_data").hide();
				var results = data.results;
				if(results.length>0 && results!= "undefined"){
                    var data = '<table width="100%" border="0" cellspacing="0" cellpadding="0"class="fixed"><tr><th scope="col">证券/时间</th><th scope="col">价格/数量</th><th scope="col">发生金额</th><th style="width: 25%;" scope="col">业务名称</th></tr>';
                    for (var i=0;i<results.length;i++){
						if($.isValue(results[i].stock_name_long)) results[i].stock_name = results[i].stock_name_long;
						data += queryDealHTML(results[i],i);
					}
                    data += '</table>';
                    $(_pageId+".main .j-position-table").html(data);
                    $(_pageId+".j-position-table").show();
                    $(_pageId+".no_more_data").show();
                    //进入详情
                    $.bindEvent($(_pageId + ".main .j-position-table tr"), function(e){

                        var end_time = $(_pageId+" #endDate").text();
                        var begin_time = $(_pageId+" #startDate").text();
                        var selectIndex=$(this).attr("data-index");
                        var param = {
                                'titleName':'对账单详情',
                                'flag':'6',
                                'search_type':search_type,
                                "begin_time":begin_time,
                                "end_time":end_time,
                                "selectIndex":selectIndex
                            };
                            $.pageInit("stock/moneyFlow", "stock/stockDetails", param);
                    });
				}else{
					$(_pageId+".no_data").show();
				}
			}
			else{
				$.alert(data.error_info);
			}
		}
		if(!vIscroll._init){
			initVIScroll();
		}else{
			vIscroll.scroll.refresh();
		}
	}

    /**
     * 对账单查询HTML生成
     */
    function queryDealHTML(element,i){
        var price_digit = 3;
        var css = "";
        var entrust_name = element.entrust_type_name;
        if(element.entrust_name && element.entrust_name!==" " && element.entrust_name!==""){
            entrust_name = element.entrust_name;
        }
        if($.inArray(element.entrust_bs, ["0"]) != -1){
            css = "trans_color_02";
            // entrust_name ="买入";
        }else if($.inArray(element.entrust_bs, ["1"]) != -1){
            css = "trans_color_01";
            // entrust_name ="卖出";
        }else{
            css = "";
        }
        var eleHtml = "";
        // var showStock_name="";
        // if(element.stock_name&&element.stock_name.length>7){
        //     showStock_name=element.stock_name.substr(0,7)+"...";
        // }else{
        //     if(element.stock_name==""||element.stock_name==" "||element.stock_name==undefined){
        //         showStock_name="--";
        //     }else{
        //         showStock_name= element.stock_name;
        //     }
        // }

        var showTime = element.business_date;

        if(element.business_date&&element.business_date.length>6){
            showTime = element.business_date;
        }else{
            if(element.business_date==""||element.business_date==undefined){
                showTime = "--";
            }else{
                showTime = element.business_date;
            }
        }


        var showmatchqty=element.occur_amount;

        if(element.occur_amount==""||element.occur_amount==" "||element.occur_amount==undefined){
            showmatchqty="--";
        }else{
            showmatchqty= element.business_price;
        }



        eleHtml+="<tr data-index='"+i+"'>";
        eleHtml+="<td><p style='transform-origin: left;transform:scale("+$.getTransformScale(element.stock_name, 14, ($(window).width()/4 - 25))+")'>"+element.stock_name+"</p><p style='font-size: 0.12rem!important;'>"+showTime+"</p></td>";
        eleHtml+="<td><p>"+Number(element.business_price).toFixed(price_digit)+"</p><p>"+showmatchqty+"</p></td>";
        eleHtml+="<td><p style='line-height: 0.4rem!important;'>"+Number(element.occur_balance).toFixed(2)+"</p></td>";
        eleHtml+="<td><p style='line-height: 0.4rem!important;overflow: hidden;text-overflow: ellipsis;white-space: nowrap;font-size: 0.14rem;text-align: left;' class='"+css+"'>"+common.getShowStr(element.business_name,'--',0,6)+"</p></td>";
        eleHtml+="</tr>";
        return eleHtml;
    }


	/**
	 * 委托查询HTML生成
	 */
	function queryEntrustHTML(element){
		var price_digit = 3;
		var css = "";
		var business_name = element.business_name;
		if($.inArray(element.entrust_bs, ["0","4","62","64","66","68","70"]) != -1){
			css = "n1";
		}else if($.inArray(element.entrust_bs, ["1","5","63","65","67","69","71"]) != -1){
			css = "n2";
		}
		else{
			css = "";
		}
        var eleHtml = "";
        eleHtml+='<div class="part"><div class="title">';
        eleHtml+='<span class="tag '+css+'">'+business_name+'</span><small>'+element.business_date+'</small>';
        eleHtml+='</div><ul>';
        eleHtml+='<li>证券名称<span style="zoom:'+ $.getTransformScale(element.stock_name, 14, $(window).width() * 0.25) +'";>'+(element.stock_name || "--")+'</span></li>';
        eleHtml+='<li>证券代码<span>'+(element.stock_code || "--")+'</span></li>';
        eleHtml+='<li>成交均价<span>'+Number(element.business_price).toFixed(price_digit)+'</span></li>';
        eleHtml+='<li>成交数量<span>'+Number(element.occur_amount)+'</span></li>';
        eleHtml+='<li>成交金额<span>'+Number(element.matchamt).toFixed(price_digit)+'</span></li>';
        eleHtml+='<li>资金余额<span>'+Number(element.post_balance).toFixed(price_digit)+'</span></li>';
        eleHtml+='<li>发生金额<span>'+Number(element.occur_balance).toFixed(price_digit)+'</span></li>';
        eleHtml+='<li>股份余额<span>'+Number(element.post_amount).toFixed(price_digit)+'</span></li>';
        eleHtml+='</ul></div>';
        return eleHtml;
	}
	
    /**
     * 初始化上下滑动组件
     */
    function initVIScroll(){
    	if(!vIscroll._init){
    		var config = {
    			"isPagingType": false,		//false表示是微博那种累加形式，true表示分页形式
    			"visibleHeight": $(window).height() - $(_pageId+".top_title").height()- $(_pageId+".date_filter").height() , // 滚动组件的高度
    			"container": $(_pageId+" #v_container_funds_jj"),	
    			"wrapper":$(_pageId+" #v_wrapper_funds_jj"),	
    			"downHandle": function() {				//下拉获取上一页数据方法
    				statementQuery(search_type); // 模拟查询接口数据操作
    			},
    			"upHandle": function() {
    			},
    			"wrapperObj": null
    		};
    		vIscroll.scroll = new VIscroll(config); 	//初始化，需要做if(!hIscroll._init)判断
    		vIscroll._init = true; 						//尽量只初始化一次，保持性能
    		
    	}else{
    		vIscroll.scroll.refresh();
    	}
    	$(_pageId + ".visc_pullUp").css("display","none");
    }
	
	/**
	 * 销毁
	 */
	function destroy(){
		common.pageBuryingPoint();
        $(_pageId+".j-position-table").html("");
		$(_pageId + ".top_title .top_nav").hide();
		$(_pageId + " .top_title small").text("一周内");
        $.setSStorageInfo("trade_query_begin_time",'');
        $.setSStorageInfo("trade_query_end_time",'');
        $.setSStorageInfo("trade_query_search_type",'');
        search_type=1;
		if(vIscroll._init){
			vIscroll.scroll.refresh();
		}
	}
	
	
	var base = {
		"init" : init,
		"load" : load,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = base;
});
