/**
 * 北交所-债券现券交易-买入申报 (发起方)
 */
 define('trade/scripts/bond/bjsBond/consultBuy.js', function(require, exports, module) {
	var gconfig = $.config;
	var global = gconfig.global;
	var common = require("common");
	var commonFunc = require("commonFunc");
    var bjsConsultOrder = require("bjsConsultOrder");
	var _pageId = "#bond_bjsBond_consultBuy ";
    var keyboard = require("keyboard");
	var mainHeight = null;
	var _load = false;
    /**
     * 初始化
     */
	function init(){
		mainHeight =  common.setMainHeight(_pageId, false);
        $(_pageId + ".bond-trade-main").css("height",(mainHeight - 45) + "px");
        window.onresize= function(){
            mainHeight = common.setMainHeight(_pageId, false);
            $(_pageId + ".bond-trade-main").css("height",(mainHeight - 45) + "px");
        };
		if(global.requestLocation == 0){
			backgroundInterface();
		}
        if (keyboard) {
            keyboard.keyInit();
        }
		var orderType = "1"; // 1 ，买入  2，卖出
        bjsConsultOrder.dataInit(_pageId,orderType);
    }
		
	function load(){
        _load = true;
        // heightChange();
		if(global.requestLocation == 1){
			backgroundInterface();
		}
	}
	function backgroundInterface(){
	}
	
	/*
	 * 进入二级菜单隐藏tabbar有时不是同步导致高度获取不对
	 */
	function heightChange(){
		$(_pageId + ".ce_btn div.order").css({"padding-top": "3px","line-height":"14px","width":$(_pageId + ".ce_btn a").width(),"display":"inline-block"});
		$(_pageId + ".ce_btn #total").css("display","inline-block");
	}
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
        // 返回按钮事件
        $.bindEvent($(_pageId + ".top_title .icon_back"), function () { 
          commonFunc.appThirdBack($.getCurrentPageObj().pageId, function () {
              $.pageBack();
          });
        });
		common.bindStockEvent($(_pageId + '.tab_nav ul li a'),function(pageCode,topage){
			$.pageInit(pageCode,topage,$.getPageParam(),'',true);
		});
        bjsConsultOrder.elementBindEvent();
	}
	
	/**
	 * 数据重置
	 */
	function destroy(){
		bjsConsultOrder.dataDestroy();
	}
	
	var base = {
		"init" : init,
		"load" : load,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = base;
});
