/**
 * 交易模块公用 js
 */
define('trade/scripts/common/com.js', function (require, exports, module) {
    require("./HseaExtend.js")
    require("./zeptoExtend");
    require("base64");
    require("des");
    require("md5");
    require("ssoUtils");
    require("endecryptUtils");
    var gconfig = $.config;
    var global = gconfig.global;
//  var appropriate = require("appropriate");
    var commonFunc = require("commonFunc");
    var common = require('common');
    var firstJump = false;
    var firstLoad = true;
    if (gconfig.isVConsole) {
        require.async("trade/scripts/common/vconsole.min.js", function () {
            new VConsole();
        });
    }
    var commonModule = null;

    /**
     * 每个页面校验
     */
    function checkPermission(a, checkInParam, b) {
        $('.myConfirm').remove();
        $(" .appropriate").hide();
        $(" .risk_disclosure").hide();
        document.activeElement.blur();
        $.closeModal(".picker-modal.modal-in");
        document.title = '股票交易';
        if (checkInParam) {
            checkInParam.param = $.extend(checkInParam.param || {}, checkInParam.params || {});
            if ($.isClosePushWebView(checkInParam.prePageCode, checkInParam.pageCode, 1)) {
                $.pushWebViewBack();
                return false;
            }
            if (checkInParam.param) {
                var chancel = checkInParam.param.chancel;
                if (chancel) {
                    global.channel = chancel;//渠道
                    $.setSStorageInfo("_channel", chancel);
                }
                var source = checkInParam.param.source;
                if (source) {
                    global.opStationInfo = source;//来源
                    $.setSStorageInfo("_source", source);
                }
                var hardware = checkInParam.param.auth_bind_station;
                if (hardware) {
                    global.hardId = hardware;//硬件特征码
                    $.setSStorageInfo("_hardware", hardware);
                }
                var phone = checkInParam.param.phone;
                if (phone) {
                    global.activePhone = phone;//手机号
                    $.setSStorageInfo("clientid", global.activePhone, true);
                    $.setSStorageInfo("_phone", phone);
                }
                var macAddr = checkInParam.param.mac;
                if (macAddr) {
                    global.macAddr = macAddr;//手机号
                    $.setSStorageInfo("_macAddr", macAddr);
                }
                var thinkive = checkInParam.param.thinkive;
                if (thinkive) {
                    global.callNative = true;//是否是公司app
                    $.setSStorageInfo("_thinkive", thinkive);
                }
            }
            if (checkInParam.pageCode == "account/login") {
                if (global.phoneActivation && !$.getLStorageInfo("cert_no")) {
                    $.pageInit(checkInParam.pageCode, "account/activePhone", checkInParam.param);
                    return false;
                }
            }
            // 如果当前页面处于前台，执行导航栏逻辑，否则不执行
            if (global.callNative && common.isTradeTabbar()) {
                if (checkInParam.pageCode == "account/index" || checkInParam.url.indexOf("account/index") >= 0) {
                    setTimeout(function () {
                        $.callMessage({"moduleName": "trade", "funcNo": "50108", "flag": "1"});
                    }, 300);
                } else if (checkInParam.prePageCode == "account/index") {
                    $.callMessage({"moduleName": "trade", "funcNo": "50108", "flag": "0"});
                }
            }
//			if(checkInParam.pageCode){
//				return appropriate.admittance(checkInParam.pageCode);
//			}

            // var purviewName="" ,methods="" ;//权限的字段名，回调方法
            // //股转系统权限
            // if(checkInParam.pageCode.indexOf("third/") == 0){
            // 	purviewName="three_board_rights";
            // 	methods=function(){
            // 		$.pageInit(checkInParam.pageCode,"third/thirdJurisdiction",checkInParam.param);
            // 	}
            // }
            // //权限校验
            // if(purviewName && methods && !firstJump){
            // 	firstJump = true; //此处必须要这个参数，否则跳转时会循环走权限的逻辑
            // 	var _jurisdiction = commonFunc.getJurisdiction();
            // 	//本地没有缓存权限，则同步查询一次
            // 	if(!_jurisdiction.IsQuerySuccess){
            // 		commonFunc.setJurisdiction(null,function(data){
            // 			if(data.IsQuerySuccess != false && data[purviewName] != "1"){//有返回、无权限
            // 				if(methods) methods();
            // 			}else{
            // 				if(checkInParam.prePageCode =="" || checkInParam.prePageCode == "account/activePhone" || checkInParam.prePageCode == "account/login" || checkInParam.prePageCode == "account/activePhone"){
            // 					$.pageInit(checkInParam.prePageCode,checkInParam.pageCode,checkInParam.param,"",true);
            // 				}else{
            // 					if(checkInParam.animation){
            // 						$.pageInit(checkInParam.prePageCode,checkInParam.pageCode,checkInParam.param);
            // 					}else{
            // 						$.pageInit(checkInParam.prePageCode,checkInParam.pageCode,checkInParam.param,"",true);
            // 					}
            // 				}
            // 			}
            // 		})
            // 		return false;
            // 	}
            // 	//无权限
            // 	else if(_jurisdiction[purviewName] != "1"){
            // 		if(methods) methods();
            // 		return false;
            // 	}
            // }else{
            // 	firstJump = false; //此处必须要这个参数，否则跳转时会循环走权限的逻辑
            // }

        }
        var oldPageCode = checkInParam.pageCode || '';
        oldPageCode = oldPageCode.replaceAll("/", "_");
        $("#" + oldPageCode).css("margin-top", "0px");
        return true;
    }

    /**
     * 首次进入模块的时候，调用
     */
    function firstLoadFunc() {
        $.ssoUtils.checkCookieValidity();//调用加密加签文件里的方法，用于创建商户名
        var _common = null;
        require.async("common", function (module) {
            module.changeTips();
            _common = module;
        });
        var a = {};
        var b = {};
        b["b1"] = "b1";
        b["b2"] = "b2";


//		$("body").append("<div class=\"_jump_layer_mask\"></div>")
        window.sessionStorage["_account_index"] = "";
        if (document.referrer) {
            $.setSStorageInfo("_referrer", document.referrer);
        }
        var urlParams = $.getUrlParams();
        if (urlParams) {
            if (urlParams.app_third) { //三方app来源
                $.setSStorageInfo("app_third", urlParams.app_third);
            }
            if (urlParams.app_third_mainpage) { //三方app来源初始页面
                $.setSStorageInfo("app_third_mainpage", urlParams.app_third_mainpage);
            }
        }
        $.setSStorageInfo("_lastDoTime", new Date().getTime());

        $.bindEvent("body", function () { // 当页面有操作时记录最后操作时间
            $.setSStorageInfo("_lastDoTime", new Date().getTime());
        }, "click");

        $.bindEvent("body", function () { // 当页面有操作时记录最后操作时间
            $(this).unbind("click");
            this.click = null;
            $.setSStorageInfo("_lastDoTime", new Date().getTime());
        }, "touchstart");

        $.modal.prototype.defaults.modalButtonOk = "确定";
        $.showIndicatorHtml = function () {
        };//加载页面等待菊花
        $.hideIndicatorHtml = function () {
        };//加载页面隐藏菊花 把菊花方法重置

        var a = $.alert;
        $.alert = function () {
            $.hidePreloader();
            document.activeElement.blur();
            if (arguments[0]) {
                a(arguments[0], arguments[1], arguments[2], arguments[3]);
            }
        }

//		var b = $.pageInit;
//		$.pageInit = function(){
//			document.activeElement.blur();
//			b(arguments[0],arguments[1],arguments[2],"",arguments[4],arguments[5],arguments[6]);
//		}
//
//		var c = $.pageBack;
//		$.pageBack = function(){
//			document.activeElement.blur();
//			c(arguments[0],"",arguments[2],arguments[3]);
//		}

        $.toastHtml = function () {
            $.alert("网络不通，页面加载失败");
        }; //加载页面如果断网，会有这个提示$.toastHtml("加载失败");，可以重写

        $.showPreloaders = function (content) {
            $("#rewriteWaitingLayer").remove();
            var pageId = '#' + $.getCurrentPageObj().pageId;
            if (typeof (content) == "undefined") {
                content = "";
            }
            var div = '<div id="rewriteWaitingLayer"><div class="prompt_box2">' +
                '<div class="_content">' + content + '<div class="waitingLayer"></div></div></div><div class="shade"></div></div>';
            $(pageId).append(div);
        }

        $.showPreloader = function (content) {
            // $("#rewriteWaitingLayer").remove();
            //   	var pageId = '#'+$.getCurrentPageObj().pageId;
            //   	if(typeof(content) == "undefined"){
            //   		content = "";
            //   	}
            //   	var div='<div id="rewriteWaitingLayer"><div class="topWaitingLayer"></div></div>';
            //   	$(pageId).append(div);

            $("#middleRefresh").remove();
            var pageId = '#' + $.getCurrentPageObj().pageId;
            if (typeof (content) == "undefined") {
                content = "";
            }
            var div = '<div id="middleRefresh"><div class="prompt_box3">' +
                '<div class="_content">' + content + '<div class="waitingLayer"></div></div></div><div class="shade"></div></div>';
            $(pageId).append(div);
        }

        //重写等待转圈的方法 右上角刷新
        $.showRightTopPreloaders = function (content) {
            $("#rewriteWaitingLayer").remove();
            var pageId = '#' + $.getCurrentPageObj().pageId;
            if (typeof (content) == "undefined") {
                content = "";
            }
            var div = '<div id="rewriteWaitingLayer"><div class="topWaitingLayer"></div></div>';
            $(pageId).append(div);
        }

        var d = $.hidePreloader;
        $.hidePreloader = function () {
            $("#rewriteWaitingLayer").remove();
            $("#middleRefresh").remove();
            d();
        }

        funcInit();
        getGlobal();

        if (global.phoneActivation) isUserActive();//判断是否启用手机号激活

        if (global.callNative) getCallNative();
        require.async("zeptoExtend");
        if (global.shareCookie) {
            require.async("aes");
            require.async("endecryptUtils");
        }
        commonFunc.isTradeSZYHQ();
        // saveSsoUserInfo(); //保存原生登录信息
    }

    function saveSsoUserInfo() {
        var ssoUserInfo = $.callMessage({"funcNo": "80039"}); //获取原生op_station
        if (ssoUserInfo.error_no == "0") {
            var paraMap = ssoUserInfo.results[0] || {};
            //查询登录状态
            var results = ""; // 普通
            var RZRQresults = ""; // 信用
            var optionResults = ""; // 期权

            var paramStock = paraMap.Stock;
            var paramCredit = paraMap.StockRZRQ;
            var paramOption = paraMap.StockOption;

            if (paramStock) {
                if (paramStock && typeof (paramStock) == "string") {
                    paramStock = JSON.parse(paramStock);
                    results = paramStock.results;
                } else {
                    results = paramStock.results;
                }
                if (results) {
                    if (results && typeof (results) == "string") {
                        results = JSON.parse(results);
                        results = results.results;
                    } else {
                        results = results.results;
                    }
                }
            }
            if (paramCredit) {
                if (paramCredit && typeof (paramCredit) == "string") {
                    paramCredit = JSON.parse(paramCredit);
                    RZRQresults = paramCredit.results;
                } else {
                    RZRQresults = paramCredit.results;
                }
                if (RZRQresults) {
                    if (RZRQresults && typeof (RZRQresults) == "string") {
                        RZRQresults = JSON.parse(RZRQresults);
                        RZRQresults = RZRQresults.results;
                    } else {
                        RZRQresults = RZRQresults.results;
                    }
                }
            }
            if (paramOption) {
                if (paramOption && typeof (paramOption) == "string") {
                    paramOption = JSON.parse(paramOption);
                    optionResults = paramOption.results;
                } else {
                    optionResults = paramOption.results;
                }
                if (optionResults) {
                    if (optionResults && typeof (optionResults) == "string") {
                        optionResults = JSON.parse(optionResults);
                        optionResults = optionResults.results;
                    } else {
                        optionResults = optionResults.results;
                    }
                }
            }
            if (results || RZRQresults || optionResults) {

                // require.async("common",function(module){

                if (results != undefined) {//判断是否存在普通
                    if (results != "") {
                        $.hidePreloader();
                        results[0]._loginClass = "0";
                        results[0].loginType = "0"; //保存登录类型
                        results[0]._acct_type = "201";
                        results[0].password = paramStock.password; // 保存交易密码
                        results[0]._input_content = results[0].fund_account;
                        results[0]._uniqueness = results[0].cust_code + "|" + results[0].fund_account;
                        commonModule.setCurUserInfo(results[0]);//页面获取的用户信息
                        commonModule.setAccountInfos(results);//权限等信息从这里获取
                        commonFunc.setNewStockAccount(results[0]);//查询股转股东账号
                    }
                }

                if (RZRQresults != undefined) {//判断是否存在两融
                    if (RZRQresults != "") {
                        //保存两融用户信息
                        RZRQresults[0].loginType = "0"; //保存登录类型
                        RZRQresults[0]._loginClass = "1";
                        RZRQresults[0]._acct_type = "202";
                        RZRQresults[0].password = paramCredit.password; // 保存交易密码
                        RZRQresults[0]._input_content = RZRQresults[0].fund_account;
                        RZRQresults[0]._uniqueness = RZRQresults[0].cust_code + "|" + RZRQresults[0].fund_account;
                        commonModule.setCurUserInfo(RZRQresults[0]);//页面获取的用户信息
                        commonModule.setAccountInfos(RZRQresults);//权限等信息从这里获取
                    }
                }

                if (optionResults != undefined) {//判断是否存在期权
                    if (optionResults != "") {
                        //保存期权用户信息
                        optionResults[0].loginType = "2"; //保存登录类型
                        optionResults[0]._loginClass = "2";
                        optionResults[0]._acct_type = "204";
                        optionResults[0].password = paramOption.password; // 保存交易密码
                        optionResults[0]._input_content = optionResults[0].fund_account;
                        optionResults[0]._uniqueness = optionResults[0].cust_code + "|" + optionResults[0].fund_account;
                        commonModule.setCurUserInfo(optionResults[0]);//页面获取的用户信息
                        commonModule.setAccountInfos(optionResults);//权限等信息从这里获取
                    }
                }
                // });


                //当前用户登录的主账户，用于判断原生进入新股申购和银证转账页面
                if (paraMap.main_acct == "204") {
                    sessionStorage.setItem("currentMainAccount", "0");
                } else if (paraMap.main_acct == "202") {
                    sessionStorage.setItem("currentMainAccount", "1");
                } else {
                    sessionStorage.setItem("currentMainAccount", "0");
                }
            }
        }
    }

    function funcInit() {
        /**
         * 获取数据的长度，和对象的属性个数
         * @param {Object} obj
         */
        $.size = function (obj) {
            if (obj) {
                if (typeof (obj) == "string" || obj instanceof Array) {
                    return obj.length;
                } else if (typeof (obj) == "object") {
                    return Object.getOwnPropertyNames(obj).length
                } else if (typeof (obj) == "number") {
                    return (obj + "").length;
                }
            } else {
                return 0;
            }
        }
        /**
         * 判断数据的值是否有用的值
         * @param {Object} v
         */
        $.isValue = function (v) {
            if (v && $.size(v) > 0) {
                if (typeof (v) == "string") {
                    v = $.trim(v);
                    if (v == "" || v == "null" || v == "undefined" || v == "false") {
                        return false;
                    } else {
                        return true;
                    }
                } else {
                    return true;
                }
            } else {
                return false;
            }
        }
    }

    function getGlobal() {
        var channel = $.getSStorageInfo("_channel");
        if (channel) {
            global.channel = channel;
        }
        var source = $.getSStorageInfo("_source");
        if (source) {
            global.opStationInfo = source;
        }
        var hardware = $.getSStorageInfo("_hardware");
        if (hardware) {
            global.hardId = hardware;
        }
        var macAddr = $.getSStorageInfo("_macAddr");
        if (macAddr) {
            global.macAddr = macAddr;
        }
        var thinkive = $.getSStorageInfo("_thinkive");
        if (thinkive) {
            global.callNative = true;
        }
    }

    /**
     * 判断用户是否激活
     */
    function isUserActive() {
        var phoneNum = $.getLStorageInfo("mobilePhone");
        var hardsn = $.getLStorageInfo("cert_no");
        if (phoneNum && hardsn) {
            global.activePhone = phoneNum;//手机号
            $.setSStorageInfo("clientid", global.activePhone, true);
            if (global.activationTime) {
                var hardsns = hardsn.split("|");
                if (new Date().getTime() - Number(hardsns[0]) < 1000 * 60 * 60 * global.activationTime) {
                    queryActivation(phoneNum, hardsn);
                } else {
                    $.clearLStorage("cert_no");
                }
            } else {
                queryActivation(phoneNum, hardsn);
            }
        }
    }

    function queryActivation(phoneNum, hardsn) {//手机绑定 399904    查询是否绑定 399905
        var parem = {
            "funcNo": "399905",
            "phone": phoneNum,
            "hardsn": hardsn
        };
        $.ajax({
            url: global.unifyUrl,
            type: "post",
            data: parem,
            async: true,
            timeout: "10000",
            dataType: "json",
            success: function (data) {
                if (data) {
                    if (data.error_no == 0) {
                        if (data.results && data.results[0] && data.results[0].flag == "1") {
                            global.activePhone = phoneNum;//手机号
                            $.setSStorageInfo("clientid", global.activePhone, true);
//							$.setSStorageInfo("_isActivation","true");
                        } else {
                            global.activePhone = '';//手机号
                            $.setSStorageInfo("clientid", global.activePhone, true);
                            $.clearLStorage("cert_no");
                        }
                    }
                }

            },
            error: function (xhr, errorCode) {
            }
        });
    }


    function checkFunc(url, noAnimation, replace, reload, param, pagecode, prePageCode, _callback, direct) {
        require.async("common", function (cmodule) {
            commonModule = cmodule;
            if (firstLoad) {
                saveSsoUserInfo();
                firstLoad = false;
            }
            // 新框架或者其他通过新开webview打开交易模块的情况下，
            // 通过url传参 switchUserInfo 来切换用户信息
            var urlParams = $.getUrlParams();
            if (urlParams && urlParams.switchUserInfo != '' && urlParams.switchUserInfo != undefined && urlParams.switchUserInfo != null) {
              cmodule.switchingCurUser(urlParams.switchUserInfo);//切换用户
            }
            var pageCode = pagecode;
            var paramMap = {};
            if (param) {
                paramMap.param = param || {};
                paramMap.topage = pagecode;
            } else {
                paramMap = param || {};
            }
            var a = false;
            var _isLoginIn = $.getSStorageInfo("_isLoginIn");//是否登录的标志
            if (_isLoginIn) {
                if (pagecode.indexOf("stock/") == 0) {
                    if (_isLoginIn.indexOf("_stock") != -1) {
                        a = true;
                    }
                } else if (pagecode.indexOf("credit/") == 0) {
                    if (_isLoginIn.indexOf("_credit") != -1) {
                        a = true;
                    }
                } else if (pagecode.indexOf("option/") == 0) {
                    if (_isLoginIn.indexOf("_option") != -1) {
                        a = true;
                    }
                } else if (pagecode.indexOf("financial/") == 0) {
                    if (_isLoginIn.indexOf("_financial") != -1) {
                        a = true;
                    }
                } else {
                    a = true;
                }
            }
            if (!a) {
                if (global.callNative && global.isSso) {
                    if (pageCode.indexOf("credit/") == 0) {
                        if (paramMap.param) {
                            paramMap.param.switchUserInfo = "1";
                        }
                    } else if (pageCode.indexOf("option/") == 0) {
                        if (paramMap.param) {
                            paramMap.param.switchUserInfo = "2";
                        }
                    } else {
                        if (paramMap.param) {
                            paramMap.param.switchUserInfo = "0";
                        }
                    }
                }
                commonFunc.login(pageCode, "account/login", paramMap, paramMap, function () {
                    if (pageCode == "account/login") {
                        $.pageInit(pageCode, "account/index", {}, "", true);
                    }
                }, "", true);
            } else {
                $.pageInit(pageCode, pageCode, paramMap, "", true);
            }
        });

    }


    function getCallNative() {
        require.async("msgFunction", function (module) {
            $.callMessage({"funcNo": "50100", "moduleName": "trade"});
            //查询登录状态
            $.callMessage({
                "funcNo": "99911",
                "sourceModule": "trade",
                "targetModule": "sso",
                "login_type": "2",
                "account_type": "C",
                "net_channel": "trade",
            });

            var tradeURL = $.callMessage({"moduleName": "trade", "serverName": "URL_TRADE", "funcNo": "50112"});
            if (tradeURL && (tradeURL.error_no == 0) && tradeURL.results[0].url) {
                var result = tradeURL.results[0].url;
                if (result.indexOf("/servlet/") != -1) {
                    result = result.substring(0, result.indexOf("/servlet/"));
                }
                global.serverPathTrade = result + "/servlet/json";//交易地址
                global.serverPath = result + "/servlet/json";//统一登录
                global.validateimg = result + "/servlet/NewImage";//验证码
//				global.HqUrl = result+"/servlet/MarketAction";//行情
            }
            var HqUrl = $.callMessage({"moduleName": "trade", "serverName": "HQ_URL_HTTP", "funcNo": "50112"});
            if (HqUrl && (HqUrl.error_no == 0) && HqUrl.results[0].url) {
                global.HqUrl = HqUrl.results[0].url;
            }
            //加入获取原生配置的资讯地址，主要用于首页面查询可认购的新股数目
            var newshareUrlData = $.callMessage({
                "moduleName": "trade",
                "serverName": "HQ_INFO_URL",
                "funcNo": "50112"
            });
            if (newshareUrlData && (newshareUrlData.error_no == 0) && newshareUrlData.results[0].url) {
                global.newshareUrl = newshareUrlData.results[0].url;
            }

            //获取商城地址
            var mallUrl = $.callMessage({"moduleName": "trade", "serverName": "MALL_URL", "funcNo": "50112"});
            if (mallUrl && (mallUrl.error_no == 0) && mallUrl.results[0].url) {
                if (mallUrl.results[0].url) {
                    global.mallUrl = mallUrl.results[0].url;
//					console.log("商城地址："+mallUrl.results[0].url);
                }
            }

//			获取人工智能地址(账单分析)
            var intelligenceUrl = $.callMessage({
                "moduleName": "trade",
                "serverName": "Home_ZhiNeng_URL1",
                "funcNo": "50112"
            });
            if (intelligenceUrl && (intelligenceUrl.error_no == 0) && intelligenceUrl.results[0].url) {
                if (intelligenceUrl.results[0].url) {
                    global.intelligenceUrl = intelligenceUrl.results[0].url;
//					console.log("人工智能地址（账单分析）："+intelligenceUrl.results[0].url);
                }
            }

//			获取人工智能地址(预约打新)
            var reservationUrl = $.callMessage({
                "moduleName": "trade",
                "serverName": "Home_ZhiNeng_URL2",
                "funcNo": "50112"
            });
            if (reservationUrl && (reservationUrl.error_no == 0) && reservationUrl.results[0].url) {
                if (reservationUrl.results[0].url) {
                    global.reservationUrl = reservationUrl.results[0].url;
//					console.log("人工智能地址（预约打新）："+reservationUrl.results[0].url);
                }
            }

            //获取综合业务地址
            var unifyUrl = $.callMessage({"moduleName": "trade", "serverName": "ZHYW_URL", "funcNo": "50112"});
            if (unifyUrl && (unifyUrl.error_no == 0) && unifyUrl.results[0].url) {
                if (unifyUrl.results[0].url) {
                    global.unifyUrl = unifyUrl.results[0].url;
                }
            }

            //获取新框架地址
            var newFrameUrl = $.callMessage({"moduleName": "trade", "serverName": "HJSC_FRAME", "funcNo": "50112"});
            if (newFrameUrl && (newFrameUrl.error_no == 0) && newFrameUrl.results[0].url) {
                if (newFrameUrl.results[0].url) {
                    global.newFrameUrl = newFrameUrl.results[0].url;
                }
            }
            //恒生智能条件单地址
            if(common.compareVersion('6.0.0')){
                var zntjd = $.callMessage({"moduleName": "trade", "serverName": "HJSC_HS_TJD", "funcNo": "50112"});
                if (zntjd && (zntjd.error_no == 0) && zntjd.results[0].url) {
                    if (zntjd.results[0].url) {
                        global.zntjd = zntjd.results[0].url;
                    }
                }
            }
            //获取业务办理地址
            var ygtUrl = "";
            // if($.device.iPad || $.device.iPhone || $.device.ios){
            // 	ygtUrl=$.callMessage({"moduleName":"trade","serverName":"SERVICE_URL","funcNo":"50112"});
            // }else if($.device.android){
            // 	ygtUrl=$.callMessage({"moduleName":"trade","serverName":"URL_WT","funcNo":"50112"});
            // }
            ygtUrl = $.callMessage({"moduleName": "trade", "serverName": "YWBL_HTTP_URL", "funcNo": "50112"});
            if (ygtUrl && ygtUrl != "") {
                if ((ygtUrl.error_no == 0) && ygtUrl.results[0].url) {
                    if (ygtUrl.results[0].url) {
                        //截取如："http://140.207.41.22:8807/m/"
                        ygtUrl = ygtUrl.results[0].url;
                        var tempMatch = ygtUrl.match(/(\S*)ygt/);
                        if (tempMatch && tempMatch.length > 0) {
                            ygtUrl = tempMatch[1];
                        }
                        global.ygtUrl = ygtUrl;
                        // if (ygtUrl) {
//							console.log("业务办理地址："+ygtUrl);
//                         }
                    }
                }
            }
        });
        require.async("", function (module) {
        });
    }


    var base = {
        "checkPermission": checkPermission,
        "firstLoadFunc": firstLoadFunc,
        "checkFunc": checkFunc
    };

    module.exports = base;
});
