/**
 * 公共撤单页面的写法
 */
define('trade/scripts/common/publicCancel.js', function(require, exports, module) {
	var gconfig = $.config;
	var global = gconfig.global;
	var common = require("common");
	var publicService = require("service");
	var service_common = require("service_common");
//	var downslide = new (require("downslide")).Downslide();
	var pagingNum = global.pagingNum;
	var userInfo = null;
    var _pageId = "";
    var queryFuncNo = "";
    var queryParam = {};
    
    var cancelFuncNo = "";
    var cancelParam = {};
    
    var slideHeight = null;
    var cancel_order = null;
    var _data = {};
	var dataResults = null;
	var intResults = 0;
	var interfaceNum = 0;
	var interfaceData = {};
	var statParam = [];
	var iscrollUtils = require("iscrollUtils");
	var myScroller = null; // 滑动组件对象
	var slideHeight = null;
	var load_finished=false;
    
	
	/**
     * 初始化
     */
	function init(data, pageId){
		userInfo = common.getCurUserInfo();
		queryFuncNo = data.queryFuncNo;
		queryParam = queryParam || {};
		_data = data.htmlData;
		cancelFuncNo = data.cancelFuncNo;
		cancelParam = data.cancelParam;
		statParam = data.statParam;
		if(pageId){
			_pageId = pageId;			
		}
		else{
			_pageId = "#"+$.getCurrentPageObj().pageId + " ";
		}
//		downslide.addSlide();
		cancel_order = $(_pageId+" .cancel_order");
		if(global.requestLocation == 0){
			backgroundInterface();
		}
    }
		
	function load(){
		slideHeight = common.setMainHeight(_pageId, false) - ($(_pageId + " .tab_nav").outerHeight(true) || 0) - ($(_pageId + " .toggle_nav").outerHeight(true) || 0) - ($(_pageId + " .date_filter").outerHeight(true) || 0) - Number($(_pageId + ".main").css("margin-top").slice(0, -2) || 0);
//		downslide.slideInit(slideHeight,downQuery,pullQuery);
		if(global.requestLocation == 1){
			backgroundInterface();
		}
	}
	function backgroundInterface(){
		interfaceNum = 0;
		interfaceData = {};
		cancel_order.html("");
		cancel_order.attr("style","");
		callsQuery();
	}
	function downQuery(){
		//埋点
		var objectId = $(_pageId+" #wrapper").attr("objectId");
		var actionId = $(_pageId+" #wrapper").attr("actionId");
		common.comStat(objectId,2,actionId,true,{"i_direct": "1","i_type":"1" });
		interfaceNum = 0;
		interfaceData = {};
		cancel_order.html("");
		cancel_order.attr("style","");
		callsQuery();
	}
//	function pullQuery(){
//		//埋点
//		var objectId = $(_pageId+" #wrapper").attr("objectId");
//		var actionId = $(_pageId+" #wrapper").attr("actionId");
//		common.comStat(objectId,2,actionId,true,{"i_direct": "1","i_type":"1" });
//		
//		if(pagingNum != 0){
//			if($.isValue(dataResults)){
//				callsUpHandler();
//			}
//			else{
//				var position_str = cancel_order.find(".part").last().attr("position_str");
//				callsQuery({"position_str":position_str});
//			}
//		}
//	}
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		// 刷新
		$.bindEvent($(_pageId + ".header .icon_refresh"), function(e){
			$.showRightTopPreloaders();
			backgroundInterface();
			var objectId = $(this).attr("objectId");
			var actionId = $(this).attr("actionId");
			common.comStat(objectId,2,actionId,true,{"i_group_name":"刷新"});
			e.stopPropagation();
		});
	}
	
	/**
	 * 委托查询
	 */
	function callsQuery(para_map){
		var param = $.cloneFun(queryParam);
		param.funcNo = queryFuncNo;
		
	 	param.entrust_way = global.entrust_way;
	    param.branch_no =  userInfo.branch_no;
	    param.fund_account =  userInfo.fund_account;
	    param.cust_code =  userInfo.cust_code;
	    param.password =  userInfo.password;
	    param.session_id =  userInfo.session_id;
	    
		param.position_str = "";
		param.request_num = pagingNum || "";
		if($.isValue(para_map)){
			for(t in para_map){
				param[t] = para_map[t];
			}
		}
		$.clearRequest();
		service_common.serviceCommonInvoke($.cloneFun(param),queryCallback,
			{
			"isLastReq":true,
			"isShowWait":true,
			"isShowOverLay":false,
			"errorFunc":function(){ // 超时调用方法
//				downslide.slideRefresh();
//				downslide.loadFinished();
				if(!myScroller){
					initScroller();
				}else{
					myScroller.refresh();
				}
				loadFinished();
				showNoData();
	        },
			"timeOutFunc":function(){ // 超时调用方法
				if(!myScroller){
					initScroller();
				}else{
					myScroller.refresh();
				}
				loadFinished();
//				downslide.slideRefresh();
//				downslide.loadFinished();
				showNoData();
	        }
		});
	}
	
	function showNoData(){
		if(cancel_order && cancel_order.find(".part").length == 0){
			common.setNoData(true,"暂无可撤单记录").height(slideHeight);
//			downslide.hidePullUp();
			if(!myScroller){
				initScroller();
			}else{
				myScroller.refresh();
			}
		}
	}
	
	/**
	 * 委托查询回调
	 */
	function queryCallback(data){
		dataResults = null;
		intResults = 0;
		if(data){
			if(data.error_no == 0){
				var results = data.results;
				if(results.length>0 && results!= "undefined"){
					var html = [];
					var i = 0;
					var r = results.length;
					if(r > pagingNum && pagingNum != 0){
						for (; i < r && i < pagingNum; i++){
							if($.isValue(results[i].stock_name_long)) results[i].stock_name = results[i].stock_name_long;
							 html.push(queryEntrustHTML(results[i]));
						}
						dataResults = results;
						intResults = i;
					}
					else{
						for (; i < r; i++){
							if($.isValue(results[i].stock_name_long)) results[i].stock_name = results[i].stock_name_long;
							html.push(queryEntrustHTML(results[i]));
						}
						dataResults = null;
						intResults = 0;
					}
					if(r < pagingNum){
//						downslide.loadFinished();
						loadFinished();
					}
					cancel_order.html(html.join(""));
					if(cancel_order.height() <= slideHeight){
						cancel_order.height(slideHeight);
					}
					else{
						cancel_order.attr("style","");
					}
					bindEvent();
					common.setNoData(false);
//					downslide.slideRefresh();
					if(!myScroller){
						initScroller();
					}else{
						myScroller.refresh();
					}
				}else{
					if(!myScroller){
						initScroller();
					}else{
						myScroller.refresh();
					}
					loadFinished();
//					downslide.slideRefresh();
//					downslide.loadFinished();
					showNoData();
				}
			}
			else{
				$.alert(data.error_info);
//				downslide.slideRefresh();
				if(!myScroller){
					initScroller();
				}else{
					myScroller.refresh();
				}
			}
		}
	}
	
	
	    
//  function callsUpHandler(){
//		var results = dataResults;
//		var t = results.length;
//		var i = intResults;
//		if(results && t > 0 && i < t){
//			var html = [];
//			for (;i < t && i < (intResults + pagingNum); i++){
//				 html.push(queryEntrustHTML(results[i]));
//			}
//			intResults = i;
//			cancel_order.append(html.join(""));
//			if(cancel_order.height() <= slideHeight){
//				cancel_order.height(slideHeight);
//			}
//			else{
//				cancel_order.attr("style","");
//			}
//			bindEvent();
//		}
////		downslide.slideRefresh();
//		if(!myScroller){
//			initScroller();
//		}else{
//			myScroller.refresh();
//		}
//		if(intResults == t){
////			downslide.loadFinished();
//			loadFinished()
//		}
//	}
	
	
	/**
	 * 委托查询HTML生成
	 */
	function queryEntrustHTML(element){
		var eleHtml = [];
		interfaceNum++;
    	interfaceData[""+interfaceNum] = element;
		var top = _data.topDiv;
      	eleHtml.push("<div class=\"part\" data-id=\""+interfaceNum+"\" position_str=\""+element.position_str+"\">");
      	if($.isValue(top)){
      		var css = "";
      		if(top.css){
      			if(typeof(top.css) == "function"){
      				css = top.css(element);
      			}
      			else{
      				css = top.css;
      			}
      		}
      		else{
      			if($.inArray(element.entrust_bs, ["0","2","4","60","62","64","66","68","70","101","103"]) != -1 || $.inArray(element.business_flag, ["20","17"]) != -1){
      				css = "n1";
      			}else if($.inArray(element.entrust_bs, ["1","3","5","61","63","65","67","69","71","102","104"]) != -1 || $.inArray(element.business_flag, ["21","28"]) != -1){
      				css = "n2";
      			}
      		}
	        eleHtml.push("<div class=\"title\">");
	        if(top.entrust){
		        eleHtml.push("<span class=\"tag "+css+"\">"+pjcs2(element,top.entrust)+"</span>");
	        }
			eleHtml.push("<strong style='display: inline-block;transform-origin: left;transform:scale("+$.getTransformScale(pjcs2(element,top.name), 14, $(window).width() * 0.4)+")'>"+pjcs2(element,top.name)+"</strong><small>"+pjcs2(element,top.code)+"</small>");
	        eleHtml.push("<a href='javascript:void(0);' class='remove_btn'>撤单</a>");
			eleHtml.push("</div>");
      	}
        eleHtml.push("<ul>");
        var list = _data.liList;
        for(var i = 0; i < list.length; i++){
	    	eleHtml.push("<li><span>"+pjcs0(element,list[i][0])+" </span><p>"+pjcs1(element,list[i][1])+"</p></li>");
        }
        eleHtml.push("</ul></div>");
		return eleHtml.join("");
	}
	
	/**
	 * 拼接数据 数组0位的
	 * @param {Object} element
	 * @param {Object} text
	 */
	function pjcs0(element, text){
		return typeof(text) == "function" ? text(element) : text;
	}
	/**
	 * 拼接数据 数组1位的
	 * @param {Object} element
	 * @param {Object} text
	 */
	function pjcs1(element, text){
		var value = "";
		if(text && typeof(text) == "string"){
			value = element[text] || "";
		}
		else if(text && typeof(text) == "function"){
			value = text(element);
		}
		if(value == ""){
			value = "--";
		}
		return value;
	}
	/**
	 * 拼接数据 数组1位的
	 * @param {Object} element
	 * @param {Object} text
	 */
	function pjcs2(element, text){
		var value = "";
		if(text && typeof(text) == "string"){
			value = element[text] || "";
		}
		else if(text && typeof(text) == "function"){
			value = text(element);
		}
//		if(value == ""){
//			value = "--";
//		}
		return value;
	}
	
	/**
	 * 绑定撤单事件
	 */
	function bindEvent(){
		$.bindEvent($(_pageId+".cancel_order .part a.remove_btn"), function(e){
			//埋点
			var objectId = $(_pageId+" .cancel_order").attr("objectId");
			var actionId = $(_pageId+" .cancel_order").attr("actionId");
			var name = $(_pageId+" .cancel_order").attr("name");
			common.comStat(objectId,2,actionId,true,{"i_group_name":name});
		
			var $this = $(this).parents("div.part");
			var id = $this.attr("data-id");
			var element = interfaceData[id];
			var tipStr = _data.tipStr;
			var tipStrArray = [];
	      	if($.isValue(tipStr)){
		      	for(var i = 0; i < tipStr.length; i++){
                    // 期权合约名称过长，自适应
                    if(tipStr[i][1] === "option_name"){
                        tipStrArray.push([pjcs0(element,tipStr[i][0]), "<em style='white-space:nowrap;zoom:" + $.getTransformScale(pjcs2(element,tipStr[i][1]), 16, $(window).width() * 0.3) + ";'>" + pjcs2(element,tipStr[i][1]) +  "</em>"]);
                    }else{
                        tipStrArray.push([pjcs0(element,tipStr[i][0]), pjcs2(element,tipStr[i][1])]);
                    }
		      	}
	      	}
			var tipStr = "<div ><p>"+userInfo.client_name+" ("+common.setAsteriskHide(userInfo.fund_account,4,4,4)+")</p>";
			tipStr += common.generatePrompt(tipStrArray);
			tipStr += "</div>";
			
			//埋点数据
			var order_objectId = $(_pageId+" .main").attr("objectId");
			var order_actionId = $(_pageId+" .main").attr("actionId");
			var comStatParam={
				"i_entrust_bs":element.entrust_type, // 交易方向( 1,买入 2,卖出)
				"i_stock_code":element.stock_code || tipStr[i][0], // 股票代码
				"i_stock_name":element.stock_name || tipStr[i][1], // 股票名称
				"i_entrust_prop":element.entrust_bs, // 委托属性
				"i_exchange_type":element.exchange_type || cancelParam.exchange_type, // 交易市场
				"i_entrust_price":element.entrust_price || tipStr[i][3], // 选择后的价格
				"i_entrust_amount":element.entrust_amount || tipStr[i][4], // 委托数量
			}
			common.iConfirm("撤单确认",tipStr,function(){
				var cancel = _data.cancel;
				var page = {};
				if($.isValue(cancel)){
			      	for(var i = 0; i < cancel.length; i++){
			      		var name = cancel[i][0];
			      		page[""+name] = pjcs2(element,cancel[i][1]);
			      	}
		      	}
				cancellation(page); // 确认撤单
				comStatParam.i_oper = "1"; // 动作（1确定 2取消）
				common.comStat(order_objectId,2,order_actionId,false,comStatParam);
			},function(){
				comStatParam.i_oper = "2"; // 动作（1确定 2取消）
				common.comStat(order_objectId,2,order_actionId,false,comStatParam);
			});
			e.stopPropagation();
		});
	}
	
	function cancellation(Param){
		var param = Param;
		param.funcNo = cancelFuncNo;
		
	 	param.entrust_way = global.entrust_way;
	    param.branch_no =  userInfo.branch_no;
	    param.fund_account =  userInfo.fund_account;
	    param.cust_code =  userInfo.cust_code;
	    param.password =  userInfo.password;
	    param.session_id =  userInfo.session_id;
	    
		if($.isValue(cancelParam)){
			for(t in cancelParam){
				param[t] = cancelParam[t];
			}
		}
		service_common.serviceCommonInvoke($.cloneFun(param),function(data){
			$.hidePreloader();
			if(data){
				if (data.error_no == 0) {	
					if($.isValue(data.results)){
						$.alert("撤单已提交",function(){
//							downslide.loadReload();
							if(!myScroller){
								initScroller();
							}else{
								myScroller.refresh();
							}
							interfaceNum = 0;
							interfaceData = {};
							cancel_order.html("");
							cancel_order.attr("style","");
							callsQuery();
						});
					}
				}else{  
					$.alert(data.error_info);
				}
			}else{
				$.alert("撤单失败");
			}
		},
			{
			"isLastReq":true,
			"isShowWait":true,
			"isShowOverLay":false,
			"errorFunc":function(){ // 超时调用方法
				$.hidePreloader();
				$.alert("撤单失败");
	        },
			"timeOutFunc":function(){ // 超时调用方法
				$.hidePreloader();
				$.alert("撤单失败");
	        }
		});
		$.showPreloaders("请等待...");
	}
	
	/**
	 * 初始化滑动组件
	 */
	function initScroller(){
		var hasPullUp = true;
		if(!global.pagingNum || global.pagingNum == 0){
			hasPullUp = false;
		}
		var scrollOptions = {
			scrollerHeight: slideHeight, // 滚动组件的高度
			pullThreshold: 5, // 拖动刷新或者加载的阀值，默认 5 像素
			$wrapper: $(_pageId + " #wrapper"),
			hasPullDown: true, // 是否显示下拉提示，默认 true
			hasPullUp: hasPullUp, // 是否显示上拉提示，默认 true
			isAlwaysShowPullUp: false, // 是否一直显示上拉提示，true 一直显示上拉加载的提示，false 仅在上拉的时候显示提示，默认 true
			pullDownHandler: function(){
				downQuery(); // 模拟查询接口数据操作
			},
			pullUpHandler: function(){
//				if(!load_finished){
//					pullQuery();
//				}else{
//					if(myScroller){
//						myScroller.refresh();
//					}
//					loadFinished();
//				}
			}
		};
		if(!myScroller)
		{
			// 内容的高度比滚动区域高度小时
			// iscrollUtils 已有相同判断的代码，此处这样写的目的是为了解决 Android UC、微信等浏览器滚动失效的问题，在 iscrollUtils 设置高度，在初始化组件时，取到的值不准确
			if(scrollOptions.$wrapper.find("[data-is-content='true']").height() <= scrollOptions.scrollerHeight)
			{
				scrollOptions.$wrapper.children().height(scrollOptions.scrollerHeight + 1);
			}
			myScroller = iscrollUtils.vScroller(scrollOptions);
		}
		else
		{
			myScroller.refresh();
		}
	}
	function loadFinished(){
		load_finished = true;
		$(_pageId+" .iscroll_pullUp").html("<div class='load_finished'>已经没有数据了</div>");
	};
	
	/**
	 * 销毁
	 */
	function destroy(){
		_pageId = "";
    	queryFuncNo = "";
    	queryParam = {};
    	cancelFuncNo = "";
    	cancelParam = {};
    	slideHeight = null;
		dataResults = null;
		intResults = 0;
    	_data = {};
    	interfaceNum = 0;
    	interfaceData = {};
    	if(cancel_order){
			cancel_order.html("");
			cancel_order.attr("style","");
    	}
		cancel_order = null;
		if(myScroller)
		{
			myScroller.destroy();
			myScroller = null;
		}
		load_finished=false;
//		downslide.slideDestroy();
	}
	
	var base = {
		"init" : init,
		"load" : load,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = base;
});
