/**
 * 信用交易-下单首页
 */
define('trade/scripts/credit/order/mainOrder.js', function(require, exports, module) {
    var _pageId = "#credit_order_mainOrder ";
	var common = require("common");
	var commonFunc = require("commonFunc");
	var gconfig = $.config;
	var global = gconfig.global;
    var userInfo;
    /**
     * 初始化
     */
	function init(){
		common.pageBuryingPoint("105029");
		common.bindStockEvent($(_pageId + '.tab_nav ul li a'),true);
		
		common.bindStockEvent($(_pageId + ".order_nav ul li a"));
		userInfo = common.getCurUserInfo();
		$(_pageId+"#creditAccountInfo").text(userInfo.fund_account+" "+userInfo.client_name);
    }
	
	function load(){
		var mianHeight = common.setMainHeight(_pageId, true);
		var orderHeigt = mianHeight-$(_pageId + ".main .tab_nav").outerHeight();
		$(_pageId + " .main .order_nav").height(orderHeigt-11).css("overflow","auto");
	}
	
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		//返回按钮
		$.bindEvent($(_pageId + ".top_title .icon_back"), function(e){
			setTimeout(function () {
				$(this).unbind(e.type);
				this[e.type] = null;
				commonFunc.appThirdBack('credit_order_mainOrder', function () {
					$.pageInit("credit/order/mainOrder", "account/index", {"history": true}, "left", true);
				});
				e.preventDefault();
				e.stopPropagation();
			},300);
		});
		
		//头部标题切换——普通交易
//		$.bindEvent($(_pageId + ".title_block .pub_title_box a"),function() {
//			var type=$(this).attr("type");
//			common.switchingCurUser(type);
//			if(type=="0"||type=="1"){
//				$.pageInit("credit/order/mainOrder","account/index",{"_loginClass":"0"});
//			}else if(type=="2"){
//				$.pageInit("credit/order/mainOrder","account/index",{"_loginClass":"2"});
//			}
//		});
		//头部标题切换——个股期权
//		$.bindEvent($(_pageId + ".title_block .pub_title_box a:eq(2)"),function() {
//			common.switchingCurUser("2");
//			$.pageInit("credit/order/mainOrder","account/index",{"_loginClass":"2"});
//		});
		
	}
    
	/**
	 * 销毁
	 */
	function destroy(){
		common.pageBuryingPoint();
	}
	
	
	var base = {
		"init" : init,
		"load": load,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = base;
});