/**
 * ETF基金-菜单页
 */
define('trade/scripts/fund/etfFund/home.js', function(require, exports, module) {
	var common = require("common");
	var gconfig = $.config; 
    var global = gconfig.global;
    var _pageId = "#fund_etfFund_home ";

    /**
     * 初始化
     */
	function init(){
		$(_pageId+" .search_nav ul li[gth"+global.serverConfig+"]").hide();
		//T2、顶点
		if(global.serverConfig == "2" || global.serverConfig == "3"){
			$(_pageId+".etfLi1").attr("to-page","fund_etfFund_etfSubscribe");
			$(_pageId+".etfLi2").attr("to-page","fund_etfFund_etfRedeem");
		}else{
			$(_pageId+".etfLi1").attr("to-page","fund_etfFund_etfSubscribeOther");
			$(_pageId+".etfLi2").attr("to-page","fund_etfFund_etfRedeemOther");
		}
		jumpPageEvent();
    }
		
	function load(){
		var mainHeight = common.setMainHeight(_pageId, false);
		var height_search = mainHeight - $(_pageId+".tab_nav").outerHeight(true);
		$(_pageId+" .main .search_nav").height(height_search-10).css("overflow-y","auto"); //查询目录添加高度
	}
	/**
	 * 跳转页面事件
	 * $(this).unbind();
	 * this.click = null;
	 */
	function jumpPageEvent(){
		//返回按钮
		$.bindEvent($(_pageId + ".top_title .icon_back"), function(e){
			$(this).unbind(e.type);
			this[e.type] = null;
			$.pageInit("fund/etfFund/home","account/index",{"history":true},"left",true);
			e.stopPropagation();
			e.preventDefault();
		});
		
		common.bindStockEvent($(_pageId + '.search_nav ul li a'));
	}
	
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		
	}
    
	/**
	 * 销毁
	 */
	function destroy(){

	}
	
	var base = {
		"init" : init,
		"load" : load,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = base;
});