/**
 * ETF基金-网下认购委托查询
 */
define('trade/scripts/fund/etfFund/queryOfflineSubscription.js', function(require, exports, module) {
    var _pageId = "#fund_etfFund_queryOfflineSubscription ";
	var gconfig = $.config; 
	var global = gconfig.global;
	var publicQuery = require("publicQuery2");
	
    //T2
    var data = {
		"funcNo": "302102",
		"param": {},
		"history": false,
		"htmlData": {
			"topDiv": {
				"entrust": "entrust_name",
				"name": "stock_name",
				"code": "stock_code",
				"time": "entrust_state_name",
			},
			"liList": [
				["认购数量", "entrust_amount"],
				["股票代码", "stock_code"],
				["股票名称", "stock_name"],
				["委托时间", "entrust_time"],
//				["委托编号", "entrust_no"],
			],
		}
    }
    //顶点
    if(global.serverConfig=="3"){
    	data = {
			"funcNo": "302102",
			"param": {},
			"history": false,
			"htmlData": {
				"topDiv": {
					"entrust": "entrust_name",
					"name": "stock_name",
					"code": "stock_code",
					"time": "entrust_state_name",
				},
				"liList": [
					["认购金额", ""],
					["股票代码", "stock_code"],
					["股票名称", "stock_name"],
					["认购股数", "entrust_amount"],
					["委托时间", "entrust_time"],
					["委托编号", "entrust_no"],
				],
			}
	    }
    }
    /**
     * 初始化
     */
	function init(){
		$(_pageId+".toggle_nav ul li").eq(0).addClass("active").siblings().removeClass("active");
		publicQuery.init(data);
    }
		
	function load(){
		publicQuery.load();
	}
    
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		//返回按钮
		$.bindEvent($(_pageId + " .top_title .icon_back"), function(e){
			$(this).unbind(e.type);
			this[e.type] = null;
			$.pageInit("fund/etfFund/queryOfflineSubscription","fund/etfFund/home",{},"left",true);
			e.stopPropagation();
			e.preventDefault();
		});
		
		publicQuery.bindPageEvent();
	}
	
	
    
	/**
	 * 销毁
	 */
	function destroy(){
		publicQuery.destroy();
	}
	
	
	var base = {
		"init" : init,
		"load" : load,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = base;
});