/**
 * Created by sizhe on 2016/9/8.
 */
/**
 * 港股交易-投票申报委托
 */
define('trade/scripts/ggt/ggtVoteEntrust.js',function(require, exports, module) {
    var common = require("common");
    var service_ggt=require("service_ggt");
    require("validatorUtils");
    var validatorUtil = $.validatorUtils;
    var _pageId = "#ggt_ggtVoteEntrust ";
    var gconfig = $.config;
    var global = gconfig.global;
    var userInfo;
    var _voteInfo={
        "stock_code":"",
        "isin_code":"",
        "placard_id":"",
        "motion_id":"",
        "approve_amount":"",
        "oppose_amount":"",
        "waive_amount":"",
        "exchange_type":"",
        "stock_account":""
    };

    /**
     * 初始化
     */
    function init(){
		common.pageBuryingPoint("100865");
//     common.bindStockEvent(_pageId); //绑定头部菜单事件
		userInfo = common.getCurUserInfo();
		
		
        var param=$.getPageParam().param;
        if(param&&param!=""){
            _voteInfo.stock_code=param.stock_code;
            _voteInfo.placard_id=param.placard_id;
            _voteInfo.exchange_type=param.exchange_type;
            $(_pageId+"#stockCode").val(param.stock_code);
            $(_pageId+"#placard_id").val(param.placard_id);
            $(_pageId+"#motion_id").quzhi(param.motion_id);
            stockAccountFun();
            if(_voteInfo.exchange_type=="S"){
            	$(_pageId+".label_g").addClass("SK");
            }
            else if(_voteInfo.exchange_type=="G"){
            	$(_pageId+".label_g").addClass("HK");
            }
        }
    }
    
	/*
	 * 根据市场，筛选两个市场对应的主股东账号，用于提交的时候传递
	 */
	function stockAccountFun(){
		var getInfo = common.getAccountInfos();
		if(getInfo && Object.keys(getInfo).length>0){
			var getInfo1=getInfo["stock"];
			if(getInfo1 && Object.keys(getInfo1).length>0){
				var getInfo2=getInfo1[userInfo.fund_account];
				if(getInfo2 && Object.keys(getInfo2).length>0){
					for(var i=0;i<getInfo2.length;i++){
						if(getInfo2[i].exchange_type==_voteInfo.exchange_type && getInfo2[i].main_flag=="1"){
							_voteInfo.stock_account=getInfo2[i].stock_account;
						}
					}
				}
			}
		}
	}
	
    function load() {
        
    }
    
    /**
     * 事件绑定
     */
    function bindPageEvent(){
        //返回按钮
        $.bindEvent($(_pageId + ".top_title .icon_back"), function(e){
            setTimeout(function () {
                //埋点
                common.comStat(100866, 2, 103, true, {"i_group_name": "返回"});
                $.pageInit("ggt/ggtVoteEntrust", "ggt/ggtQuery", {}, true);
                e.preventDefault();
                e.stopPropagation();
            },300);
        });
        
        //选择投票信息列
        $.bindEvent($(_pageId+".input_form .select_code"),function (e) {
			//埋点
			common.comStat(100867,2,103,true,{"i_group_name":"选择证券代码"});
            $.pageInit("","ggt/ggtQueryVoteInfo",{"whichPage":"ggt/ggtVoteEntrust"});
           e.stopPropagation();
        });
        
        //下单
        $.bindEvent($(_pageId+"#orderButton"),function (e) {
			//埋点
			common.comStat(100868,2,103,true,{"i_group_name":"投票申报提交"});
            _voteInfo.approve_amount=$(_pageId+"#approve_amount").val();
            _voteInfo.oppose_amount=$(_pageId+"#oppose_amount").val();
            _voteInfo.waive_amount=$(_pageId+"#waive_amount").val();
            _voteInfo.motion_id=$(_pageId+"#motion_id").val();
            vailSubmitOrder();
            e.stopPropagation();
        });
		
		//赞成数量
//		$.bindEvent($(_pageId+"#approve_amount"),function(e){
//			if(keyboard){
//				keyboard.popUpKeyboard($(this),e);
//			}
//			var _code=$(_pageId + "#approve_amount").quzhi();
//			if(_code){
//				_code=_code.replace(".","");
//				$(_pageId + "#approve_amount").quzhi(_code);
//			}
//			e.stopPropagation();
//		},"input");
		
		//反对数量
//		$.bindEvent($(_pageId+"#oppose_amount"),function(e){
//			if(keyboard){
//				keyboard.popUpKeyboard($(this),e);
//			}
//			var _code=$(_pageId + "#oppose_amount").quzhi();
//			if(_code){
//				_code=_code.replace(".","");
//				$(_pageId + "#oppose_amount").quzhi(_code);
//			}
//			e.stopPropagation();
//		},"input");
		
		//弃权数量
//		$.bindEvent($(_pageId+"#waive_amount"),function(e){
//			if(keyboard){
//				keyboard.popUpKeyboard($(this),e);
//			}
//			var _code=$(_pageId + "#waive_amount").quzhi();
//			if(_code){
//				_code=_code.replace(".","");
//				$(_pageId + "#waive_amount").quzhi(_code);
//			}
//			e.stopPropagation();
//		},"input");
    }
    
    //下单提交
    function vailSubmitOrder(){
        if(_voteInfo.stock_code.length < 5){
            $.alert("请选择股票代码");
            return false;
        }
        if(!validatorUtil.isNumberFloat(_voteInfo.approve_amount)){
            $.alert("请输入正确的赞成数量");
            return false;
        }
        if(!validatorUtil.isNumberFloat(_voteInfo.oppose_amount)){
            $.alert("请输入正确的反对数量");
            return false;
        }
        if(!validatorUtil.isNumberFloat(_voteInfo.oppose_amount)){
            $.alert("请输入正确的弃权数量");
            return false;
        }

        var tipStrArray = [];
        var tipStr ="<div>";

        tipStrArray.push(["证券代码",_voteInfo.stock_code]);
        tipStrArray.push(["公告编号",_voteInfo.placard_id]);
        tipStrArray.push(["议案编号",_voteInfo.motion_id]);
        tipStrArray.push(["赞成数量",_voteInfo.approve_amount]);
        tipStrArray.push(["反对数量",_voteInfo.oppose_amount]);
        tipStrArray.push(["弃权数量",_voteInfo.waive_amount]);
        tipStr += common.generatePrompt(tipStrArray);
        tipStr+="</div>";

		//埋点数据
		var comStatParam={
			"i_entrust_bs":"", // 交易方向( 1,买入 2,卖出)
			"i_stock_code":_voteInfo.stock_code, // 股票代码
			"i_stock_name":_voteInfo.stock_name, // 股票名称
			"i_entrust_prop":"", // 委托属性
			"i_exchange_type":_voteInfo.exchange_type, // 交易市场
			"i_entrust_price":"", // 选择后的价格
			"i_entrust_amount":"", // 委托数量
		}
		var objectId = $(_pageId+".ce_btn").attr("objectId");
		var actionId = $(_pageId+".ce_btn").attr("actionId");
        common.iConfirm("",tipStr,function success(){
            var entrust_way =global.entrust_way;
            var branch_no = userInfo.branch_no;
            var fund_account=userInfo.fund_account;
            var cust_code=userInfo.cust_code;
            var sessionid=userInfo.session_id;
            var stock_code=_voteInfo.stock_code;
            var stock_account=_voteInfo.stock_account;
            var isin_code=_voteInfo.isin_code;
            var placard_id=_voteInfo.placard_id;
            var exchange_type=_voteInfo.exchange_type;
            var motion_id=_voteInfo.motion_id;
            var approve_amount=_voteInfo.approve_amount;
            var oppose_amount=_voteInfo.oppose_amount;
            var waive_amount=_voteInfo.waive_amount;
            var param = {
                "entrust_way":entrust_way,
                "branch_no":branch_no,
                "fund_account":fund_account,
                "cust_code":cust_code,
                "sessionid":sessionid,
                "stock_account":stock_account,
                "stock_code":stock_code,
                "isin_code":isin_code,
                "motion_id":motion_id,
                "placard_id":placard_id,
                "approve_amount":approve_amount,
                "oppose_amount":oppose_amount,
                "waive_amount":waive_amount,
                "exchange_type":exchange_type
            };
            service_ggt.ggtVoteEntrust(param,callBack,{
                "isLastReq":true,
                "isShowWait":true,
                "isShowOverLay":false
            });
			comStatParam.i_oper = "1"; // 动作（1确定 2取消）
			common.comStat(objectId,2,actionId,false,comStatParam);
        },function fill(){
			comStatParam.i_oper = "2"; // 动作（1确定 2取消）
			common.comStat(objectId,2,actionId,false,comStatParam);
        });
    }

    function callBack(data){
        if(data.error_no == 0){
            var results = data.results;
            if(results && results.length>0){
                var tipStr = "<span style='font-weight:bold;font-size: 18px;'>提示</span><br>委托已提交，委托编号："+results[0].serial_no;
                $.alert(tipStr);
                clearMsg();
            }
        }else{
            $.alert(data.error_info);
            clearMsg();
        }
    }

    function clearMsg() {
        for(var ele in _voteInfo){
            _voteInfo[ele]="";
        }
        $(_pageId+"#stockCode").val("");
        $(_pageId+"#placard_id").val("");
        $(_pageId+"#motion_id").val("");
        $(_pageId+"#approve_amount").val("");
        $(_pageId+"#oppose_amount").val("");
        $(_pageId+"#waive_amount").val("");
		$(_pageId+".label_g").removeClass("HK");
		$(_pageId+".label_g").removeClass("SK");
    }

    /**
     * 销毁
     */
    function destroy(){
		common.pageBuryingPoint();
        clearMsg();
    }


    var base = {
        "init" : init,
        "load" : load,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy
    };
    module.exports = base;
});