/**
 * 普通交易-买入
 */
define('trade/scripts/ggt/noRight.js', function (require, exports, module) {
  var gconfig = $.config;
  var global = gconfig.global;
  var common = require("common");
  var commonFunc = require("commonFunc");
  var service_stock = require("service_stock");
  var service_common = require("service_common");
  var _pageId = "#ggt_noRight ";
  var nativePluginService = require("nativePluginService");

  /**********
   * 初始化
   */
  function init() {
    common.setMainHeight(_pageId, false);
    bindPageEvent();
    window.onresize= function(){};
  }

  function load() {
  }

  /**
   * 事件绑定
   */
  function bindPageEvent() {
    // 返回按钮事件
    $.bindEvent($(_pageId + "header .icon_back"), function () { 
      commonFunc.appThirdBack($.getCurrentPageObj().pageId, function () {
          $.pageBack();
      });
    });

    // 开通权限功能 
    $.bindEvent($(_pageId + ".bjs_sel_fixed_box"), function () { 
      nativePluginService.function501152({
        "url": global.newFrameUrl + "fintechpages/business/index.html#/ggt/index",
        "uniqueCode":"PalmHall-ggt/index",
        "loginMode":"2"
    });
    });
  }

  /**
   * 数据重置
   */
  function destroy() {
    service_stock.destroy();
  }

  var base = {
    "init": init,
    "load": load,
    "bindPageEvent": bindPageEvent,
    "destroy": destroy
  };
  module.exports = base;
}

);
