/**
 * 网络投票-下单
 */
define('trade/scripts/netVote/index.js', function(require, exports, module) {
	var common = require("common");
    var _pageId = "#netVote_index ";
    var userInfo = null;

    /**
     * 初始化
     */
	function init(){
		common.pageBuryingPoint("101564");
        userInfo = common.getCurUserInfo();
    }
		
	function load(){
		var mianHeight = common.setMainHeight(_pageId, false);
		$(_pageId+" .main .search_nav").height(mianHeight).css("overflow-y","auto"); //查询目录添加高度
	}

	
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		$.bindEvent($(_pageId + ".top_title .icon_back"), function(e){
			common.comStat(101565,2,103,true,{"i_group_name":"返回"});
			$.pageInit("netVote/index","account/index","left",true);
			e.stopPropagation();
		});
		common.bindStockEvent($(_pageId + '.netVoteMenu li'));

		$.bindEvent($(_pageId + ".next-btn"), function(e){
            if(!common.checkGgtPermission(userInfo.fund_account)){
                $.pageInit("account/index", 'ggt/noRight');
				return false;
			}else{
                $.pageInit("netVote/index","ggt/ggtQuery","left",true);
			}
		});
	}
    
	/**
	 * 销毁
	 */
	function destroy(){
		common.pageBuryingPoint();
        userInfo = null;

	}
	
	var base = {
		"init" : init,
		"load" : load,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = base;
});
