/**
 * Created by sizhe on 2016/11/22.
 */
/**
 * 普通交易-网络投票
 */
define('trade/scripts/netVote/voteContent.js', function (require, exports, module) {
    var common = require("common");
    var gconfig = $.config;
    var global = gconfig.global;
    var service_added = require("service_added");
    require("validatorUtils");
    var validatorUtil = $.validatorUtils;
    var _pageId = "#netVote_voteContent ";
    var userInfo = null;
    var _v_ids = [];
    var _vote_result = [];
    var _listData = [];
    var _stock_code = "";
    var _meeting_seq = "";
    var companycode = "";
    var exchange_type = "";//交易市场
    var stock_account = "";//股东账号
    var keyboard = require("keyboard");
    var totalNum = {};
    var xxpf_leijino = "1";
    var validatorData = [];
    /**
     * 初始化
     */
    function init() {
        common.pageBuryingPoint("101588");
        userInfo = common.getCurUserInfo();
        common.setMainHeight(_pageId, false);
        callsQuery();
    }

    function load() {

    }

    function callsQuery() {
        _meeting_seq = $.getPageParam("meeting_seq");
        companycode = $.getPageParam("companycode");
        if (_meeting_seq) {
            queryVoteBillInfo(_meeting_seq,companycode); // 查询议案详细信息
        }
    }

    /**
     * 事件绑定
     */
    function bindPageEvent() {
        // 返回按钮
        $.bindEvent($(_pageId + ".top_title .icon_back"), function (e) {
            if (keyboard) {
                keyboard.closeKeyPanel();
            }
            //埋点
            if ($(_pageId + ".tab_nav ul li.active").index() == 0) {
                common.comStat(101589, 2, 103, true, { "i_group_name": "返回" });
            } else {
                common.comStat(101601, 2, 103, true, { "i_group_name": "返回" });
            }
            pageBack();
            e.preventDefault();
            e.stopPropagation();
        });
        // 提交投票
        $.bindEvent($(_pageId + ".vote_btn"), function (e) {
            if (keyboard) {
                keyboard.closeKeyPanel();
            }
            //清空之前获取的数据
            _v_ids = [];
            _vote_result = [];
            getVoteInfo();
            submitVote(); //提交投票
            e.stopPropagation();
        });

    }

    //key=1 同意 key=2 反对 key=3 弃权
    function oneKeyChoice(type) {
        var items = $(_pageId + ".radio-item");
        items.removeClass('check')
        if (type == 1) {
            $(_pageId + ".radio-item[type='1']").addClass("check");
            common.comStat(101591, 2, 104, true, { "i_change_name": "一键表决", "i_change_to": "全部同意" });
        } else if (type == 2) {
            $(_pageId + ".radio-item[type='2']").addClass("check");
            common.comStat(101591, 2, 104, true, { "i_change_name": "一键表决", "i_change_to": "全部反对" });
        } else {
            $(_pageId + ".radio-item[type='3']").addClass("check");
            common.comStat(101591, 2, 104, true, { "i_change_name": "一键表决", "i_change_to": "全部弃权" });
        }
    }

    /**
     * 查询投票历史纪录
     */
    function queryVoteBillInfo(meeting_seq, companycode) {
        var entrust_way = global.entrust_way; // 委托方式  在configuration配置
        var branch_no = userInfo.branch_no;
        var fund_account = userInfo.fund_account;
        var cust_code = userInfo.cust_code;
        var password = userInfo.password;
        var sessionid = userInfo.session_id;
        var param = {
            "entrust_way": entrust_way,
            "branch_no": branch_no,
            "fund_account": fund_account,
            "cust_code": cust_code,
            "password": password,
            "sessionid": sessionid,
            "meeting_seq": meeting_seq,
            "stock_code": companycode,
            "v_id": "",
            "vote_code": ""
        };
        // 每次查询前,先将暂无数据、提交按钮隐藏
        $(_pageId + ".no_data").hide();
        $(_pageId + ".vote_btn").hide();
        // 最后一个函数为超时函数,在超时后,显示暂无数据,并且初始化滑动组件
        service_added.queryVoteBillInfo(param, function (data) {
            $(_pageId + ".vote_btn").show();
            if (data.error_no == 0) {
                var results = data.results;
                console.log(results);
                if (results && results.length > 0) {
                    $(_pageId + ".ljtp").html("");
                    $(_pageId + ".fljtp").html("");
                    //非累计投票议案
                    var fljhtmlData = '';
                    //累计投票议案   
                    var ljhtmlData = '';
                    var ljData = {},fljData = [];
                    xxpf_leijino = "1";
                    var hasxxpf = false;
                    // 先行赔付议案
                    var xxpfhtmlData = "",xxpfData = [];
                    for (var i = 0; i < results.length; i++) {
                        var vote = results[i];
                        //非累计投票议案
                        if (vote.vote_type == "0") {
                            fljData.push(vote);
                        }
                        // 累计投票议案 需要进行数据归类，然后渲染
                        if (vote.vote_type == "1" && vote.xxpf_flag != "1") {
                            var v_id = vote.v_id.split(".");
                            if(vote.vote_leijino != 0){
                                ljData[v_id[0]] = [vote];
                            }else{
                                ljData[v_id[0]].push(vote);
                            }
                        }
                        // 先行赔付议案
                        // 如果有先行赔付议案，那么当前这条和下面这条数据必然是先行赔付议案，且第一条是父议案
                        if (vote.xxpf_flag == "1" && !hasxxpf) {
                            hasxxpf = true;
                            var v_id = vote.v_id.split(".");
                            // 先行赔付议案的下一条数据默认是先行赔付议案的子议案，前端代码写死，后端无法判断
                            results[i + 1].xxpf_flag = "1";
                            xxpfData[v_id[0]] = [vote,results[i + 1]];
                        }
                        _listData[vote.v_id] = vote;
                    }
                    // console.log(ljData);
                    // 渲染非累积议案
                    if(fljData.length > 0){
                        fljhtmlData = '<li class="vote_type">非累计投票议案（您可以一键表决，也可以独立设置）</li>\
                                        <li class="ljtp_item border_bottom">\
                                            <p class="vote_content">所有非累计投票议案，您可以一键表决为：</p>\
                                            <div class="radio-warp" id="all_btn">\
                                                <div class="radio-item" type="1"><span class="radio"></span>同意</div>\
                                                <div class="radio-item" type="2"><span class="radio"></span>反对</div>\
                                                <div class="radio-item" type="3"><span class="radio"></span>弃权</div>\
                                            </div>\
                                        </li>';
                        fljData.forEach(function(item){
                            fljhtmlData += queryHTML(item);
                        });
                        $(_pageId + ".ljtp").html(fljhtmlData);
                    
                        //独立表决
                        $.bindEvent($(_pageId + ".radio-item"), function (e) {
                            if (keyboard) {
                                keyboard.closeKeyPanel();
                            }
                            var type = $(this).attr("type");
                            // 去掉一键表决中对应的按钮样式
                            $(_pageId + "#all_btn .radio-item").removeClass('check')
                            // 去掉同级按钮的样式
                            $(this).siblings().removeClass('check');
                            $(this).addClass('check');
                            // 判断全部的非累积投票议案是不是都选了同一个选项，如果是，联动一键表决选项
                            // if($(_pageId + ".check[type='" + type + "']").length === $(_pageId + ".ljtp_item").length - 1){
                            //     $(_pageId + "#all_btn .radio-item[type='" + type + "']").addClass('check');
                            // }
                            validateVote();
                            e.stopPropagation();
                        });
    
                        //一键表决
                        $.bindEvent($(_pageId + "#all_btn .radio-item"), function (e) {
                            if (keyboard) {
                                keyboard.closeKeyPanel();
                            }
                            var type = $(this).attr("type");
                            oneKeyChoice(type);
                            validateVote();
                            e.stopPropagation();
                        });
                    }
                    // 渲染累积议案
                    if(Object.keys(ljData).length > 0){
                        ljhtmlData = '<p class="vote_type">累计投票议案</p>';
                        for (var k in ljData) {
                            if (Object.hasOwnProperty.call(ljData, k)) {
                                ljhtmlData += '<div class="fljtp_item">';
                                for (var i = 0; i < ljData[k].length; i++) {
                                    ljhtmlData += queryHTML(ljData[k][i],k + '' + i);
                                }
                                ljhtmlData += '</div>';
                            }
                        }
                        $(_pageId + ".fljtp").html(ljhtmlData);
                    }
                    // 渲染先行赔付
                    if(Object.keys(xxpfData).length > 0){
                        for (var k in xxpfData) {
                            if (Object.hasOwnProperty.call(xxpfData, k)) {
                                xxpfData[k].xxpf_flag = "1";
                                xxpf_leijino = xxpfData[k][0].vote_leijino;
                                xxpfhtmlData += queryHTML(xxpfData[k]);
                            }
                        }
                        $(_pageId + ".fljtp").append(xxpfhtmlData);

                    }
                    if (keyboard) {
                        keyboard.keyInit();
                    }
                    if(Object.keys(xxpfData).length > 0){
                        $(_pageId + "#voteAmount").quzhi(xxpf_leijino);
                        $.bindEvent($(_pageId + " #voteAmount"), function (e) {
                            if (keyboard) {
                                keyboard.popUpKeyboard($(this), e);
                            }
                            validateVote();
                        }, "input");
                    }
                    validateVote();
                } else {
                    //非累计投票议案
                    var noDataMsg = "<div class=\"no_data\" style=\"padding-top: 100px;display:block\"> <span class=\"icon\"></span> <p style=\"text-align:center;\">暂无记录</p> </div>";
                    $(_pageId + ".netVote").html(noDataMsg);
                }
            } else {
                $.alert(data.error_info);
            }
        });
    }
    // 渲染议案内容
    function queryHTML(element, index) {
        var eleHtml = "";
        if(element.xxpf_flag == "1"){
            eleHtml += '<div class="xxpf" data-leijino="' + element[0].vote_leijino + '" data-id="' + element[1].v_id + '" exchange_type="' + element[1].exchange_type + '" data-account="' + element[1].stock_account + '">\
                            <div class="xxpf_item">\
                                <div class="xxpf_content">\
                                    <p class="vote_content">' + element[0].v_id + ' '  + element[0].vote_info + '</p>\
                                    <p class="amount">参考金额：' + element[0].vote_leijino + '元</p>\
                                </div>\
                                <ul>\
                                    <li>\
                                        <p class="vote_content">' + element[1].v_id + ' '  + element[1].vote_info + '</p>\
                                        <div class="vote_amount">\
                                            <div class="vote_amount_input"><input type="text" js-key="number" id="voteAmount" placeholder="请输入先行赔付金额" class="t1 text"/></div>元\
                                        </div>\
                                        <p class="vote_amount_label">*当前先行赔付业务参考金额为<span id="vote_amount">' + element[0].vote_leijino + '<span>元，修改后可能会导致赔付失败~</p>\
                                    </li>\
                                </ul>\
                            </div>\
                        </div>';
        }else if (element.vote_type == "0") {
            eleHtml += '<li class="ljtp_item border_bottom" data-id="' + element.v_id + '" exchange_type="' + element.exchange_type + '" data-account="' + element.stock_account + '">\
                            <p class="vote_content">' + element.v_id + ' ' + element.vote_info + '</p>\
                            <div class="radio-warp">\
                                <div class="radio-item" type="1"><span class="radio"></span>同意</div>\
                                <div class="radio-item" type="2"><span class="radio"></span>反对</div>\
                                <div class="radio-item" type="3"><span class="radio"></span>弃权</div>\
                            </div>\
                        </li>';
        } else if (element.vote_type == "1") {
            if (element.vote_leijino != "0") {
                eleHtml += '<div class="fljtp_content border_bottom j_fljtp_item" data-leijino="' + element.vote_leijino + '" data-id="' + element.v_id + '" exchange_type="' + element.exchange_type + '" data-account="' + element.stock_account + '">\
                                <p class="vote_content">' + element.v_id + ' '  + element.vote_info + '</p>\
                                <p class="count">应选数量：' + element.vote_leijino + '</p>\
                            </div><div class="fljtp_header fljtp_item_li"><p class="vote_label">投票选项</p><p class="vote_num">投票数</p></div>';
            } else {
                eleHtml += '<div class="border_bottom fljtp_item_li j_fljtp_item" data-leijino="' + element.vote_leijino + '" data-id="' + element.v_id + '" exchange_type="' + element.exchange_type + '" data-account="' + element.stock_account + '">\
                                <p class="vote_label vote_content">' + element.v_id + ' '  + element.vote_info + '</p>\
                                <p class="vote_num vote_input"><input type="text" js-key="number" id="stockNmber' + index + '" placeholder="输入投票数" class="t1 text"/></p>\
                            </div>';
            }
        }
        return eleHtml;
    }

    //提交前获取需要的投票信息
    function getVoteInfo(type) {
        //非累计投票
        var items = $(_pageId + ".ljtp_item");
        validatorData = [];
        for (var i = 1; i < items.length; i++) {
            var v_id = $(items[i]).attr("data-id");
            _v_ids.push(v_id);
            _stock_code = _listData[v_id].ref_code;
            exchange_type = _listData[v_id].exchange_type;
            stock_account = _listData[v_id].stock_account;
            var voteResult = 1;
            if ($(items[i]).find(".radio-item:eq(0)").hasClass("check")) {
                voteResult = 1;
            } else if ($(items[i]).find(".radio-item:eq(1)").hasClass("check")) {
                voteResult = 2;
            } else {
                voteResult = 3;
            }
            _vote_result.push(voteResult);
        }

        //累计投票
        var items = $(_pageId + ".j_fljtp_item");
        totalNum = {}; // {data-id:已经输入了多少个投票选项}
        for (var i = 0; i < items.length; i++) {
            var _this = $(items[i]);
            var v_id = $(_this).attr("data-id");
            var key = v_id.split(".");
            if (_listData[v_id].vote_leijino == "0") {
                var num = _this.find("input").val();
                if (num && !validatorUtil.isNumeric(num)) {
                    validatorData.push(v_id);
                }
                if(num && validatorUtil.isNumeric(num)){
                    totalNum[key[0]].count += 1;
                    exchange_type = _listData[v_id].exchange_type;
                    stock_account = _listData[v_id].stock_account;
                    _stock_code = _listData[v_id].ref_code;
                    _v_ids.push(v_id);
                    _vote_result.push(num);
                }
            } else {
                totalNum[key[0]] = {
                    vote_leijino: _listData[v_id].vote_leijino,
                    v_id: v_id,
                    count: 0,
                };
            }
        }
        // 先行赔付
        var items = $(_pageId + ".xxpf");
        if(items.length > 0){
            var v_id = $(items).attr("data-id");
            var num = $(items).find("input").val();
            exchange_type = _listData[v_id].exchange_type;
            stock_account = _listData[v_id].stock_account;
            _stock_code = _listData[v_id].ref_code;
            _v_ids.push(v_id);
            _vote_result.push(num);
        }

    }
    // 校验非累积议案和先行赔付议案
    function validateVote(){
        // 输入的先行赔付金额
        var voteAmount = $(_pageId + "#voteAmount").val();
        // 需要的先行赔付金额
        var ansAmount = $(_pageId + '.xxpf').attr("data-leijino");
        if($(_pageId + ".check").length < $(_pageId + ".ljtp_item").length - 1){ // 非累积议案没有全部选择
            $(_pageId + ".vote_btn").addClass('disabled');
        }else if(ansAmount && !voteAmount){ // 未输入先行赔付金额
            $(_pageId + ".vote_btn").addClass('disabled');
        }else{
            $(_pageId + ".vote_btn").removeClass('disabled');
        }
        if(ansAmount && voteAmount && parseFloat(voteAmount) === parseFloat(ansAmount)){// 先行赔付金额输入正确
            $(_pageId + ".vote_amount_label").hide();
        }else if(ansAmount && parseFloat(voteAmount) != parseFloat(ansAmount)){// 先行赔付金额输入错误
            $(_pageId + ".vote_amount_label").show();
        }
    }
    /**
     * 提交投票
     */
    function submitVote() {
        if ($(_pageId + ".vote_btn").hasClass("disabled")) return false;
        if(validatorData.length > 0){
            $.alert("议案" + validatorData.join("、") + "投票数量格式不正确");
            return;
        }
        var list = [];
        for (var key in totalNum) {
            if (Object.hasOwnProperty.call(totalNum, key)) {
                if(totalNum[key].count < parseInt(totalNum[key].vote_leijino)){
                    list.push(totalNum[key].v_id);
                }
            }
        }
        if($(_pageId + "#voteAmount").length > 0 && parseFloat($(_pageId + "#voteAmount").val()) != parseFloat($(_pageId + '.xxpf').attr("data-leijino"))){
            common.iConfirm("温馨提示", "您输入的先行赔付金额与参考金额不符，可能会导致赔付失败。请确认是否继续操作？", function success(html) {
                postVote();
            }, function fail() {
            }, "确定", "取消");
        }else if(list.length > 0){
            common.iConfirm("温馨提示", "您还未对累计投票议案" + list.join("、") + "进行填写，不填则默视为弃权。请确认是否继续操作？", function success(html) {
                postVote();
            }, function fail() {
            }, "确定", "取消");
        }else{
            postVote();
        }
    }
    function postVote(){
        var flag = 1;
        var entrust_way = global.entrust_way; // 委托方式  在configuration配置
        var branch_no = userInfo.branch_no;
        var fund_account = userInfo.fund_account;
        var cust_code = userInfo.cust_code;
        var password = userInfo.password;
        var sessionid = userInfo.session_id;
        var param = {
            "entrust_way": entrust_way,
            "branch_no": branch_no,
            "fund_account": fund_account,
            "cust_code": cust_code,
            "password": password,
            "sessionid": sessionid,
            "stock_account": stock_account,
            "flag": flag,
            "meeting_seq": _meeting_seq,
            "exchange_type": exchange_type,
            "stock_code": _stock_code,
            "v_id": _v_ids.join(","),
            "vote_result": _vote_result.join(",")
        };
        service_added.queryVote(param, function (data) {
            if (data.error_no == 0) {
                var results = data.results;
                if (results && results.length > 0) {
                    var tipStr = "";
                    tipStr = "<span style='font-weight:bold;font-size: 18px;'>委托提示</span><br>投票委托已提交，委托编号：" + results[0].entrust_no;
                    $.alert(tipStr);
                    clearMsg();
                    callsQuery();
                }
            } else {
                $.alert(data.error_info);
            }
        });
    }

    function clearMsg() {
        _exchange_type = "";
        _v_ids = [];
        _vote_result = [];
        _stock_code = "";
        _meeting_seq = "";
        _listData = [];
        totalNum = {}
        xxpf_leijino = "1"
        $(_pageId + ".ljtp").html("");
        $(_pageId + ".fljtp").html("");
        validatorData = [];
    }

    /**
     * 数据重置
     */
    function destroy() {
        $(_pageId + ".vote_btn").addClass('disabled');
        common.pageBuryingPoint();
        if (keyboard) {
            keyboard.keyDestroy();
        }
        clearMsg();
    }

    /**
     * 重写框架里面的pageBack方法
     */
    function pageBack() {
        $.pageInit("netVote/voteContent", "netVote/netVote", {});
    }

    var base = {
        "init": init,
        "load": load,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy,
        "pageBack": pageBack
    };
    module.exports = base;
});
