/**
 * 普通交易-网络投票-我的投票
 */
define('trade/scripts/netVote/voteQueryNew.js', function (require, exports, module) {
    var common = require("common");
    var commonFunc = require("commonFunc");
    var gconfig = $.config;
    var global = gconfig.global;
    var service_added = require("service_added");
    var _pageId = "#netVote_voteQueryNew ";
    var userInfo = null;
    var VIscroll = require("vIscroll");
    var vIscroll = { "scroll": null, "_init": false };		//上下滑动
    var search_type = 1;//默认近一周
    var queryType = 'entrust'; //查询内容
    /**
     * 初始化
     */
    function init() {
        userInfo = common.getCurUserInfo();
        var paramMap = $.getPageParam("param");
        if (paramMap && typeof (paramMap) == "object") {
            if (Object.keys(paramMap).length > 0) {
                queryType = paramMap.param;
            }
        } else {
            queryType = paramMap;
        }
        if (queryType === "entrust") {
            $(_pageId + ".toggle_nav ul li").eq(0).addClass("active").siblings().removeClass("active");
            $(_pageId + ".nsb_tab_nav").hide();
        } else {
            $(_pageId + ".toggle_nav ul li").eq(1).addClass("active").siblings().removeClass("active");
            $(_pageId + ".nsb_tab_nav").show();
        }
        if (global.requestLocation == 0) {
            backgroundInterface();
        }
    }
    function load() {
        if (global.requestLocation == 1) {
            backgroundInterface();
        }
        var mianHeight = common.setMainHeight(_pageId, false);
        if (!vIscroll._init) {
            initVIScroll();
        } else {
            vIscroll.scroll.refresh();
        }
        // 页面高度变化重置滚动容器高度
        window.onresize = function () {
            setTimeout(function () {
                $(_pageId + '.main').height(document.body.clientHeight - $(_pageId + ".header").height() - $(_pageId + ".date_filter").height());
                $(_pageId + "#v_container_funds_jj").height(document.body.clientHeight - $(_pageId + ".header").height() - $(_pageId + ".date_filter").height());
                $(_pageId + "#v_wrapper_funds_jj").height(document.body.clientHeight - $(_pageId + ".header").height() - $(_pageId + ".date_filter").height());
                if (!vIscroll._init) {
                    initVIScroll();
                } else {
                    vIscroll.scroll.refresh();
                }
            }, 20);
        };
    }
    function backgroundInterface() {
        commonFunc.initTimeChoice(_pageId, 30, false);
        dateTabChange();
        callsQuery(search_type);
    }
    function dateTabChange(){
        if (search_type == 2) {
            $(_pageId + ".nsb_tab_nav ul li:eq(1)").addClass("active");
            $(_pageId + ".nsb_tab_nav ul li:eq(0)").removeClass("active");
            $(_pageId + ".nsb_tab_nav ul li:eq(2)").removeClass("active");
            $(_pageId + ".nsb_tab_nav ul li:eq(3)").removeClass("active");
            $(_pageId + ".time").hide();
        } else if (search_type == 3) {
            $(_pageId + ".nsb_tab_nav ul li:eq(2)").addClass("active");
            $(_pageId + ".nsb_tab_nav ul li:eq(1)").removeClass("active");
            $(_pageId + ".nsb_tab_nav ul li:eq(0)").removeClass("active");
            $(_pageId + ".nsb_tab_nav ul li:eq(3)").removeClass("active");
            $(_pageId + ".time").hide();
        } else if (search_type == 0) {
            $(_pageId + ".nsb_tab_nav ul li:eq(3)").addClass("active");
            $(_pageId + ".nsb_tab_nav ul li:eq(1)").removeClass("active");
            $(_pageId + ".nsb_tab_nav ul li:eq(2)").removeClass("active");
            $(_pageId + ".nsb_tab_nav ul li:eq(0)").removeClass("active");
            $(_pageId + ".time").show();
        } else {
            $(_pageId + ".nsb_tab_nav ul li:eq(0)").addClass("active");
            $(_pageId + ".nsb_tab_nav ul li:eq(1)").removeClass("active");
            $(_pageId + ".nsb_tab_nav ul li:eq(2)").removeClass("active");
            $(_pageId + ".nsb_tab_nav ul li:eq(3)").removeClass("active");
            $(_pageId + ".time").hide();
        }
    }
    /**
     * 事件绑定
     */
    function bindPageEvent() {
        //返回按钮
        $.bindEvent($(_pageId + ".icon_back"), function (e) {
            setTimeout(function () {
                $(this).unbind(e.type);
                this[e.type] = null;
                $.pageBack("stock/stockQuery", "left");
                e.preventDefault();
                e.stopPropagation();
            }, 300);
        }, "tap");

        //页面切换
        $.bindEvent($(_pageId + ".toggle_nav ul li"), function (e) {
            $.clearRequest();
            $(this).addClass("active").siblings().removeClass("active");
            search_type = 1;
            // 设置tab切换
            if ($(_pageId + ".toggle_nav ul li").eq(0).hasClass('active')) {
                queryType = 'entrust';
                $(_pageId + ".nsb_tab_nav").hide();
            } else {
                queryType = 'deal';
                $(_pageId + ".nsb_tab_nav").show();
            }
            dateTabChange();
            callsQuery(search_type);
        });

        //时间选择
        $.bindEvent($(_pageId + ".date_filter .btn"), function (e) {
            if (!vIscroll._init) {
                initVIScroll();
            } else {
                vIscroll.scroll.refresh();
            }
            callsQuery(search_type);
        });
        //日期范围切换
        $.bindEvent($(_pageId + ".nsb_tab_nav ul li"), function (e) {
            if (null != vIscroll.scroll) {
                vIscroll.scroll.getWrapperObj().scrollTo(0, 0, 0);
            }
            //在页面切换时清掉请求
            $.clearRequest();
            //切换页面时时间控件初始化
            commonFunc.initTimeChoice(_pageId, 30, false);
            if (!vIscroll._init) {
                initVIScroll();
            } else {
                vIscroll.scroll.refresh();
            }
            $(this).addClass("active").siblings().removeClass("active");

            var index = $(_pageId + ".nsb_tab_nav ul li.active").index();
            if (index == 3) {
                index = 0;
                $(_pageId + ".time").show();
            } else {
                index = index + 1;
                $(_pageId + ".time").hide();
            }
            search_type = index;
            callsQuery(search_type);
        });
    }
    /**
     * 调用查询
     */
    function callsQuery(search_type) {
        $(_pageId + ".vote_query").html("");
        // 设置滚动容器的高度
        $(_pageId + '.main').height(document.body.clientHeight - $(_pageId + ".header").height() - $(_pageId + ".date_filter").height());
        $(_pageId + "#v_container_funds_jj").height(document.body.clientHeight - $(_pageId + ".header").height() - $(_pageId + ".date_filter").height());
        $(_pageId + "#v_wrapper_funds_jj").height(document.body.clientHeight - $(_pageId + ".header").height() - $(_pageId + ".date_filter").height());
        queryVoteHistory(search_type);
    }
    /**
     * 查询投票历史纪录
     */
    function queryVoteHistory(search_type) {
        var entrust_way= global.entrust_way; // 委托方式  在configuration配置
        var branch_no = userInfo.branch_no;
        var fund_account = userInfo.fund_account;
        var cust_code = userInfo.cust_code;
        var password = userInfo.password;
        var end_date = $(_pageId+" #endDate").text();
        var begin_date = $(_pageId+" #startDate").text();	//截止
        var param={
            "entrust_way":entrust_way,
            "branch_no":branch_no,
            "fund_account":fund_account,
            "cust_code":cust_code,
            "search_type":queryType == "entrust" ? 4 : search_type,
            "begin_date":search_type == 0 ? begin_date : "",
            "end_date":search_type == 0 ? end_date : ""
        };
        // 每次查询前,先将暂无数据隐藏
        $(_pageId + ".no_data").hide();
        // 最后一个函数为超时函数,在超时后,显示暂无数据,并且初始化滑动组件
        service_added.resultQuery(param,function(data){
            if(data.error_no == 0){
                var results = data.results;
                console.log(results);
                if(results && results.length>0){
                    var data = "";
                    for (var i=0;i<results.length;i++){
                        data += queryHTML(results[i]);
                    }
                    $(_pageId + ".vote_query ").html(data);
                    $(_pageId + ".no_more_data").show();
                }else{
       				$(_pageId + ".vote_query").html("");
                    $(_pageId + ".no_data").show();
                    $(_pageId + ".no_more_data").hide();
                }
                if(!vIscroll._init){
                    initVIScroll();
                }else{
                    vIscroll.scroll.refresh();
                }
            }
            else{
                $.alert(data.error_info);
            }
        },{ // 传给接口的json格式数据
            "isLastReq":true,
            "isShowWait":true,
            "isShowOverLay":false,
            "timeOutFunc":function(){ // 超时调用方法
                $(_pageId+ ".no_data").show();
                $(_pageId + ".no_more_data").hide();
                if(!vIscroll._init){
                    initVIScroll();
                }else{
                    vIscroll.scroll.refresh();
                }
            }
        });
    }

    function queryHTML(element) {
        var vote_type = "";
        var eleHtml = "";
        if(element.xxpf_flag == "1"){ // 先行赔付
            // vote_type = '<span class="vote_amount">' + parseFloat(element.business_amount).toFixed(2) + '</span>';
            vote_type = '<span class="vote-count-icon"></span><span class="vote-count">' + element.business_amount + '</span>';
        }else if(element.vote_type == "1") { // 累计
            vote_type = '<span class="vote-count-icon"></span><span class="vote-count">' + element.business_amount + '</span>';
        } else if(element.vote_type == "0") { // 非累计
            // 1 同意 agree    2 反对 oppose    3 弃权 waiver
            if(parseInt(element.business_amount) === 1){
                vote_type = '<span class="vote-icon agree"></span>';
            }else if(parseInt(element.business_amount) === 2){
                vote_type = '<span class="vote-icon oppose"></span>';
            }else if(parseInt(element.business_amount) === 3){
                vote_type = '<span class="vote-icon waiver"></span>';
            }
        }
        eleHtml += '<li class="vote_query_item">\
                        <div class="vote_title border_bottom">' + ($.trim(element.business_price)?element.business_price:"--") + ' ' + ($.trim(element.vote_info)?element.vote_info:"--") + '</div>\
                        <p class="vote_h1 name">股东大会名称：<span>' + (element.meeting_name?element.meeting_name:"--") + '</span></p>\
                        <div class="vote_detail">\
                            <div class="f1">\
                                <p class="name">公司名称/代码：<span>' + (element.stock_name?element.stock_name:"--") + ' ' + (element.stock_code?element.stock_code:"--") + '</span></p>\
                                <p class="name">成交时间：<span>' + (element.business_time?element.business_time:"--") + '</span></p>\
                            </div>\
                            <div class="" style="display:flex;align-items: center;">' + vote_type + '</div>\
                        </div>\
                    </li>';
        return eleHtml;
    }
    /**
     * 初始化上下滑动组件
     */
    function initVIScroll() {
        if (!vIscroll._init) {
            var config = {
                "isPagingType": false,		//false表示是微博那种累加形式，true表示分页形式
                "visibleHeight": $(window).height() - $(_pageId + ".header").height() - $(_pageId + ".date_filter").height(), // 滚动组件的高度
                "container": $(_pageId + " #v_container_funds_jj"),
                "wrapper": $(_pageId + " #v_wrapper_funds_jj"),
                "downHandle": function () {				//下拉获取上一页数据方法
                    callsQuery(search_type); // 模拟查询接口数据操作
                },
                "upHandle": function () {
                },
                "wrapperObj": null
            };
            vIscroll.scroll = new VIscroll(config); 	//初始化，需要做if(!hIscroll._init)判断
            vIscroll._init = true; 						//尽量只初始化一次，保持性能

        } else {
            vIscroll.scroll.refresh();
        }
        $(_pageId + ".visc_pullUp").css("display", "none");
    }
    /**
     * 销毁
     */
    function destroy() {
        $(_pageId + ".vote_query").html("");
        $(_pageId + ".top_title .top_nav").hide();
        search_type = 1;
        if (vIscroll._init) {
            vIscroll.scroll.refresh();
        }
    }


    var base = {
        "init": init,
        "load": load,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy
    };
    module.exports = base;
});
