/**
 * 新股-- 一键申购
 */
define('trade/scripts/nsb/agreement.js', function (require, exports, module) {
    var common = require("common");
    var commonFunc = require("commonFunc");
    var gconfig = $.config;
    var global = gconfig.global;
    var service_xkj = require("service_xkj");
    var _pageId = "#nsb_agreement ";
    var pagecode = "nsb/agreement";
    var userInfo;//用户信息


    /**
     * 初始化
     */
    function init() {
        common.pageChangeHeight();
        userInfo = common.getCurUserInfo();
        mianHeight = common.setMainHeight(_pageId, false);
    }


    function load() {
        getAgreement();
    }
    function getAgreement() {
        service_xkj.require2001034({
            "agreement_no": "appointment_new_stock",
        }, function (data) {
            $.hidePreloader();
            var results = data.results[0];
            console.log(results);
            $(_pageId + ".argeement").html(results.agreementContent);
        }, { //控制参数
            "isShowWait": false,
        });
    }
    function setAgreement() {
        // os_type  0-ios 1-安卓  ；
        // version_sn 应用内部版本号
        var os_type = "1";
        var versionInfo = $.callMessage({ "funcNo": "50010" }).results[0];
        if ($.device.ios) {
            os_type = "0";
        }
        service_xkj.require2001035({
            "client_id": userInfo.cust_code,
			"client_name": userInfo.client_name,
            "fund_account": userInfo.fund_account,
            "agreement_no": "appointment_new_stock",
            "os_type": os_type,
            "version_sn": versionInfo.nativeVersionSn,
            "channel_no": "MAKE_NEW"
        }, function (data) {
            $.hidePreloader();
            $.pageBack();
            openTJD();
            
        }, { //控制参数
            "isShowWait": false,
        });
    }
    function openTJD(){
        var topage = "m_tjd/autoOrder/views/login_router"; // 获取跳转的页面
        var loginToWebURL = global.reservationUrl + "/" + topage + ".html?module=yydx&needlogin=true";
        var moduleName = "tiitrade_yydx";
        if (global.callNative && global.isSso) {
            $.callMessage({
                "funcNo": "50500",
                "msgNo": "150115",
                "sourceModule": "trade",
                "targetModule": "*",
                "action": "4",
                "param": {
                    "isPhoneLogin": "1",//需要手机号登录
                    "isCapitalLogin": "1",//需要资金账号登录
                    "moduleName": moduleName,
                    "url": loginToWebURL + "&isFromApp=true",
                    "statusColor": "#2A315B",//状态栏颜色
                    "isShowLoading": "0",
                    "targetModule": "trade"
                }
            });
        }
    }

    /**
     * 事件绑定
     */
    function bindPageEvent() {
        //返回按钮
        $.bindEvent($(_pageId + ".icon_back"), function (e) {
            $.pageBack();
            e.stopPropagation();
        });


        $.bindEvent($(_pageId + ".ce_btn a"), function (e) {
            setAgreement();
            e.stopPropagation();
        });
    }


    /**
     * 销毁
     */
    function destroy() {
        $.clearRequest();
        userInfo = {};
    }




    var base = {
        "init": init,
        "load": load,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy
    };
    module.exports = base;
});
