/**
 * 交易主界面
 */
define('trade/scripts/nsb/help.js', function(require, exports, module) {
	var gconfig = $.config;
    var _pageId = "#nsb_help ";
    var pagecode="nsb/help"
    var commonFunc = require("commonFunc");

    var stockFlag = "0";//true表示新股 false表示新债

    /**
     * 初始化
     */
	function init(){

    }

    function load() {

        if(commonFunc.hasSaveStr("stockFlag")){
            stockFlag = commonFunc.getSaveStr("stockFlag",true);
        }

        if(stockFlag=="0"){
            $(_pageId+".nsb_help_tab ul li:eq(0)").addClass("left");
            $(_pageId+".nsb_help_tab ul li:eq(1)").removeClass("right");
            $(_pageId+".content .stocks").show();
            $(_pageId+".content .bonds").hide();
        }else{
            $(_pageId+".nsb_help_tab ul li:eq(0)").removeClass("left");
            $(_pageId+".nsb_help_tab ul li:eq(1)").addClass("right");
            $(_pageId+".content .stocks").hide();
            $(_pageId+".content .bonds").show();
        }
    }
	

	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		//返回按钮
        $.bindEvent($(_pageId + ".icon_back"),function() {
            $.pageBack();
		});
		//新股
		$.bindEvent($(_pageId + ".nsb_help_tab ul li:eq(0)"),function() {
            $(_pageId+".nsb_help_tab ul li:eq(0)").addClass("left");
            $(_pageId+".nsb_help_tab ul li:eq(1)").removeClass("right");
            $(_pageId+".content .stocks").show();
            $(_pageId+".content .bonds").hide();
		});
		
		// 新债
		$.bindEvent($(_pageId + ".nsb_help_tab ul li:eq(1)"), function(e){
            $(_pageId+".nsb_help_tab ul li:eq(0)").removeClass("left");
            $(_pageId+".nsb_help_tab ul li:eq(1)").addClass("right");
            $(_pageId+".content .stocks").hide();
            $(_pageId+".content .bonds").show();

		});

        //常见问题
        $.bindEvent($(_pageId + ".reserve"),function() {
            $.pageInit("nsb/help","nsb/commonPro",{},true);
        });
	}
	




	/**
	 * 销毁
	 */
	function destroy(){
        stockFlag = "0";//true表示新股 false表示新债
	}
	
	var base = {
		"init" : init,
        "load" : load,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy,
	};
	module.exports = base;
});
