/**
 * 备兑不足查询
 */
define('trade/scripts/option/query/enoughSecurities.js', function(require, exports, module) {
	var _pageId = "#option_query_enoughSecurities ";
   	var common = require("common");
    var publicQuery = require("publicQuery");
    var data = {
    	"funcNo" : "305018",
    	"param" : {},
    	"history":false,
    	"htmlData" : {
	    	"topDiv":{
//	    		"entrust":"",
		  		"name":"stock_name",
		  		"code":"stock_code",
//	    		"time":"option_type_name",
	    	},
	    	"liList":[
	    			["交易市场","exchange_type"],
	    			["备兑锁定数量","covered_lock_amount"],
	    			["备兑缺口数量","covered_short_amount"],
	    			["备兑预估数量","covered_preshort_amount"],
	    		],
    	}
    }
    /**
     * 初始化
     */
	function init(){
		publicQuery.init(data);
    }
		
	function load(){
		publicQuery.load();
	}
    
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		//返回按钮
		$.bindEvent($(_pageId+".top_title .icon_back"), function(e){
			$.pageBack("option/query/stockQuery","left");
			e.stopPropagation();
		});
		
		publicQuery.bindPageEvent();
	}
	
	/**
	 * 销毁
	 */
	function destroy(){
		publicQuery.destroy();
	}
	
	
	var base = {
		"init" : init,
		"load" : load,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = base;
});	
