/**
 * 当日行权委托查询
 */
define('trade/scripts/option/query/exerciseEntrust.js', function(require, exports, module) {
    var _pageId = "#option_query_exerciseEntrust ";
    var common = require("common");
    var publicQuery = require("publicQuery");
    var data = {
    	"funcNo" : "305033",
    	"param" : {},
    	"history":false,
    	"htmlData" : {
	    	"topDiv":{
//	    		"entrust":"",
		  		"name":"option_name",
		  		"code":"option_code",
	    		"time":"entrust_status_name",
	    	},
	    	"liList":[
	    			["证券代码","stock_code"],
	    			["持仓类别","covered_flag_name"],
	    			["行权价格","opt_entrust_price"],
	    			["行权数量","entrust_amount"],
//	    			["收付数量","settle_amount"],
//	    			["收付金额","settle_balance"],
	    			["交易市场","exchange_type_name"],
	    			["发生日期","entrust_time"],
	    		],
    	}
    }
    /**
     * 初始化
     */
	function init(){
		publicQuery.init(data);
		common.pageBuryingPoint("107264");
    }
		
	function load(){
		publicQuery.load();
	}
    
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		//返回按钮
		$.bindEvent($(_pageId+".top_title .icon_back"), function(e){
			common.comStat(107265,2,103,true,{"i_group_name": "返回" });
			$.pageBack("account/index","left");
			e.stopPropagation();
		});
		common.bindStockEvent($(_pageId + '.option_tab ul li a'),true);
		publicQuery.bindPageEvent();
	}
	
	/**
	 * 销毁
	 */
	function destroy(){
		common.pageBuryingPoint();
		publicQuery.destroy();
	}
	
	
	var base = {
		"init" : init,
		"load" : load,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = base;
});	
	
