/**
 * 历史行权指派查询
 */
define('trade/scripts/option/query/historyAssign.js', function(require, exports, module) {
   	var _pageId = "#option_query_historyAssign ";
   	var common = require("common");
    var publicQuery = require("publicQuery");
    var data = {
    	"funcNo" : "305012",
    	"param" : {},
    	"history":true,
    	"htmlData" : {
	    	"topDiv":{
//	    		"entrust":"",
		  		"name":"option_name",
		  		"code":"option_code",
	    		"time":"init_date",
	    	},
	    	"liList":[
	    			["合约类型","option_type_name"],
	    			["交易市场","exchange_type_name"],
	    			["标的代码","stock_code"],
//	    			["持仓类别","opthold_type_name"],
	    			["行权价格","exercise_price"],
	    			["指派行权数","exercise_amount"],
	    			["标的收付数","settle_amount"],
	    			["收付金额","settle_balance"],
//	    			["发生日期","init_date"],
	    		],
    	}
    }
    /**
     * 初始化
     */
	function init(){
		common.pageBuryingPoint("107184");
		publicQuery.init(data);
    }
		
	function load(){
		publicQuery.load();
	}
    
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		//返回按钮
		$.bindEvent($(_pageId+".top_title .icon_back"), function(e){
			common.comStat(107185,2,103,true,{"i_group_name":"返回"});
			$.pageBack("option/query/stockQuery","left");
			e.stopPropagation();
		});
		
		publicQuery.bindPageEvent();
	}
	
	/**
	 * 销毁
	 */
	function destroy(){
		common.pageBuryingPoint();
		publicQuery.destroy();
	}
	
	
	var base = {
		"init" : init,
		"load" : load,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = base;
});	
