/**
 * 信用交易-下单首页
 */
define('trade/scripts/option/query/mainQuery.js', function(require, exports, module) {
    var _pageId = "#option_query_mainQuery ";
    var common = require("common");
    var gconfig = $.config;
	var global = gconfig.global;
 	var downslide = new (require("downslide")).Downslide();
    var first = true;
    
    /**
     * 初始化
     */
	function init(){
		common.pageBuryingPoint("107127");
		if(first){
			downslide.addSlide();
		}
		$(_pageId + '.search_nav ul li').show();
		$(_pageId+" .search_nav ul li[gth"+global.serverConfig+"]").hide();
		common.bindStockEvent($(_pageId + '.tab_nav ul li a'),true);
		
		common.bindStockEvent($(_pageId + ".search_nav ul li a"),null,true);
    }
	
	function load(){
		if(first){
			var mainHeight = common.setMainHeight(_pageId, false);
			var orderHeigt = mainHeight - $(_pageId + ".main .tab_nav").outerHeight();
	    	downslide.rollInit(orderHeigt);
	    	first = false;
		}
	}
	
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		//返回按钮
		$.bindEvent($(_pageId+" .top_title .icon_back"), function(e){
			common.comStat(107136,2,103,true,{"i_group_name":"返回"});
          		var pageCode = $.getCurrentPageObj().pageCode || '';
          		var prePageCode = $.getCurrentPageObj().prePageCode || 'account/index';
			$.pageInit(pageCode,prePageCode,{"_loginClass":"2"},"left",true);
			e.stopPropagation();
		});
	}
    
	/**
	 * 销毁
	 */
	function destroy(){
		common.pageBuryingPoint();
	}
	
	
	var base = {
		"init" : init,
		"load": load,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = base;
});