/**
 * 新债-更多
 */
define('trade/scripts/purchaseNewDebt/newMore.js',function(require, exports, module) {
	var common = require("common");
	var commonFunc = require("commonFunc");
	var _pageId = "#purchaseNewDebt_newMore ";
	
    /**
     * 初始化
     */
	function init() {
		common.pageBuryingPoint("100530");
		common.bindStockEvent($(_pageId + '.tab_nav ul li a'),true);
		
		common.bindStockEvent($(_pageId + '.distr_nav ul li a'));
    }
	
	function load(){
		var mianHeight = common.setMainHeight(_pageId, false);
	}
	
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		//返回按钮
		$.bindEvent($(_pageId+".top_title .icon_back"), function(e){
			commonFunc.appThirdBack('purchaseNewDebt_newMore', function(){
				$.pageBack("account/index","left");
			});
			//埋点
			common.comStat(100531,2,103,true,{"i_group_name": "返回" });
			e.stopPropagation();
		});
	}
    
	
	
	/**
	 * 销毁
	 */
	function destroy(){
		common.pageBuryingPoint();
	}
	
	/**
	 * 重写框架里面的pageBack方法
	 */
	function pageBack(){
		$.pageBack("account/index","left");
	}
	
	var base = {
		"init" : init,
		"load" : load,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy,
		"pageBack": pageBack
	};
	module.exports = base;
});