/**
 * 新债-- 申购
 */
define('trade/scripts/purchaseNewDebt/newPurchase.js', function (require, exports, module) {
    require("validatorUtils");
    var validator = $.validatorUtils;
    var common = require("common");
    var commonFunc = require("commonFunc");
    var gconfig = $.config;
    var global = gconfig.global;
    var service_debt = require("service_debt");
    var _pageId = "#purchaseNewDebt_newPurchase ";
    var iscrollUtils = require("iscrollUtils");
    var nativePluginService = require("nativePluginService");
    var myScroller = null; // 滑动组件对象
    var userInfo = null;
    var listData = {};
    var singleData = {};
    var num_step = 500; //步数
    var exchange_market = ""; //市场类别
    var witchAccount = "";
    var stock_account = "";
    var _stockName = "";
    var mianHeight = null;
    require("validatorUtils");
    var validatorUtil = $.validatorUtils;
    var keyboard = require("keyboard");
    var isLoginIn = null;
    var pageHeight = null;
    var cdrProtocolSign = require("cdrProtocolSign");
    var paramMap = "";
    var newStockType = "0";

    /**
     * 初始化
     */
    function init() {
        $.setSStorageInfo("stockFlag", "", true);
        $.setSStorageInfo("bjsFlag", "", true);
        $.pageInit("purchaseNewDebt/newPurchase", "nsb/index", {"param": getParam(), "isFromApp": true}, true);
        return;
        common.pageChangeHeight();
        common.pageBuryingPoint("100490");
        if (keyboard) {
            keyboard.keyInit();
        }
        $(_pageId + ".main").eq(1).hide();
        $(_pageId + ".main").eq(0).show();
        paramMap = $.getPageParam("param");
        var isFromApp = false;
        if (paramMap && Object.getOwnPropertyNames(paramMap).length != 0) {
            if (paramMap && typeof (paramMap) == "string") {
                paramMap = JSON.parse(paramMap);
            }
            if (paramMap.switchUserInfo) {
                common.switchingCurUser(paramMap.switchUserInfo);
                newStockType = paramMap.switchUserInfo;
            }
            isFromApp = paramMap.isFromApp;
        }

        var appVersion = nativePluginService.function50001();
        if (appVersion && appVersion.results && appVersion.results.length > 0) {
            var currentVersionCode = appVersion.results[0].nativeVersionSn;
            if (Number(currentVersionCode) > 387) {
                $.pageInit("purchaseNewDebt/newPurchase", "nsb/index", {
                    "param": getParam(),
                    "isFromApp": isFromApp
                }, true);
                return;
            }
        }

        userInfo = common.getCurUserInfo();
        if (userInfo && common.isEmptyObject(userInfo)) {//登录的情况
            $(_pageId + ".onekey_check").show();
            $(_pageId + ".oneClick").hide();
            commonFunc.setJurisdiction(userInfo);
        } else {
            $(_pageId + ".onekey_check").hide();
            $(_pageId + ".oneClick").show();
        }
    }

    function getParam() {
        var param = {
            "isStocks": false,
            "switchUserInfo": newStockType,
            "isFromApp": true
        };
        return param;
    }

    function load() {
        mianHeight = common.setMainHeight(_pageId, false);
        pageHeight = $(window).height() - $(_pageId + ".top_title").height() - $(_pageId + " .order_form").height() - $(_pageId + " .tab_nav").height() - $(_pageId + ".onekey_check").height() - $(_pageId + ".oneClick").height() - 6;

        var clearTimeoutObj = setTimeout(function () {
            pageHeight = $(window).height() - $(_pageId + ".top_title").height() - $(_pageId + " .order_form").height() - $(_pageId + " .tab_nav").height() - $(_pageId + ".onekey_check").height() - $(_pageId + ".oneClick").height() - 6;
            clearTimeout(clearTimeoutObj);
        }, 100);
        if (global.requestLocation == 1) {
            backgroundInterface();
        }
    }

    function backgroundInterface() {
        if (userInfo && common.isEmptyObject(userInfo)) {//登录的情况
            debtListquery();
        } else {
            queryMessages(); //今日新债查询
        }

    }

    /**
     * 事件绑定
     */
    function bindPageEvent() {
        //返回按钮
        $.bindEvent($(_pageId + ".top_title .icon_back"), function (e) {
            if (keyboard) {
                keyboard.closeKeyPanel();
            }
            commonFunc.appThirdBack('purchaseNewDebt_newPurchase', function () {
                $.pageInit("purchaseNewDebt/newPurchase", "account/index", {"_loginClass": newStockType}, "", true);
            });
            //埋点
            common.comStat(100495, 2, 103, true, {"i_group_name": "返回"});
            e.stopPropagation();
        });
        //页面头部的事件
        $.bindEvent($(_pageId + '.tab_nav ul li a'), function (e) {
            var pageCode = $.getCurrentPageObj().pageCode || '';
            var topage = $(this).attr("to-page").replaceAll("_", "/"); //获取跳转的页面
            var param = $(this).attr("param");
            if (!param) {
                param = "";
            }

            if (userInfo && common.isEmptyObject(userInfo)) {//登录的情况
                if (pageCode != topage) {
                    $.pageInit(pageCode, topage, {"param": param, "_loginClass": newStockType}, "", true);
                }
            } else {
                commonFunc.login($.getCurrentPage().pageCode, "account/login", {
                    "topage": $.getCurrentPage().pageCode,
                    "_loginClass": newStockType
                }, {
                    "topage": $.getCurrentPage().pageCode,
                    "param": {
                        "switchUserInfo": newStockType,
                        "_loginClass": newStockType
                    }
                });
            }
            e.stopPropagation();
        });

        //申购
        $.bindEvent($(_pageId + " .onekey_check .btn"), function (e) {
            if (keyboard) {
                keyboard.closeKeyPanel();
            }
            cofirmOrder();
            //埋点
            common.comStat(100500, 2, 103, true, {"i_group_name": "新债申购提交"});
//			e.stopPropagation();	// 阻止冒泡
        });


        //一键申购
        $.bindEvent($(_pageId + " .oneClick"), function (e) {
            $(this).unbind(e.type);
            this[e.type] = null;
//			if(!isLoginIn){//不登录的情况
            if (userInfo && common.isEmptyObject(userInfo)) {//登录的情况
                $.pageInit("purchaseNewDebt/newPurchase", "account/login", {
                    topage: "purchaseNewDebt/newPurchase",
                    "_loginClass": newStockType
                });
            } else {
                commonFunc.login($.getCurrentPage().pageCode, "account/login", {
                    "topage": $.getCurrentPage().pageCode,
                    "_loginClass": newStockType
                }, {
                    "topage": $.getCurrentPage().pageCode,
                    "param": {
                        "switchUserInfo": newStockType,
                        "_loginClass": newStockType
                    }
                });
            }
        }, "tap");

        //全选
        $.bindEvent($(_pageId + " .onekey_check span"), function (e) {
            if (keyboard) {
                keyboard.closeKeyPanel();
            }
            if ($(this).find("i").hasClass("active")) {
                $(this).find("i").removeClass("active");
                $(_pageId + " .onekey_main .part").removeClass("active");
            } else {
                $(this).find("i").addClass("active");
                $(_pageId + " .onekey_main .part").addClass("active");
            }
            //埋点
            var part = $(_pageId + " .onekey_main .part.active");
            var stockCodeList = [];
            part.forEach(function (element, index) {
                stockCodeList.push($(element).attr("id"));
                var data = listData[$(element).attr("id")];
                commonFunc.popupRightsConfirm(data, {checkKzz: true});
            })
            //埋点
            common.comStat(100499, 2, 103, true, {"i_group_name": "全选"});
            e.stopPropagation();	// 阻止冒泡
        });
    }

    /**
     * 新债列表查询（未登录）
     */
    function queryMessages() {
        var entrust_way = global.entrust_way; // 委托方式  在configuration配置
        var branch_no = userInfo.branch_no;	 //分支机构
        var fund_account = userInfo.fund_account;//资产账户
        var cust_code = userInfo.cust_code;  	 //客户代码
        var sessionid = userInfo.session_id;
        var password = userInfo.password;
        var param = {
            "entrust_way": entrust_way,
            "branch_no": branch_no,
            "fund_account": fund_account,
            "cust_code": cust_code,
            "password": password,
            "sessionid": sessionid,
            "account_type": userInfo._loginClass
        };
        service_debt.placingResaleConversion(param, messageCallBack,
            {
                "isLastReq": true,
                "isShowWait": true,
                "isShowOverLay": false,
                "timeOutFunc": function () {
                    $(_pageId + ".no_data").show();
                    if (!myScroller) {
                        initScroller();
                    } else {
                        myScroller.refresh();
                    }
                }
            });
    }

    /**
     * 新债列表查询
     */
    function debtListquery() {
        var entrust_way = global.entrust_way; // 委托方式  在configuration配置
        var branch_no = userInfo.branch_no;	 //分支机构
        var fund_account = userInfo.fund_account;//资产账户
        var cust_code = userInfo.cust_code;  	 //客户代码
        var sessionid = userInfo.session_id;
        var password = userInfo.password;
        var param = {
            "entrust_way": entrust_way,
            "branch_no": branch_no,
            "fund_account": fund_account,
            "cust_code": cust_code,
            "password": password,
            "sessionid": sessionid,
            "account_type": userInfo._loginClass
        };
        service_debt.debtListquery(param, messageCallBack,
            {
                "isLastReq": true,
                "isShowWait": true,
                "isShowOverLay": false,
                "timeOutFunc": function () {
                    $(_pageId + ".no_data").show();
                    if (!myScroller) {
                        initScroller();
                    } else {
                        myScroller.refresh();
                    }
                }
            });
    }

    //新债查询回调
    function messageCallBack(data) {
        if (data.error_no == 0) {
            var results = data.results;
            if (results && results.length > 0) {

                var html = '';
                listData = {};
                for (var i = 0; i < results.length; i++) {
                    listData[results[i].stock_code] = results[i];
                    html += messageAddHtml(results[i], i);
                }
                $(_pageId + " .onekey_main").html(html);
                $(_pageId + ".no_data").hide();

//				if(isLoginIn && isLoginIn != "false"){//登录的情况
                if (userInfo && common.isEmptyObject(userInfo)) {//登录的情况
                    //单个选择
                    $.bindEvent($(_pageId + " .onekey_main .part .title"), function (e) {
                        //埋点
                        common.comStat(100496, 2, 104, true, {
                            "i_change_name": "选中新债",
                            "i_change_to": $(this).parent(".part").attr("stock_name")
                        });
                        if ($(this).parent(".part").hasClass("active")) {
                            $(this).parent(".part").removeClass("active");
                        } else {
                            $(this).parent(".part").addClass("active");
                        }
                        if ($(this).parent(".part").hasClass("active")) {
                            var data = listData[$(this).parents(".part").attr("id")];
                            commonFunc.popupRightsConfirm(data, {checkKzz: true});
                        }
                        e.stopPropagation();	// 阻止冒泡
                    });
                } else {//未登录
                    //单个选择
                    $.bindEvent($(_pageId + " .onekey_main .part .title"), function (e) {
                        commonFunc.login($.getCurrentPage().pageCode, "account/login", {
                            "topage": $.getCurrentPage().pageCode,
                            "_loginClass": newStockType
                        }, {
                            "topage": $.getCurrentPage().pageCode,
                            "param": {
                                "switchUserInfo": newStockType,
                                "_loginClass": newStockType
                            }
                        });
                        e.stopPropagation();	// 阻止冒泡
                    });
                }

                //申购
                $.bindEvent($(_pageId + " .onekey_main .part ul li:nth-child(2)"), function (e) {
                    //埋点
                    common.comStat(100497, 2, 103, true, {"i_group_name": "编辑数量"});
                    $(_pageId).attr("key-panel-main", "false");
                    var $this = $(this);
                    var data = listData[$this.parents(".part").attr("id")];
                    var tipStr = "<div class='pop_nums' >";
                    tipStr += '<div class="pop_main" style="margin: 10px;">';
                    tipStr += '<div class="input_text text">';
                    tipStr += '<label>申购上限</label>';
                    tipStr += '<input  style="text-align: center;font-size: 18px;width: 100%;" type="text" class="t1" value="' + Number(data.high_amount) + '" readonly="readonly"/>';
                    //<a href="javascript:void(0);" class="all">全部</a>
                    tipStr += '</div>';
                    tipStr += '<div class="input_box">';
                    tipStr += '<label>申购数量</label>';
                    tipStr += '<div class="input_value" buy_unit="' + Number(data.buy_unit) + '">';
                    tipStr += '<em class="less"></em>';
                    tipStr += '<em class="add"></em>';
                    tipStr += '<input id="purchaseNum" js-key="tel8" type="tel" class="t1" maxLength="11"/>';
                    tipStr += '</div>';
                    tipStr += '</div>';
                    tipStr += '</div>';
                    tipStr += '</div>';
                    common.iConfirm("编辑申购数", tipStr, function (div) {
                        if (keyboard) {
                            keyboard.closeKeyPanel();
                        }
                        $this.find("em").text(div.find(".pop_nums .input_value input").val());
                        $(_pageId).attr("key-panel-main", "true");
                    }, function () {
                        if (keyboard) {
                            keyboard.closeKeyPanel();
                        }
                        $(_pageId).attr("key-panel-main", "true");
                    }, "确定", "取消", function ($html) {
                        var all = $html.find(" .input_value input").val();
                        var buy_unit = $html.find(".input_value").attr("buy_unit") || 500;

                        if (!validatorUtil.isNumeric(all)) {
                            $.alert("输入数量有误");
                            return false;
                        }
//						else if(Number(all) > apply_sell){
//							$.alert("申购数量大于可申购数量");
//							return false;
//						}
                        else if (all % Number(buy_unit) != 0) {
                            $.alert("申购数量应该为" + buy_unit + "整数倍");
                            return false;
                        } else if (Number(all) > Number(data.high_amount)) {
                            $.alert("申购数量大于申购上限");
                            return false;
                        } else {
                            return true;
                        }
                    });

                    $(_pageId + "#purchaseNum").val($(this).find("em").text());
                    if (keyboard) {
                        keyboard.keyInit();
                    }

                    //申购数量输入
                    $.bindEvent($(_pageId + "#purchaseNum"), function (e) {
                        if (keyboard) {
                            keyboard.popUpKeyboard($(this), e);
                        }
                        e.stopPropagation();
                    }, "input");

                    //申购数量失去光标
                    $.bindEvent($(_pageId + "#purchaseNum"), function (e) {
                        //埋点
                        common.comStat(100498, 2, 2, false, {
                            "i_entrust_bs": "", // 交易方向( 1,买入 2,卖出)
                            "i_entrust_prop": "", // 委托属性
                            "i_exchange_type": data.exchange_type, // 交易市场
                            "i_stock_code": data.stock_code, // 股票代码
                            "i_stock_name": data.stock_name, // 股票名称
                            "i_price": data.price, // 选择后的价格
                            "i_adjust_type": "5", // 调整方式（1,加 2,减 3快捷键 5,直接输入）
                            "i_max_cnt": data.high_amount, // 最大数量
                            "i_target_cnt": $(this).quzhi(), // 调整之后的数量
                            "i_fast_btn": "", // 快捷键（全仓，1/2，1/4 ....（可留空））
                        });
                        e.stopPropagation();
                    }, "blur");

                    //申购数量加减
                    $.bindEvent($(_pageId + ".pop_nums .input_value em"), function (e) {
                        if (keyboard) {
                            keyboard.closeKeyPanel();
                        }
                        var css = $(this).attr("class");
                        var inp = $(this).nextAll("input");
                        var buy_unit = $(this).parent(".input_value").attr("buy_unit") || 500;
                        buy_unit = Number(buy_unit);
                        var inpVal = Number(inp.val());
                        if (css == "less") {
                            if (inpVal - buy_unit < 0) {
                                inpVal = 0;
                            } else {
                                inpVal = inpVal - buy_unit;
                            }
                        } else if (css == "add") {
                            inpVal = inpVal + buy_unit;
                        }
                        $(_pageId + " #purchaseNum").quzhi(inpVal);
                        e.stopPropagation();	// 阻止冒泡
                    });

                    //全部
                    $.bindEvent($(_pageId + ".pop_nums .input_text .all"), function (e) {
                        if (keyboard) {
                            keyboard.closeKeyPanel();
                        }
                        var all = $(this).prev("input").val();
                        $(_pageId + " #purchaseNum").quzhi(all);
                        e.stopPropagation();	// 阻止冒泡
                    });
                    e.stopPropagation();	// 阻止冒泡
                });
            } else {
                $(_pageId + ".no_data").show();
            }
        } else {
            $.alert(data.error_info);
        }
        if (!myScroller) {
            initScroller();
        } else {
            myScroller.refresh();
        }
    }

    /**
     * actcheck
     */
    function messageAddHtml(element, i) {
        var buy_unit = element.high_amount || element.buy_unit || "0";
        buy_unit = Number(buy_unit);
        eleHtml = "";
        eleHtml += '<div id="' + element.stock_code + '" stock_name="' + element.stock_name + '" class="part" exchange_type="' + element.exchange_type + '" stock_account="' + element.stock_account + '" accounts_list="' + element.accounts_list + '">';

//      if(isLoginIn && isLoginIn != "false"){//登录的情况
        if (userInfo && common.isEmptyObject(userInfo)) {//登录的情况
            eleHtml += '<div class="title">';
            eleHtml += '<i></i>';
        } else {
            eleHtml += '<div class="title" style="padding-left: 0.1rem;">';
        }
        eleHtml += '<h5><span>' + element.stock_name + ' <small>' + element.stock_code + '</small></span><span class=\"time\" style="float: right;">' + element.exchange_type_name + '</span></h5></div>';
        eleHtml += '<ul>';
        eleHtml += '<li><p><span>发行价</span><em>' + Number(element.issue_price).toFixed(3) + '</em></p>';
        if (element.stock_type == "10") { // CDR
            eleHtml += '<p><span>申购上限</span>' + Number(element.high_amount) + '份</p>';
        } else {
            eleHtml += '<p><span>申购上限</span>' + Number(element.high_amount) + '张</p>';
        }
        eleHtml += '</li>';

//		if(isLoginIn && isLoginIn != "false"){//登录的情况
        if (userInfo && common.isEmptyObject(userInfo)) {//登录的情况
            eleHtml += '<li><p><span>申购数</span><em>' + buy_unit + '</em></p><a href="javascript:void(0);"></a></li>';
        }
        eleHtml += '</ul></div>';
        return eleHtml;
    }

    /**
     * 申购验证
     * */
    function cofirmOrder() {
        if (!common.isValue(listData)) {
            $.alert("暂无可以申购的代码信息");
            return false;
        }
        var list = $(_pageId + " .onekey_main div.active");
        var listLength = list.length;
        if (listLength == 0) {
            $.alert("请勾选要申购的代码");
            return false;
        }
        var entrustcodes = [];
        var entrustResults = [];
        var tipStr = "<div ><ul>";
        var tipStrArray = [];
        for (var i = 0; i < listLength; i++) {
            var name = list.eq(i).attr("stock_name");
            var exchange_type = list.eq(i).attr("exchange_type");
            var stock_account = list.eq(i).attr("stock_account");
            var stock_code = list.eq(i).find("h5 small").text();
            var num = list.eq(i).find("ul li").eq(1).find("p em").text();
            var stock_name = name.replaceAll("" + stock_code, "");
            if (num == 0) {
                $.alert(stock_name + "(" + stock_code + ")" + "申购数量需大于0");
                return false;
            }
            var price = list.eq(i).find("ul li").eq(0).find("p em").text();
            entrustcodes.push(stock_code + ":" + exchange_type + ":" + price + ":" + num + ":" + stock_account);
            entrustResults.push(stock_code + ";" + num + "|");
//			for(var d = 0 ; d<10; d++){
//				tipStrArray.push([name, "申购股数 "+num]);
            tipStrArray.push([name, num]);
//			}
        }
        tipStr += common.generatePrompt(tipStrArray);
        tipStr += "</ul></div>";

        //埋点
        var comStat = function (i_oper) {
            for (var i = 0; i < listLength; i++) {
                var name = list.eq(i).find("h5 span").html();
                var exchange_type = list.eq(i).attr("exchange_type");
                var stock_code = list.eq(i).find("h5 small").text();
                var num = list.eq(i).find("ul li").eq(1).find("p em").text();
                var stock_name = name.replaceAll("" + stock_code, "");
                var price = list.eq(i).find("ul li").eq(0).find("p em").text();
                common.comStat(100501, 2, 3, false, {
                    "i_entrust_bs": "", // 交易方向( 1,买入 2,卖出)
                    "i_stock_code": stock_code, // 股票代码
                    "i_stock_name": stock_name, // 股票名称
                    "i_entrust_prop": "", // 委托属性
                    "i_exchange_type": exchange_type, // 交易市场
                    "i_entrust_price": price, // 选择后的价格
                    "i_entrust_amount": num, // 委托数量
                    "i_oper": i_oper//动作（1确定 2取消）
                });
            }
        };
        common.iConfirm("申购确定", tipStr, function success() {
            var entrust_way = global.entrust_way; // 委托方式  在configuration配置
            var branch_no = userInfo.branch_no;	 //分支机构
            var fund_account = userInfo.fund_account;//资产账户
            var cust_code = userInfo.cust_code;  	 //客户代码
            var sessionid = userInfo.session_id;
            var password = userInfo.password;
            var param = {
                "entrust_way": entrust_way,
                "branch_no": branch_no,
                "fund_account": fund_account,
                "cust_code": cust_code,
                "password": password,
                "sessionid": sessionid,
                "account_type": userInfo._loginClass,
                "entrustcodes": entrustcodes.join("|")
            };
            service_debt.netBebtPurchase(param, succesCallback, {
                "isLastReq": false, "isShowWait": false,
                "timeOutFunc": function () {
                    $.hidePreloader();
                }, "errorFunc": function () {
                    $.hidePreloader();
                }
            });
            $.showPreloaders("请等待...");
            //埋点
            comStat(1);
        }, function () {
            //埋点
            comStat(2);
        });
    }

    function succesCallback(data) {
        $.hidePreloader();
        $(_pageId + ".onekey_succes .stat_box ul").html("");
        if (typeof (data) != "undefined" && data) {
            $(_pageId + ".state_list ").html("");
            if (data.error_no == 0) {
                $(_pageId + ".main").eq(0).hide();
                var results = data.results;
                var gs = results.length;
                if (gs > 0 && results != "undefined") {
                    var type = 0;
                    var html = "";
                    for (var i = 0; i < gs; i++) {
                        var css = '<span class="n1">提交成功</span>';
                        if (results[i].error_no != 0) {
                            type++;
                            css = '<span class="n2">提交失败</span><p style="word-wrap:break-word;">' + results[i].error_info + '</p>';
                        }
                        html += "<li>" + listData[results[i].stock_code].stock_name + " " + results[i].entrust_amount + "股" + css + "</li>"
                    }
                    $(_pageId + " .onekey_succes .inner span").attr("class", "icon");
                    if (type == 0) {
                        $(_pageId + " .onekey_succes .inner span").addClass("duei");
                    } else if (type == gs) {
                        $(_pageId + " .onekey_succes .inner span").addClass("chuo");
                    } else {
                        $(_pageId + " .onekey_succes .inner span").addClass("gt");
                    }
                    $(_pageId + ".onekey_succes .stat_box ul").html(html);
                }
                $(_pageId + ".main").eq(1).show();
                $(_pageId + ".main").eq(1).css({
                    "height": mianHeight - $(_pageId + " .tab_nav").height() + "px",
                    "overflow": "auto"
                });
                // var height = mianHeight - $(_pageId+" .tab_nav").height()-  $(_pageId + " .onekey_succes .inner").height() - $(_pageId + " .onekey_succes .oneClick").height() - 40;
                // $(_pageId+".onekey_succes .stat_box ul").css({
                // 	"max-height": height + "px",
                // 	"overflow" : "auto"
                // });
                //返回按钮
                $.bindEvent($(_pageId + ".onekey_succes .ce_btn a"), function (e) {
                    $(_pageId + ".main").eq(1).hide();
                    $.pageRefresh();
                    e.stopPropagation();
                });
            } else {
                $.alert(data.error_info);
            }
        }
    }

    /**
     * 销毁
     */
    function destroy() {
        common.pageBuryingPoint();
        $(_pageId + " .onekey_main").html("");
        $(_pageId + " .onekey_check span").find("i").removeClass("active");
        $(_pageId + "#stockPrice").val("");
        $(_pageId + "#stockNum").val("");
        $(_pageId + ".select_box ul").hide();
        $(_pageId + ".input_select .select_box p").html("请选择");
        $(_pageId + " .order_form .max strong").text("--");
        $(_pageId + " .order_form .notice span").text("--");
        $(_pageId + "#stockCode").val("");
        _stock_code = "";
        _stockName = "";
        if (myScroller) {
            myScroller.destroy();
            myScroller = null;
        }
        if (keyboard) {
            keyboard.keyDestroy();
        }
    }

    /**
     * 初始化滑动组件
     */
    function initScroller() {
        var scrollOptions = {
            scrollerHeight: pageHeight, // 滚动组件的高度
            pullThreshold: 5, // 拖动刷新或者加载的阀值，默认 5 像素
            $wrapper: $(_pageId + " #wrapper"),
            hasPullDown: true, // 是否显示下拉提示，默认 true
            hasPullUp: false, // 是否显示上拉提示，默认 true
            isAlwaysShowPullUp: false, // 是否一直显示上拉提示，true 一直显示上拉加载的提示，false 仅在上拉的时候显示提示，默认 true
            pullDownHandler: function () {
                queryMessages(); // 模拟查询接口数据操作
            },
            pullUpHandler: function () {
            }
        };
        if (!myScroller) {
            // 内容的高度比滚动区域高度小时
            // iscrollUtils 已有相同判断的代码，此处这样写的目的是为了解决 Android UC、微信等浏览器滚动失效的问题，在 iscrollUtils 设置高度，在初始化组件时，取到的值不准确
            if (scrollOptions.$wrapper.find("[data-is-content='true']").height() <= scrollOptions.scrollerHeight) {
                scrollOptions.$wrapper.children().height(scrollOptions.scrollerHeight + 1);
            }
            myScroller = iscrollUtils.vScroller(scrollOptions);
        } else {
            myScroller.refresh();
        }
    }


    var base = {
        "init": init,
        "load": load,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy
    };
    module.exports = base;
});
