/**
 * 账号展示页面
 */
define('trade/scripts/retrieveAccount/accountShow.js', function(require, exports, module) {
	var gconfig = $.config;
	var global = gconfig.global;
	var service_common = require("service_common");
    var _pageId = "#retrieveAccount_accountShow ";
    
    /**
     * 初始化
     */
	function init(){
		var clientId=$.getPageParam("clientId");
		$(_pageId+".pearinput li").html("<span>资金账号</span>"+clientId);
	}
	
	function load(){}
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		// 返回按钮
		$.bindEvent($(_pageId + ".icon_back"), function(e){
			$.pageBack();
			e.stopPropagation();
		});
		//点击确定返回到首页
		$.bindEvent($(_pageId + ".pearbtn"), function(e){
			$.callMessage({"moduleName":"trade","funcNo": "50114","params":{}});
			e.stopPropagation();
		});
	}
	   
	/**
	 * 销毁
	 */
	function destroy(){
		$(_pageId+".pearinput li").html("");
	}
	
	var base = {
		"init" : init,
		"load": load,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = base;
});