/**
 * 基本信息填写
 */
define('trade/scripts/retrieveAccount/personalInfo.js', function(require, exports, module) {
	var gconfig = $.config;
	var global = gconfig.global;
	var service_zhyw = require("service_zhyw");
	var common = require("common");
    var _pageId = "#retrieveAccount_personalInfo ";
    var market_html_data = [
		{"name":"身份证","idType":"0"},
    	{"name":"外国护照","idType":"1"},
		{"name":"营业执照","idType":"2"},
		{"name":"港澳居民来往内地通信证","idType":"G"},
		{"name":"台湾居民来往大陆通信证","idType":"H"},
		{"name":"外国人永久居留证","idType":"I"},
		{"name":"全国组织机构代码","idType":"P"},
		{"name":"港澳台居民居住证","idType":"I"},
    ];//市价委托的数据
    
    /**
     * 初始化
     */
	function init(){
	}
	
	function load(){}
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		// 返回按钮
		$.bindEvent($(_pageId + ".icon_back"), function(e){
			$.pageBack();
			$.callMessage({"moduleName":"trade","funcNo": "50114","params":{}});
			e.stopPropagation();
		});
		
		common.selectList($(_pageId+"#identityCard"),'证件类型',market_html_data,function(obj){
     		$(_pageId + ".retrieveMasklayer").hide();
     		$(_pageId + "#identityCard").attr("idType",obj.idType);
     		$(_pageId + "#identityCard").html(obj.name);
			$(_pageId + "#identityCard").removeClass("agray");
	 },function(){
	     	$(_pageId+"#clientName").blur();
	     	$(_pageId+"#idNo").blur();
	 		$(_pageId + ".retrieveMasklayer").show();
	 		$.bindEvent($(_pageId + ".retrieveMasklayer"), function(e){
				$(_pageId+"#identityCard").picker("close");
				$(this).hide();
				e.stopPropagation();
			});
	 	},"accountStyle",function(){
	 		$(_pageId + ".retrieveMasklayer").hide();
	 		$(_pageId+"#identityCard").picker("close");
	 	});
	 	$(_pageId + " #identityCard").html("请选择证件类型").addClass("agray");
	 	
		// 下一步
		$.bindEvent($(_pageId + ".pearbtn"), function(e){
			accountSubmit();
			e.stopPropagation();
		});
	}
	
	/**
	 * 找回资金账号接口	
	 */
	function accountSubmit(){
		var client_name =  $(_pageId+"#clientName").val(); 
		var id_kind = $(_pageId+"#identityCard").attr("idType");
		var id_no = $(_pageId+"#idNo").val();
		
		if($.trim(client_name).length<=0){
			$.alert("请输入姓名");
			return false;
		}
		if(!id_kind){
			$.alert("请选择证件类型");
			return false;
		}
		if($.trim(id_no).length<=0){
			$.alert("请输入证件号码");
			return false;
		}
		var param = {
			"client_name":client_name,//姓名
			"id_kind":id_kind,//证件类别
			"id_no":id_no,//证件号码
		};
		service_zhyw.accountSubmit(param,accountSubmitCallBack,{"isLastReq":true,"isShowWait":false});
	}
	
	function accountSubmitCallBack(data){
		if (typeof data != "undefined" && data != null) {
			if(data.error_no == 0){
				if(typeof data.results != "undefined" && data.results!= null && data.results != ""){
					var results = data.results;	
					$.pageInit("retrieveAccount/personalInfo","retrieveAccount/accountShow",{"clientId":results[0].client_id},"left");
					destroy();
				}else{
					$.alert("客户信息记录不存在");
				}
			}else{
				$.alert(data.error_info);
			}
		}else{
			$.alert(data.error_info);
		}
	}
	
	/**
	 * 销毁
	 */
	function destroy(){
		$(_pageId + ".retrieveMasklayer").hide();
		$(_pageId+"#identityCard").picker("close");
     	$(_pageId+"#identityCard").attr("idType","");
	 	$(_pageId + " #identityCard").html("请选择证件类型").addClass("agray");
     	$(_pageId+"#clientName").val("");
     	$(_pageId+"#idNo").val("");
	}
	
	var base = {
		"init" : init,
		"load": load,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = base;
});