/**
 * 新股-更多
 */
define('trade/scripts/shares/more.js',function(require, exports, module) {
	var common = require("common");
	var commonFunc = require("commonFunc");
	var _pageId = "#shares_more ";
	var userInfo =null;
	
    /**
     * 初始化
     */
	function init() {
		userInfo = common.getCurUserInfo();
		if(userInfo._loginClass&&userInfo._loginClass=="1"){
			common.pageBuryingPoint("105527");
		}else{
			common.pageBuryingPoint("100340");
		}
		common.bindStockEvent($(_pageId + '.tab_nav ul li a'),true);
		
		common.bindStockEvent($(_pageId + '.distr_nav ul li a'));
		buryingPoint();
    }
	
	function load(){
		var mianHeight = common.setMainHeight(_pageId, false);
	}
	
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		//返回按钮
		$.bindEvent($(_pageId+".top_title .icon_back"), function(e){
			$(this).unbind(e.type);
			this[e.type] = null;
			//埋点
			if(userInfo._loginClass&&userInfo._loginClass=="1"){//信用交易
				common.comStat(105528,2,103,true,{"i_group_name": "返回" });
			}else{
				common.comStat(100341,2,103,true,{"i_group_name": "返回" });
			}
			commonFunc.appThirdBack('shares_more', function(){
				$.pageBack();
			});
			e.stopPropagation();
			e.preventDefault();
		});
	}
    
	/*
	 * 埋点参数
	 */
	function buryingPoint(){
		if(userInfo._loginClass&&userInfo._loginClass=="1"){//信用交易
			$(_pageId+".tab_nav li:eq(0)").find("a").attr("objectId","105481");
			$(_pageId+".tab_nav li:eq(0)").find("a").attr("actionId","103");
			$(_pageId+".tab_nav li:eq(1)").find("a").attr("objectId","105482");
			$(_pageId+".tab_nav li:eq(1)").find("a").attr("actionId","103");
			$(_pageId+".tab_nav li:eq(2)").find("a").attr("objectId","105483");
			$(_pageId+".tab_nav li:eq(2)").find("a").attr("actionId","103");
			$(_pageId+".tab_nav li:eq(3)").find("a").attr("objectId","105484");
			$(_pageId+".tab_nav li:eq(3)").find("a").attr("actionId","103");
			$(_pageId+".part li:eq(0)").find("a").attr("objectId","105529");
			$(_pageId+".part li:eq(0)").find("a").attr("actionId","103");
			
		}else{//普通交易
			$(_pageId+".tab_nav li:eq(0)").find("a").attr("objectId","100295");
			$(_pageId+".tab_nav li:eq(0)").find("a").attr("actionId","103");
			$(_pageId+".tab_nav li:eq(1)").find("a").attr("objectId","100296");
			$(_pageId+".tab_nav li:eq(1)").find("a").attr("actionId","103");
			$(_pageId+".tab_nav li:eq(2)").find("a").attr("objectId","100297");
			$(_pageId+".tab_nav li:eq(2)").find("a").attr("actionId","103");
			$(_pageId+".tab_nav li:eq(3)").find("a").attr("objectId","100298");
			$(_pageId+".tab_nav li:eq(3)").find("a").attr("actionId","103");
			$(_pageId+".part li:eq(0)").find("a").attr("objectId","100342");
			$(_pageId+".part li:eq(0)").find("a").attr("actionId","103");
		}
	}
    
	
	
	/**
	 * 销毁
	 */
	function destroy(){
		common.pageBuryingPoint();
	}
	
	/**
	 * 重写框架里面的pageBack方法
	 */
	function pageBack(){
		$.pageBack("account/index","left");
	}
	
	var base = {
		"init" : init,
		"load" : load,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy,
		"pageBack": pageBack
	};
	module.exports = base;
});