/**
 * 股转系统-要约委托撤单
 */
define('trade/scripts/third/more/cancel.js',function(require, exports, module) {
	var gconfig = $.config;
	var global = gconfig.global;
	var common = require("common");
    var _pageId = "#third_more_cancel ";
	var publicCancel = require("publicCancel");
	    var data = {
		"queryFuncNo": "310717",
		"queryParam": {
//		"query_flag":1,
		},
		"cancellModule":"stock",//表示普通撤单
		"htmlData": {
			"topDiv": {
				"entrust": "entrust_prop_name",
				"name": "stock_name",
				"code": "stock_code",
			},
			"liList": [
				["委托价格", "entrust_price"],
				["委托数量", "entrust_amount"],
				["委托编号", "entrust_no"],
				["委托时间", "entrust_time"],
				["委托状态", "entrust_state_name"],
				["股份性质", "stb_stock_property_name"],
			],
			//撤单时要的参数名称，值
			"cancel":[
				["entrust_no","entrust_no"],
				["entrust_date","entrust_date"],
				["exchange_type","exchange_type"],
			],
			//撤单提示字段
			"tipStr":[
				["证券名称", "stock_name"],
				["要约代码", "stock_code"],
				["业务类型", "entrust_prop_name"],
				["委托数量", "entrust_amount"],
			]
		},
		"cancelFuncNo":"310718",
		//撤单接口需要的其他参数
		"cancelParam": {
		},
		"statParam":[
			//撤单按钮
			[100141, 10046,{"revoke_stock_code":"stock_code"}],
			//撤单提示框
			[100142, 10047],
		]
    };
    /**
     * 初始化
     */
	function init(){
		publicCancel.init(data);
		common.bindStockEvent($(_pageId+".tab_nav ul li a"),true);
		common.bindStockEvent($(_pageId + ".main .search_nav ul li a"));
    }
	function load(){
		publicCancel.load();
		var mainHeight = common.setMainHeight(_pageId, false);
		var height = mainHeight - $(_pageId+".tab_nav").height()-11;
		$(_pageId+".search_nav").height(height).css({"overflow":"auto"});
	}
	
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		//返回按钮
		$.bindEvent($(_pageId + ".top_title .icon_back"), function(e){
			setTimeout(function () {
				//埋点
				common.comStat(102091, 2, 103, true, {"i_group_name": "返回"});
				$.pageInit("third/more/cancel", "third/order/order", {}, true, true);
				e.preventDefault();
				e.stopPropagation();
			},300);
		});
		
		publicCancel.bindPageEvent();
	}
	
    
	/**
	 * 销毁
	 */
	function destroy(){
		publicCancel.destroy();
	}
	

	var base = {
		"init" : init,
		"load" : load,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = base;
});