/**
 * 股转系统下单主页面
 */
define('trade/scripts/third/more/more.js',function(require, exports, module) {
	var gconfig = $.config;
	var global = gconfig.global;
	var common = require("common");
    var _pageId = "#third_more_more ";

    /**
     * 初始化
     */
	function init(){
		common.bindStockEvent($(_pageId+".tab_nav ul li a"),true);
		common.bindStockEvent($(_pageId + ".main .search_nav ul li a"));
		if(global.requestLocation == 0){
			backgroundInterface();
		}
    }
	function load(){
		var mainHeight = common.setMainHeight(_pageId, false);
		var height = mainHeight - $(_pageId+".tab_nav").height()-11;
		$(_pageId+".search_nav").height(height).css({"overflow":"auto"});
		if(global.requestLocation == 1){
			backgroundInterface();
		}
	}
	
	function backgroundInterface(){
		
	}
	
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		//返回按钮
		$.bindEvent($(_pageId + ".top_title .icon_back"), function(e){
			setTimeout(function () {
				$.pageInit("third/more/more", "account/index", {}, true);
				e.preventDefault();
				e.stopPropagation();
			},300);
		});
	}
	
    
	/**
	 * 销毁
	 */
	function destroy(){
	}
	

	var base = {
		"init" : init,
		"load" : load,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = base;
});