/**
 * 股转系统成交确认卖出
 */
define('trade/scripts/third/order/eachSell.js',function(require, exports, module) {
	var gconfig = $.config;
	var global = gconfig.global;
	var thirdOrder = require("thirdOrder");
	var common = require("common");
	var _pageId = "#third_order_eachSell ";
	var downslide = new (require("downslide")).Downslide();
	var height_table = null;
	var _load = false;
	
    /**
     * 初始化
     */
	function init(){
		common.switchingCurUser("0");
		downslide.addSlide();
		if(global.requestLocation == 0){
			backgroundInterface();
		}

    }

    function load() {
		if(global.requestLocation == 1){
			backgroundInterface();
		}
		var mainHeight =  common.setMainHeight(_pageId, false);
        height_table =  mainHeight - $(_pageId + ".tnb_form").outerHeight(true) - $(_pageId + ".fund_table").css("margin-top").slice(0, -2);
        _load = true;
        if(thirdOrder.getQueryHolding()){
	        initScroller();
        }
		$(_pageId + ".ce_btn div.order").css({"padding-top": "3px","line-height":"14px","width":$(_pageId + ".ce_btn a").width(),"display":"inline-block"});
		$(_pageId + ".ce_btn #total").css("display","inline-block");
	}
    
	function backgroundInterface(){
		var orderType = "8"; // 1:限价买入、2:限价卖出、3:定价申报买入、4:定价申报卖出、5:成交确认买入、6:成交确认卖出、7:互报确认买入、8:互报确认卖出、9:协议买入、10:协议卖出
		thirdOrder.dataInit(_pageId,orderType,initScroller);
		thirdOrder.elementBindEvent();
	}
	/**
	 * 初始化滑动组件
	 */
	function initScroller()
	{
		if(_load){
			downslide.rollInit(height_table);
		}
	}
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
	}
	
	/**
	 * 数据重置
	 */
	function destroy(){
		thirdOrder.dataDestroy();
		downslide.slideDestroy();
	}
	
	var base = {
		"init" : init,
		"load" : load,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = base;
});