/**
 * 公开发行-公共查询
 */
define('trade/scripts/third/publicOffering/publicOfferingQuery.js',function(require, exports, module) {
    var common = require("common");
	var gconfig = $.config; 
    var global = gconfig.global;
    var service_third = require("service_third");
    var userInfo = null;
	
	/**
	 *询价确认查询
	 */
	function queryEnquiryConfirmTips(_pageId){
		userInfo = common.getCurUserInfo();
		var entrust_way= global.entrust_way; // 委托方式  在configuration配置
		var branch_no  = userInfo.branch_no;	 //分支机构
		var fund_account = userInfo.fund_account;//资产账户
		var cust_code = userInfo.cust_code;  	 //客户代码
		var session_id = userInfo.session_id;
		var password = userInfo.password;
		var param = {
				"entrust_way":entrust_way,
				"branch_no":branch_no,
				"fund_account":fund_account,
				"cust_code":cust_code,
				"password":password,
				"session_id":session_id,
				"account_type":userInfo._loginClass
			};
		service_third.queryEnquiryConfirm(param,function(data){
			$(_pageId + ".tab_nav li").eq(3).find("i").hide();
			if (data && data!= "undefined"){
				if(data.error_no == 0){
					var results = data.results;
					if(results && results.length >0){
						$(_pageId + ".tab_nav li").eq(3).find("i").show();
					}
				}
			}
		},{
			"isLastReq":false,
			"isShowWait":false,
			// "timeout": global.newsharesTimeout,
			"errorFunc":function(){},
			"timeOutFunc":function(){}
		});
	}
	
	/**
	 *今日申购查询
	 */
	function queryTodayPurchaseTips(_pageId,callBack){
		userInfo = common.getCurUserInfo();
		var entrust_way= global.entrust_way; // 委托方式  在configuration配置
		var branch_no  = userInfo.branch_no;	 //分支机构
		var fund_account = userInfo.fund_account;//资产账户
		var cust_code = userInfo.cust_code;  	 //客户代码
		var session_id = userInfo.session_id;
		var password = userInfo.password;
		var param = {
				"entrust_way":entrust_way,
				"branch_no":branch_no,
				"fund_account":fund_account,
				"cust_code":cust_code,
				"password":password,
				"session_id":session_id,
				"account_type":userInfo._loginClass
			};
		service_third.queryTodayPurchase(param,function(data){
			$(_pageId + ".notyeponed").hide();
			if (data && data!= "undefined"){
				if(data.error_no == 0){
					var results = data.results;
					if(results && results.length >0){
						for(var i = 0; i < results.length; i++){
							if(results[i].finalist_flag=="1"){
								$(_pageId + ".notyeponed").show();
								if(callBack){
									callBack();
								}
							}
						}
					}
				}
			}
		},{
			"isLastReq":false,
			"isShowWait":false,
			// "timeout": global.newsharesTimeout,
			"errorFunc":function(){},
			"timeOutFunc":function(){}
		});
	}
	
	var base = {
		"queryEnquiryConfirmTips":queryEnquiryConfirmTips,
		"queryTodayPurchaseTips":queryTodayPurchaseTips,
	};
	module.exports = base;
});