/**
 * 信用交易-股份持仓查询
 */
define('trade/scripts/ysyy/ysyyRemove.js', function(require,exports,module){
	var gconfig = $.config;
	var global = gconfig.global;
	var common = require("common");
	var	_pageId = "#ysyy_ysyyRemove ";
	var userInfo = null;//保存的客户信息
	var service_ysyy = require("service_ysyy");
	var service_stock = require("service_stock");
	var keyboard = require("keyboard");
	var stockInfo = {};
	/**
	 * 初始化
	 * */
	function init(){
		common.pageBuryingPoint("100427");
		if(keyboard){
			keyboard.keyInit();
		}
		userInfo = common.getCurUserInfo();
		common.bindStockEvent($(_pageId+".tab_nav ul li a"),true);
		if(global.requestLocation == 0){
			backgroundInterface();
		}
	}
	function load(){
		var mainHeight = common.setMainHeight(_pageId, false);
		if(global.requestLocation == 1){
			backgroundInterface();
		}
		stockInfo = $.getPageParam("stockInfo");
		if(stockInfo) {
			$(_pageId + " #fundCode").val(stockInfo.stock_code);
			$(_pageId + " #stockName").val(stockInfo.stock_name?stockInfo.stock_name:"--");
			$(_pageId + " #purchaseId").val(stockInfo.purchase_id?stockInfo.purchase_id:"--");
			queryMaxAmount(stockInfo.stock_code, stockInfo.exchange_type);
//			$(_pageId + " #stockAmount").val(stockInfo.enable_amount);
		}
	}
	function backgroundInterface(){
//		queryData();
	}
	/**
	 * 事件绑定
	 * */
	function bindPageEvent(){
		//后退
		$.bindEvent($(_pageId+" .top_title .icon_back"), function(e){
			setTimeout(function () {
				if (keyboard) {
					keyboard.closeKeyPanel();
				}
				pageBack();
				//埋点
				common.comStat(100428, 2, 103, true, {"i_group_name": "返回"});
				e.preventDefault();
				e.stopPropagation();
			},300);
		});
		
		// $.bindEvent($(_pageId + "#fundCode"), function(e){
		// 	if(keyboard){
		// 		keyboard.popUpKeyboard($(this),e);
		// 	}
		// 	var fundCode = $(this).val();
		// 	if(fundCode.length == 6){
		// 		//埋点
		// 		common.comStat(100429,2,104,true,{"i_change_name":"证券代码输入","i_change_to":fundCode});
		// 		queryMaxAmount(fundCode);
		// 	}else{
		// 		clearBuyMsg();	
		// 	}
		// },"input");

		$.bindEvent($(_pageId + " #fundCode"), function(e){
			$.pageInit("ysyy/ysyyRemove", "ysyy/ysyyList",{"toPage":"ysyy/ysyyRemove"});
		});
		//金额输入
		$.bindEvent($(_pageId+"#stockNum"),function (e) {
			if(keyboard){
				keyboard.popUpKeyboard($(this),e);
			}
			var value = $(this).val();
			if(value.indexOf(".") != -1){
				$(this).quzhi(value.replace(".",""));
			}
			//埋点
			var stockCode=$(_pageId + " #fundCode").val();
			if(stockCode){
				var stockParam={
					"i_entrust_bs":"",//买卖方向
					"i_entrust_prop":"",//委托属性名称
					"i_exchange_type":stockInfo.exchange_type,//交易市场名称
					"i_stock_code":stockCode,//股票代码
					"i_stock_name":stockInfo.stock_name,//股票名称
					"i_adjust_type":5,//调整方式（1,加 2,减 3快捷键 4,直接输入）
					"i_max_cnt":"",//最大数量
					"i_price":stockInfo.purchase_price, // 选择后的价格
					"i_target_cnt":$(this).quzhi(), // 调整之后的数量
					"i_fast_btn":"", // 快捷键（全仓，1/2，1/4 ....（可留空））
				}
				common.comStat(100430,2,2,false,stockParam);
			}
			e.stopPropagation();
		},"input");
		
//		$.bindEvent($(_pageId + " #all"),function(e){
//			if(keyboard){
//				keyboard.closeKeyPanel();
//			}
//			if(!$.isValue(stockInfo)){
//				return false;
//			}
//			var stockAmount = $(_pageId + " #stockAmount").quzhi();
//			if(!stockAmount) {
//				return false;
//			}
//			$(_pageId+"#stockNum").quzhi(stockAmount);
//			e.stopPropagation();
//		});

		//认购
		$.bindEvent($(_pageId + ".fund_form2 .ce_btn"), function(e){
			if(keyboard){
				keyboard.closeKeyPanel();
			}
			//埋点
			common.comStat(100431,2,103,true,{"i_group_name":"提交"});
			vailSubmitOrder();
			e.stopPropagation();
		});
	}
	
	function vailSubmitOrder() {
		var stock_code = $(_pageId + " #fundCode").val();
		if(!stock_code) {
			$.alert( $(_pageId + " #fundCode").attr("placeholder") );
			return false;
		}
//		var stockAmount = $(_pageId + " #stockAmount").val();
		var stock_num = $(_pageId + " #stockNum").val();
		if(!stock_num) {
			$.alert("请输入解除数量");
			return false;
		}
		order(stock_code, stock_num);
	}
	
	function order(stock_code, stock_num) {
		var purchase_id = $(_pageId + " #purchaseId").val();
		var tipStrArray = [];
		tipStrArray.push(["股票名称", $(_pageId+" #stockName").val()]);
		tipStrArray.push(["股票代码 ", stock_code]);
		tipStrArray.push(["收购人代码 ", purchase_id]);
		tipStrArray.push(["解除数量 ", stock_num]);
		var tipStr = "<div >";
		tipStr += common.generatePrompt(tipStrArray);
		tipStr += "</div>";
		
		var stockParam={
			"i_entrust_bs":"",//买卖方向
			"i_entrust_prop":"",//委托属性名称
			"i_exchange_type":stockInfo.exchange_type,//交易市场名称
			"i_stock_code":stock_code,//股票代码
			"i_stock_name":$(_pageId+" #stockName").val(),//股票名称
			"i_entrust_price":stockInfo.purchase_price,//委托价格
			"i_entrust_amount":stock_num,//委托数量
		}
		common.iConfirm("要约解除确认",tipStr,function success(){
			var entrust_way= global.entrust_way; // 委托方式  在configuration配置
			$.showPreloaders("请等待...");
			var param = {
				"stock_account": stockInfo.stock_account,
				"stock_code":stock_code,
				"entrust_bs":"77",
				"exchange_type":stockInfo.exchange_type,
				"fund_account":userInfo.fund_account,
				"stock_nature":stockInfo.stock_nature,
				"acquirer_code":purchase_id,
				"entrust_amount":stock_num,
				"entrust_price": stockInfo.purchase_price,
				"entrust_way":entrust_way,
				"branch_no":userInfo.branch_no,
				"cust_code":userInfo.cust_code,
				"session_id":userInfo.session_id
			};
			
			service_ysyy.queryYsyyApply(param,orderCallback,{
				"isLastReq":true,
				"isShowWait":true,
				"isShowOverLay":false,
				"errorFunc":function(){
				},
				"timeOutFunc":function(){ 
					
				}
			});
			//埋点
			stockParam.i_oper="1";//动作（1确定 2取消）
			common.comStat(100432,2,3,false,stockParam);
		},function fail(){
			//埋点
			stockParam.i_oper="2";//动作（1确定 2取消）
			common.comStat(100432,2,3,false,stockParam);
		});
		
	}
	
	function orderCallback(data) {
		$.hidePreloader();
		if(data.error_no == 0){
			var results = data.results;
				if(results && results.length>0){
					$.alert("委托已提交，流水号"+data.results[0].entrust_no);
					clearBuyMsg();
					$(_pageId + " #fundCode").setPlaceholder("请选择要约股票代码");
					$(_pageId + " #fundCode").val("");
					queryData();
				}
		}else{
			$.alert(data.error_info);
		}
			$(_pageId + "#stockNum").quzhi("");
	}
	
	/**
	 * 股票联动         
	 * */
	function queryMaxAmount(stockCode, exchange,stock_price, account){
		$.hidePreloader();
		var entrust_bs = "0";
		var entrust_way= global.entrust_way; // 委托方式  在configuration配置
		var branch_no  = userInfo.branch_no;	//分支机构
		var fund_account = userInfo.fund_account;	//资产账户
		var cust_code = userInfo.cust_code;	//客户代码
		var session_id = userInfo.session_id;
		var stock_code = stockCode;
		var entrust_price = stockInfo.purchase_price;
		var stock_account = account;
		var exchange_type = exchange;
		var param = {
				"entrust_way":entrust_way,
				"branch_no":branch_no,
				"fund_account":fund_account,
				"cust_code":cust_code,
				"session_id":session_id,
				"entrust_bs":"77",
				"stock_code":stock_code,
				"entrust_price":entrust_price,
				"stock_account": stock_account,
	            "newstock_flag":"",
	            "exchange_type":exchange_type
			};
  	  	service_stock.queryStockMaxBuy(param,function(data){
			$.hidePreloader();
	  	  	queryMaxAmountCallBack(data);
	  	  },{"isLastReq":true,"isShowWait":true});
		
	}
	function queryMaxAmountCallBack(data){
		if(data.error_no == 0){
			var results = data.results;
			if(results.length == 1){
				if($.isValue(results[0].stock_name_long)) results[0].stock_name = results[0].stock_name_long;
				stockInfo.stock_code=results[0].stock_code;
				$(_pageId + " #fundCode").val(stockInfo.stock_code);
				$(_pageId + " #stockName").val(results[0].stock_name);
				stockInfo.enable_amount = results[0].stock_max_amount;
//				$(_pageId+"#stockAmount").val(stockInfo.enable_amount);
				stockInfo.stock_account = results[0].stock_account;
				stockInfo.exchange_type = results[0].exchange_type;
				stockInfo.purchase_price = results[0].price;
//				common.comStat(110519,2,"tk.trade.all.11.13103",{"stock_code":results[0].stock_code,"stock_name":results[0].stock_name});
			}
			else if(results.length > 1){
				$.hidePreloader();
				var dataInfo={};
				var selectHeight = 0.44*results.length;
				if(results.length >= 5){
					selectHeight = 5 * 0.44;
				}
				var listHtml = "<ul style='display:block;overflow-y:auto;height:"+selectHeight+"rem'>";
				for(var i = 0;i < results.length; i++) {
					if($.isValue(results[i].stock_name_long)) results[i].stock_name = results[i].stock_name_long;
					listHtml += "<li exchange_type='"+results[i].exchange_type+"' stock_account='"+results[i].stock_account+"' price='"+results[i].price+"' stockName='"+results[i].stock_name+"'>";
					listHtml += "<a href='javascript:void(0);' style='padding-left:0.20rem;'>";
					listHtml += "<strong style='font-size:0.15rem'>"+results[i].stock_code+"</strong>";
					listHtml += "<em style='position: relative;float: right;right: 0.1rem;top: 0rem;'>"+results[i].stock_name+"</em></a></li>";
					dataInfo[results[i].stock_code+""+results[i].exchange_type]=results[i];
				};
				listHtml+="</ul>";
				$(_pageId+"#stockList").html(listHtml).show();
				$.bindEvent($(_pageId + " #stockList.select_box ul li"),function(e){
					var stockCode = $(this).find("strong").text();
					var exchange_type = $(this).attr("exchange_type");
					var stock_account = $(this).attr("stock_account");
					var price = $(this).attr("price");
					var stockName = $(this).attr("stockName");
					stockInfo=dataInfo[stockCode+""+exchange_type];
					$(_pageId + " #fundCode").val(stockCode).attr("data-id", stockCode);
					$(_pageId + " #stockName").val(stockName);
					$(_pageId+"#stockList").html("");
					dataInfo={};
					queryMaxAmount(stockCode, exchange_type,price, stock_account)
					e.stopPropagation();
				});
			}
		}else{
			$.alert(data.error_info);
		}
	}
	
	function queryData(){
		var entrust_way = global.entrust_way; // 委托方式  在configuration配置 
		var branch_no = userInfo.branch_no;	
		var fund_account = userInfo.fund_account;
		var cust_code = userInfo.cust_code;//关联资产账户标志
		var session_id = userInfo.session_id;
		var password = userInfo.password;
		var param={				
			"entrust_way":entrust_way,
		    "branch_no":branch_no,
		    "fund_account":fund_account,
		    "cust_code":cust_code,
		    "session_id":session_id,
		    "password":password
		};
		service_ysyy.queryYsyyList(param,queryDataCallback,{
			"isLastReq":true,
			"isShowWait":true,
			"isShowOverLay":false,
			"errorFunc":function(){
			},
			"timeOutFunc":function(){ 
				//超时调用方法
				$(_pageId + " #fundCode").val("暂无要约申报代码");
			}
		});
	}
	
	function queryDataCallback(data){
		if (data && data != "undefined") {
			if(data.error_no == 0){
				var results = data.results;
				if(results && results.length>0){}
				else{
					$(_pageId + " #fundCode").setPlaceholder("暂无要约申报代码");
				}
			}else{
				$.alert(data.error_info);
			}
		}
	}
	
	function clearBuyMsg() {
		stockInfo={};
		$(_pageId + " #stockName").val("--");
		$(_pageId + " #purchaseId").val("--");
//		$(_pageId + " #stockAmount").quzhi("");
	}
	
	function pageBack() {
		$.pageInit("ysyy/ysyyRemove", "account/index");
	}

	/**
	 * 销毁
	 * */
	function destroy(){
		common.pageBuryingPoint();
		if(keyboard){
			keyboard.keyDestroy();
		}
		clearBuyMsg();
		$(_pageId + " #fundCode").setPlaceholder("请选择要约股票代码");
		$(_pageId + " #fundCode").val("");
		$(_pageId + "#stockNum").quzhi("");
	}
	
	
	var base = {
		"init" : init,
		"load" : load,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy,
		"pageBack": pageBack
	};
	module.exports = base;
});