 /* 
  * 交易登录
 */
define('trade/scripts/account/login.js', function(require, exports, module) {
	var gconfig = $.config;
	var global = gconfig.global;
	var _pageId = "#account_login ";
    var topage ="";    // 记录登录后跳转的页面
    var common = require("com");
    var loginPort = null;
    var loginClass = "0";
    var keyboard = require("keyboard");

    /**
     * 初始化
     */
	function init() {
//		var pwd_error = Number($.getSStorageInfo("pwd_error"));
//		if(pwd_error > 3){
//			$(_pageId + "#ticket").parent().show()
//		}
//		else{
//			$(_pageId + "#ticket").parent().hide();
//		}
		$.hidePreloader();
		$("div.modal-in").remove();
		$("div.modal-overlay").remove();
		$(".modal-overlay-visible").remove();
		$(".modal").remove();
		if(keyboard){
			keyboard.keyInit();
		}
		$(_pageId + "#account").quzhi(""); // 华龙311700014065  华安170010779
		$(_pageId + "#password").quzhi("");   // 华龙861026  华安111111
		topage = $.getPageParam("topage"); // 获取登录后跳转的页面
		var _loginClass = $.getPageParam("_loginClass");
		if(!topage){
			topage = "account/index";
		}
		else if(topage == "account/login"){
			topage = "account/index";
		}
		$(_pageId + " #loginKind ul li").hide();
		
		if(topage.indexOf("credit/") == 0){
			loginClass = "1";
//			$(_pageId + ".top_title h3").text("信用账户登录");
//			$(_pageId + ".select_box p").text("融资融券账号登录").attr("id","b");
//			$(_pageId + "#account").setPlaceholder("请输入融资融券账号");
//			$(_pageId + "#password").setPlaceholder("请输入融资融券密码");
		}
		else if(topage.indexOf("option/") == 0 || _loginClass == 2){
			loginClass = "2";
//			$(_pageId + ".top_title h3").text("个股期权登录");
//			$(_pageId + ".select_box p").text("个股期权账号登录").attr("id","c");
//			$(_pageId + "#account").setPlaceholder("请输入个股期权账号");
//			$(_pageId + "#password").setPlaceholder("请输入个股期权密码");
		}
		else{
			if(topage.indexOf("shares/") == 0){
				loginClass = _loginClass;
			}else{
				loginClass = _loginClass || "0";
			}
			$(_pageId + ".top_title h3").text("账户登录");
			if(global.serverConfig == "3"){
				$(_pageId + " #loginKind ul li[id='0']").remove();
				$(_pageId + ".select_box p").text("客户号登录").attr("id","5");
				$(_pageId + " #account").setPlaceholder("请输入客户号");
			}
			else{
				$(_pageId + ".select_box p").text("资金账号登录").attr("id","0");
			}
		}
		$(_pageId + ' #loginKind ul li[type="'+loginClass+'"]').show();
		
		if(global.requestLocation == 0){
			backgroundInterface();
		}
    }
	
	function load(){
		if(global.requestLocation == 1){
			backgroundInterface();
		}
 		var mianHeight = $("html").height() || gconfig.appHeight;
		mianHeight = mianHeight - $(_pageId+".header").outerHeight(true)
		$(_pageId + " section.main").height(mianHeight);
		$(_pageId).css("overflow-x","hidden"); // 禁止页面左右滑动
	}

	function backgroundInterface(){
		if(!loginPort){
			 require.async("trade/scripts/account/loginPort.js",function(module){
			 	loginPort = module;
			 	loginPort.into(topage,loginClass);
	         });
		}
		else{
			loginPort.into(topage,loginClass);
		}
		if(global.announcementTips && !global.callNative)prompt();
	}
	
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		// 返回按钮
		$.bindEvent($(_pageId + ".top_title .icon_back"), function(e){
			setTimeout(function () {
				if (keyboard) {
					keyboard.closeKeyPanel();
				}
//			$.pageBack();
				$.pageInit("account/login", "account/index", {"history": true}, "left", true);
				e.preventDefault();
				e.stopPropagation();
			},300);
		});
		// 保存账号按钮
		$.bindEvent($(_pageId + "#saveAcc"), function(e){
			if(keyboard){
				keyboard.closeKeyPanel();
			}
			var isChecked = $(this).find("input").attr("checked");
			if(isChecked){
				$(this).find("input").removeAttr("checked");
			}else{
//				$.alert("在本机保存账号可能存在一定的风险，请您注意！",function(){
					$(_pageId + "#saveAcc").find("input").attr("checked",true);
//				});

			}
			e.stopPropagation();
		});
		// 点击登录下拉框
		$.bindEvent($(_pageId + "#loginKind"), function(e){
			if(keyboard){
				keyboard.closeKeyPanel();
			}
			$(_pageId+" #loginKind ul").slideToggle("fast");
			e.stopPropagation(); // 阻止冒泡
		});
		// 点击登录下拉框选择
		$.bindEvent($(_pageId + "#loginKind ul li"),function(e){
			if(keyboard){
				keyboard.closeKeyPanel();
			}
			$(_pageId + "#loginKind p").html($(this).find("a strong").html());
			$(_pageId + "#loginKind p").attr("id",$(this).attr("id"));
			var placeholderText = "请输入"+ $(this).find("a strong").html().substring(0,$(this).find("a strong").html().length-2);
			$(_pageId + "#account").setPlaceholder(placeholderText);
			$(_pageId+" #loginKind ul").slideToggle("fast");
			e.stopPropagation(); // 阻止冒泡
		});
		
		// 绑定点击验证码图形
		$.bindEvent($(_pageId + "#randomImg"),function(e){
			if(keyboard){
				keyboard.closeKeyPanel();
			}
			loginPort.getTicketImg();
			e.stopPropagation();
		});	
		
		// 登录
		$.bindEvent($(_pageId + "#login"), function(e){
			if(keyboard){
				keyboard.closeKeyPanel();
			}
			// 登录校验
			if(!loginPort.checkInput()){
				return false;
			};
			loginPort.submitLogin();
			e.stopPropagation();
		});
		
		// 登录
		$.bindEvent($(_pageId + "#retrieveAccount"), function(e){
			$.pageInit("account/login","retrieveAccount/personalInfo",{},"left");
			e.stopPropagation();
		});
	} 
	
	
	/**
	 * 销毁
	 */
	function destroy(){
	    topage =""; // 记录登录后跳转的页面
	    $(_pageId + "#account").quzhi("");
		$(_pageId + "#password").quzhi("");
		$(_pageId + "#ticket").quzhi("");
		$(_pageId + "#account").setPlaceholder("请输入资金账号");
		$(_pageId + "#password").setPlaceholder("请输入交易密码");
		$(_pageId + "#loginKind ul").hide(); // 隐藏下拉选框
		if(keyboard){
			keyboard.keyDestroy();
		}
	}
	
	function prompt(){
		if(global.announcementTips == 1){
			$.ajax({
			   type: "POST",//请求方式
			   url: "../../prompt.txt",//地址，就是action请求路径
			   async : true,
			   data: "text",//数据类型text xml json  script  jsonp
			   success: function(msg){//返回的参数就是 action里面所有的有get和set方法的参数
			       var a = msg;
			       if(a){
			       		$.alert(a,"公告");
			       }
			   }
			}); 
		}
		else if(global.announcementTips == 2){
			var channelNo = "0"
			if($.device.android){   //通道编号   0： pc网页,  1： PC客户端   ，2： 安卓  ，3： IOS ，9：其他  
				channelNo = "2";
			}else if($.device.iPad || $.device.iPhone || $.device.ios){
				channelNo = "3";
			}else if($.device.pc){
				channelNo = "0"; 
			}
			var parem = {
				"funcNo":"1108000",
				"notice_type": "trade",
				"soft_no": "com.thinkive.h5wangxinsec",
				"channel": channelNo,
				"device_os_version": navigator.userAgent.toLowerCase(),
				"device_model": navigator.userAgent.toLowerCase(),
				"device_network_type": "3G",
				"version_code": _sysVersion
			};
			$.ajax({
			   type: "POST",//请求方式
			   url: global.unifyUrl,//地址，就是action请求路径
			   data: parem,
			   async : true,
			   timeout : "10000",
    		   dataType: "json",
			   success: function(data){//返回的参数就是 action里面所有的有get和set方法的参数
			       if(data){
						if (data.error_no == 0) {
							var results = data.results;
							if(results && results.length > 0){
								var i = 0;
								var ts = function(){
									if(results[i]){
									    var id = $.getSStorageInfo("announcementTips") || "";
										var show_type = results[i].show_type;
										if(show_type && show_type != 0){
											if(show_type == 1){
												if(id.indexOf("|"+results[i].id+"|") != -1){
													show_type = false;
													i++;
								       				ts();
												}
												else{
													show_type = true;
												}
											}
											else{
												show_type = true;
											}
										}
										else{
											show_type = false;
											i++;
							       			ts();
										}
										if(results[i] && results[i].content && show_type){
											id = id + "|" + results[i].id + "|";
											$.setSStorageInfo("announcementTips",id);
								       		$.alert(results[i].content,results[i].title,function(){
								       			i++;
								       			ts();
								       		});
								       	}
									}
								}
								ts();
							}
						}
					}
			   }
			}); 
		}
	}
	
	var base = {
		"init" : init,
		"load" : load,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy,
	};
	module.exports = base;
});
