/**
 * 前置条件
 */
define('trade/scripts/account/precondition.js', function(require, exports, module) {
	var gconfig = $.config;
	var global = gconfig.global;
	var appropriate = require("appropriate");
    var _pageId = "#account_precondition ";
    var acct_type="";
    
    /**
     * 初始化
     */
	function init(){
		var data = $.getPageParam("data");
		acct_type=data.acct_type;//类型
		setHtml(data);
    }
	
	function load(){
	}
	
	function setHtml(data){
		$(_pageId + " .condition_list").html("");
		var html = "";
		if(data){
			for(var i = 0; i < data.length; i++){
				html +=	'<li id="'+i+'"><a href="javascript:void(0);"><span class="rt_text">'+data[i].prompt+'</span>'+data[i].match_info+'</a></li>';
			}
		}
		$(_pageId + " .condition_list").html(html);
		$.bindEvent($(_pageId + ".condition_list li"), function(e){
			var id = $(this).attr("id");
			var d = data[id];
			//跳转类型（0：原生，1：H5（默认），2：网页（老版本），和1一样的处理3：H5（带标题栏），4：H5（带返回键），5：H5（内部消息跳转））
			if(d.jump_type == "0"){
				window.location.href = d.go_url;
			}
			else if(d.jump_type == "1"){
				window.location.href = d.go_url;
			}
			else if(d.jump_type == "2"){
				window.location.href = d.go_url;
			}
			else if(d.jump_type == "3"){
				window.location.href = d.go_url;
			}
			else if(d.jump_type == "4"){
				window.location.href = d.go_url;
			}
			else if(d.jump_type == "5"){
				window.location.href = d.go_url;
			}
			e.stopPropagation();
		});
	}
	
	
	function bindPageEvent(){
		// 返回按钮
		$.bindEvent($(_pageId + ".top_title .icon_back"), function(e){
			setTimeout(function () {
				$.pageInit("account/precondition", "account/index", {}, "left", true);
				e.preventDefault();
				e.stopPropagation();
			},300);
		});
		
		// 返回按钮
		$.bindEvent($(_pageId + ".return_box .btn_button"), function(e){
			var success = appropriate.loginCallBack;
			if(success){
				success();
			}
			e.stopPropagation();
		});
		
	}
	
	function destroy(){
		$(_pageId + ".condition_list li").hide();
	}
	
	var base = {
		"init" : init,
		"load": load,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = base;
});