/**
 * 普通交易-查询
 */
define('trade/scripts/bjs/stockQuery.js', function(require, exports, module) {
	var commonFunc = require("commonFunc");
	var common = require("common");
	var gconfig = $.config; 
    var global = gconfig.global;
    var _pageId = "#bjs_stockQuery ";

    /**
     * 初始化
     */
	function init(){
		common.pageBuryingPoint("100180");
		common.bindStockEvent($(_pageId + '.tab_nav ul li a'),function(pageCode,topage){
			$.pageInit(pageCode,topage,$.getPageParam(),'',true);
		});
        $.setSStorageInfo("trade_query_begin_time",'');
        $.setSStorageInfo("trade_query_end_time",'');
        $.setSStorageInfo("trade_query_search_type",'');
		jumpPageEvent();
    }
		
	function load(){
		var mianHeight = common.setMainHeight(_pageId, false);
		var height_search = mianHeight - $(_pageId+".tab_nav").outerHeight(true);
		$(_pageId+" .main .search_nav").height(height_search-10).css("overflow-y","auto"); //查询目录添加高度
	}
	/**
	 * 跳转页面事件
	 * $(this).unbind();
	 * this.click = null;
	 */
	function jumpPageEvent(){
		//返回按钮
        $.bindEvent($(_pageId + ".top_title .icon_back"), function (e) {
            setTimeout(function () {
                $(this).unbind(e.type);
                this[e.type] = null;
                var pageObj = $.getCurrentPageObj() || '';
                //埋点
                common.comStat(100190, 2, 103, true, { "i_group_name": "返回" });
                // 判断是需要返回之前的页面，而不是交易首页
                if (pageObj && pageObj.params && pageObj.params.param && pageObj.params.param.isGoBack === '1') {
                    $.pageBack();
                    return false;
                }
                commonFunc.appThirdBack('bjs_stockQuery', function () {
                    $.pageInit("bjs/stockQuery", "account/index", { "history": true }, "left", true);
                    // $.pageBack();
                });
                e.preventDefault();
                e.stopPropagation();
            }, 300);
        }, "tap");
		
		//查询页面事件跳转
		common.bindStockEvent($(_pageId + ".main .search_nav ul li a"));
	}
	
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		
	}
    
	/**
	 * 销毁
	 */
	function destroy(){
		common.pageBuryingPoint();
	}
	
	/**
	 * 重写框架里面的pageBack方法
	 */
	function pageBack(){
		$.pageInit("bjs/stockQuery","account/index",{});
	}
	
	var base = {
		"init" : init,
		"load" : load,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy,
		"pageBack": pageBack
	};
	module.exports = base;
});
