/**
 * 公共方法
 */
define("trade/scripts/common/commonTimer.js", function(require, exports, module) {
	var gconfig = $.config;
    var global = gconfig.global;
	var idTimer = {};
	
	function setTimer(id, callback, time, param){
		id = id ? id.replaceAll(/\s/g, "") : "";
		if(id){
			clearTimer(id);
//			var obj = $.getCurrentPageObj() || {};
//			var pageCode = obj.pageCode;
			var t =  window.setInterval(function(){
				callback(param);
			}, time);//定时刷新
			idTimer[id] = t;
		}
	}
	
	function clearTimer(id){
		id = id ? id.replaceAll(/\s/g, "") : "";
		if(id && idTimer[id]){
			 window.clearInterval(idTimer[id]);
			 delete idTimer[id];
		}
	}
		
	
	function clear(){
		$.each(idTimer,function(key, value){
			window.clearInterval(value);
		})
		idTimer = {};
	}
	
	var base = {
		"setTimer" : setTimer,
		"clearTimer" : clearTimer,
		"clear":clear,
	};
	
	// 暴露对外的接口
	module.exports = base;
});
