/**
 * 下拉刷新js
 */
define('trade/scripts/common/downslide.js', function(require, exports, module) {
	var gconfig = $.config;
	var global = gconfig.global;
	var VIscroll = require("vIscroll");
    var hIscroll = require("hIscroll");
    var SVIscroll = require("svIscroll"); //svIscroll别名已经配置到hSea中
    var iscrollUtils = require("iscrollUtils");
	var _clickType = {
			"4":"click",
			"5":"tap"
		};
	
	var _htmlSlideDiv = {
		"4" : {
			"0" : '<div class="visc_wrapper" id="v_wrapper_funds_jj" data-iscrollPageId="mall_itemsJj"><div class="visc_scroller"><div class="visc_pullDown" style="display:none;"><span class="visc_pullDownIcon"></span><div class="visc_pullDownDiv"><span class="visc_pullDownLabel">下拉刷新</span><br/>时间更新于：<span class="visc_pullDownTime"></span></div></div>',
			"1" : '<div class="visc_pullUp" style="display:none;"><span class="visc_pullUpIcon"></span><div class="visc_pullUpDiv"><span class="visc_pullUpLabel">上拉加载下一页</span><br/>时间更新于：<span class="visc_pullUpTime"></span></div></div></div></div>',
			"2": '上拉加载下一页'
		},
		"5" : {
			"0" : '<div class="iscroll_vScroller"><div class="iscroll_pullDown scrolledUp" style="display: none;"><span class="pullDownIcon"></span><div class="pullDownLabel">下拉刷新</div></div><div class="vertical_list" data-is-content="true">',
			"1" : '</div><div class="iscroll_pullUp" style="display: none;"><span class="pullUpIcon"></span><div class="pullUpLabel">上拉加载下一页</div></div></div>',
			"2" : '<span class="pullUpIcon"></span><div class="pullUpLabel">释放加载下一页</div>'
		}
	}
	
	var _htmlRollDiv = {
		"4" : '<div id="wrapper"></div>',
		"5" : '<div class="iscroll_vWrapper" id="wrapper" style="position: relative;"></div>',
	}
	
	var _hIscrollDiv = {
		"4" : '<div id="hwrapper"></div>',
		"5" : '<div id="hwrapper"></div>',
	}
	
	var _htmlAboutDiv = {
		"4" : '<div id="aboutpper"></div>',
		"5" : '<div id="aboutpper"></div>',
	}
	
	var hIAbout = require("hIscroll");
	
	function Downslide (){
		var This = this;
		var _type = global.refreshType;
		var myScroller = null; // 滑动组件对象
		var slideheight = 0;
		var downHandle = null;
		var upHandle = null;
		var _pageId = null;
		var load_finished = false;
		
		var myScrollerRoll = null; // 滑动组件对象
		var rollHeight = 0;
		
		var myHScroller = null;
		var myAbout = null;
		
		var setSlideDiv = function(){
			if(_htmlSlideDiv[_type]){
				var slideDiv = $("#"+$.getCurrentPageObj().pageId + ' #pull_down_slide');
				for(var i = 0; slideDiv && i < slideDiv.length; i++){
					if(slideDiv.eq(i).attr("loaded") != "true"){
						var nrHtml = slideDiv.eq(i).html();
						var html = _htmlSlideDiv[_type]["0"] + nrHtml + _htmlSlideDiv[_type]["1"];
						slideDiv.eq(i).html(html);
						slideDiv.eq(i).attr("loaded","true");
					}
				}
			}
		};
		
		var setRollDiv = function (){
			if(_htmlRollDiv[_type]){
				var slideDiv = $("#"+$.getCurrentPageObj().pageId + ' #pull_down_roll');
				for(var i = 0; slideDiv && i < slideDiv.length; i++){
					if(slideDiv.eq(i).attr("loaded") != "true"){
						slideDiv.eq(i).attr("data-is-content","true");
						var h0 = _hIscrollDiv[_type];
						slideDiv.eq(i).wrap(_htmlRollDiv[_type]);
						slideDiv.eq(i).attr("loaded","true");
					}
				}
			}
		};
		var setScrollDiv = function (){
			if(_hIscrollDiv[_type]){
				var pageId = $.getCurrentPageObj().pageId
				var slideDiv = $("#" + pageId + ' #pull_down_scroll');
				for(var i = 0; slideDiv && i < slideDiv.length; i++){
					if(slideDiv.eq(i).attr("loaded") != "true"){
						slideDiv.eq(i).wrap(_hIscrollDiv[_type]);
						slideDiv.eq(i).attr("loaded","true");
					}
				}
			}
		};
		
		var setAboutDiv = function (){
			if(_htmlAboutDiv[_type]){
				var pageId = $.getCurrentPageObj().pageId
				var slideDiv = $("#" + pageId + ' #pull_down_about');
				for(var i = 0; slideDiv && i < slideDiv.length; i++){
					if(slideDiv.eq(i).attr("loaded") != "true"){
						slideDiv.eq(i).wrap(_htmlAboutDiv[_type]);
						slideDiv.eq(i).attr("loaded","true");
					}
				}
			}
		};
		
		This.addSlide = function(css,type,height,downHand,upHand,pageId)
		{
			if(height && height != 0){
				slideheight = height;
			}
			if(downHand){
				downHandle = downHand;
			}
			if(upHand){
				upHandle = upHand;
			}
			if(type){
				_type = type
			}
			if(pageId){
				_pageId = pageId;
			}
			else{
				_pageId = "#"+$.getCurrentPageObj().pageId + " ";
			}
			setSlideDiv() //生成页面下拉滑动组件的div
			setRollDiv(); // 生成页面滑动组件的div
			setScrollDiv(); //生成页面滚动组件的div
			setAboutDiv();
		};
		
		var initVIScroll4 = function (isDefault){
			if(myScroller)
			{
				myScroller.destroy();
				myScroller = null;
			}
			var config = {
					"isPagingType": false,//false表示是微博那种累加形式，true表示分页形式
					"visibleHeight": slideheight,//显示内容区域的高度，当isPaingType为false时传
					"container": $(_pageId+" #pull_down_slide"),	
					"wrapper":$(_pageId+" #v_wrapper_funds_jj"),	
					"downHandle": function() {
						require.async("common",function(module){
							//埋点
							var objectId = $(_pageId+" #pull_down_slide").attr("objectId");
							var actionId = $(_pageId+" #pull_down_slide").attr("actionId");
							module.comStat(objectId,2,actionId,true,{"i_direct": "1","i_type":"1" });
						});
						if(downHandle){
							if(load_finished){
								This.loadReload();
							}
							downHandle();
						}
					},
					"upHandle": function() {
						if(upHandle && !load_finished){
							upHandle();
						}
						else{
							if(myScroller){
								myScroller.refresh();
							}
							This.loadFinished();
						}
					},
					"wrapperObj": null,
					"isDefault":isDefault,
			};
			myScroller = new VIscroll(config); 	//初始化，需要做if(!hIscroll._init)判断
	//		$(_pageId + " .visc_pullDown").hide();
			$(_pageId + " .visc_pullUp").hide();
		};
	
		var initScroller5 =	function()
		{
			if(myScroller)
			{
				myScroller.destroy();
				myScroller = null;
			}
			var hasPullUp = true;
			if(!upHandle || !global.pagingNum || global.pagingNum == 0){
				hasPullUp = false;
			}
			var scrollOptions = {
				scrollerHeight: slideheight, // 滚动组件的高度
				pullThreshold: 5, // 拖动刷新或者加载的阀值，默认 5 像素
				$wrapper: $(_pageId + " #pull_down_slide"),
				hasPullDown: true, // 是否显示下拉提示，默认 true
				hasPullUp: hasPullUp, // 是否显示上拉提示，默认 true
				isAlwaysShowPullUp: false, // 是否一直显示上拉提示，true 一直显示上拉加载的提示，false 仅在上拉的时候显示提示，默认 true
				pullDownHandler: function(){
					require.async("common",function(module){
						//埋点
						var objectId = $(_pageId+" #pull_down_slide").attr("objectId");
						var actionId = $(_pageId+" #pull_down_slide").attr("actionId");
						module.comStat(objectId,2,actionId,true,{"i_direct": "1","i_type":"1" });
					});
					if(downHandle){
						if(load_finished){
							This.loadReload();
						}
						downHandle();
					}
				},
				pullUpHandler: function(){
					if(upHandle && !load_finished){
						upHandle();
					}
					else{
						if(myScroller){
							myScroller.refresh();
						}
						This.loadFinished();
					}
				}
			};
			// 内容的高度比滚动区域高度小时
			// iscrollUtils 已有相同判断的代码，此处这样写的目的是为了解决 Android UC、微信等浏览器滚动失效的问题，在 iscrollUtils 设置高度，在初始化组件时，取到的值不准确
			if(scrollOptions.$wrapper.find("[data-is-content='true']").height() <= scrollOptions.scrollerHeight)
			{
				scrollOptions.$wrapper.children().height(scrollOptions.scrollerHeight + 1);
			}
			myScroller = iscrollUtils.vScroller(scrollOptions);
		};
	
    	This.slideInit = function (height,downHand,upHand,pageId,isDefault){
			if(height && height != 0){
				slideheight = height;
			}
			if(downHand){
				downHandle = downHand;
			}
			if(upHand){
				upHandle = upHand;
			}
			if(pageId){
				_pageId = pageId;
			}
			if(!_pageId){
				_pageId = "#"+$.getCurrentPageObj().pageId + " ";
			}
			if(_type == "4"){
				initVIScroll4(isDefault);
			}
			else if(_type == "5"){
				initScroller5();
			}
			else{
				var slideDiv = $(_pageId + ' #pull_down_slide');
				slideDiv.css({
					"overflow":"auto",
					"-webkit-overflow-scrolling":"touch",
					"height":slideheight,
				});
			}
			return myScroller;
		};
    	This.slideRefresh = function (height,downHand,upHand){
			if(upHandle && global.pagingNum && global.pagingNum != 0){
				if(_type == "4"){
					$(_pageId+ ".visc_pullUp").show();
				}
				else if(_type == "5"){
					$(_pageId+ ".iscroll_pullUp").show();
				}
			}
			try{
				if(myScroller){
					myScroller.refresh();
				}
				else{
					This.slideInit(height,downHand,upHand);
				}
			}catch(e){
				console.log(e)
			}
			return myScroller;
		};
		This.loadFinished = function (){
			load_finished = true;
			if(_type == "4"){
				$(_pageId+" .visc_pullUp .visc_pullUpLabel").html("已经没有数据了");
			}
			else if(_type == "5"){
				$(_pageId+" .iscroll_pullUp").html("<div class='load_finished'>已经没有数据了</div>");
			}
		};
		This.loadReload = function (){
			load_finished = false;
			if(_type == "4"){
				$(_pageId+" .visc_pullUp .visc_pullUpLabel").html(_htmlSlideDiv[_type]["2"]);
			}
			else if(_type == "5"){
				$(_pageId+" .iscroll_pullUp").html(_htmlSlideDiv[_type]["2"]);
			}
		};
		This.hidePullUp = function(){
			if(_type == "4"){
				$(_pageId+ ".visc_pullUp").hide();
			}
			else if(_type == "5"){
				$(_pageId+ ".iscroll_pullUp").hide();
			}
		};
    	var initScrollerRoll = function ()
		{
			if(myScrollerRoll)
			{
				myScrollerRoll.destroy();
				myScrollerRoll = null;
			}
			var idDiv = $(_pageId+' #pull_down_roll');
			if(idDiv && idDiv.length > 1){
				for(var i = 0; i < idDiv.length; i++){
					if(idDiv.eq(i).isShow()){
						idDiv = idDiv.eq(i);
						break;
					}
				}
			}
			var scrollOptions = {
				scrollerHeight: rollHeight, // 滚动组件的高度
				$wrapper: idDiv.parent("#wrapper"),
				scrollbars: true, // 隐藏滚动条
			};
			myScrollerRoll = iscrollUtils.vScroller(scrollOptions);
		};
		
		var initScrollerRoll4 = function (isDefault){
			if(myScrollerRoll)
			{
				myScrollerRoll.destroy();
				myScrollerRoll = null;
			}
			var idDiv = $(_pageId+' #pull_down_roll');
			if(idDiv && idDiv.length > 1){
				for(var i = 0; i < idDiv.length; i++){
					if(idDiv.eq(i).isShow()){
						idDiv = idDiv.eq(i);
						break;
					}
				}
			}
	        var config = {
	            "wrapper": idDiv.parent("#wrapper"), //wrapper对象
	            "container": idDiv, //container对象
	            "containerHeight" : rollHeight,
	            "isDefault":isDefault,
	        };
	        idDiv.nextAll("div").remove();
	        myScrollerRoll = new SVIscroll(config);
		};
    	This.rollInitReset = function(){
    		if(_type == "4"){
				if(myScrollerRoll && myScrollerRoll.getWrapperObj()){
					// myScrollerRoll.getWrapperObj().maxScrollY=0;
					myScrollerRoll.getWrapperObj().scrollTo(0,0);
					myScrollerRoll.refresh();
				}
			}
			else if(_type == "5"){
				if(myScrollerRoll){
					myScrollerRoll.maxScrollY=0;
					myScrollerRoll.scrollTo(0,0);
					myScrollerRoll.refresh();
				}
			}
    	};
    	This.rollInit = function(height,pageId,isDefault){
			if(height && height != 0){
				rollHeight = height;
			}
			if(pageId){
				_pageId = pageId;
			}
			if(!_pageId){
				_pageId = "#"+$.getCurrentPageObj().pageId + " ";
			}
			if(_type == "4"){
				initScrollerRoll4(isDefault);
			}
			else if(_type == "5"){
				initScrollerRoll();
			}
			else{
				var slideDiv = $(_pageId + ' #pull_down_roll');
				slideDiv.css({
					"overflow":"auto",
					"-webkit-overflow-scrolling":"touch",
					"height":rollHeight,
				});
			}
			return myScrollerRoll;
		};
    	This.rollDiv = _htmlRollDiv[_type];
    	This.rollRefresh = function (height){
			if(myScrollerRoll){
				myScrollerRoll.refresh();
			}
			else{
				This.rollInit(height);
			}
			return myScrollerRoll;
		};
    	var initHIScroll = function (){
			var config = {
					wrapper: $(_pageId + " #hwrapper"), //wrapper对象
					scroller: $(_pageId + " #pull_down_scroll"), //scroller对象
					perCount: 1,  //每个可视区域显示的子元素
					showTab: true, //是否有导航点
					tabDiv: $(_pageId + " #pull_down_scroll .dot"), //导航点集合对象
					auto: false, //是否自动播放
					interval: null, //自动播放定时器
					idxPage: 1, //记录当前scroll滚动到第几个page
					wrapperObj: null,
					onScrollEnd :function(){//滑动后的回调函数
						//var hCurPageFund = initHIscroll.scroll.getActivePage();
						//股转系统资产滑动埋点
						if(myHScroller){
							var index=myHScroller.getActivePage(),dotName="";
							if(index==0){
								dotName="人民币";
							}else if(index==1){
								dotName="美元";
							}
							require.async("common",function(module){
								module.comStat(101803,2,104,true,{"i_change_name":"资产信息","i_change_to":dotName});//埋点
							});
						}
					}
				};
			$(_pageId + " #pull_down_scroll>div").css({"display":"table-cell","width":$(window).width()}).show();
			// 设置 scroller 的宽度
			$(_pageId + " #pull_down_scroll").width($(window).width() * $(_pageId + " #hscroller>div").length);
			myHScroller = new hIscroll(config); //初始化，需要做if(!hIscroll._init)判断
		};
		var initHScroller = function()
		{
			var scrollOptions = {
				$wrapper: $(_pageId + " #hwrapper")
			};
			// 设置滚动内容的宽度
			// 显示左右滑动内容，防止页面闪动
			$(_pageId + " #pull_down_scroll>div").css({"display":"table-cell","width":$(window).width()}).show();
			// 设置 scroller 的宽度
			$(_pageId + " #pull_down_scroll").width($(window).width() * $(_pageId + " #pull_down_scroll>div").length);
			
			myHScroller = iscrollUtils.hScroller(scrollOptions);
		};
    	This.scrollInit = function (){
			if(!_pageId){
				_pageId = "#"+$.getCurrentPageObj().pageId + " ";
			}
			if(_type == "4"){
				initHIScroll();
			}
			else if(_type == "5"){
				initHScroller();
			}
			else{
				var width = $(window).width();
				var divs = $(_pageId + " #pull_down_scroll>div");
				divs.css({
					"position":"absolute",
					"top":"0",
					"left":"0",
					"width":width
				}).show();
				for(var i = 0; i < divs.length; i++){
					divs.eq(i).css("left",(i * width) + "px");
				}
				var slideDiv = $(_pageId + " #pull_down_scroll");
				slideDiv.css({
					"overflow-x":"auto",
					"position":"relative",
					"-webkit-overflow-scrolling":"touch",
					"width":width,
					"height":$(_pageId + " #pull_down_scroll div").getHeight()
				});
			}
			return myHScroller;
		};
		
		var initAbout = function (){
			if(myAbout)
			{
				$(_pageId + " #pull_down_about").height("auto");
				myAbout.destroy();
				myAbout = null;
			}
			var config = {
					wrapper: $(_pageId + " #aboutpper"), //wrapper对象
					scroller: $(_pageId + " #aboutpper"), //scroller对象
				};
			// 设置 scroller 的宽度
			myAbout = new hIAbout(config); //初始化，需要做if(!hIscroll._init)判断
			$(_pageId + " #pull_down_about").width("100%");
		};
		var initHAbout = function()
		{
			var scrollOptions = {
				$wrapper: $(_pageId + " #pull_down_about")
			};
			
			myAbout = iscrollUtils.hScroller(scrollOptions);
		};
    	This.aboutInit = function (){
			if(!_pageId){
				_pageId = "#"+$.getCurrentPageObj().pageId + " ";
			}
			if(_type == "4"){
				initAbout();
			}
			else if(_type == "5"){
//				initHAbout();
				var slideDiv = $(_pageId + " #pull_down_about");
				slideDiv.css({
					"overflow-x":"auto",
					"-webkit-overflow-scrolling":"touch",
				});
			}
			else{
				var slideDiv = $(_pageId + " #pull_down_about");
				slideDiv.css({
					"overflow-x":"auto",
					"-webkit-overflow-scrolling":"touch",
				});
			}
			return myHScroller;
		};
		
    	This.clickType = function (){
			return _clickType[_type];
		};
    	This.slideDestroy = function(){
			$(_pageId + " .visc_pullDown").hide();
			$(_pageId + " .visc_pullUp").hide();
			This.loadReload();
			if(myScroller)
			{
				myScroller.destroy();
				myScroller = null;
			}
			if(myScrollerRoll)
			{
				myScrollerRoll.destroy();
				myScrollerRoll = null;
			}
			if(myHScroller)
			{
				myHScroller.destroy();
				myHScroller = null;
			}
			if(myAbout)
			{
				$(_pageId + " #pull_down_about").height("auto");
				myAbout.destroy();
				myAbout = null;
			}
			_type = global.refreshType;
			slideheight = 0;
			downHandle = null;
			upHandle = null;
			_pageId = null;
		};
    };
		
	var base = {
		"Downslide": Downslide,
		"downslide": new Downslide()
	}

	module.exports = base;
});