/**
 * 新股-- 一键申购
 */
define('trade/scripts/credit/creditShares/oneKeyPurchase.js', function (require, exports, module) {
    require("validatorUtils");
    var validator = $.validatorUtils;
    var common = require("common");
    var commonFunc = require("commonFunc");
    var gconfig = $.config;
    var global = gconfig.global;
    var service_stock = require("service_stock");
    var _pageId = "#credit_creditShares_oneKeyPurchase ";
    var iscrollUtils = require("iscrollUtils");
    var myScroller = null; // 滑动组件对象
    var userInfo = null;
    var listData = {};
    var singleData = {};
    var num_step = 500; //步数
    var exchange_market = ""; //市场类别
    var witchAccount = "";
    var stock_account = "";
    var _stockName = "";
    var mianHeight = null;
    require("validatorUtils");
    var validatorUtil = $.validatorUtils;
    var keyboard = require("keyboard");
    var is_login = null;
    var isLoginIn = null;
    var pageHeight = null;
    var cdrProtocolSign = require("cdrProtocolSign");


    /**
     * 初始化
     */
    function init() {
        if (global.callNative) {
            if (gconfig.platform == "1") {
//				console.log("50108——0");
                $.callMessage({"moduleName": "trade", "funcNo": "50108", "flag": "0"});
            } else if (gconfig.platform == "2") {
//				console.log("50108——0");
                $.callMessage({"moduleName": "trade", "funcNo": "50108", "flag": "0"});
            }
        }
        document.body.onresize = function () { //改变浏览器窗体时获取屏幕高度，刷新页面
            mianHeight = common.setMainHeight(_pageId, false);
            pageHeight = $(window).height() - $(_pageId + ".top_title").height() - $(_pageId + " .order_form").height() - $(_pageId + " .tab_nav").height() - $(_pageId + ".onekey_check").height() - $(_pageId + ".ce_btn").height() - 6;
            initScroller();
        }
        if (keyboard) {
            keyboard.keyInit();
        }
        $(_pageId + ".main").eq(1).hide();
        $(_pageId + ".main").eq(0).show();

        userInfo = common.getCurUserInfo();
        if (userInfo && common.isEmptyObject(userInfo)) {//登录的情况
            is_login = "1";
            $(_pageId + ".onekey_check").show();
            $(_pageId + ".ce_btn").hide();
            querynewAmount();//新股额度查询
        } else {
            is_login = "0";
            $(_pageId + ".onekey_check").hide();
            $(_pageId + ".ce_btn").show();
        }
        common.bindStockEvent($(_pageId + '.tab_nav ul li a'), true);
    }

    function load() {
        mianHeight = common.setMainHeight(_pageId, false);
        pageHeight = $(window).height() - $(_pageId + ".top_title").height() - $(_pageId + " .order_form").height() - $(_pageId + " .tab_nav").height() - $(_pageId + ".onekey_check").height() - $(_pageId + ".ce_btn").height() - 6;

        var clearTimeoutObj = setTimeout(function () {
            pageHeight = $(window).height() - $(_pageId + ".top_title").height() - $(_pageId + " .order_form").height() - $(_pageId + " .tab_nav").height() - $(_pageId + ".onekey_check").height() - $(_pageId + ".ce_btn").height() - 6;
            clearTimeout(clearTimeoutObj);
        }, 100);
        if (global.requestLocation == 1) {
            backgroundInterface();
        }
    }

    function backgroundInterface() {
        queryMessages(); //今日新股查询
    }

    /**
     * 新股申购额度查询
     */
    function querynewAmount(fund_account, exchange_type) {
        var entrust_way = global.entrust_way; // 委托方式  在configuration配置
        var branch_no = userInfo.branch_no;	 //分支机构
        var fund_account = fund_account ? fund_account : userInfo.fund_account;//资产账户
        var cust_code = userInfo.cust_code;  	 //客户代码
        var sessionid = userInfo.session_id;
        var password = userInfo.password;
        var exchange_type = exchange_type ? exchange_type : "";
        var param = {
            "entrust_way": entrust_way,
            "branch_no": branch_no,
            "fund_account": fund_account,
            "cust_code": cust_code,
            "password": password,
            "sessionid": sessionid,
            "exchange_type": exchange_type,
            "account_type": userInfo._loginClass
        };
        service_stock.newAmount_Query(param, queryNewAmountCallBack, {"isLastReq": true, "isShowWait": false});
    }

    //新股申购额度查询回调
    function queryNewAmountCallBack(data) {
        if (typeof data != "undefined" && data != null) {
            if (data.error_no == 0) {
                if (typeof data.results != "undefined" && data.results != null && data.results != "") {
                    var results = data.results;
                    for (var i = 0; i < results.length; i++) {
                        var exchange_type = results[i].exchange_type;
                        var enable_amount = results[i].enable_amount;
                        if (exchange_type == "0") {//深市
                            $(_pageId + " .order_form .max_box strong").eq(1).text(enable_amount);
                        } else if (exchange_type == "2") {//沪市
                            $(_pageId + " .order_form .max_box strong").eq(0).text(enable_amount);
                        }

                    }
                }
            }
        } else {
            $.alert(data.error_info);
        }
    }

    /**
     * 事件绑定
     */
    function bindPageEvent() {
        //返回按钮
        $.bindEvent($(_pageId + ".top_title .icon_back"), function (e) {
            setTimeout(function () {
                if (keyboard) {
                    keyboard.closeKeyPanel();
                }
                $.pageBack("account/index", "left");
                e.preventDefault();
                e.stopPropagation();
            }, 300);
        });

        //申购
        $.bindEvent($(_pageId + " .onekey_check .btn"), function (e) {
            if (keyboard) {
                keyboard.closeKeyPanel();
            }
            cofirmOrder();
        });


        //一键申购
        $.bindEvent($(_pageId + " .ce_btn"), function (e) {
            if (userInfo && common.isEmptyObject(userInfo)) {//登录的情况
                $.pageInit("credit/creditShares/oneKeyPurchase", "account/login", {topage: "credit/creditShares/oneKeyPurchase"});
            } else {
                commonFunc.login($.getCurrentPageObj().pageCode, "account/login", {"topage": $.getCurrentPageObj().pageCode}, {
                    "topage": $.getCurrentPageObj().pageCode,
                    "param": {
                        "switchUserInfo": "1",
                        "_loginClass": "1"
                    }
                });
            }
        }, "tap");
        //全选
        $.bindEvent($(_pageId + " .onekey_check span"), function (e) {
            if (keyboard) {
                keyboard.closeKeyPanel();
            }
            if ($(this).find("i").hasClass("active")) {
                $(this).find("i").removeClass("active");
                $(_pageId + " .onekey_main .part").removeClass("active");
            } else {
                $(this).find("i").addClass("active");
                $(_pageId + " .onekey_main .part").addClass("active");
            }
            e.stopPropagation();	// 阻止冒泡
        });
    }

    /**
     * 今日新股查询
     */
    function queryMessages() {
        var entrust_way = global.entrust_way; // 委托方式  在configuration配置
        var branch_no = userInfo.branch_no;	 //分支机构
        var fund_account = userInfo.fund_account;//资产账户
        var cust_code = userInfo.cust_code;  	 //客户代码
        var sessionid = userInfo.session_id;
        var password = userInfo.password;
        var param = {
            "entrust_way": entrust_way,
            "branch_no": branch_no,
            "fund_account": fund_account,
            "cust_code": cust_code,
            "password": password,
            "sessionid": sessionid,
            "account_type": userInfo._loginClass,
            "is_login": is_login,
        };
        service_stock.queryListingShares(param, messageCallBack,
            {
                "isLastReq": true,
                "isShowWait": true,
                "isShowOverLay": false,
                "timeOutFunc": function () {
                    $(_pageId + ".no_data").show();
                    if (!myScroller) {
                        initScroller();
                    } else {
                        myScroller.refresh();
                    }
                }
            });
    }

    //新股查询回调
    function messageCallBack(data) {
        if (data.error_no == 0) {
            var results = data.results;
            if (results && results.length > 0) {
                var cdr_account_list = [];

                var html = '';
                listData = {};
                for (var i = 0; i < results.length; i++) {
                    listData[results[i].stock_code] = results[i];
                    html += messageAddHtml(results[i], i);
                    if (results[i].accounts_list && results[i].accounts_list != "") {
                        cdr_account_list[0] = results[i].accounts_list;
                    }

                }
                $(_pageId + " .onekey_main").html(html);
                $(_pageId + ".no_data").hide();

                if (cdr_account_list.length > 0 && userInfo._loginClass == "0") {//只做普通交易的
                    //弹框
                    var paramMap = data;
                    common.iConfirm("温馨提示", "新股申购列表中存托凭证、创新企业股票无交易权限，请开通对应交易权限。", function success(html) {
                        cdrProtocolSign.cdrProtocolMatch("3", "2", cdr_account_list, paramMap);
                    }, function fail() {
                    }, "开通权限", "取消");
                }

//				if(isLoginIn && isLoginIn != "false"){//登录的情况
                if (userInfo && common.isEmptyObject(userInfo)) {//登录的情况
                    //单个选择
                    $.bindEvent($(_pageId + " .onekey_main .part .title"), function (e) {
                        if ($(this).parent(".part").hasClass("active")) {
                            $(this).parent(".part").removeClass("active");
                        } else {
                            $(this).parent(".part").addClass("active");
                        }

                        if ($(this).find("i").hasClass("active")) {
                            var account_list = $(this).parent(".conveible").attr("accounts_list");
                            if (account_list && userInfo._loginClass == "0") {
                                var cdr_account_list = [];
                                cdr_account_list.push(account_list);
                                common.iConfirm("温馨提示", "新股申购列表中存托凭证、创新企业股票无交易权限，请开通对应交易权限。", function success(html) {
                                    cdrProtocolSign.cdrProtocolMatch("3", "2", cdr_account_list);
                                }, function fail() {
                                }, "开通权限", "取消");
                            }
                        }


                        e.stopPropagation();	// 阻止冒泡
                    }, "tap");
                } else {//未登录
                    //单个选择
                    $.bindEvent($(_pageId + " .onekey_main .part .title"), function (e) {
                        common.switchingCurUser("1");
                        commonFunc.login($.getCurrentPageObj().pageCode, "account/login", {"topage": $.getCurrentPageObj().pageCode}, {
                            "topage": $.getCurrentPageObj().pageCode,
                            "param": {
                                "switchUserInfo": "1",
                                "_loginClass": "1"
                            }
                        });
                        e.stopPropagation();	// 阻止冒泡
                    }, "tap");
                }

                //申购
                $.bindEvent($(_pageId + " .onekey_main .part ul li:nth-child(2)"), function (e) {
                    $(_pageId).attr("key-panel-main", "false");
                    var $this = $(this);
                    var data = listData[$this.parents(".part").attr("id")];
                    var tipStr = "<div class='pop_nums' >";
                    tipStr += '<div class="pop_main" style="margin: 10px;">';
                    tipStr += '<div class="input_text text">';
                    tipStr += '<label>申购上限</label>';
                    tipStr += '<input  style="text-align: center;font-size: 18px;" type="text" class="t1" value="' + Number(data.high_amount) + '" readonly="readonly"/>';
                    //<a href="javascript:void(0);" class="all">全部</a>
                    tipStr += '</div>';
                    tipStr += '<div class="input_box">';
                    tipStr += '<label>申购数量</label>';
                    tipStr += '<div class="input_value" buy_unit="' + Number(data.buy_unit) + '">';
                    tipStr += '<em class="less"></em>';
                    tipStr += '<em class="add"></em>';
                    tipStr += '<input id="purchaseNum" js-key="tel8" type="tel" class="t1"/>';
                    tipStr += '</div>';
                    tipStr += '</div>';
                    tipStr += '</div>';
                    tipStr += '</div>';
                    common.iConfirm("编辑申购数", tipStr, function (div) {
                        if (keyboard) {
                            keyboard.closeKeyPanel();
                        }
                        $this.find("em").text(div.find(".pop_nums .input_value input").val());
                        $(_pageId).attr("key-panel-main", "true");
                    }, function () {
                        if (keyboard) {
                            keyboard.closeKeyPanel();
                        }
                        $(_pageId).attr("key-panel-main", "true");
                    }, "确定", "取消", function ($html) {
                        var all = $html.find(" .input_value input").val();
                        var buy_unit = $html.find(".input_value").attr("buy_unit") || 500;
                        var apply_sell = "";
                        if (data.exchange_type == "0") {
                            apply_sell = $(_pageId + " .order_form .max_box strong").eq(1).text();
                        } else if (data.exchange_type == "2") {
                            apply_sell = $(_pageId + " .order_form .max_box strong").eq(0).text();
                        }
                        if (validator.isNumeric(apply_sell)) {
                            apply_sell = Number(apply_sell);
                        } else {
                            apply_sell = 0;
                        }
                        if (!validatorUtil.isNumeric(all)) {
                            $.alert("输入数量有误");
                            return false;
                        } else if (Number(all) > apply_sell) {
                            $.alert("申购数量大于可申购数量");
                            return false;
                        } else if (all % Number(buy_unit) != 0) {
                            $.alert("申购数量应该为" + buy_unit + "整数倍");
                            return false;
                        } else if (Number(all) > Number(data.high_amount)) {
                            $.alert("申购数量大于申购上限");
                            return false;
                        } else {
                            return true;
                        }
                    });
                    $(_pageId + "#purchaseNum").val($(this).find("em").text());
                    if (keyboard) {
                        keyboard.keyInit();
                    }
                    //申购
                    $.bindEvent($(_pageId + ".pop_nums .input_value em"), function (e) {
                        if (keyboard) {
                            keyboard.closeKeyPanel();
                        }
                        var css = $(this).attr("class");
                        var inp = $(this).nextAll("input");
                        var buy_unit = $(this).parent(".input_value").attr("buy_unit") || 500;
                        buy_unit = Number(buy_unit);
                        var inpVal = Number(inp.val());
                        if (css == "less") {
                            if (inpVal - buy_unit < 0) {
                                inpVal = 0;
                            } else {
                                inpVal = inpVal - buy_unit;
                            }
                        } else if (css == "add") {
                            inpVal = inpVal + buy_unit;
                        }
                        $(_pageId + " #purchaseNum").quzhi(inpVal);
                        e.stopPropagation();	// 阻止冒泡
                    }, "tap");
                    $.bindEvent($(_pageId + ".pop_nums .input_text .all"), function (e) {
                        if (keyboard) {
                            keyboard.closeKeyPanel();
                        }
                        var all = $(this).prev("input").val();
                        var apply_sell = "";
                        if (data.exchange_type == "0") {
                            apply_sell = $(_pageId + " .order_form .max_box strong").eq(1).text();
                        } else if (data.exchange_type == "2") {
                            apply_sell = $(_pageId + " .order_form .max_box strong").eq(0).text();
                        }
                        if (validator.isNumeric(apply_sell)) {
                            apply_sell = Number(apply_sell);
                        } else {
                            apply_sell = 0;
                        }
                        if (Number(all) > apply_sell) {
                            all = apply_sell;
                        }
                        $(_pageId + " #purchaseNum").quzhi(all);
                        e.stopPropagation();	// 阻止冒泡
                    }, "tap");
                    e.stopPropagation();	// 阻止冒泡
                }, "tap");
            } else {
                $(_pageId + ".no_data").show();
            }
        } else {
            $.alert(data.error_info);
        }
        if (!myScroller) {
            initScroller();
        } else {
            myScroller.refresh();
        }
    }

    /**
     * actcheck
     */
    function messageAddHtml(element, i) {
        var buy_unit = element.high_amount || element.buy_unit || "0";
        buy_unit = Number(buy_unit);
        var apply_sell = "";
        if (element.exchange_type == "0") {
            apply_sell = $(_pageId + " .order_form .max_box strong").eq(1).text();
        } else if (element.exchange_type == "2") {
            apply_sell = $(_pageId + " .order_form .max_box strong").eq(0).text();
        }
        if (validator.isNumeric(apply_sell)) {
            apply_sell = Number(apply_sell);
        } else {
            apply_sell = 0;
        }
        if (buy_unit > apply_sell) {
            buy_unit = apply_sell;
        }
        eleHtml = "";
        eleHtml += '<div id="' + element.stock_code + '" stock_name="' + element.stock_name + '" class="part" exchange_type="' + element.exchange_type + '" stock_account="' + element.stock_account + '" accounts_list="' + element.accounts_list + '">';

//      if(isLoginIn && isLoginIn != "false"){//登录的情况
        if (userInfo && common.isEmptyObject(userInfo)) {//登录的情况
            eleHtml += '<div class="title">';
            eleHtml += '<i></i>';
        } else {
            eleHtml += '<div class="title" style="padding-left: 0.1rem;">';
        }
        eleHtml += '<h5><span>' + element.stock_name + ' <small>' + element.stock_code + '</small></span><span class=\"time\" style="float: right;">' + element.exchange_type_name + '</span></h5></div>';
        eleHtml += '<ul>';
        eleHtml += '<li><p><span>发行价</span><em>' + Number(element.last_price).toFixed(3) + '</em></p>';
        if (element.stock_type == "10") { // CDR
            eleHtml += '<p><span>申购上限</span>' + Number(element.high_amount) + '份</p>';
        } else {
            eleHtml += '<p><span>申购上限</span>' + Number(element.high_amount) + '张</p>';
        }
        eleHtml += '</li>';

//		if(isLoginIn && isLoginIn != "false"){//登录的情况
        if (userInfo && common.isEmptyObject(userInfo)) {//登录的情况
            eleHtml += '<li><p><span>申购数</span><em>' + buy_unit + '</em></p><a href="javascript:void(0);"></a></li>';
        }
        eleHtml += '</ul></div>';
        return eleHtml;
    }

    /**
     * 申购验证
     * */
    function cofirmOrder() {
        if (!common.isValue(listData)) {
            $.alert("暂无可以申购的代码信息");
            return false;
        }
        var list = $(_pageId + " .onekey_main div.active");
        var listLength = list.length;
        if (listLength == 0) {
            $.alert("请勾选要申购的代码");
            return false;
        }
        var entrustcodes = [];
        var entrustResults = [];
        var tipStr = "<div ><ul>";
        var tipStrArray = [];
        for (var i = 0; i < listLength; i++) {
            var name = list.eq(i).find("h5 span").html();
            var exchange_type = list.eq(i).attr("exchange_type");
            var stock_account = list.eq(i).attr("stock_account");
            var stock_code = list.eq(i).find("h5 small").text();
            var num = list.eq(i).find("ul li").eq(1).find("p em").text();
            var stock_name = name.replaceAll("" + stock_code, "");
            if (num == 0) {
                $.alert(stock_name + "(" + stock_code + ")" + "申购数量需大于0");
                return false;
            }
            var price = list.eq(i).find("ul li").eq(0).find("p em").text();
            entrustcodes.push(stock_code + ":" + exchange_type + ":" + price + ":" + num + ":" + stock_account);
            entrustResults.push(stock_code + ";" + num + "|");
//			for(var d = 0 ; d<10; d++){
            tipStrArray.push([name, "申购股数 " + num]);
//			}
        }
        tipStr += common.generatePrompt(tipStrArray);
        tipStr += "</ul></div>";
        common.iConfirm("申购确定", tipStr, function success() {
            var entrust_way = global.entrust_way; // 委托方式  在configuration配置
            var branch_no = userInfo.branch_no;	 //分支机构
            var fund_account = userInfo.fund_account;//资产账户
            var cust_code = userInfo.cust_code;  	 //客户代码
            var sessionid = userInfo.session_id;
            var password = userInfo.password;
            var param = {
                "entrust_way": entrust_way,
                "branch_no": branch_no,
                "fund_account": fund_account,
                "cust_code": cust_code,
                "password": password,
                "sessionid": sessionid,
                "account_type": userInfo._loginClass,
                "entrustcodes": entrustcodes.join("|")
            };
            service_stock.oneKeyPurchase(param, succesCallback, {
                "isLastReq": false, "isShowWait": false,
                "timeOutFunc": function () {
                    $.hidePreloader();
                }, "errorFunc": function () {
                    $.hidePreloader();
                }
            });
            $.showPreloaders("请等待...");
        });
    }

    function succesCallback(data) {
        $.hidePreloader();
        $(_pageId + ".onekey_succes .stat_box ul").html("");
        if (typeof (data) != "undefined" && data) {
            $(_pageId + ".state_list ").html("");
            if (data.error_no == 0) {
                $(_pageId + ".main").eq(0).hide();
                var results = data.results;
                var gs = results.length;
                if (gs > 0 && results != "undefined") {
                    var type = 0;
                    var html = "";
                    for (var i = 0; i < gs; i++) {
                        var css = '<span class="n1">提交成功</span>';
                        if (results[i].error_no != 0) {
                            type++;
                            css = '<span class="n2">提交失败</span><p style="word-wrap:break-word;">' + results[i].error_info + '</p>';
                        }
                        html += "<li>" + listData[results[i].stock_code].stock_name + " " + results[i].entrust_amount + "股" + css + "</li>"
                    }
                    $(_pageId + " .onekey_succes .inner span").attr("class", "icon");
                    if (type == 0) {
                        $(_pageId + " .onekey_succes .inner span").addClass("duei");
                    } else if (type == gs) {
                        $(_pageId + " .onekey_succes .inner span").addClass("chuo");
                    } else {
                        $(_pageId + " .onekey_succes .inner span").addClass("gt");
                    }
                    $(_pageId + ".onekey_succes .stat_box ul").html(html);
                }
                $(_pageId + ".main").eq(1).show();
                $(_pageId + ".main").eq(1).css({
                    "height": mianHeight - $(_pageId + " .tab_nav").height() + "px",
                    "overflow": "auto"
                });
                // var height = mianHeight - $(_pageId+" .tab_nav").height()-  $(_pageId + " .onekey_succes .inner").height() - $(_pageId + " .onekey_succes .ce_btn").height() - 40;
                // $(_pageId+".onekey_succes .stat_box ul").css({
                // 	"max-height": height + "px",
                // 	"overflow" : "auto"
                // });
                //返回按钮
                $.bindEvent($(_pageId + ".onekey_succes .ce_btn a"), function (e) {
                    $.pageRefresh();
                    e.stopPropagation();
                });
            } else {
                $.alert(data.error_info);
            }
        }
    }

    /**
     * 销毁
     */
    function destroy() {
        $(_pageId + " .max_box strong").html("--");
        $(_pageId + " .onekey_main").html("");
        $(_pageId + " .onekey_check span").find("i").removeClass("active");
        $(_pageId + "#stockPrice").val("");
        $(_pageId + "#stockNum").val("");
        $(_pageId + ".select_box ul").hide();
        $(_pageId + ".input_select .select_box p").html("请选择");
        $(_pageId + " .order_form .max strong").text("--");
        $(_pageId + " .order_form .notice span").text("--");
        $(_pageId + "#stockCode").val("");
        _stock_code = "";
        _stockName = "";
        if (myScroller) {
            myScroller.destroy();
            myScroller = null;
        }
        if (keyboard) {
            keyboard.keyDestroy();
        }
    }

    /**
     * 初始化滑动组件
     */
    function initScroller() {
        var scrollOptions = {
            scrollerHeight: pageHeight, // 滚动组件的高度
            pullThreshold: 5, // 拖动刷新或者加载的阀值，默认 5 像素
            $wrapper: $(_pageId + " #wrapper"),
            hasPullDown: true, // 是否显示下拉提示，默认 true
            hasPullUp: false, // 是否显示上拉提示，默认 true
            isAlwaysShowPullUp: false, // 是否一直显示上拉提示，true 一直显示上拉加载的提示，false 仅在上拉的时候显示提示，默认 true
            pullDownHandler: function () {
                queryMessages(); // 模拟查询接口数据操作
            },
            pullUpHandler: function () {
            }
        };
        if (!myScroller) {
            // 内容的高度比滚动区域高度小时
            // iscrollUtils 已有相同判断的代码，此处这样写的目的是为了解决 Android UC、微信等浏览器滚动失效的问题，在 iscrollUtils 设置高度，在初始化组件时，取到的值不准确
            if (scrollOptions.$wrapper.find("[data-is-content='true']").height() <= scrollOptions.scrollerHeight) {
                scrollOptions.$wrapper.children().height(scrollOptions.scrollerHeight + 1);
            }
            myScroller = iscrollUtils.vScroller(scrollOptions);
        } else {
            myScroller.refresh();
        }
    }


    var base = {
        "init": init,
        "load": load,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy
    };
    module.exports = base;
});
