/**
 * 信用交易-担保品证券
 */
define('trade/scripts/credit/query/collateralQuery.js', function(require, exports, module) {
	var gconfig = $.config;
	var global = gconfig.global;
	var	service_credit = require("service_credit");
	var	_pageId = "#credit_query_collateralQuery ";
	var common = require("common");
	var userInfo = null;//保存的客户信息
	var _stockName = "";
	// var	VIscroll = require("vIscroll");
	// var	vIscroll = {"scroll":null,"_init":false};	//上下滑动
	var iscrollUtils = require("iscrollUtils");
	var myScroller = null; // 滑动组件对象
	var _request_num = 30;
	var _isData = true;
	var keyboard = require("keyboard");
	
    /**
     * 初始化
     */
	function init(){
		common.pageBuryingPoint("105447");
		if(keyboard){
			keyboard.keyInit();
		}
		userInfo = common.getCurUserInfo();
		if(global.requestLocation == 0){
			backgroundInterface();
		}
    }
	function load(){
		var mianHeight = common.setMainHeight(_pageId, false);
		if(global.requestLocation == 1){
			backgroundInterface();
		}
	}
	function backgroundInterface(){
		queryCollateral();//查询数据
	}
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		//返回按钮
		$.bindEvent($(_pageId+".top_title .icon_back"), function(e){
			setTimeout(function () {
				if (keyboard) {
					keyboard.closeKeyPanel();
				}
				common.comStat(105451, 2, 103, true, {"i_group_name": "返回"});
				$.pageBack("credit/query/financingQuery", "left");
				e.preventDefault();
				e.stopPropagation();
			},300);
		});
		//点击查询按钮
		$.bindEvent($(_pageId+" .search_box2 .inner a"),function(){
			if(keyboard){
				keyboard.closeKeyPanel();
			}
			common.comStat(105448,2,103,true,{"i_group_name":"查询"});
			$(_pageId + " #remove").remove();
			var stockCode = $(_pageId+" #stockCode").val();
			var vai2=/^[0-9]{6}$/;
			if(vai2.test(stockCode)){
				queryCollateral(stockCode);
				common.comStat(105450,2,104,true,{"i_change_name": "证券代码","i_change_to":stockCode });
			}
			else{
				$.alert("请输入有效的6位数证券代码");
			}
		});
		
		//股票代码输入框监听
		$.bindEvent($(_pageId+"#stockCode"), function(e){
			if(keyboard){
				keyboard.popUpKeyboard($(this),e);
			}
			var stockCode = $(this).val();
			if(!stockCode){
				$(_pageId+"#stock_list").html("");
				queryCollateral();
				if(keyboard){
					keyboard.closeKeyPanel();
				}
			}else{
				$(_pageId+"#stockCode").quzhi(stockCode);
			}
			e.stopPropagation();
		},"input");
		
//		//股票代码输入框监听
//		$.bindEvent($(_pageId+"#stockCode"), function(e){
//			$(_pageId+ ".no_data").hide();//隐藏暂无数据
//			var stockCode = $(this).val();
//			var vail=/^[A-Za-z]+$/;
//			var vai2=/^[0-9]{6}$/;
//			if(vai2.test(stockCode)){
//				$(_pageId+"#stock_list").html("");
//				queryCollateral(stockCode);
//			}
//			else if(stockCode.length>1 && vail.test(stockCode)){
//				getStockList(stockCode);
//				if(stockCode.length<2){
//					$(_pageId+"#stock_list").html("");
//				}
//			}else if(stockCode.length>3){
//				getStockList(stockCode);
//				if(stockCode.length<4){
//					$(_pageId+"#stock_list").html("");
//				}
//			}
//			e.stopPropagation();
//		},"input");
		//点击其他地方去掉列表
		$.bindEvent($(_pageId),function(e){
			if(keyboard){
				keyboard.closeKeyPanel();
			}
			$(_pageId+"#stock_list").html("");
		});
	}
    /**
	 * 担保品数据查询
	 */
	function queryCollateral(stockCode)
	{
		$(_pageId+" .visc_wrapper .visc_pullUp").show();
		_isData = true;
		var poststr = $(_pageId+" .fund_table tbody tr").last().attr("position_str");
		var vai2=/^[0-9]{6}$/;
		if(stockCode && vai2.test(stockCode)){
			$(_pageId+" .fund_table tbody tr").eq(0).nextAll().remove();
			poststr = "";
		}
		else{
			stockCode = "";
		}
		$(_pageId+ ".no_data").hide();
		var entrust_way = global.entrust_way; // 委托方式  在configuration配置
		var branch_no = userInfo.branch_no;	//分支机构
		var fund_account = userInfo.fund_account;	//资产账户
		var cust_code = userInfo.cust_code;	//客户代码
		var stock_code = stockCode ? stockCode : "";
		var sessionid = userInfo.session_id;
		var password = userInfo.password;
		var param = {			
			"entrust_way":entrust_way,
			"branch_no":branch_no,
			"fund_account":fund_account,
			"cust_code":cust_code,
			"password":password,
			"sessionid":sessionid,
			"stock_code":stock_code,
			"position_str": poststr,
			"request_num":_request_num
		};
		service_credit.db_query(param,db_queryCallBack);
	}
	/**
	 * 担保品数据调方法
	 * @param {Object} data 返回数据
	 */
	function db_queryCallBack(data)
	{
		if (data) {
			if(data.error_no == 0)
			{  
				var results = data.results;	
				queryMsg = data.results;//将返回的结果集保存
				if(results && results.length > 0){
					$(_pageId+ ".no_data").hide();
					var todayDealHtml = "";
					for(var i = 0;i < results.length; i++){
						if($.isValue(results[i].stock_name_long)) results[i].stock_name = results[i].stock_name_long;
						var data = results[i];
						todayDealHtml += createHtml(data);
					}
					$(_pageId+" .fund_table tr").last().after(todayDealHtml);
				}else{
					if($(_pageId+" .fund_table tr#remove").length == 0){
						$(_pageId+ ".no_data").show();
					}
				}
				if(results.length == 0 ||  results.length == 1){
					$(_pageId+" .visc_wrapper .visc_pullUp").hide();
					_isData = false;
				}
				else{
					$(_pageId+" .visc_wrapper .visc_pullUp").show();
					_isData = true;
				}
		 	}
			else
			{
				$.alert(data.error_info);	
			}
		}
		if(!myScroller){
			initScroller();
		}else{
			myScroller.refresh();
		}
	}
	/**
	 * 
	 * @param {Object} element
	 */
	function createHtml(element)
	{
		var market = element.exchange_type;
		if(market == "0"){
			market = "深A";
		}else if(market == "1")
		{ 
			market ="深B";
		}else if(market == "2")
		{ 
			market ="沪A";
		}else if(market == "3")
		{ 
			market ="沪B";
		}else if(market == "4")
		{ 
			market ="三板";
		}else if(market == "F1")
		{ 
			market ="郑州交易所";
		}else if(market == "F2")
		{ 
			market ="大连交易所";
		}
		var eleHtml = "";
	    eleHtml += "<tr id='remove' position_str='" + element.position_str + "'>";
		eleHtml += "<td>"+element.stock_code+"</td>";
		eleHtml += "<td>"+element.stock_name+"</td>";
		eleHtml += "<td>"+market+"</td>";
		eleHtml += "<td>"+(Number(element.assure_ratio)*100).toFixed(2)+"%</td>";
		eleHtml +="</tr>";
		return eleHtml;
	}
    

	/**
	 * 下拉刷新初始化
	 */
	function initScroller()
	{
		var scrollOptions = {
			scrollerHeight: $(window).height() - $(_pageId+".top_title").height()- $(_pageId+" .search_box2").outerHeight()- 6  ,//显示内容区域的高度，当isPaingType为false时传, // 滚动组件的高度
			pullThreshold: 5, // 拖动刷新或者加载的阀值，默认 5 像素
			$wrapper: $(_pageId + " #wrapper"),
			hasPullDown: true, // 是否显示下拉提示，默认 true
			hasPullUp: false, // 是否显示上拉提示，默认 true
			isAlwaysShowPullUp: false, // 是否一直显示上拉提示，true 一直显示上拉加载的提示，false 仅在上拉的时候显示提示，默认 true
			pullDownHandler: function(){
				$(_pageId+" .fund_table tbody tr").eq(0).nextAll().remove();
				//查询资产数据
				var stockCode = $(_pageId+" #stockCode").val();
				stockCode = $.trim($(_pageId + "#stockCode").val().substring(0,6));
				queryCollateral(stockCode);
				common.comStat(105449,2,102,true,{"i_direct": "下拉","i_type":"1" });
			},
			pullUpHandler: function(){
				if(_isData){
					queryCollateral();
				}
				//上拉获取下一页数据方法
			}
		};
		if(!myScroller)
		{
			// 内容的高度比滚动区域高度小时
			// iscrollUtils 已有相同判断的代码，此处这样写的目的是为了解决 Android UC、微信等浏览器滚动失效的问题，在 iscrollUtils 设置高度，在初始化组件时，取到的值不准确
			if(scrollOptions.$wrapper.find("[data-is-content='true']").height() <= scrollOptions.scrollerHeight)
			{
				scrollOptions.$wrapper.children().height(scrollOptions.scrollerHeight + 1);
			}
			myScroller = iscrollUtils.vScroller(scrollOptions);
		}
		else
		{
			myScroller.refresh();
		}
	}
	
	/**
	 * 销毁
	 */
	function destroy(){
		common.pageBuryingPoint();
		_isData = true;
		$(_pageId+" .fund_table tbody tr").eq(0).nextAll().remove();
        _stockName = "";
		$(_pageId + " #remove").remove();
		$(_pageId + " #stockCode").val("");
		$(_pageId + " #stockName").text("证券名称");
		if(myScroller)
		{
			myScroller.destroy();
			myScroller = null;
		}
		if(keyboard){
			keyboard.keyDestroy();
		}
	}
	
	
	var base = {
		"init" : init,
		"load": load,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = base;
});