/**
 * 信用交易-查询主界面
 */
define('trade/scripts/credit/query/financingQuery.js', function (require, exports, module) {
    var _pageId = "#credit_query_financingQuery ";
    var common = require("common");
    var commonFunc = require("commonFunc");
    var userInfo = null;

    /**
     * 初始化
     */
    function init() {
        common.pageChangeHeight(function () {
        });
        common.pageBuryingPoint("105320");
        var prePageCode = $.getPageParam("prePageCode");
        if (prePageCode && ["credit_order_financingToBuy", "credit_order_financingToSell", "credit_order_ordinaryToBuy", "credit_order_ordinaryToSell"].indexOf(prePageCode) > -1) {
            if (["credit_order_financingToBuy", "credit_order_financingToSell"].indexOf(prePageCode) > -1) {
                $(_pageId + ".tab_list ul li").eq(0).attr("to-page", "credit_order_financingToBuy");
                $(_pageId + ".tab_list ul li").eq(1).attr("to-page", "credit_order_financingToSell");
            } else if (["credit_order_ordinaryToBuy", "credit_order_ordinaryToSell"].indexOf(prePageCode) > -1) {
                $(_pageId + ".tab_list ul li").eq(0).attr("to-page", "credit_order_ordinaryToBuy");
                $(_pageId + ".tab_list ul li").eq(1).attr("to-page", "credit_order_ordinaryToSell");
            }
        }
        common.bindStockEvent($(_pageId + '.tab_list ul li'), function (pageCode, topage) {
            $.pageInit(pageCode, topage, $.getPageParam(), '', true);
        });
        common.bindStockEvent($(_pageId + ".credit_link_list ul li"));
        userInfo = common.getCurUserInfo();
        commonFunc.getLiquidationInfo(_pageId); //获取清算状态和清算提示信息
    }

    function load() {
        var mianHeight = common.setMainHeightNew(_pageId, true);
    }

    /**
     * 事件绑定
     */
    function bindPageEvent() {
        //返回按钮
        $.bindEvent($(_pageId + ".header_inner .back_btn"), function (e) {
            setTimeout(function () {
                $(this).unbind(e.type);
                this[e.type] = null;
                common.comStat(105337, 2, 103, true, {"i_group_name": "返回"});//埋点
                commonFunc.appThirdBack('credit_query_financingQuery', function () {
                    $.pageInit("credit/query/financingQuery", "account/index", {"history": true}, "left", true);
                });
                e.preventDefault();
                e.stopPropagation();
            }, 300);
        });
    }

    /**
     * 销毁
     */
    function destroy() {
        common.pageBuryingPoint();
    }


    var base = {
        "init": init,
        "load": load,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy
    };
    module.exports = base;
});