/**
 * 分级基金-下单
 */
define('trade/scripts/fund/inside/index.js', function(require, exports, module) {
	var common = require("common");
    var _pageId = "#fund_inside_order ";

    /**
     * 初始化
     */
	function init(){
		common.pageBuryingPoint("101272");
		common.switchingCurUser("0");
    }
		
	function load(){
		var mianHeight = common.setMainHeight(_pageId, false);
		$(_pageId+" .main .search_nav").height(mianHeight).css("overflow-y","auto"); //查询目录添加高度
	}

	
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		$.bindEvent($(_pageId + ".top_title .icon_back"), function(e){
			$.pageInit("fund/inside/index","account/index","left",true);
			e.stopPropagation();
		});
		common.bindStockEvent($(_pageId + '.search_nav2 ul li a'));
	}
    
	/**
	 * 销毁
	 */
	function destroy(){
		common.pageBuryingPoint();

	}
	
	var base = {
		"init" : init,
		"load" : load,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = base;
});