/**
 * 港股交易-委托下单
 */
define('trade/scripts/ggt/ggtOrder.js',function(require, exports, module) {
	
	var common = require("common");
    var _pageId = "#ggt_ggtOrder ";

    /**
     * 初始化
     */
	function init(){
		common.pageBuryingPoint("100747");
		common.setMainHeight(_pageId, false);
    }
	
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		//返回按钮
		$.bindEvent($(_pageId + ".top_title .icon_back"), function(e){
			$(this).unbind(e.type);
			this[e.type] = null;
			//埋点
			common.comStat(100754,2,103,true,{"i_group_name":"返回"});
			$.pageInit("ggt/ggtOrder","account/index",{},true);
			e.stopPropagation();
			e.preventDefault();
		},"tap");

	}
	
	function load(){
		common.bindStockEvent($(_pageId+".tab_nav ul li a"),
			function(pageCode,topage){
				$.pageInit(pageCode,topage,$.getPageParam(),'',true);
			});
		common.bindStockEvent($(_pageId + ".main .fund_nav_hk ul li a"));
	}
    
	/**
	 * 销毁
	 */
	function destroy(){
		common.pageBuryingPoint();
	}

	
	var base = {
		"init" : init,
		"load" : load,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = base;
});