/**
 * Created by sizhe on 2016/8/31.
 */
/**
 * 港股通公司行为行为信息
 */
define('trade/scripts/ggt/ggtQueryCompanyHdInfo.js',function(require, exports, module) {
    var common = require("common");
    var gconfig = $.config;
    var global = gconfig.global;
    var vIscrollHeight = null;
    var iscrollUtils = require("iscrollUtils");
    var myScroller = null; // 滑动组件对象
    var service_ggt = require("service_ggt");
    var _pageId = "#ggt_ggtQueryCompanyHdInfo ";
    var _whichPage="";
    var userInfo=null;
    var _dataList={};
	var position_str = "";
    var _request_num="20";

    /**
     * 初始化
     */
    function init() {
		common.pageBuryingPoint("100897");
        position_str="";
        userInfo = common.getCurUserInfo();
        _whichPage=$.getPageParam("whichPage");
        queryCompanyHdInfo();
    }

    function load() {
        var mianHeight = common.setMainHeight(_pageId, false);
        vIscrollHeight = mianHeight - $(_pageId+".tab_nav").height();
        if(!myScroller){
            initScroller();
        }else{
            myScroller.refresh();
        }
    }

    /**
     * 事件绑定
     */
    function bindPageEvent() {
        //返回按钮
        $.bindEvent($(_pageId + ".top_title .icon_back"), function(e){
            setTimeout(function () {
                //埋点
                common.comStat(100899, 2, 103, true, {"i_group_name": "返回"});

                if (_whichPage) {
                    $.pageInit("ggt/ggtQueryCompanyHdInfo", _whichPage, {}, true);
                } else {
                    $.pageInit("ggt/ggtQueryCompanyHdInfo", "ggt/ggtQuery", {}, true);
                }
                e.preventDefault();
                e.stopPropagation();
            },300);
        });

    }

    //查询公司相关信息
    function queryCompanyHdInfo(position) {
        var entrust_way= global.entrust_way; // 委托方式  在configuration配置
        var branch_no = userInfo.branch_no;
        var fund_account = userInfo.fund_account;
        var cust_code = userInfo.cust_code;
        var sessionid=userInfo.session_id;
        var param={
            "entrust_way":entrust_way,
            "branch_no":branch_no,
            "fund_account":fund_account,
            "cust_code":cust_code,
            "sessionid":sessionid,
            "request_num":_request_num,
            "position_str":position
        };
        service_ggt.ggtQueryCompanyHdInfo(param, queryCallBack,
       		{
           "isLastReq":true,
           "isShowWait":true,
           "isShowOverLay":false,
           "timeOutFunc":function(){
               $(_pageId+ ".no_data").show();
               if(!myScroller){
                   initScroller();
               }else{
                   myScroller.refresh();
               }
           }
       });
    }


    function queryCallBack(data) {
        if (typeof(data) != "undefined" && data) {
            if(data.error_no == 0){
                $(_pageId+".no_data").hide();
                var results = data.results;
                var dataHtml="";
                if(results.length>0 && results!= "undefined"){
                    for (var i=0;i<results.length;i++){
                    	dataHtml += getHtml(results[i]);
                        _dataList[results[i].stock_code+results[i].corpbehavior_code]=results[i];
                    }
                    if(position_str==""){
                        $(_pageId+".fund_list2").html(dataHtml);
                    }else{
                        $(_pageId+".fund_list2").append(dataHtml);
                    }
                    position_str = results[results.length-1].position_str;
                    clickBind();
                }else{
                	if(!position_str==""){
                	}else{
                		$(_pageId+".no_data").show();
                	}
                }
                if(!myScroller){
                    initScroller();
                }else{
                    myScroller.refresh();
                }
            }
            else{
                $.alert(data.error_info);
            }
        }
        else{
            $.alert("查询失败");
        }
    }

    function getHtml(element) {
        var eleHtml = "";
        var css = "";
		if(element.exchange_type == "S"){//深市
			css = "tag n1";
		}else if(element.exchange_type == "G"){
			css = "tag n2";
		}
		eleHtml+="<div class=\"part\" data-flag='"+element.stock_code+element.corpbehavior_code+"'>";
		eleHtml+="<div class=\"title\">";
		eleHtml+="<span class=\""+css+"\">"+element.exchange_type_name+"</span>";
		eleHtml+="<h5><em>"+element.stock_name+"</em><small>"+element.stock_code+"</small></h5>";
		eleHtml+="</div>";
       	eleHtml+="<ul>";
       	eleHtml+="<li class='full'>权益代码：<span>"+element.authority_code+"</span></li>";
       	eleHtml+="<li class='full'>业务类型：<span>"+element.business_type_name+"</span></li>";
       	eleHtml+="<li class='full'>起始日期：<span>"+element.begin_date+"</span></li>";
       	eleHtml+="<li class='full'>结束日期：<span>"+element.end_date+"</span></li>";
       	eleHtml+="<li class='full'>权益登记名：<span>"+element.authority_type_name+"</span></li>";
       	eleHtml+="<li class='full'>公司行为代码：<span>"+element.corpbehavior_code+"</span></li>";
       	eleHtml+="<li class='full'><span><em style='color:#999999'>备注: </em>"+element.remark+"</span></li>";
       	eleHtml+="</ul>";
       	eleHtml+="</div>";
        
//      eleHtml+="<div class=\"part\" data-flag='"+element.stock_code+element.corpbehavior_code+"'>";
//      eleHtml+="<dl class=\"clearfix\">";
//      eleHtml+="<dt>"+element.stock_name+" <small>"+element.stock_code+"</small></dt>";
//      eleHtml+="    <dd style='display: inline;width: 50%;float: left;'><em>权益代码: </em>"+element.authority_code+"</dd>";
//      // eleHtml+="    <dd style='display: inline;width: 50%;float: left;'><em>权益登记类型: </em>"+element.authority_type+"</dd>";
//      eleHtml+="    <dd style='display: inline;width: 50%;float: left;'><em>业务类型: </em>"+element.business_type_name+"</dd>";
//      eleHtml+="    <dd style='display: inline;width: 50%;float: left;'><em>起始日期: </em>"+element.begin_date+"</dd>";
//      eleHtml+="    <dd style='display: inline;width: 50%;float: left;'><em>结束日期: </em>"+element.end_date+"</dd>";
//      eleHtml+="    <dd style='display: inline;width: 50%;float: left;'><em>权益登记名: </em>"+element.authority_type_name+"</dd>";
//      eleHtml+="    <dd style='display: inline;width: 100%;float: left;'><em>公司行为代码: </em>"+element.corpbehavior_code+"</dd>";
//      eleHtml+="    <dd style='display: inline;width: 100%;float: left;'><em>备注: </em>"+element.remark+"</dd>";
//      eleHtml+="</dl>";
//      eleHtml+="</div>";
        return eleHtml;
    }

    function clickBind(){
    	$.bindEvent($(_pageId+" .part"),function (e) {
			$(this).unbind(e.type);
			this[e.type] = null;
            var key=$(this).attr("data-flag");
            var data=_dataList[key];
            var param={
                "stock_code":data.stock_code,
                "corpbehavior_code":data.corpbehavior_code,
                "business_type":data.business_type,
                "exchange_type":data.exchange_type,
                // "report_type":data.report_type
            };
            $.pageInit("ggt/ggtQueryCompanyHdInfo","ggt/ggtCompanyHdEntrust",{"param":param});
            e.stopPropagation();
        },"tap");
    }
    
    /**
     * 初始化滑动组件
     */
    function initScroller()
    {
        var scrollOptions = {
            scrollerHeight: vIscrollHeight, // 滚动组件的高度
            pullThreshold: 5, // 拖动刷新或者加载的阀值，默认 5 像素
            $wrapper: $(_pageId + " #wrapper"),
            hasPullDown: false, // 是否显示下拉提示，默认 true
            hasPullUp: false, // 是否显示上拉提示，默认 true
            isAlwaysShowPullUp: false, // 是否一直显示上拉提示，true 一直显示上拉加载的提示，false 仅在上拉的时候显示提示，默认 true
            pullDownHandler: function(){
				//埋点
				common.comStat(100898,2,102,true,{"i_direct":"1","i_type":"1"});
				
            	position_str = "";
                queryCompanyHdInfo(position_str); // 模拟查询接口数据操作
            },
            pullUpHandler: function(){
            	queryCompanyHdInfo(position_str);
            }
        };
        if(!myScroller)
        {
            // 内容的高度比滚动区域高度小时
            // iscrollUtils 已有相同判断的代码，此处这样写的目的是为了解决 Android UC、微信等浏览器滚动失效的问题，在 iscrollUtils 设置高度，在初始化组件时，取到的值不准确
            if(scrollOptions.$wrapper.find("[data-is-content='true']").height() <= scrollOptions.scrollerHeight)
            {
                scrollOptions.$wrapper.children().height(scrollOptions.scrollerHeight + 1);
            }
            myScroller = iscrollUtils.vScroller(scrollOptions);
        }
        else
        {
            myScroller.refresh();
        }
    }


    //清除用户输入的数据.
    function clearMg() {
        _dataList={};
    }

    /***
     * 销毁
     */
    function destroy() {
        clearMg();
        if(myScroller)
        {
            myScroller.destroy();
            myScroller = null;
        }
		common.pageBuryingPoint();
    }

    var base = {
        "init" : init,
        "load" : load,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy
    }
    module.exports = base;
});

