/**
 * Created by sizhe on 2016/9/9.
 */
/**
 * 港股交易-港股投票信息查询
 */
define('trade/scripts/ggt/ggtQueryVoteInfo.js',function(require, exports, module) {
    var common = require("common");
    var gconfig = $.config;
    var global = gconfig.global;
    var vIscrollHeight = null;
    var iscrollUtils = require("iscrollUtils");
    var myScroller = null; // 滑动组件对象
    var service_ggt = require("service_ggt");
    var _pageId = "#ggt_ggtQueryVoteInfo ";
    var _voteDataList=[];
    var userInfo = null;
    var _whichPage=null;
	var position_str = "";
    var request_num="20";
    /**
     * 初始化
     */
    function init(){
		common.pageBuryingPoint("100874");
        position_str="";
        common.setMainHeight(_pageId, false);
		userInfo = common.getCurUserInfo();
        _whichPage=$.getPageParam("whichPage");
        queryVoteInfo(position_str);
    }

    /**
     * 事件绑定
     */
    function bindPageEvent(){
        //返回按钮
        $.bindEvent($(_pageId + ".top_title .icon_back"), function(e){
            setTimeout(function () {
                //埋点
                common.comStat(100875, 2, 103, true, {"i_group_name": "返回"});
                if (_whichPage) {
                    $.pageInit("ggt/ggtQueryVoteInfo", _whichPage, {}, true);
                } else {
                    $.pageInit("ggt/ggtQueryVoteInfo", "ggt/ggtQuery", {}, true);
                }
                e.preventDefault();
            },300);
        });
    }

    function load() {
        var mianHeight = common.setMainHeight(_pageId, false);
        vIscrollHeight = mianHeight - $(_pageId+".tab_nav").height();
        if(!myScroller){
            initScroller();
        }else{
            myScroller.refresh();
        }
    }
    /**
     * 查询港股投票信息
     */
    function queryVoteInfo(position){
        var entrust_way= global.entrust_way; // 委托方式  在configuration配置
        var branch_no = userInfo.branch_no;
        var fund_account = userInfo.fund_account;
        var cust_code = userInfo.cust_code;
        var sessionid=userInfo.session_id;
        var param={
            "entrust_way":entrust_way,
            "branch_no":branch_no,
            "fund_account":fund_account,
            "cust_code":cust_code,
            "sessionid":sessionid,
            "request_num":request_num,
            "position_str":position
        };
        $(_pageId+ ".no_data").hide();
        service_ggt.ggtQueryVoteInfo(param,queryCallback,
            {
                "isLastReq":true,
                "isShowWait":true,
                "isShowOverLay":false,
                "timeOutFunc":function(){
                    $(_pageId+ ".no_data").show();
                    if(!myScroller){
                        initScroller();
                    }else{
                        myScroller.refresh();
                    }
                }
            });
    }
    /**
     * 委托查询回调
     */
    function queryCallback(data){
        if (typeof(data) != "undefined" && data) {
            if(data.error_no == 0){
                $(_pageId+".no_data").hide();
                var dataHtml="";
                var results = data.results;
                if(results.length>0 && results!= "undefined"){
                    for (var i=0;i<results.length;i++){
                    	dataHtml += queryEntrustHTML(results[i]);
                        _voteDataList.push(results[i]);
                    }
                    if(position_str==""){
                        $(_pageId+".fund_list2").html(dataHtml);
                    }else{
                        $(_pageId+".fund_list2").append(dataHtml);
                    }
                    position_str = results[results.length-1].position_str;
                    clickBind();
                }else{
                    if(!position_str==""){
                    }else{
                        $(_pageId+".no_data").show();
                    }
                }
                if(!myScroller){
                    initScroller();
                }else{
                    myScroller.refresh();
                }
            }
            else{
                $.alert(data.error_info);
            }
        }
        else{
            $.alert("查询失败");
        }
    }

    /**
     * 委托查询HTML生成
     */
    function queryEntrustHTML(element){
        var eleHtml = "";
		var css = "";
		if(element.exchange_type == "S"){//深市
			css = "tag n1";
		}else if(element.exchange_type == "G"){
			css = "tag n2";
		}
		
		eleHtml+="<div class=\"part\" stock_code='"+element.stock_code+"' placard_id='"+element.placard_id+"' motion_id='"+element.motion_id+"' exchange_type='"+element.exchange_type+"'>";
		eleHtml+="<div class=\"title\">";
		eleHtml+="<span class=\""+css+"\">"+element.exchange_type_name+"</span>";
		eleHtml+="<h5><em>"+element.stock_name+"</em><small>"+element.stock_code+"</small></h5>";
		eleHtml+="</div>";
       	eleHtml+="<ul>";
       	eleHtml+="<li style='width:0;min-width: 45%;margin-right: 10px;'>公告编号：<span>"+element.placard_id+"</span></li>";
       	eleHtml+="<li style='width:0;min-width: 45%;'>议案编号：<span>"+element.motion_id+"</span></li>";
       	eleHtml+="<li style='width:0;min-width: 45%;margin-right: 10px;'>权益代码：<span>"+element.authority_code+"</span></li>";
       	eleHtml+="<li style='width:0;min-width: 45%;'>起始日期：<span>"+element.begin_date+"</span></li>";
       	eleHtml+="<li style='width:0;min-width: 45%;margin-right: 10px;'>结束日期：<span>"+element.end_date+"</span></li>";
       	eleHtml+="<li style='width:0;min-width: 45%;word-wrap:break-word;white-space: inherit;'>备注: <span style='display: contents;'>"+element.remark+"</span></li>";
       	eleHtml+="</ul>";
       	eleHtml+="</div>";
       	
       	
//      eleHtml+="<div class=\"part\" data-flag='"+element.stock_code+element.placard_id+"'>";
//      eleHtml+="<span class=\""+css+"\">"+element.exchange_type_name+"</span>";
//      eleHtml+="<dl class=\"clearfix\">";
//      eleHtml+="<dt>"+element.stock_name+" <small>"+element.stock_code+"</small></dt>";
//      eleHtml+="    <dd style='display: inline;width: 50%;float: left;'><em>公告编号: </em>"+element.placard_id+"</dd>";
//      eleHtml+="    <dd style='display: inline;width: 50%;float: left;'><em>议案编号: </em>"+element.motion_id+"</dd>";
//      eleHtml+="    <dd style='display: inline;width: 50%;float: left;'><em>权益代码: </em>"+element.authority_code+"</dd>";
//      eleHtml+="    <dd style='display: inline;width: 50%;float: left;'><em>起始日期: </em>"+element.begin_date+"</dd>";
//      eleHtml+="    <dd style='display: inline;width: 50%;float: left;'><em>结束日期: </em>"+element.end_date+"</dd>";
////      eleHtml+="    <dd style='display: inline;width: 50%;float: left;'><em>业务类型: </em>"+element.business_type_name+"</dd>";
////      eleHtml+="    <dd style='display: inline;width: 50%;float: left;'><em>权益登记类型: </em>"+element.authority_type_name+"</dd>";
//      eleHtml+="    <dd style='display: inline;float: left;'><em>备注: </em>"+element.remark+"</dd>";
//      eleHtml+="</dl>";
//      eleHtml+="</div>";
        return eleHtml;
    }

    function clickBind(){
    	//获取投票数据
        $.bindEvent($(_pageId+".part"),function (e) {
			$(this).unbind(e.type);
			this[e.type] = null;
            var stock_code=$(this).attr("stock_code");
            var placard_id=$(this).attr("placard_id");
            var motion_id=$(this).attr("motion_id");
            var exchange_type=$(this).attr("exchange_type");
            var data={};
            for(var i=0;i<_voteDataList.length;i++){
				if(_voteDataList[i].stock_code==stock_code && _voteDataList[i].placard_id==placard_id &&_voteDataList[i].motion_id==motion_id &&_voteDataList[i].exchange_type==exchange_type ){
					data.stock_code=_voteDataList[i].stock_code;
					data.placard_id=_voteDataList[i].placard_id;
					data.motion_id=_voteDataList[i].motion_id;
					data.exchange_type=_voteDataList[i].exchange_type;
				}
            }
            var param={
                "stock_code":data.stock_code,
                "placard_id":data.placard_id,
                "motion_id":data.motion_id,
                "exchange_type":data.exchange_type,
            };
            $.pageInit("ggt/ggtQueryVoteInfo","ggt/ggtVoteEntrust",{"param":param});
            e.stopPropagation();
        });
    }
    
    
    /**
     * 初始化滑动组件
     */
    function initScroller()
    {
        var scrollOptions = {
            scrollerHeight: vIscrollHeight, // 滚动组件的高度
            pullThreshold: 5, // 拖动刷新或者加载的阀值，默认 5 像素
            $wrapper: $(_pageId + " #wrapper"),
            hasPullDown: false, // 是否显示下拉提示，默认 true
            hasPullUp: false, // 是否显示上拉提示，默认 true
            isAlwaysShowPullUp: false, // 是否一直显示上拉提示，true 一直显示上拉加载的提示，false 仅在上拉的时候显示提示，默认 true
            pullDownHandler: function(){
				//埋点
				common.comStat(100876,2,102,true,{"i_direct":"1","i_type":"1"});
				
            	position_str = "";
                queryVoteInfo(); // 模拟查询接口数据操作
            },
            pullUpHandler: function(){
            	queryVoteInfo(position_str);
            }
            
        };
        if(!myScroller){
            // 内容的高度比滚动区域高度小时
            // iscrollUtils 已有相同判断的代码，此处这样写的目的是为了解决 Android UC、微信等浏览器滚动失效的问题，在 iscrollUtils 设置高度，在初始化组件时，取到的值不准确
            if(scrollOptions.$wrapper.find("[data-is-content='true']").height() <= scrollOptions.scrollerHeight)
            {
                scrollOptions.$wrapper.children().height(scrollOptions.scrollerHeight + 1);
            }
            myScroller = iscrollUtils.vScroller(scrollOptions);
        }
        else
        {
            myScroller.refresh();
        }
    }


    /**
     * 销毁
     */
    function destroy(){
		common.pageBuryingPoint();
        $(_pageId+".fund_list2").html("");
        position_str="";
        _voteDataList=[];
        if(myScroller)
        {
            myScroller.destroy();
            myScroller = null;
        }
    }

    var base = {
        "init" : init,
        "load" : load,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy
    };
    module.exports = base;
});