/**
 * 普通交易-买入
 */
define('trade/scripts/ggt/ggtSell.js',function(require, exports, module) {
	var gconfig = $.config;
	var global = gconfig.global;
	var ggtOrder = require("ggtOrder");
	var common = require("common");
	var _pageId = "#ggt_ggtSell ";
	var _load = false;
    var vIscrollHeight = null;
    var iscrollUtils = require("iscrollUtils");
    var myScroller = null; // 滑动组件对象
	
    /**
     * 初始化
     */
	function init(){
		common.pageBuryingPoint("100810");
		common.switchingCurUser("0");
		common.bindStockEvent($(_pageId + '.tab_nav ul li a'),function(pageCode,topage){
			$.pageInit(pageCode,topage,$.getPageParam(),'',true);
		});
		if(global.requestLocation == 0){
			backgroundInterface();
		}
		common.setMainHeight(_pageId, false);

    }

    function load() {
		if(global.requestLocation == 1){
			backgroundInterface();
		}
		var mainHeight =  common.setMainHeight(_pageId, false);
		vIscrollHeight =  mainHeight - $(_pageId + ".tab_nav").outerHeight(true) - $(_pageId + ".lr").outerHeight(true) - $(_pageId + ".fund_table2").css("margin-top").slice(0, -2);
        _load = true;
        if(!myScroller){
            initScroller();
        }else{
            myScroller.refresh();
        }
		$(_pageId + ".ce_btn div.order").css({"padding-top": "3px","line-height":"14px","width":$(_pageId + ".ce_btn a").width(),"display":"inline-block"});
		$(_pageId + ".ce_btn #total").css("display","inline-block");
	}
	function backgroundInterface(){
		var orderType = "2"; // 1 ，买入  2，卖出  3，融资买入 4，融券卖出  5，普通买入 6，普通卖出 7，买券还券 8，卖券还款
		ggtOrder.dataInit(_pageId,orderType,initScroller);
		ggtOrder.elementBindEvent();
	}
	
	/**
     * 初始化滑动组件
     */
    function initScroller()
    {
		vIscrollHeight =  common.setMainHeight(_pageId, false) - $(_pageId + ".tab_nav").outerHeight(true) - $(_pageId + ".lr").outerHeight(true) - $(_pageId + ".fund_table2").css("margin-top").slice(0, -2);
		$(_pageId + " #wrapper").height(vIscrollHeight);
        var scrollOptions = {
            scrollerHeight: vIscrollHeight, // 滚动组件的高度
            pullThreshold: 5, // 拖动刷新或者加载的阀值，默认 5 像素
            $wrapper: $(_pageId + " #wrapper"),
            hasPullDown: false, // 是否显示下拉提示，默认 true
            hasPullUp: false, // 是否显示上拉提示，默认 true
            isAlwaysShowPullUp: false, // 是否一直显示上拉提示，true 一直显示上拉加载的提示，false 仅在上拉的时候显示提示，默认 true
            pullUpHandler: function(){}
            
        };
        if(!myScroller){
            // 内容的高度比滚动区域高度小时
            // iscrollUtils 已有相同判断的代码，此处这样写的目的是为了解决 Android UC、微信等浏览器滚动失效的问题，在 iscrollUtils 设置高度，在初始化组件时，取到的值不准确
            if(scrollOptions.$wrapper.find("[data-is-content='true']").height() <= scrollOptions.scrollerHeight)
            {
                scrollOptions.$wrapper.children().height(scrollOptions.scrollerHeight + 1);
            }
            myScroller = iscrollUtils.vScroller(scrollOptions);
        }
        else
        {
            myScroller.refresh();
        }
    }
	
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
	}
	
	/**
	 * 数据重置
	 */
	function destroy(){
		common.pageBuryingPoint();
		ggtOrder.dataDestroy();
		if(myScroller)
		{
			myScroller.destroy();
			myScroller = null;
		}
	}
	
	var base = {
		"init" : init,
		"load" : load,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = base;
});