/**
 * 科创板倒计时页面
 */
define('trade/scripts/kcb/kcbDistrict.js', function(require, exports, module) {
	var common = require("common");
	var gconfig = $.config; 
    var global = gconfig.global;
    var _pageId = "#kcb_kcbDistrict ";
	var service_common = require("service_common");
	var iscrollUtils = require("iscrollUtils");
	var myScroller = null; // 滑动组件对象
	var userInfo=null;

    /**
     * 初始化
     */
	function init(){
		common.pageChangeHeight(function(){
			if(myScroller)
			{
				myScroller.destroy();
				myScroller = null;
			}
		});
		userInfo = common.getCurUserInfo();
		var mianHeight = common.setMainHeight(_pageId, false);
		if(global.requestLocation == 0){
//			backgroundInterface();
		}
    }
		
	function load(){
		if(global.requestLocation == 1){
//			backgroundInterface();
		}
		initScroller();
	}
	
//	function backgroundInterface(){
//		kcbBoardingTime();
//	}
	
	
	/**
	 * 查询天数
	 */
//	function kcbBoardingTime(){
//		var entrust_way= global.entrust_way; // 委托方式  在configuration配置
//		var branch_no = userInfo.branch_no;	
//		var fund_account = userInfo.fund_account;
//		var cust_code = userInfo.cust_code;//关联资产账户标志
//		var session_id = userInfo.session_id;
//		var password = userInfo.password;
//		var param={				
//			"entrust_way":entrust_way,
//		    "branch_no":branch_no,
//		    "fund_account":fund_account,
//		    "cust_code":cust_code,
//		    "session_id":session_id,
//		    "password":password,
//		};
//		//最后一个为超时处理函数
//		service_common.kcbBoardingTime(param,function(data){
//			if (data && data!= "undefined"){
//				if(data.error_no == 0){
//					var results = data.results;
//					if(results && results!= "undefined" && results.length >0){
//						if(results[0].release_flag=="1"){//上板时间已知
//							$(_pageId+".stanceimg").hide();
//							$(_pageId+".distance").show();
//							$(_pageId+".distance p").html("<span>"+common.timeDifference(results[0].release_date)+"</span>天");
//						}else{
//							$(_pageId+".stanceimg").show();
//							$(_pageId+".distance").hide();
//						}
//					}
//				}
//			}
//		},
//		{  //传给接口的json格式数据            
//			"isLastReq":false,                
//			"isShowWait":false,
//			"isShowOverLay":false
//	    });
//	    
//	}
	/**
	 * 初始化滑动组件
	 */
	function initScroller()
	{
		var scrollOptions = {
			scrollerHeight: $(window).height()-$(_pageId+".header").height(), // 滚动组件的高度
			pullThreshold: 5, // 拖动刷新或者加载的阀值，默认 5 像素
			$wrapper: $(_pageId + " #wrapper"),
			hasPullDown: true, // 是否显示下拉提示，默认 true
			hasPullUp: false, // 是否显示上拉提示，默认 true
			isAlwaysShowPullUp: false, // 是否一直显示上拉提示，true 一直显示上拉加载的提示，false 仅在上拉的时候显示提示，默认 true
			pullDownHandler: function(){},
			pullUpHandler: function(){}
		};
		if(!myScroller)
		{
			// 内容的高度比滚动区域高度小时
			// iscrollUtils 已有相同判断的代码，此处这样写的目的是为了解决 Android UC、微信等浏览器滚动失效的问题，在 iscrollUtils 设置高度，在初始化组件时，取到的值不准确
			if(scrollOptions.$wrapper.find("[data-is-content='true']").height() <= scrollOptions.scrollerHeight)
			{
				scrollOptions.$wrapper.children().height(scrollOptions.scrollerHeight + 1);
			}
			myScroller = iscrollUtils.vScroller(scrollOptions);
		}
		else
		{
			myScroller.refresh();
		}
	}
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		//返回按钮
		$.bindEvent($(_pageId + ".top_title .icon_back"), function(e){
			setTimeout(function () {
				$(this).unbind(e.type);
				this[e.type] = null;
				$.pageInit("kcb/kcbDistrict", "account/index", {"history": true}, "left", true);
				e.preventDefault();
				e.stopPropagation();
			},300);
		});
		
		//跳转业务办理
		$.bindEvent($(_pageId + ".a01"), function(e){
			if(global.callNative && global.isSso){
				var param = {
					"funcNo": "50500",
					"msgNo": "123",
					"sourceModule":"",
					"targetModule":"tradeDispatcher",
					"action":"1",
					"param":{
						"business_type":userInfo._loginClass,//普通0  两融1
						"event":"2",//打开权限开通页面
						"title":"",
					}
				}
				$.callMessage(param);
			}
			e.stopPropagation();
		});
	}
    
	/**
	 * 销毁
	 */
	function destroy(){
		if(myScroller)
		{
			myScroller.destroy();
			myScroller = null;
		}
//		$(_pageId+".stanceimg p").html("");
//		$(_pageId+".distance").hide();
//		$(_pageId+".stanceimg").show();
	}
	
	
	var base = {
		"init" : init,
		"load" : load,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy,
	};
	module.exports = base;
});
