/**
 * 普通交易-盘后买入
 */
define('trade/scripts/kcb/stock/kcbPHStockBuy.js', function(require, exports, module) {
	var gconfig = $.config;
	var global = gconfig.global;
	var kcbPHStockOrder = require("kcbPHStockOrder");
	var common = require("common");
	var _pageId = "#kcb_stock_kcbPHStockBuy ";
	var downslide = new (require("downslide")).Downslide();
	var height_table = null;
	var _load = false;
	
    /**
     * 初始化
     */
	function init(){
		common.switchingCurUser("0");
		downslide.addSlide();
		common.bindStockEvent($(_pageId + '.tab_nav ul li a'),
			function(pageCode,topage){
				$.pageInit(pageCode,topage,{},'',true);
			});
			
		if(global.requestLocation == 0){
			backgroundInterface();
		}
    }
		
	function load(){
		var mainHeight =  common.setMainHeight(_pageId, false);
        height_table =  mainHeight - $(_pageId + ".lr").outerHeight(true) - $(_pageId + ".kcb_fund_table2").css("margin-top").slice(0, -2);
//      $(_pageId + ".kcb_fund_table").height(height_table);   //给持仓数据添加高度
        _load = true;
//      if(kcbPHStockOrder.getQueryHolding()){
//	        initScroller();
//      }
		$(_pageId + ".ce_btn div.order").css({"padding-top": "3px","line-height":"14px","width":$(_pageId + ".ce_btn a").width(),"display":"inline-block"});
		$(_pageId + ".ce_btn #total").css("display","inline-block");
		if(global.requestLocation == 1){
			backgroundInterface();
		}
	}
	function backgroundInterface(){
		var orderType = "1"; // 1 ，买入  2，卖出  3，融资买入 4，融券卖出  5，普通买入 6，普通卖出 7，买券还券 8，卖券还款
		kcbPHStockOrder.dataInit(_pageId,orderType,true,initScroller);
		kcbPHStockOrder.elementBindEvent();
	}
	/**
	 * 初始化滑动组件
	 */
	function initScroller(isRefresh)
	{
		if(isRefresh){
			downslide.rollRefresh();
		}else{
			if(_load){
				$(_pageId + ".kcb_fund_table2").show();
				if($(_pageId + " .timeshare").isShow()){
					var h = height_table - $(_pageId + " .timeshare").getMHeight();
					if(h > 10){
						downslide.rollInit(h ,_pageId,true);
					}
					else{
						$(_pageId + ".kcb_fund_table2").hide();
					}
				}
				else{
					downslide.rollInit(height_table,_pageId,true);
				}
			}
		}
		downslide.aboutInit();
	}
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
	}
	
	/**
	 * 数据重置
	 */
	function destroy(){
		kcbPHStockOrder.dataDestroy();
		downslide.slideDestroy();
	}
	
	var base = {
		"init" : init,
		"load" : load,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = base;
});