/**
 * 普通交易-查询
 */
define('trade/scripts/kcb/stock/kcbStockQuery.js', function(require, exports, module) {
	var common = require("common");
	var gconfig = $.config; 
    var global = gconfig.global;
    var _pageId = "#kcb_stock_kcbStockQuery ";

    /**
     * 初始化
     */
	function init(){
		common.switchingCurUser("0");
		$(_pageId + '.kcb_search_nav ul li').show();
		$(_pageId+" .kcb_search_nav ul li[gth"+global.serverConfig+"]").hide();
		common.bindStockEvent($(_pageId + '.tab_nav ul li a'),true);
		jumpPageEvent();
		if(global.requestLocation == 0){
			backgroundInterface();
		}
    }
		
	function load(){
		var mainHeight = common.setMainHeight(_pageId, false);
		var height_search = mainHeight - $(_pageId+".tab_nav").outerHeight(true);
		$(_pageId+" .main .kcb_search_nav").height(height_search-10).css("overflow-y","auto"); //查询目录添加高度
		if(global.requestLocation == 1){
			backgroundInterface();
		}
	}
	
	function backgroundInterface(){
		
	}
	
	/**
	 * 跳转页面事件
	 * $(this).unbind();
	 * this.click = null;
	 */
	function jumpPageEvent(){
		//返回按钮
		$.bindEvent($(_pageId + ".top_title .icon_back"), function(e){
			setTimeout(function () {
				$(this).unbind(e.type);
				this[e.type] = null;
				$.pageInit("kcb/stock/kcbStockQuery", "account/index", {"history": true}, "left", true);
				e.preventDefault();
				e.stopPropagation();
			},300);
		},"tap");
		
		//帮助
		$.bindEvent($(_pageId + ".kcbbtn"), function(e){
			$.pageInit("kcb/stock/kcbStockQuery","kcb/stock/kcbPHExplain",{},"right");
			e.stopPropagation();
		});
		
		//普通交易查询
		$.bindEvent($(_pageId + ".bidtranTips span"), function(e){
			$.pageInit("kcb/stock/kcbStockQuery","stock/stockQuery",{},"right");
			e.stopPropagation();
		});
		
		//查询页面事件跳转
		common.bindStockEvent($(_pageId + " .kcb_search_nav ul li a"));
	}
	
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		
	}
    
	/**
	 * 销毁
	 */
	function destroy(){

	}
	
	
	var base = {
		"init" : init,
		"load" : load,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy,
	};
	module.exports = base;
});