/**
 * Created by sizhe on 2016/11/22.
 */
/**
 * 普通交易-网络投票
 */
define('trade/scripts/netVote/voteDetail.js',function(require, exports, module) {
    var common = require("common");
    var gconfig = $.config;
    var global = gconfig.global;
    var service_added = require("service_added");
    require("validatorUtils");
    var validatorUtil = $.validatorUtils;
    var _pageId = "#netVote_voteDetail ";
    var userInfo = null;
    var _exchange_type="";
    var _v_ids=[];
//  var _vote_number=[];
    var _vote_result=[];
    var _listData=[];
    var _stock_code="";
    var _meeting_seq="";
    var isOrSubmit=true;
    var exchange_type="";//交易市场
    var stock_account="";//股东账号
    var iscrollUtils = require("iscrollUtils");
    var myScroller = null; // 滑动组件对象
	var keyboard = require("keyboard");
    /**
     * 初始化
     */
    function init(){
		common.pageBuryingPoint("101588");
        userInfo=common.getCurUserInfo();
        $(_pageId+".right_text").css("display","none");
        callsQuery();
        var height=$(_pageId).height()-$(_pageId+".tab_nav").height()-$(_pageId+".bill_main .ce_btn").height()-$(_pageId+".header").height()-10;
        $(_pageId+".bill_main .vote_list3").css({"height":height,"overflow-y":"auto"});
    }

    function load() {
        
    }

    function callsQuery() {
        _meeting_seq = $.getPageParam("meeting_seq");
        if(_meeting_seq){
            queryVoteBillInfo(_meeting_seq); // 查询议案详细信息
        }
    }

    /**
     * 事件绑定
     */
    function bindPageEvent(){
        // 返回按钮
        $.bindEvent($(_pageId + ".top_title .icon_back"), function(e){
			if(keyboard){
				keyboard.closeKeyPanel();
			}
			//埋点
			if($(_pageId + ".tab_nav ul li.active").index()==0){
				common.comStat(101589,2,103,true,{"i_group_name":"返回"});
			}else{
				common.comStat(101601,2,103,true,{"i_group_name":"返回"});
			}
            pageBack();
            e.preventDefault();
            e.stopPropagation();
        });
        // tab切换
        $.bindEvent($(_pageId + ".tab_nav ul li"), function(e){
			if(keyboard){
				keyboard.closeKeyPanel();
			}
			common.pageBuryingPoint();
            $(this).addClass("active").siblings().removeClass("active");
            if($(this).index() == "0"){
                $(_pageId + ".bill_main").show();
                $(_pageId + ".bill_stat").hide();
				common.pageBuryingPoint("101588");
            }else{
                $(_pageId + ".bill_main").hide();
                $(_pageId + ".bill_stat").show();
		        if(!myScroller){
		            initScroller();
		        }else{
		            myScroller.refresh();
		        }
				common.pageBuryingPoint("101600");
//              $(_pageId+".bill_main .vote_list3").html("");
            }
//          clearMsg();
//          callsQuery();
//          $(_pageId+".right_text").css("display","none");
            e.stopPropagation();
        });
        // 提交投票
        $.bindEvent($(_pageId + ".top_title .right_text"), function(e){
			if(keyboard){
				keyboard.closeKeyPanel();
			}
            //清空之前获取的数据
            _v_ids=[];
//          _vote_number=[];
            _vote_result=[];
            isOrSubmit=true;
//          if($(_pageId+".tab_nav ul li:eq(0)").hasClass("active")){
//              getVoteInfo(0);
//          }else{
                getVoteInfo();
//          }
            submitVote(); //提交投票
			//埋点
			if($(_pageId + ".tab_nav ul li.active").index()==0){
				common.comStat(101590,2,103,true,{"i_group_name":"提交投票"});
			}else{
				common.comStat(101602,2,103,true,{"i_group_name":"提交投票"});
			}
            e.stopPropagation();
        });
        //一键表决
        $.bindEvent($(_pageId+".bill_main .ce_btn"),function (e) {
			if(keyboard){
				keyboard.closeKeyPanel();
			}
            if($(_pageId+".bill_main .vote_list3 .part").length>0){
                var button1 = [{
                    text:"全部同意",
                    onClick:oneKeyChoice(1)
                },{
                    text:"全部反对",
                    onClick: oneKeyChoice(2)
                }, {
                    text: "全部弃权",
                    onClick:oneKeyChoice(3)
                }];
                var button2 = [{
                    text: '取消',
                    bg: 'danger'
                }];
                var groups = [button1, button2];
                $.actions(groups);   
            }
            e.stopPropagation();
        });
        
    }

    //key=1 同意 key=2 反对 key=3 弃权
    function oneKeyChoice(type) {
        return function () {
            var items = $(_pageId+".bill_main .vote_list3 .part");
            items.each(function (index,item) {
                if(type==1){
                    $(this).find("dd span").removeClass("active");
                    $(this).find("dd span:eq(0)").addClass("active");
           			common.comStat(101591,2,104,true,{"i_change_name":"一键表决","i_change_to":"全部同意"});
                }else if(type==2){
                    $(this).find("dd span").removeClass("active");
                    $(this).find("dd span:eq(1)").addClass("active");
           			common.comStat(101591,2,104,true,{"i_change_name":"一键表决","i_change_to":"全部反对"});
                }else{
                    $(this).find("dd span").removeClass("active");
                    $(this).find("dd span:eq(2)").addClass("active");
           			common.comStat(101591,2,104,true,{"i_change_name":"一键表决","i_change_to":"全部弃权"});
                }
            });
        }
    }
    
    /**
     * 查询投票历史纪录
     */
    function queryVoteBillInfo(meeting_seq,type){
        var entrust_way= global.entrust_way; // 委托方式  在configuration配置
        var branch_no = userInfo.branch_no;
        var fund_account = userInfo.fund_account;
        var cust_code = userInfo.cust_code;
        var password = userInfo.password;
        var sessionid = userInfo.session_id;
        var param={
            "entrust_way":entrust_way,
            "branch_no":branch_no,
            "fund_account":fund_account,
            "cust_code":cust_code,
            "password":password,
            "sessionid":sessionid,
            "meeting_seq":meeting_seq,
            "v_id":"",
            "vote_code":""
        };
        // 每次查询前,先将暂无数据隐藏
        $(_pageId + ".no_data").hide();
        // 最后一个函数为超时函数,在超时后,显示暂无数据,并且初始化滑动组件
        service_added.queryVoteBillInfo(param,function(data){
            if(data.error_no == 0){
            	 $(_pageId+".right_text").css("display","block");
                var results = data.results;
                $(_pageId + ".bill_main .part").remove();
                $(_pageId + ".bill_stat table").show();
                if(results && results.length>0){
                    //非累计投票议案
                   	var fljhtmlData="";
                   	for (var i=0;i<results.length;i++){
                       if(results[i].vote_type == "0"){
                           fljhtmlData += queryHTML(results[i],i+1);
                           _listData[results[i].v_id]=results[i];
                       }
                   	}
                   	$(_pageId + ".bill_main .vote_list3").html(fljhtmlData);
                   	if(fljhtmlData==""){
                       var noDataMsg="<div class='no_data' style='padding-top: 100px;display:block'> <span class='icon'></span> <p style='text-align:center;'>暂无记录</p> </div>";
                       $(_pageId + ".bill_main .vote_list3").html(noDataMsg);
                   	}
                   	$.bindEvent($(_pageId+".bill_main .vote_list3 .part dd span"), function(e){
                       $(this).siblings().removeClass("active");
                       $(this).addClass("active");
                       e.stopPropagation();
                   	});
                       
                    //累计投票议案   
                   	var ljhtmlData='<tr><th style="width: 30%;">议案序号</th><th style="width: 50%;">议案名称</th><th style="width: 20%;">应选数量</th></tr>';
                   	var ljlist=[];
					for (var i=0;i<results.length;i++){
                       if(results[i].vote_type == "1"){
						   ljlist.push(results[i].v_id);
                           ljhtmlData += queryHTML(results[i],i);
                           _listData[results[i].v_id]=results[i];
                       }
                  	}
                  	$(_pageId+".bill_stat table").html(ljhtmlData);
                  	if(ljlist.length<=0){
                    	$(_pageId + ".bill_stat table").hide();
                    	$(_pageId + ".bill_stat .no_data").show();
                  	}
					if(keyboard){
						keyboard.keyInit();
					}
               }else{
               		//非累计投票议案
                    var noDataMsg="<div class=\"no_data\" style=\"padding-top: 100px;display:block\"> <span class=\"icon\"></span> <p style=\"text-align:center;\">暂无记录</p> </div>";
                    $(_pageId + ".bill_main .vote_list3").html(noDataMsg);
                    //累计投票议案   
                    $(_pageId + ".bill_stat table").hide();
                    $(_pageId+".bill_stat .no_data").show();
                }
            }else{
            	$(_pageId+".right_text").css("display","block");
                $.alert(data.error_info);
            }
        });
    }

    function queryHTML(element,index){
        var eleHtml = "";
        if(element.vote_type == "0"){
            eleHtml+="<dl class=\"part\" data-id='"+element.v_id+"' title='"+element.exchange_type+"' data-account='"+element.stock_account+"'>";
            eleHtml+="<dt><em>"+index+"</em>"+element.vote_info+"</dt>";
            eleHtml+="<dd><span class=\"active\"><a href=\"javascript:void(0);\"><i></i>同意</a></span><span><a href=\"javascript:void(0);\"><i></i>反对</a></span><span><a href=\"javascript:void(0);\"><i></i>弃权</a></span></dd>";
            eleHtml+="</dl>";
        }else if(element.vote_type == "1"){
            if(element.vote_leijino != "0"){
                eleHtml+="  <tr id="+element.vote_leijino+" data-id='"+element.v_id+"' title='"+element.exchange_type+"' data-account='"+element.stock_account+"'>";
                eleHtml+="    <td style='text-align: center;'>"+element.v_id+"</td>";
                eleHtml+="    <td style='text-align: center;'>"+element.vote_info+"</td>";
                eleHtml+="    <td style='text-align: center;'>"+element.vote_leijino+"</td>";
                eleHtml+="  </tr>";
            }else{
                eleHtml+="  <tr id="+element.vote_leijino+" data-id='"+element.v_id+"' title='"+element.exchange_type+"' data-account='"+element.stock_account+"'>";
                eleHtml+="    <td style='text-align: center;'>"+element.v_id+"</td>";
                eleHtml+="    <td style='text-align: center;'>"+element.vote_info+"</td>";
                eleHtml+="    <td style='text-align: center;'>";
                eleHtml+="    <input type='text' js-key='number' id='stockNmber"+index+"' class='t1 text'/>";
                eleHtml+="  </tr>";
            }
        }
        return eleHtml;
    }

    //提交前获取需要的投票信息
    function getVoteInfo(type) {
        //非累计投票
		var items=$(_pageId + ".bill_main .vote_list3 .part");
		for(var i=0;i<items.length;i++){
			_v_ids.push($(items[i]).attr("data-id"));
			_stock_code=_listData[$(items[i]).attr("data-id")].ref_code;
			exchange_type=$(_pageId + ".vote_list3 dl.part:eq("+i+")").attr("title");
			stock_account=$(_pageId + ".vote_list3 dl.part:eq("+i+")").attr("data-account");
			var voteResult=1;
			if($(items[i]).find("dd span:eq(0)").hasClass("active")){
				voteResult=1;
			}else if($(items[i]).find("dd span:eq(1)").hasClass("active")){
				voteResult=2;
			}else{
				voteResult=3;
			}
			_vote_result.push(voteResult);
		}
		
        //累计投票
		var items=$(_pageId + ".bill_stat .table_box tr").slice(1);
		var maxNum=0;
		var totalNum=0;
		items.each(function(index, item){
			if($(this).attr("id") == "0"){
				var num = $(this).find("td:eq(2)").find("input").val();
				if(!num){
					$.alert("请输入投票数");
					isOrSubmit=false;
					return false;
				}
				if(!validatorUtil.isNumeric(num)){
					$.alert("议案"+$(this).find("td:eq(0)").text()+"投票数量格式不正确");
					isOrSubmit=false;
					return false;
				}
				totalNum += Number(num);
				exchange_type=$(this).attr("title");
				stock_account=$(this).attr("data-account");
				_stock_code=_listData[$(_pageId + ".bill_stat .table_box tr:eq(1)").attr("data-id")].ref_code;
				_v_ids.push($(this).attr("data-id"));
				_vote_result.push(num);
				
			}else{
				maxNum = Number($(this).attr("id"));
				totalNum=0;
			}
	   });
    }

    /**
     * 提交投票
     */
    function submitVote(){
        if(!isOrSubmit)return false;
        var flag=1;
        var entrust_way= global.entrust_way; // 委托方式  在configuration配置
        var branch_no = userInfo.branch_no;
        var fund_account = userInfo.fund_account;
        var cust_code = userInfo.cust_code;
        var password = userInfo.password;
        var sessionid = userInfo.session_id;
        var param={
            "entrust_way":entrust_way,
            "branch_no":branch_no,
            "fund_account":fund_account,
            "cust_code":cust_code,
            "password":password,
            "sessionid":sessionid,
            "stock_account":stock_account,
            "flag":flag,
            "exchange_type":exchange_type,
            "stock_code":_stock_code,
            "meeting_seq":_meeting_seq,
            "v_id":_v_ids.join(","),
//          "vote_number":_vote_number.join(","),
            "vote_result":_vote_result.join(",")
        };
        service_added.queryVote(param,function(data){
            if(data.error_no == 0){
            	$(_pageId+".right_text").css("display","block");
                var results = data.results;
                if(results && results.length>0){
                    var tipStr = "";
                    tipStr = "<span style='font-weight:bold;font-size: 18px;'>委托提示</span><br>投票委托已提交，委托编号："+results[0].entrust_no;
                    $.alert(tipStr);
                    clearMsg();
                    callsQuery();
                }
            }else{
            	$(_pageId+".right_text").css("display","block");
                $.alert(data.error_info);
            }
        });
    }
    /*
     * 上下滑动组件
     */
	function initScroller()
    {
		var mainHeight =  common.setMainHeight(_pageId, false) - $(_pageId + ".tab_nav").outerHeight(true);
        var scrollOptions = {
            scrollerHeight: mainHeight, // 滚动组件的高度
            pullThreshold: 5, // 拖动刷新或者加载的阀值，默认 5 像素
            $wrapper: $(_pageId + " #wrapper"),
            hasPullDown: false, // 是否显示下拉提示，默认 true
            hasPullUp: false, // 是否显示上拉提示，默认 true
            isAlwaysShowPullUp: false, // 是否一直显示上拉提示，true 一直显示上拉加载的提示，false 仅在上拉的时候显示提示，默认 true
            pullDownHandler: function(){}
        };
        if(!myScroller)
        {
            // 内容的高度比滚动区域高度小时
            // iscrollUtils 已有相同判断的代码，此处这样写的目的是为了解决 Android UC、微信等浏览器滚动失效的问题，在 iscrollUtils 设置高度，在初始化组件时，取到的值不准确
            if(scrollOptions.$wrapper.find("[data-is-content='true']").height() <= scrollOptions.scrollerHeight)
            {
                scrollOptions.$wrapper.children().height(scrollOptions.scrollerHeight + 1);
            }
            myScroller = iscrollUtils.vScroller(scrollOptions);
        }
        else
        {
            myScroller.refresh();
        }
    }
    
    function clearMsg() {
        _exchange_type="";
        _v_ids=[];
//      _vote_number=[];
        _vote_result=[];
        _stock_code=[];
        $(_pageId + ".bill_main .vote_list3").html("");
        $(_pageId + ".bill_stat .table_box table").html("");
    }

    /**
     * 数据重置
     */
    function destroy(){
		common.pageBuryingPoint();
		if(keyboard){
			keyboard.keyDestroy();
		}
	    $(".actions-modal").remove();
	    $(".modal-overlay").remove();
        _meeting_seq="";
        _listData=[];
        clearMsg();
        $(_pageId + ".tab_nav ul li").removeClass("active");
        $(_pageId + ".tab_nav ul li:eq(0)").addClass("active");
        $(_pageId + ".bill_main").show();
        $(_pageId + ".bill_stat").hide();
        if(myScroller){
            myScroller.destroy();
            myScroller=null;
        }
    }

    /**
     * 重写框架里面的pageBack方法
     */
    function pageBack(){
        $.pageInit("netVote/voteDetail","netVote/netVote",{});
    }

    var base = {
        "init" : init,
        "load" : load,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy,
        "pageBack": pageBack
    };
    module.exports = base;
});