/**
 * 新股-- 一键申购
 */
define('trade/scripts/nsb/result.js',function(require, exports, module) {
	var common = require("common");
    var commonFunc = require("commonFunc");
	var gconfig = $.config;
	var global = gconfig.global;
	var _pageId = "#nsb_result ";
	var pagecode = "nsb/result"

    var mianHeight = null;

    var results=null;
    var listData=null;
   // var paramMap="";//上个页面传递过来的数据

    /**
     * 初始化
     */
	function init() {
		common.pageChangeHeight();
        mianHeight = common.setMainHeight(_pageId, false);
    }


    function load() {

        if(commonFunc.hasSaveStr("nsb_results")){
            results = commonFunc.getSaveStr("nsb_results",null);
        }

        if(commonFunc.hasSaveStr("nsb_entrustResults")){
            listData = commonFunc.getSaveStr("nsb_entrustResults",null);
        }
        succesCallback(results,listData);
        noticeSetting();
        common.subscribeOn("50243",noticeSetting);
    }
	

	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
        //返回按钮
        $.bindEvent($(_pageId+".icon_back"), function(e){
           // $.pageInit(pagecode,"nsb/index",{"param":paramMap});
			$.pageBack();
            e.stopPropagation();
        });


        $.bindEvent($(_pageId+".onekey_succes .ce_btn a"), function(e){
            //$.pageInit(pagecode,"nsb/index",{"param":paramMap});
            $.pageBack();
            e.stopPropagation();
        });
	}
    function noticeSetting(){
        // 判断是否显示通知设置按钮
        commonFunc.showNoticeBtn(_pageId);
    }

	function succesCallback(data,listData){
			if(data.error_no == 0){
				var results = data.results;
				var gs = results.length;
				if(gs > 0 && results!= "undefined"){
					var type = 0;
					var html = "";
					for (var i = 0; i < gs; i++){
						var css = '<span class="n1">提交成功</span>';
						if(results[i].error_no != 0){
							type++;
							css = '<span class="n2">提交失败</span><p class="sg_results_error_info">'+"失败原因："+results[i].error_info+'</p>';
						}
						if(listData&&listData.length>0){
							for(var j=0;j<listData.length;j++){
                                if(listData[j].indexOf(results[i].stock_code)>-1){
                                	var currenStr = listData[j];
                                	var arr = currenStr.split(";");
                                    html += "<li class='sub'><p class='color-title text-size-16'>"+arr[1]+"</p><p class='color-line text-size-12'>"+arr[0]+"</p>"+css+"</li>";

                                }
                            }
						}
					}
					$(_pageId+".onekey_succes .stat_box ul").html(html);
				}
				//$(_pageId+".main").eq(1).show();
				//$(_pageId+".main").eq(1).css({"height":mianHeight - $(_pageId+" .tab_nav").height()+"px","overflow" : "auto"});
			}
	}
	
	/**
	 * 销毁
	 */
	function destroy(){
        $.clearRequest();
        common.subscribeOff("50243",noticeSetting);
         mianHeight = null;
        results=null;
        listData=null;
	}
	

	
	
	var base = {
		"init" : init,
        "load" : load,
        "noticeSetting" : noticeSetting,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = base;
});
