/**
 * 待缴款、申购查询
 */
define('trade/scripts/nsb/sgjk.js',function(require, exports, module) {
	var gconfig = $.config;
	var global = gconfig.global;
	var common = require("common");
    var commonFunc = require("commonFunc");
    var service = require("service_stock");
	var nativePluginService = require("nativePluginService");
	var _pageId = "#nsb_sgjk ";
	var pagecode ="nsb/sgjk"
    var html='';
    var isJK ="0";//true代缴款 false申购查询
    var userInfo;

    var checkDate='';//判断页面是否显示日期
    var sgIndex=0;//申购table索引

  //  var paramMap="";//上个页面传递过来的数据

    var begin_time;
    var end_time;
    /**
     * 初始化
     */
	function init(){

        common.setMainHeight(_pageId, false);
        $(_pageId + '.sgcx_main_info').height($(window).height() - $(_pageId + "header").height() - $(_pageId + ".nsb").height()- $(_pageId + ".line1").height());
        $(_pageId+".djk").height($(_pageId + '.main').height());
    }

    function load() {
        if(commonFunc.hasSaveStr("isJK")){
            isJK = commonFunc.getSaveStr("isJK","0");
            console.log("isJK = " + isJK);
        }

        if(commonFunc.hasSaveStr("switchUserInfo")){
            common.switchingCurUser(commonFunc.getSaveStr("switchUserInfo","0"));
        }

        userInfo = common.getCurUserInfo();

        if(commonFunc.hasSaveStr("nsb_sg_index")){
            sgIndex = commonFunc.getSaveStr("nsb_sg_index",0);
        }
        var paramMap = $.getPageParam("param");
        if(paramMap && paramMap.isJK){
            isJK = paramMap.isJK;
        }
        if(paramMap && paramMap.nsb_sg_index){
            sgIndex = paramMap.nsb_sg_index;
        }
        commonFunc.initTimeChoice(_pageId,7);
        var end_ = $(_pageId+" #endDate").text();
        var begin_ = $(_pageId+" #startDate").text();
        begin_time = begin_.replaceAll("-", "");
        end_time = end_.replaceAll("-", "");


        showDJK(isJK);
    }

    /*********
	 * 代缴款列表查询
     */
	function queryDJKData(enable_banlance) {
        var entrust_way = global.entrust_way; // 委托方式  在configuration配置
        var branch_no = userInfo.branch_no;
        var fund_account = userInfo.fund_account;
        var cust_code = userInfo.cust_code;
        var password = userInfo.password;
        var param = {
            "funcNo":"361536",
            "entrust_way":entrust_way,
            "branch_no":branch_no,
            "fund_account":fund_account,
            "cust_code":cust_code,
            "password":password,
        };
        service.nsbJrsg(param, function(data){
            $.hidePreloader();
            operaDJKData(data,enable_banlance);
        });
	}

    /*********
     * 可用资金查询
     */
    function queryTotalData() {
        var entrust_way = global.entrust_way; // 委托方式  在configuration配置
        var branch_no = userInfo.branch_no;
        var fund_account = userInfo.fund_account;
        var cust_code = userInfo.cust_code;
        var password = userInfo.password;
        var param = {
            "funcNo":"301504",
            "entrust_way":entrust_way,
            "branch_no":branch_no,
            "fund_account":fund_account,
            "cust_code":cust_code,
            "password":password,
        };
        var enable_balance=0;//可用资金
        service.nsbJrsg(param, function(data){
            $.hidePreloader();
            if(data){
                if(data.error_no == 0){
                    var result = data.results[0];
                    enable_balance = result.enable_balance;
                    $(_pageId+ ".canUseFund").html(common.numToMoneyType(enable_balance, 2));
                    $(_pageId+ ".canUseFund").attr('style',"display: inline-block;transform-origin: left;transform:scale("+$.getTransformScale(common.numToMoneyType(enable_balance, 2), 20, $(window).width() /2 -20)+')');
                }
            }
            queryDJKData(enable_balance);//代缴款列表查询
        });
    }


    /*************
     * 处理数据
      */
    function operaDJKData(data,enable_balance) {
        html='';
        if (data){
            if(data.error_no == 0){
                var results = data.results;
                if(results.length>0 && results!= "undefined"){
                    $(_pageId+".nsb_djk_top_tip").show();
                    $(_pageId+".nsb_djk_top_tip2").show();

                    var totalCount=0;
                    for (var i=0;i<results.length;i++){
                        html += queryDJKHTML(results[i],i);
                        totalCount = FloatAdd(totalCount,results[i].lucky_balance);
                    }
                    $(_pageId+ ".totalCount").html(common.numToMoneyType(totalCount, 2));
                    var _banlance = Number(enable_balance);//可使用资金
                    var _totalLack = Number(totalCount);//代缴款金额
                    if(_banlance>=0){//可用余额大于待缴款金额
                        $(_pageId+ ".djkCount").html("您今日有<span class='djkCount color-red'>"+results.length+"</span>笔待缴款记录，请确保16:00前您的账户可用资金余额充足，否则可能会导致缴款失败。<a class='yzzz j-tran-btn'>立即转入</a>");
                    }else{
                        $(_pageId+ ".djkCount").html("您今日有<span class='djkCount color-red'>"+results.length+"</span>笔待缴款记录。当前账户可用资金余额不足，可能会导致缴款失败，建议立即补充资金。<a class='yzzz j-tran-btn'>立即转入</a>");
                    }

                    $.bindEvent($(_pageId + ".yzzz"), function() { // 转账
                        $.pageInit(pagecode,"banking/transferNew",{},true);
                    });
                    $(_pageId+".djk_main_info").html(html);
                    $(_pageId+".djk_main_info").show();
                    $(_pageId+ ".nsb_no_data").hide();
                    $(_pageId+ ".no_data").hide();
                } else{
                    nodata(1);
                }
            }else{
                nodata(1);
            }
        }else{
            nodata(1);
        }
    }

    /********
     * 自适应设置字体大小
     * @param element
     * @param maxSize
     * @param maxWidth
     */
    function adjustText(element, maxSize, maxWidth) {
        var fontSize = $('html').css('font-size');
        maxSize = maxSize * parseInt(fontSize);
        var elementWidth = element.width();
        var i = 1;
        while (elementWidth > maxWidth) {
            element.css('font-size', (maxSize - i) + 'px');
            elementWidth = element.width();
            i++;
        }
    }


    /********
     *代缴款查询
     * @param element
     * @param i
     * @returns {string}
     */
    function queryDJKHTML(element,i) {
        var eleHtml = "";
        eleHtml+="<li>";
        eleHtml+="<div class='nsb_conveible'>";
        eleHtml+="<div class='justify-content-space-between sub1'>";
        eleHtml+="<div class='row_01 sub'>";
        if(element.exchange_type=="0"||element.exchange_type=="1"){
            eleHtml+="<em class='djk_blue'>深</em>"
        }else if(element.exchange_type=="2"||element.exchange_type=="3"){
            eleHtml+="<em class='a01 djk_red'>沪</em>"
        }
        if(element.stock_type=="f"||element.stock_type=="q"||element.stock_type=="p"){
            eleHtml+="<em class='djk_yellow'>创</em>"
            eleHtml+="<span class='stock_name padding-left-20'>"+element.stock_name+"</span>"
        }else if(element.stock_type=="15"||element.stock_type=="16"){
            eleHtml+="<em class='djk_yellow'>科</em>"
            eleHtml+="<span class='stock_name padding-left-20'>"+element.stock_name+"</span>"
        }else{
            eleHtml+="<span class='stock_name'>"+element.stock_name+"</span>"
        }

        eleHtml+="<span class='stock_code reset'>"+element.stock_code+"</span>";
        eleHtml+="</div>";

        eleHtml+="<div class='stock_djk_div'>";
        eleHtml+="<span class='stock_djk reset'>待缴款</span>";
        eleHtml+="</div>";
        eleHtml+="</div>";
        eleHtml+="<ul class='row_02 sub'>";
        eleHtml+="<li><span class='hed'>中签日期</span><span class='stock_name reset'>"+element.init_date+"</span></li>";
        eleHtml+="<li><span class='hed'>中签数量</span><span class='applymax_online reset'>"+element.ipo_lucky_amount+"</span></li>";
        eleHtml+="<li><span class='hed'>中签金额</span><span class='subscribe_code reset'>"+element.lucky_balance+"</span>";
        eleHtml+="</li>"
        eleHtml+="<li><span class='hed'>已缴金额</span><span class='issue_price reset'>"+(FloatSub(element.lucky_balance,element.ipo_short_balance)>=0?FloatSub(element.lucky_balance,element.ipo_short_balance):"0")+"</span></li>";
        eleHtml+="</ul>";
        eleHtml+="</div>";
        eleHtml+="</li>";
        return eleHtml;
    }


    /*********
     * 待申购数据查询
     */
    function querySGData() {
        var entrust_way = global.entrust_way; // 委托方式  在configuration配置
        var branch_no = userInfo.branch_no;
        var fund_account = userInfo.fund_account;
        var cust_code = userInfo.cust_code;
        var password = userInfo.password;
        var param = {
            "funcNo":"361537",
            "entrust_way":entrust_way,
            "branch_no":branch_no,
            "fund_account":fund_account,
            "cust_code":cust_code,
            "password":password,
            "begin_time":begin_time,
            "end_time":end_time,
        };
        service.nsbJrsg(param, function(data){
            $.hidePreloader();
            if(data){
                operaSGData(data);
            }
        });
    }


    /********
     * 申购数据处理
     * @param data
     */
    function operaSGData(data) {
        html='';
        if (data){
            if(data.error_no == 0){
                var results = data.results;
                if(results.length>0 && results!= "undefined"){
                    for (var i=0;i<results.length;i++){
                        if($.isValue(results[i].stock_name_long)) results[i].stock_name = results[i].stock_name_long;
                        html += querySGHTML(results[i],i);
                    }
                    $(_pageId+".sgcx_main_info").show();
                    $(_pageId+".sgcx_main_info").html(html);
                    $(_pageId+ ".no_data").hide();
                }else{
                    nodata(2);
                }
            }else{
                nodata(2);
                if(data.error_no<0){
                    $.alert(data.error_info)
                }
            }
        }else{
            nodata(2);
        }
    }

    /*******
     * 申购页面显示
     * @param element
     * @param i
     * @returns {string}
     */
    function querySGHTML(element,i) {
        var eleHtml = "";
        eleHtml+="<li>";
        //eleHtml+="<div class='nsb_conveible'>";
        if(checkDate!=element.entrust_date){
            eleHtml+="<div class='nsb_conveible'>";
            checkDate=element.entrust_date;
            eleHtml+="<div class='justify-content-space-between sub2 '"+element.entrust_date+">"
            eleHtml+="<div class='nsb_djk_date'>"+joint(element.entrust_date,"-")+"</div>"
            eleHtml+="</div>"
        }else{
            eleHtml+="<div class='nsb_conveible'>";
        }
        eleHtml+="<div class='justify-content-space-between sub1'>";
        eleHtml+="<div class='row_01 sub'>";
        if(element.exchange_type=="0"||element.exchange_type=="1"){
            eleHtml+="<em class='djk_blue'>深</em>"
        }else if(element.exchange_type=="2"||element.exchange_type=="3"){
            eleHtml+="<em class='a01 djk_red'>沪</em>"
        }
        if(element.stock_type=="G"||element.stock_type=="g"){
            eleHtml+="<em class='djk_zhai'>债</em>"
            eleHtml+="<span class='stock_name padding-left-20' style='font-size:"+ $.getTransformScaleFontSize(element.stock_name, 16, $(window).width() * 0.48) +"px;'>"+element.stock_name+"</span>"
        }else{
            eleHtml+="<span class='stock_name' style='font-size:"+ $.getTransformScaleFontSize(element.stock_name, 16, $(window).width() * 0.48) +"px;'>"+element.stock_name+"</span>"
        }

        // eleHtml+="<em class='a01 djk_red'>沪</em>";
        // eleHtml+="<em class='02 djk_yellow'>创</em>";
        // eleHtml+="<span class='stock_name padding-left-20 reset'>"+element.stock_name+"</span>";
        eleHtml+="<span class='stock_code reset'>"+element.stock_code+"</span>";
        eleHtml+="</div>";
        eleHtml+="</div>";
        eleHtml+="<ul class='row_02 sub'>";
        eleHtml+="<li><span class='hed'>申购价格</span><span class='stock_name reset'>"+(element.entrust_price&&element.entrust_price.length>0?element.entrust_price:"--")+"</span></li>";
        eleHtml+="<li><span class='hed'>申购数量</span><span class='applymax_online reset'>"+(element.entrust_amount&&element.entrust_amount.length>0?element.entrust_amount:"--")+"</span></li>";
        eleHtml+="<li><span class='hed'>申购时间</span><span class='subscribe_code reset'>"+joint(element.entrust_time,":")+"</span></li>"
        eleHtml+="<li><span class='hed'>委托状态</span><span class='issue_price reset'>"+(element.entrust_state_name&&element.entrust_state_name.length>0?element.entrust_state_name:"--")+"</span></li>";
        eleHtml+="</ul>";
        eleHtml+="</div>";
        eleHtml+="</li>";
        return eleHtml;
    }

    /*********
     * 拼接字符串
     * @param str
     * @param jointStr
     */
    function joint(str,jointStr) {
        if(str&&str.length>0){
            if(str.length==5){
                str = "0"+str;
                return str.substring(0,2)+jointStr+str.substring(2,4)+jointStr+str.substring(4,6);
            }else if(str.length==6){
                return str.substring(0,2)+jointStr+str.substring(2,4)+jointStr+str.substring(4,6);
            } else if(str.length==8){
                return str.substring(0,4)+jointStr+str.substring(4,6)+jointStr+str.substring(6,8);
            } else{
                return str;
            }
        }
        return "--";
    }

    /*********
     * 配号记录数据查询
     */
    function queryPXJLData() {
        var entrust_way = global.entrust_way; // 委托方式  在configuration配置
        var branch_no = userInfo.branch_no;
        var fund_account = userInfo.fund_account;
        var cust_code = userInfo.cust_code;
        var password = userInfo.password;
        var param = {
            "funcNo":"301517",
            "entrust_way":entrust_way,
            "branch_no":branch_no,
            "fund_account":fund_account,
            "cust_code":cust_code,
            "password":password,
            "begin_time":begin_time,
            "end_time":end_time,
        };
        service.nsbJrsg(param, function(data){
            $.hidePreloader();
            if(data){
                operaPXJLData(data);
            }
        });
    }


    /********
     * 配号记录数据处理
     * @param data
     */
    function operaPXJLData(data) {
        html='';
        if (data){
            if(data.error_no == 0){
                var results = data.results;
                if(results.length>0 && results!= "undefined"){
                    for (var i=0;i<results.length;i++){
                        if($.isValue(results[i].stock_name_long)) results[i].stock_name = results[i].stock_name_long;
                        html += queryPXJLHTML(results[i],i);
                    }
                    $(_pageId+".sgcx_main_info").show();
                    $(_pageId+".sgcx_main_info").html(html);
                    $(_pageId+ ".no_data").hide();
                } else{
                    nodata(3);
                }
            }else{
                nodata(3);
                if(data.error_no<0){
                    $.alert(data.error_info)
                }
            }
        }else{
            nodata(3);
        }
    }

    /*******
     * 配号记录页面显示
     * @param element
     * @param i
     * @returns {string}
     */
    function queryPXJLHTML(element,i) {
        var eleHtml = "";
        eleHtml+="<li>";
        //eleHtml+="<div class='nsb_conveible'>";
        if(checkDate!=element.init_date){
            eleHtml+="<div class='nsb_conveible'>";
            checkDate=element.init_date;
            eleHtml+="<div class='justify-content-space-between sub2 '"+element.init_date+">"
            eleHtml+="<div class='nsb_djk_date'>"+joint(element.init_date,"-")+"</div>"
            eleHtml+="</div>"
        }else{
            eleHtml+="<div class='nsb_conveible'>";
        }
        eleHtml+="<div class='justify-content-space-between sub1'>";
        eleHtml+="<div class='row_01 sub'>";
        if(element.exchange_type=="0"||element.exchange_type=="1"){
            eleHtml+="<em class='djk_blue'>深</em>"
        }else if(element.exchange_type=="2"||element.exchange_type=="3"){
            eleHtml+="<em class='a01 djk_red'>沪</em>"
        }
        if(element.stock_type=="G"||element.stock_type=="g"){
            eleHtml+="<em class='djk_zhai'>债</em>"
            eleHtml+="<span class='stock_name padding-left-20' style='font-size:"+ $.getTransformScaleFontSize(element.stock_name, 16, $(window).width() * 0.48) +"px;'>"+element.stock_name+"</span>"
        }else{
            eleHtml+="<span class='stock_name' style='font-size:"+ $.getTransformScaleFontSize(element.stock_name, 16, $(window).width() * 0.48) +"px;'>"+element.stock_name+"</span>"
        }
        // eleHtml+="<em class='a01 djk_red'>沪</em>";
        // eleHtml+="<em class='02 djk_yellow'>创</em>";
        // eleHtml+="<span class='stock_name padding-left-20 reset'>"+element.stock_name+"</span>";
        eleHtml+="<span class='stock_code reset'>"+element.stock_code+"</span>";
        eleHtml+="</div>";
        eleHtml+="</div>";
        eleHtml+="<ul class='row_02 sub'>";
        eleHtml+="<li><span class='hed'>委托编号</span><span class='stock_name reset'>"+(element.entrust_no&&element.entrust_no.length>0?element.entrust_no:"--")+"</span></li>";
        eleHtml+="<li><span class='hed'>股东账号</span><span class='applymax_online reset'>"+(element.stock_account&&element.stock_account.length>0?element.stock_account:"--")+"</span></li>";
        eleHtml+="<li><span class='hed'>起始配号</span><span class='subscribe_code reset'>"+(element.start_no&&element.start_no.length>0?element.start_no.replace(/[^0-9]/ig,""):"--")+"</span></li>"
        eleHtml+="<li><span class='hed'>配号数量</span><span class='issue_price reset'>"+(element.occur_amount&&element.occur_amount.length>0?element.occur_amount:"--")+"</span></li>";
        eleHtml+="</ul>";
        eleHtml+="</div>";
        eleHtml+="</li>";
        return eleHtml;
    }
    



    /*********
     * 中签记录数据查询
     */
    function queryZQJLData() {
        var entrust_way = global.entrust_way; // 委托方式  在configuration配置
        var branch_no = userInfo.branch_no;
        var fund_account = userInfo.fund_account;
        var cust_code = userInfo.cust_code;
        var password = userInfo.password;
        var param = {
            "funcNo":"361538",
            "entrust_way":entrust_way,
            "branch_no":branch_no,
            "fund_account":fund_account,
            "cust_code":cust_code,
            "password":password,
            "begin_time":begin_time,
            "end_time":end_time,
        };
        service.nsbJrsg(param, function(data){
            $.hidePreloader();
            if(data){
                operaZQJLData(data);
            }
        });
    }


    /********
     * 中签记录数据处理
     * @param data
     */
    function operaZQJLData(data) {
        html='';
        if (data){
            if(data.error_no == 0){
                var results = data.results;
                if(results.length>0 && results!= "undefined"){
                    for (var i=0;i<results.length;i++){
                        html += queryZQJLHTML(results[i],i);
                    }
                    $(_pageId+".sgcx_main_info").show();
                    $(_pageId+".sgcx_main_info").html(html);

                    $(_pageId+ ".no_data").hide();
                } else{
                    nodata(4);
                }
            }else{
                nodata(4);
                if(data.error_no<0){
                    $.alert(data.error_info)
                }
            }
        }else{
            nodata(4);
        }
    }

    /*******
     * 中签记录页面显示
     * @param element
     * @param i
     * @returns {string}
     */
    function queryZQJLHTML(element,i) {
        var eleHtml = "";
        eleHtml+="<li>";
        eleHtml+="<div class='nsb_conveible'>";
        eleHtml+="<div class='justify-content-space-between sub1'>";
        eleHtml+="<div class='row_01 sub'>";
        if(element.exchange_type=="0"||element.exchange_type=="1"){
            eleHtml+="<em class='djk_blue'>深</em>"
        }else if(element.exchange_type=="2"||element.exchange_type=="3"){
            eleHtml+="<em class='a01 djk_red'>沪</em>"
        }
        if(element.stock_type=="G"||element.stock_type=="g"){
            eleHtml+="<em class='djk_zhai'>债</em>"
            eleHtml+="<span class='stock_name padding-left-20'>"+element.stock_name+"</span>"
        }else{
            eleHtml+="<span class='stock_name'>"+element.stock_name+"</span>"
        }
        eleHtml+="<span class='stock_code reset'>"+element.stock_code+"</span>";
        eleHtml+="</div>";


        if(element.ipo_info_status=="0"){//认购信息状态 0-认购资金不足额；1-认购资金足额；2-未处理状态
            eleHtml+="<div class='stock_djk_div'>";
            eleHtml+="<span class='stock_djk yellow reset'>缴款不足</span>";
            eleHtml+="</div>";
        }else if(element.ipo_info_status=="1"){
            eleHtml+="<div class='stock_djk_div'>";
            eleHtml+="<span class='stock_djk gray reset'>已缴款</span>";
            eleHtml+="</div>";
        }else if(element.ipo_info_status=="2"){
            eleHtml+="<div class='stock_djk_div'>";
            eleHtml+="<span class='stock_djk reset'>待缴款</span>";
            eleHtml+="</div>";
        }

        eleHtml+="</div>";
        eleHtml+="<ul class='row_02 sub'>";
        eleHtml+="<li><span class='hed'>中签日期</span><span class='stock_name reset'>"+joint(element.init_date,"-")+"</span></li>";
        eleHtml+="<li><span class='hed'>中签数量</span><span class='applymax_online reset'>"+(element.ipo_lucky_amount&&element.ipo_lucky_amount.length>0?element.ipo_lucky_amount:"--")+"</span></li>";
        eleHtml+="<li><span class='hed'>需缴金额</span><span class='subscribe_code reset'>"+(element.ipo_short_balance&&element.ipo_short_balance.length>0?element.ipo_short_balance:"--")+"</span></li>"
        eleHtml+="<li><span class='hed'>已缴金额</span><span class='issue_price reset'>"+FloatSub(element.lucky_balance,element.ipo_short_balance)+"</span></li>";
        eleHtml+="</ul>";
        eleHtml+="</div>";
        eleHtml+="</li>";
        return eleHtml;
    }

    /*******
     * 获取委托状态
     * @param entrust_status
     * 	【限制字典子项：0-未报 1-待报 2-已报 3-已报待撤 4-部成待撤 6-已撤 7-部成 8-已成 9-废单】
     *
     */
    function getWTZT(entrust_status) {
        if(entrust_status=="0"){
            return "未报";
        }else if(entrust_status=="1"){
            return "待报";
        }else if(entrust_status=="2"){
            return "已报";
        }else if(entrust_status=="3"){
            return "已报待撤";
        }else if(entrust_status=="4"){
            return "部成待撤";
        }else if(entrust_status=="6"){
            return "已撤";
        }else if(entrust_status=="7"){
            return "部成";
        }else if(entrust_status=="8"){
            return "已成";
        }else if(entrust_status=="9"){
            return "废单";
        }else{
            return "--";
        }
    }

    /**
	 * 事件绑定
	 */
	function bindPageEvent(){
        $.bindEvent($(_pageId + "header .icon_back"), function() { // 返回
           commonFunc.appThirdBack($.getCurrentPageObj().pageCode,function(){
                $.pageBack();
           });            
        });

        $.bindEvent($(_pageId + ".nsb_header_tab ul li:eq(0)"), function() { // 待缴款
            showDJK("0");
        });

        $.bindEvent($(_pageId + ".nsb_header_tab  ul li:eq(1)"), function() { // 申购查询
            showDJK("1");
        });

        $.bindEvent($(_pageId + ".nsb_tab_nav ul li:eq(0)"), function() { // 申购查询
            showMainView(0);
        });
        $.bindEvent($(_pageId + ".nsb_tab_nav ul li:eq(1)"), function() { // 配号记录
            showMainView(1);
        });
        $.bindEvent($(_pageId + ".nsb_tab_nav ul li:eq(2)"), function() { // 中签查询
            showMainView(2);
        });

        $.bindEvent($(_pageId + ".yzzz"), function() { // 转账
            $.pageInit(pagecode,"banking/transferNew",{},true);
        });

        $.bindEvent($(_pageId + ".more-btn"), function() { // 冻结权限设置
            nativePluginService.function501152({
                "url":global.newFrameUrl + "fintechpages/business/index.html#/appointmentStock/index",
                "uniqueCode":"PalmHall-appointmentStock/index",
                "loginMode":"11"
            });
        });
        $.bindEvent($(_pageId + " .date_filter .btn"), function(e){
            var end_ = $(_pageId+" #endDate").text();
            var begin_ = $(_pageId+" #startDate").text();
            begin_time = begin_.replaceAll("-", "");
            end_time = end_.replaceAll("-", "");
            if(Number(begin_time)>Number(end_time)){
                $.alert("开始日期大于结束日期");
                return;
            }
            checkDate='';
            if(sgIndex==0){
                querySGData();
            }else if(sgIndex==1){
                queryPXJLData();
            }else if(sgIndex==2){
                queryZQJLData();
            }
        });
        // 绑定截长屏分享
        $.bindEvent($(_pageId + ".share_customer"), function (e) {
            var scroll = $(_pageId + ".sgcx_main_info")[0];
            var topFixedHeight = null;
            var maxScrollY = null;
            var offsetHeight = null;
            var flag = $('.nsb_header_tab .active').attr('type');//true代缴款 false申购查询
            if(flag == '0'){
                scroll = $(_pageId + ".djk")[0];
                topFixedHeight = $(_pageId + 'header').height();
                maxScrollY = scroll.scrollHeight - $(_pageId + '.djk').height();
                offsetHeight = scroll.scrollHeight + topFixedHeight;
            }else{
                topFixedHeight = $(_pageId + 'header').height()+$(_pageId + '.nsb').height()+$(_pageId + '.line1').height();
                //如果是暂无数据的话，分享参数调整
                if($(".sgcx_main_info").css('display') === 'none'){
                    scroll = $(_pageId + ".no_data")[0];
                    maxScrollY = 0;
                    offsetHeight = parseInt($(".sgcx_main_info").css('height')) + topFixedHeight;
                }else{
                    scroll = $(_pageId + ".sgcx_main_info")[0];
                    maxScrollY = scroll.scrollHeight - $(_pageId + '.sgcx_main_info').height();
                    offsetHeight = scroll.scrollHeight + topFixedHeight;
                }
            }
            commonFunc.longScreenShotH5({
                scroll: scroll,
                topFixedHeight:topFixedHeight,
                offsetHeight:offsetHeight,
                maxScrollY: maxScrollY,
            });
        });

	}

    /**********
     * 按钮切换
     * @param isJK
     */
	function showDJK(isJK) {
        if(isJK=="0"){
            console.log(isJK + " = 待缴款");
            $(_pageId+".nsb_header_tab  ul li:eq(0)").addClass("active");
            $(_pageId+".nsb_header_tab  ul li:eq(1)").removeClass("active");
            $(_pageId+'.djk').show();
            $(_pageId+'.sgcx').hide();
            isJK ="0";
            queryTotalData();//查询可用资金
        }else{
            console.log(isJK + " = 申购查询");
            $(_pageId+".nsb_header_tab ul li:eq(1)").addClass("active");
            $(_pageId+".nsb_header_tab ul li:eq(0)").removeClass("active");
            isJK ="1";
            $(_pageId+'.djk').hide();
            $(_pageId+'.sgcx').show();
            showMainView(sgIndex);
        }
        $.setSStorageInfo("isJK",isJK,true);
    }

    /*****
     * 显示主页面
     * @param index 0待申购 1今日申购 2待上市 3已上市
     */
	function showMainView(index) {
        sgIndex =index;
        checkDate='';
        commonFunc.initTimeChoice(_pageId,7);
        var end_ = $(_pageId+" #endDate").text();
        var begin_ = $(_pageId+" #startDate").text();
        begin_time = begin_.replaceAll("-", "");
        end_time = end_.replaceAll("-", "");
        $(_pageId+".sgcx_main_info").html('');
        if(index==0){
            $(_pageId + ".nsb_tab_nav ul li:eq(0)").addClass("active");
            $(_pageId + ".nsb_tab_nav ul li:eq(1)").removeClass("active");
            $(_pageId + ".nsb_tab_nav ul li:eq(2)").removeClass("active");
            $(_pageId + ".line1").hide();
            $(_pageId + ".justify-content-space-between").hide();
            querySGData();
        }else if(index==1){
            $(_pageId + ".nsb_tab_nav ul li:eq(1)").addClass("active");
            $(_pageId + ".nsb_tab_nav ul li:eq(0)").removeClass("active");
            $(_pageId + ".nsb_tab_nav ul li:eq(2)").removeClass("active");
            $(_pageId + ".line1").hide();
            $(_pageId + ".justify-content-space-between").hide();
            queryPXJLData();
        }else if(index==2){
            $(_pageId + ".nsb_tab_nav ul li:eq(2)").addClass("active");
            $(_pageId + ".nsb_tab_nav ul li:eq(1)").removeClass("active");
            $(_pageId + ".nsb_tab_nav ul li:eq(0)").removeClass("active");
            $(_pageId + ".line1").show();
            $(_pageId + ".justify-content-space-between").show();
            queryZQJLData();
        }
        $.setSStorageInfo("nsb_sg_index",sgIndex,true);
        $(_pageId + '.sgcx_main_info').height($(window).height() - $(_pageId + "header").height() - $(_pageId + ".nsb").height()- $(_pageId + ".line1").height());
    }

    /*******
     * 无数据
     * @param flag
     */
    function nodata(flag) {
	    if(flag==1){
            $(_pageId+".sgcx_main_info").hide();
            $(_pageId+".nsb_djk_top_tip").hide();
            $(_pageId+".nsb_djk_top_tip2").hide();
            $(_pageId+".djk_main_info").html('');
            $(_pageId+ ".totalCount").html("0");
            $(_pageId+ ".nsb_no_data").show();
            $(_pageId+ ".djkline").hide();
            $(_pageId+ ".no_data").hide();
        }else if(flag==2){
            $(_pageId+ ".no_data .no_data_tip").html("未查询到申购信息");
            $(_pageId+".sgcx_main_info").html('');
            $(_pageId+".djk").hide();
            $(_pageId+".sgcx_main_info").hide();
            $(_pageId+ ".nsb_no_data").hide();
            $(_pageId+ ".no_data").show();
        }else if(flag==3){
            $(_pageId+ ".no_data .no_data_tip").html("未查询到配号信息");
            $(_pageId+".sgcx_main_info").html('');
            $(_pageId+".djk").hide();
            $(_pageId+".sgcx_main_info").hide();
            $(_pageId+ ".nsb_no_data").hide();
            $(_pageId+ ".no_data").show();
        }else if(flag==4){
            $(_pageId+ ".no_data .no_data_tip").html("未查询到中签信息");
            $(_pageId+".sgcx_main_info").html('');
            $(_pageId+".djk").hide();
            $(_pageId+".sgcx_main_info").hide();
            $(_pageId+ ".nsb_no_data").hide();
            $(_pageId+ ".no_data").show();
        }
    }

    /********
     * 浮点数加法运算
     * @param arg1
     * @param arg2
     * @returns {number}
     * @constructor
     */
    function FloatAdd(arg1,arg2){
        var r1,r2,m;
        try{r1=arg1.toString().split(".")[1].length}catch(e){r1=0}
        try{r2=arg2.toString().split(".")[1].length}catch(e){r2=0}
        m=Math.pow(10,Math.max(r1,r2));
        return (arg1*m+arg2*m)/m;
    }

    /********
     * 浮点数减法运算
     * @param arg1
     * @param arg2
     * @returns {string}
     * @constructor
     */
    function FloatSub(arg1,arg2){
        var r1,r2,m,n;
        try{r1=arg1.toString().split(".")[1].length}catch(e){r1=0}
        try{r2=arg2.toString().split(".")[1].length}catch(e){r2=0}
        m=Math.pow(10,Math.max(r1,r2));
        //动态控制精度长度
        n=(r1=r2)?r1:r2;
        return ((arg1*m-arg2*m)/m).toFixed(n);
    }

    /*******
	 * 数据重置
	 */
	function destroy(){
        $.clearRequest();
         html='';
         isJK ="0";//true代缴款 false申购查询
        userInfo=null;
        checkDate='';//判断页面是否显示日期
        begin_time='';
        end_time='';
        sgIndex=0;
        service.destroy();
	}
	
	var base = {
		"init" : init,
        "load" : load,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = base;
});
