/**
 * 历史交收明细
 */
define('trade/scripts/option/query/crossSection.js', function(require, exports, module) {
	var _pageId = "#option_query_crossSection ";
    var common = require("common");
    var publicQuery = require("publicQuery");
    var data = {
    	"funcNo" : "305016",
    	"param" : {},
    	"history":true,
    	"htmlData" : {
	    	"topDiv":{
//	    		"entrust":"",
		  		"name":"option_name",
		  		"code":"option_code",
	    		"time":"entrust_oc_name",
	    	},
	    	"liList":[
	    			["委托类别","business_name"],
	    			["备兑标示","covered_flag_name"],
	    			["成交价格","opt_business_price"],
	    			["成交数量","occur_amount"],
	    			["成交金额","business_balance"],
	    			["其他费用","other_fare"],
	    			["委托时间",function(e){
	    				return e.init_date + " " + e.business_time;
	    			}],
	    		],
    	}
    }
    /**
     * 初始化
     */
	function init(){
		publicQuery.init(data);
    }
		
	function load(){
		publicQuery.load();
	}
    
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		//返回按钮
		$.bindEvent($(_pageId+".top_title .icon_back"), function(e){
			$.pageBack("option/query/stockQuery","left");
			e.stopPropagation();
		});
		
		publicQuery.bindPageEvent();
	}
	
	/**
	 * 销毁
	 */
	function destroy(){
		publicQuery.destroy();
	}
	
	
	var base = {
		"init" : init,
		"load" : load,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = base;
});	
	
