/**
 * 当日行权指派查询
 */
define('trade/scripts/option/query/dayAssign.js', function(require, exports, module) {
    var _pageId = "#option_query_dayAssign ";
    var common = require("common");
    var publicQuery = require("publicQuery");
    var data = {
    	"funcNo" : "305011",
    	"param" : {},
    	"history":false,
    	"htmlData" : {
	    	"topDiv":{
//	    		"entrust":"",
		  		"name":"option_name",
		  		"code":"option_code",
	    		"time":"init_date",
	    	},
	    	"liList":[
	    			["合约类型","option_type_name"],
	    			["交易市场","exchange_type_name"],
	    			["标的代码","stock_code"],
	    			["持仓类别","opthold_type_name"],
	    			["行权价格","exercise_price"],
	    			["指派行权数","exercise_amount"],
	    			["标的收付数","settle_amount"],
	    			["收付金额","settle_balance"],
	    		],
    	}
    }
    /**
     * 初始化
     */
	function init(){
		publicQuery.init(data);
		common.pageBuryingPoint("107272");
    }
		
	function load(){
		publicQuery.load();
	}
    
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		//返回按钮
		$.bindEvent($(_pageId+".top_title .icon_back"), function(e){
			common.comStat(107273,2,103,true,{"i_group_name":"返回"});
			$.pageBack("account/index","left");
			e.stopPropagation();
		});
		common.bindStockEvent($(_pageId + '.option_tab ul li a'),true);
		publicQuery.bindPageEvent();
	}
	
	/**
	 * 销毁
	 */
	function destroy(){
		publicQuery.destroy();
		common.pageBuryingPoint();
	}
	
	
	var base = {
		"init" : init,
		"load" : load,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = base;
});	
	
