/**
 * 历史交割查询
 */
define('trade/scripts/option/query/historyDelivery.js', function(require, exports, module) {
	var _pageId = "#option_query_historyDelivery ";
	var common = require("common");
	var commonFunc = require("commonFunc");
    var publicQuery = require("publicQuery");
    var data = {
    	"funcNo" : "305016",
    	"param" : {},
    	"history":true,
    	"htmlData" : {
	    	"topDiv":{
//	    		"entrust":"",
		  		"name":"option_name",
		  		"code":"option_code",
	    		"time":"init_date",
	    	},
//	    	"liList":[
//  			["业务名称","business_name"],
//  			["交易市场","exchange_type_name"],
//  			["成交价格","business_price"],
//  			["成交数量","business_amount"],
//  			["成交金额","business_balance"],
//  			["合约余额","contract_balance"],
//  			["发生金额","occur_balance"],
//  			["资金余额","surplus_balance"],
//  			["实收佣金","fare0"],
//  			["经手费","handle_fee"],
//  			["结算费","exchange_fare6"],
//  			["行权过户费","exe_trin_fee"],
//  			["过户费","fare2"],
//  			["手续费","commision"],
//  			["成交时间","business_time"],
//  		],
	    	"liList":[
    			["业务名称","business_name"],
    			["交易市场","exchange_type_name"],
    			["成交价格","business_price"],
    			["成交数量","business_amount"],
    			["成交金额","business_balance"],
    			["发生金额","occur_balance"],
    			["后资金额","post_balance"],
    			["后证券额","post_amount"],
    			["成交时间","business_time"],
    		],
    	}
    }
    /**
     * 初始化
     */
	function init(){
		common.switchingCurUser("2");
		publicQuery.init(data);
		common.pageBuryingPoint("107203");
    }
		
	function load(){
		publicQuery.load();
	}
    
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		//返回按钮
		$.bindEvent($(_pageId+".top_title .icon_back"), function(e){
			common.comStat(107204,2,103,true,{"i_group_name":"返回"});
			commonFunc.appThirdBack('option_query_historyDelivery', function(){
				$.pageBack("option/query/stockQuery","left");
			});				
			e.stopPropagation();
		});
		
		publicQuery.bindPageEvent();
	}
	
	/**
	 * 销毁
	 */
	function destroy(){
		publicQuery.destroy();
		common.pageBuryingPoint();
	}
	
	
	var base = {
		"init" : init,
		"load" : load,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = base;
});	
	
