/**
 * 普通交易-今日查询
 */
define('trade/scripts/option/query/queryToday.js', function(require, exports, module) {
   	var gconfig = $.config; 
    var _pageId = "#option_query_queryToday ";
    var publicQuery = require("publicQuery");
    var common = require("common");
    var commonFunc = require("commonFunc");
    var data = {
    	"funcNo" : "305007",
    	"param" : {},
    	"history":false,
    	"htmlData" : {
	    	"topDiv":{
//	    		"entrust":"entrust_name",
		  		"name": function(element){
		  			if($.trim(element.option_code)){
			  			return element.option_name;
			  		}else{
			  			return element.stock_name;
			  		}
		  		},
		  		"code":function(element){
		  			if($.trim(element.option_code)){
			  			return element.option_code;
			  		}else{
			  			return element.stock_code;
			  		}
		  		},
	    		"time":"entrust_status_name",
	    	},
//	    	"liList":[
//	    			["业务类型","entrust_name"],
//	    			["合同序号","entrust_no"],
////	    			["买卖方向","entrust_bs_name"],
////	    			["委托类型","entrust_oc_name"],
////	    			["委托类别","entrust_type_name"],
////	    			["委托属性","entrust_prop_name"],
//	    			["委托价格","opt_entrust_price"],
//	    			["委托数量","entrust_amount"],
//	    			["成交金额","business_balance"],
//	    			["成交数量","business_amount"],
//	    			["委托时间","entrust_time"],
//	    		],
	    	"liList":[
	    			["业务名称","entrust_name"],
	    			["委托编号","entrust_no"],
	    			["委托价格","opt_entrust_price"],
	    			["委托数量","entrust_amount"],
	    			["成交价格","opt_business_price"],
	    			["成交数量","business_amount"],
	    			["委托时间","entrust_time"],
	    			["委托属性","entrust_prop_name"],
	    		],
    	}
    }
    
    var data1 = {
    	"funcNo" : "305009",
    	"param" : {},
    	"history":false,
    	"htmlData" : {
	    	"topDiv":{
//	    		"entrust":"entrust_name",
		  		"name":"option_name",
		  		"code":"option_code",
	    		"time":"real_status_name",
	    	},
	    	"liList":[
	    			["业务名称","entrust_name"],
	    			["成交编号","business_no"],
	    			["成交价格","opt_business_price"],
	    			["成交数量","business_amount"],
	    			["成交金额","business_balance"],
	    			["成交时间","business_time"],
	    			["委托属性","entrust_prop_name"],
	    		],
    	}
    }
    
    /**
     * 初始化
     */
	function init(){
		queryType = $.getPageParam("param").param;
		if(queryType=="entrust"){
			$(_pageId+"#pull_down_slide").attr("objectId","107149");
			$(_pageId+"#pull_down_slide").attr("actionId","102");
			$(_pageId+".toggle_nav ul li").eq(0).addClass("active").siblings().removeClass("active");
			publicQuery.init(data);
			common.pageBuryingPoint("107146");
		}else{
			$(_pageId+"#pull_down_slide").attr("objectId","107156");
			$(_pageId+"#pull_down_slide").attr("actionId","102");
			$(_pageId+".toggle_nav ul li").eq(1).addClass("active").siblings().removeClass("active");
			publicQuery.init(data1);
			common.pageBuryingPoint("107155");
		}
    }
		
	function load(){
		publicQuery.load();
	}
    
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		//返回按钮
		$.bindEvent($(_pageId + " .top_title .icon_back"), function(e){
			if($(_pageId + ".toggle_nav ul li.active").index()==0){
				common.comStat(107150,2,103,true,{"i_group_name":"返回"});
			}else{
				common.comStat(107157,2,103,true,{"i_group_name":"返回"});
			}
            commonFunc.appThirdBack('option_query_stockQuery', function(){
                $.pageBack("option/query/stockQuery","left");
            });
			e.stopPropagation();
		});
		
		//页面切换
		$.bindEvent($(_pageId + ".toggle_nav ul li"), function(e){
			$.clearRequest();
			$(this).addClass("active").siblings().removeClass("active");
			$(_pageId+" .cancel_order").html("");
			$(_pageId+" .cancel_order").attr("style","");
			common.pageBuryingPoint();
			if($(this).index() == 0){
				$(_pageId+"#pull_down_slide").attr("objectId","107149");
				$(_pageId+"#pull_down_slide").attr("actionId","102");
				publicQuery.againQuery(data.param,data.funcNo,data.htmlData,data.history);
				common.comStat(107147,2,103,true,{"i_group_name":"当日委托"});
				common.pageBuryingPoint("107146");
			}
			else{
				$(_pageId+"#pull_down_slide").attr("objectId","107156");
				$(_pageId+"#pull_down_slide").attr("actionId","102");
				publicQuery.againQuery(data1.param,data1.funcNo,data1.htmlData,data1.history);
				common.comStat(107148,2,103,true,{"i_group_name":"当日成交"});
				common.pageBuryingPoint("107155");
			}
		});
		
		publicQuery.bindPageEvent();
	}
	
	
    
	/**
	 * 销毁
	 */
	function destroy(){
		common.pageBuryingPoint();
		publicQuery.destroy();
	}
	
	
	var base = {
		"init" : init,
		"load" : load,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = base;
});	
