/**
 * 信用交易-下单首页
 */
define('trade/scripts/option/set/homepage.js', function(require, exports, module) {
    var _pageId = "#option_set_homepage ";
    var common = require("common");
    var gconfig = $.config;
	var global = gconfig.global;
	var userInfo = null;
	var keyboard = require("keyboard");
	var setDate = {};
	var priceObj = {
		"86":"市价剩余转限价",
		"88":"市价即时全部成交否则撤单",
		"90":"市价即时成交剩余撤单",
	};
	var mrz = {
		"num_add":"1",
		"price_mode":"0",
		"order_num": "1",
		"add_price": "0.0001",
		"split_order": "10" //拆单数量
	};
	var userSettingKey = "";  //这个应该存放到后台，提供接口获取
		
    /**
     * 初始化
     */
	function init(){
		if(keyboard){
			keyboard.keyInit();
		}
		common.pageBuryingPoint("107303");
		userInfo = common.getCurUserInfo();
		setDate = $.getLStorageInfo("option_set_setDate") || mrz;
		$(_pageId + " .transaction_set_list li.num a span").text(setDate.num_add);
		$(_pageId + " .transaction_set_list li.price a span").text(priceObj[setDate.price_mode]);
		$(_pageId + " .transaction_set_list li.order_num a span").text(setDate.order_num);
		$(_pageId + " .transaction_set_list li.add_price a span").text(setDate.add_price);
		$(_pageId + " .transaction_set_list li.split_order a span").text(setDate.split_order);
    }
	
	function load(){
		var mainHeight = common.setMainHeight(_pageId, false);
	}
	
	function getPriceObj(){
		return priceObj;
	}
	
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		
		$.bindEvent($(_pageId + " .transaction_set_list li.add_price"),function(e){
	    	$(_pageId).attr("key-panel-main","false");
			var tipStr = "<div class='pop_nums back_form' >";
			tipStr += '<div class="input_form" style="margin: 10px;padding-left:0;"><div class="input_text text bor dif_bg_form" style="padding-left:0;">';
	    	tipStr += '<input id="addPrice" maxLength="7" value="'+setDate.add_price+'" js-key="number" type="number" class="t1 input_number"/></div></div></div>';
			common.iConfirm("委托价格默认加量",tipStr,function($html){
				if(keyboard){
					keyboard.closeKeyPanel();
				}
				var num = $html.find("#addPrice").val();
				if(num && num > 0){
					setDate.add_price = num;
					$(_pageId + " .transaction_set_list li.add_price a span").text(num);
					$.setLStorageInfo("option_set_setDate",setDate);
				}
				$(_pageId).attr("key-panel-main","true");
			},function(){
				if(keyboard){
					keyboard.closeKeyPanel();
				}
				$(_pageId).attr("key-panel-main","true");
			},"提交","取消");
			$(".pop_nums .input_form").find("#addPrice").val(setDate.add_price);
			if(keyboard){
				keyboard.keyInit();
			}
		});
		
		$.bindEvent($(_pageId + " .transaction_set_list li.order_num"),function(e){
	    	$(_pageId).attr("key-panel-main","false");
			var tipStr = "<div class='pop_nums back_form' >";
			tipStr += '<div class="input_form" style="margin: 10px;padding-left:0;"><div class="input_text text bor dif_bg_form" style="padding-left:0;">';
	    	tipStr += '<input id="orderNum" maxLength="7" value="'+setDate.order_num+'" js-key="tel8" type="tel" class="t1 input_number"/></div></div></div>';
			common.iConfirm("下单默认委托数量",tipStr,function($html){
				if(keyboard){
					keyboard.closeKeyPanel();
				}
				var num = $html.find("#orderNum").val();
				if(num && num > 0){
					setDate.order_num = num;
					$(_pageId + " .transaction_set_list li.order_num a span").text(num);
					$.setLStorageInfo("option_set_setDate",setDate);
					common.comStat(107305,2,"104",true,{"i_change_name":"下单默认委托数量","i_change_to":num});//埋点
				}
				$(_pageId).attr("key-panel-main","true");
			},function(){
				if(keyboard){
					keyboard.closeKeyPanel();
				}
				$(_pageId).attr("key-panel-main","true");
			},"提交","取消");
			$(".pop_nums .input_form").find("#orderNum").val(setDate.order_num);
			if(keyboard){
				keyboard.keyInit();
			}
		});
		
		
		$.bindEvent($(_pageId + " .transaction_set_list li.num"),function(e){
	    	$(_pageId).attr("key-panel-main","false");
			var tipStr = "<div class='pop_nums back_form' >";
			tipStr += '<div class="input_form" style="margin: 10px;padding-left:0;"><div class="input_text text bor dif_bg_form" style="padding-left:0;">';
	    	tipStr += '<input id="transferIn" maxLength="3" value="'+setDate.num_add+'" js-key="tel8" type="tel" class="t1 input_number"/></div></div></div>';
			common.iConfirm("交易数量默认加量",tipStr,function($html){
				if(keyboard){
					keyboard.closeKeyPanel();
				}
				var num = $html.find("#transferIn").val();
				if(num && num > 0){
					setDate.num_add = num;
					$(_pageId + " .transaction_set_list li.num a span").text(num);
					$.setLStorageInfo("option_set_setDate",setDate);
					common.comStat(107306,2,"104",true,{"i_change_name":"输入交易数量默认加量","i_change_to":num});//埋点
				}
				$(_pageId).attr("key-panel-main","true");
			},function(){
				if(keyboard){
					keyboard.closeKeyPanel();
				}
				$(_pageId).attr("key-panel-main","true");
			},"提交","取消");
			$(".pop_nums .input_form").find("#transferIn").val(setDate.num_add);
			if(keyboard){
				keyboard.keyInit();
			}
		});
		
		
		$.bindEvent($(_pageId + " .transaction_set_list li.split_order a"),function(e){
	    	$(_pageId).attr("key-panel-main","false");
			var tipStr = "<div class='pop_nums back_form' >";
			tipStr += '<div class="input_form" style="margin: 10px;padding-left:0;"><div class="input_text text bor dif_bg_form" style="padding-left:0;">';
	    	tipStr += '<input id="orderNum" maxLength="7" value="'+setDate.split_order+'" js-key="tel8" type="tel" class="t1" style="text-align: center;"/></div></div></div>';
			var warnningStr = "<div><p class='warn'>单笔下单委托数量大于设置值时将进行自动拆单（设为0表示取消自动拆单）</p></div>"
			common.iConfirm("默认拆单数量",tipStr,function($html){
				if(keyboard){
					keyboard.closeKeyPanel();
				}
				var num = $html.find("#orderNum").val();
				if(num && num >= 0){
					setDate.split_order = num;
					$(_pageId + " .transaction_set_list li.split_order a span").text(num);
					$.setLStorageInfo("option_set_setDate",setDate);
					common.comStat(107307,2,"104",true,{"i_change_name":"默认拆单数量","i_change_to":num});//埋点
				}
				$(_pageId).attr("key-panel-main","true");
			},function(){
				if(keyboard){
					keyboard.closeKeyPanel();
				}
				$(_pageId).attr("key-panel-main","true");
			},"确认","取消",null,warnningStr);
			$(".pop_nums .input_form").find("#orderNum").val(setDate.split_order);
			if(keyboard){
				keyboard.keyInit();
			}
		});
		
		var priceListHtml = "<div class='bank_list'><ul>";
		$.each(priceObj, function(key,value) {    
			priceListHtml += "<li id='"+key+"'><a href=\"javascript:void(0);\">"+value+"</a></li>"                                                   
		});
		priceListHtml += "</ul></div>";
		common.addChoiceList($(_pageId+" .transaction_set_list li.price"), "委托价格选择",priceListHtml,function(data,div){
			setDate.price_mode = data.attr("id");
			$(_pageId + " .transaction_set_list li.price a span").text(data.text());
			$.setLStorageInfo("option_set_setDate",setDate);
		});
		
		//返回按钮
		$.bindEvent($(_pageId+" .top_title .icon_back"), function(e){
			common.comStat(107304,2,103,true,{"i_group_name":"返回"});
			$.pageBack("account/index","left");
			e.stopPropagation();
		});
	}
    
	/**
	 * 销毁
	 */
	function destroy(){
		common.pageBuryingPoint();
	}
	
	
	var base = {
		"init" : init,
		"load": load,
		"bindPageEvent": bindPageEvent,
		"getPriceObj": getPriceObj,
		"mrz": mrz,
		"destroy": destroy
	};
	module.exports = base;
});