/**
 * 新股-- 一键申购
 */
define('trade/scripts/shares/oneKeyPurchase.js', function (require, exports, module) {
    require("validatorUtils");
    var validator = $.validatorUtils;
    var common = require("common");
    var commonFunc = require("commonFunc");
    var gconfig = $.config;
    var global = gconfig.global;
    var service_stock = require("service_stock");
    var _pageId = "#shares_oneKeyPurchase ";
    var iscrollUtils = require("iscrollUtils");
    var nativePluginService = require("nativePluginService");
    var myScroller = null; // 滑动组件对象
    var userInfo = null;
    var listData = {};
    var singleData = {};
    var num_step = 500; //步数
    var exchange_market = ""; //市场类别
    var witchAccount = "";
    var stock_account = "";
    var _stockName = "";
    var mianHeight = null;
    require("validatorUtils");
    var validatorUtil = $.validatorUtils;
    var keyboard = require("keyboard");
    var is_login = null;
    var isLoginIn = null;
    var pageHeight = null;
    var cdrProtocolSign = require("cdrProtocolSign");
    var paramMap = "";
    var newStockType = "0";
    var kcb_account_list = [];
    var quotaList = {
        "SZ": 0,
        "SH": 0,
        "KC": 0,
    };
    var accountP = {};// 账户权限信息

    /**
     * 初始化
     */
    function init() {
        $.setSStorageInfo("stockFlag", "", true);
        $.setSStorageInfo("bjsFlag", "", true);
        $.pageInit("purchaseNewDebt/newPurchase", "nsb/index", {"param": getParam(), "isFromApp": true}, true);
        return;
        common.pageChangeHeight();
        paramMap = $.getPageParam("param");
        var isFromApp = false;
        if (paramMap && Object.getOwnPropertyNames(paramMap).length != 0) {
            if (paramMap && typeof (paramMap) == "string") {
                paramMap = JSON.parse(paramMap);
            }
            if (paramMap.switchUserInfo) {
                common.switchingCurUser(paramMap.switchUserInfo);
                newStockType = paramMap.switchUserInfo;
            }
            isFromApp = paramMap.isFromApp;
        }

        var appVersion = nativePluginService.function50001();
        if (appVersion && appVersion.results && appVersion.results.length > 0) {
            var currentVersionCode = appVersion.results[0].nativeVersionSn;
            if (Number(currentVersionCode) > 387) {
                $.pageInit("purchaseNewDebt/newPurchase", "nsb/index", {
                    "param": getParam(),
                    "isFromApp": isFromApp
                }, true);
                return;
            }
        }

        //判断”预约打新“图标是否显示
        if (newStockType && newStockType == "1") {
            common.pageBuryingPoint("105480");
            $(_pageId + " .reserve").hide();
            $(_pageId + " .reserve").prev("img").hide();
        } else {
            common.pageBuryingPoint("100294");
            $(_pageId + " .reserve").show();
            $(_pageId + " .reserve").prev("img").show();
        }
        buryingPoint();
        if (keyboard) {
            keyboard.keyInit();
        }
        $(_pageId + ".main").eq(1).hide();
        $(_pageId + ".main").eq(0).show();
        userInfo = common.getCurUserInfo();
//		isLoginIn = $.getSStorageInfo("_isLoginIn");
//		if(isLoginIn && isLoginIn != "false"){//登录的情况
        if (userInfo && common.isEmptyObject(userInfo)) {//登录的情况
            is_login = "1";
            $(_pageId + ".onekey_check").show();
            $(_pageId + ".oneClick").hide();
            accountP = commonFunc.setJurisdiction(userInfo, function (jurisdiction) {
                accountP = jurisdiction
            }) || {};
            querynewAmount();//新股额度查询
        } else {
            is_login = "0";
            $(_pageId + ".onekey_check").hide();
            $(_pageId + ".oneClick").show();
        }
    }

    function getParam() {
        var param = {
            "isStocks": true,
            "switchUserInfo": newStockType,
            "isFromApp": true
        };
        return param;
    }

    function load() {
        mianHeight = common.setMainHeight(_pageId, false);
        pageHeight = $(window).height() - $(_pageId + ".header").outerHeight(true) - $(_pageId + " .tab_nav").outerHeight(true) - $(_pageId + " .order_form").outerHeight(true) - $(_pageId + ".onekey_check").height() - $(_pageId + ".oneClick").height();
        queryMessages(); //今日新股查询
//  	var clearTimeoutObj = setTimeout(function(){
//  		pageHeight=$(window).height() - $(_pageId+".top_title").height() - $(_pageId+" .order_form").height() - $(_pageId+" .tab_nav").height() - $(_pageId+".onekey_check").height() - $(_pageId+".oneClick").height() - 6;
//  		clearTimeout(clearTimeoutObj);
//  	},100);
    }

    /**
     * 新股申购额度查询
     */
    function querynewAmount(fund_account, exchange_type) {
        var entrust_way = global.entrust_way; // 委托方式  在configuration配置
        var branch_no = userInfo.branch_no;	 //分支机构
        var fund_account = fund_account ? fund_account : userInfo.fund_account;//资产账户
        var cust_code = userInfo.cust_code;  	 //客户代码
        var sessionid = userInfo.session_id;
        var password = userInfo.password;
        var exchange_type = exchange_type ? exchange_type : "";
        var param = {
            "entrust_way": entrust_way,
            "branch_no": branch_no,
            "fund_account": fund_account,
            "cust_code": cust_code,
            "password": password,
            "sessionid": sessionid,
            "exchange_type": exchange_type,
            "account_type": userInfo._loginClass
        };
        service_stock.newAmount_Query(param, queryNewAmountCallBack, {
            "isLastReq": false,
            "isShowWait": true,
            "errorFunc": function () {
                $.hidePreloader();
            },
            "timeOutFunc": function () {
                $.hidePreloader();
            }
        });
    }

    //新股申购额度查询回调
    function queryNewAmountCallBack(data) {
        if (typeof data != "undefined" && data != null) {
            if (data.error_no == 0) {
                if (typeof data.results != "undefined" && data.results != null && data.results != "") {
                    var results = data.results;
                    for (var i = 0; i < results.length; i++) {
                        var exchange_type = results[i].exchange_type;
                        var enable_amount = results[i].enable_amount;
                        if (exchange_type == "0") {//深市
                            quotaList.SZ = enable_amount;
                            $(_pageId + " .order_form .max_box strong").eq(1).text(common.dgitConversion(enable_amount));
                        } else if (exchange_type == "2") {//沪市
                            quotaList.SH = enable_amount;
                            $(_pageId + " .order_form .max_box strong").eq(0).text(common.dgitConversion(enable_amount));
                            if (results[i].stib_enable_quota) {
                                quotaList.KC = results[i].stib_enable_quota;
                                $(_pageId + " .order_form .max_box strong").eq(2).html(common.dgitConversion(results[i].stib_enable_quota));
                            }
                        }
                    }
                }
            }
        } else {
            $.alert(data.error_info);
        }

        pageHeight = $(window).height() - $(_pageId + ".header").outerHeight(true) - $(_pageId + " .tab_nav").outerHeight(true) - $(_pageId + " .order_form").outerHeight(true) - $(_pageId + ".onekey_check").height() - $(_pageId + ".oneClick").height();
        if (myScroller) {
            myScroller.destroy();
            myScroller = null;
        }
        if (!myScroller) {
            initScroller();
        } else {
            myScroller.refresh();
        }
    }

    /*
     * 埋点参数
     */
    function buryingPoint() {
        if (newStockType && newStockType == "1") {//信用交易
            $(_pageId + ".tab_nav li:eq(0)").find("a").attr("objectId", "105481");
            $(_pageId + ".tab_nav li:eq(0)").find("a").attr("actionId", "103");
            $(_pageId + ".tab_nav li:eq(1)").find("a").attr("objectId", "105482");
            $(_pageId + ".tab_nav li:eq(1)").find("a").attr("actionId", "103");
            $(_pageId + ".tab_nav li:eq(2)").find("a").attr("objectId", "105483");
            $(_pageId + ".tab_nav li:eq(2)").find("a").attr("actionId", "103");
            $(_pageId + ".tab_nav li:eq(3)").find("a").attr("objectId", "105484");
            $(_pageId + ".tab_nav li:eq(3)").find("a").attr("actionId", "103");
        } else {//普通交易
            $(_pageId + ".tab_nav li:eq(0)").find("a").attr("objectId", "100295");
            $(_pageId + ".tab_nav li:eq(0)").find("a").attr("actionId", "103");
            $(_pageId + ".tab_nav li:eq(1)").find("a").attr("objectId", "100296");
            $(_pageId + ".tab_nav li:eq(1)").find("a").attr("actionId", "103");
            $(_pageId + ".tab_nav li:eq(2)").find("a").attr("objectId", "100297");
            $(_pageId + ".tab_nav li:eq(2)").find("a").attr("actionId", "103");
            $(_pageId + ".tab_nav li:eq(3)").find("a").attr("objectId", "100298");
            $(_pageId + ".tab_nav li:eq(3)").find("a").attr("actionId", "103");
        }
    }

    /**
     * 事件绑定
     */
    function bindPageEvent() {
        //返回按钮
        $.bindEvent($(_pageId + ".top_title .icon_back"), function (e) {
            if (keyboard) {
                keyboard.closeKeyPanel();
            }
            var pageCode = $.getCurrentPageObj().prePageCode || '';
            commonFunc.appThirdBack('shares_oneKeyPurchase', function () {
                if (pageCode == "credit/order/mainOrder") {
                    $.pageBack();
                } else {
                    $.pageInit("shares/oneKeyPurchase", "account/index", {"_loginClass": newStockType}, "", true);
                }
                //埋点
                if (newStockType && newStockType == "1") {//信用交易
                    common.comStat(105485, 2, 103, true, {"i_group_name": "返回"});
                } else {
                    common.comStat(100299, 2, 103, true, {"i_group_name": "返回"});
                }
            });
            e.stopPropagation();
            e.preventDefault();
        });
        //页面头部的事件
        $.bindEvent($(_pageId + '.tab_nav ul li a'), function (e) {
            var pageCode = $.getCurrentPageObj().pageCode || '';
            var topage = $(this).attr("to-page").replaceAll("_", "/"); //获取跳转的页面
            var param = $(this).attr("param");
            if (!param) {
                param = "";
            }

            if (userInfo && common.isEmptyObject(userInfo)) {//登录的情况
                if (pageCode != topage) {
                    $.pageInit(pageCode, topage, {"param": param, "_loginClass": newStockType}, "", true);
                }
            } else {
                commonFunc.login($.getCurrentPageObj().pageCode, "account/login", {
                    "topage": $.getCurrentPageObj().pageCode,
                    "_loginClass": newStockType
                }, {
                    "topage": $.getCurrentPageObj().pageCode,
                    "param": {
                        "switchUserInfo": newStockType,
                        "_loginClass": newStockType
                    }
                });
            }
            //埋点
            var objectId = $(this).attr("objectId");
            var actionId = $(this).attr("actionId");
            var name = $(this).attr("name");
            common.comStat(objectId, 2, actionId, true, {"i_group_name": name});
            e.stopPropagation();
        });

        //申购
        $.bindEvent($(_pageId + " .onekey_check .btn"), function (e) {
            if (keyboard) {
                keyboard.closeKeyPanel();
            }
            cofirmOrder();
            //埋点
            if (newStockType && newStockType == "1") {//信用交易
                common.comStat(105486, 2, 103, true, {"i_group_name": "新股申购提交"});
            } else {
                common.comStat(100300, 2, 103, true, {"i_group_name": "新股申购提交"});
            }
//			e.stopPropagation();	// 阻止冒泡
        });

        //预约打新
        $.bindEvent($(_pageId + " .reserve"), function (e) {
            //埋点
            common.comStat(100306, 2, 103, true, {"i_group_name": "预约打新"});
            if (keyboard) {
                keyboard.closeKeyPanel();
            }
            var topage = $(this).attr("to-page"); // 获取跳转的页面
            var param = $(this).attr("param"); // 获取跳转页面参数
            param = {
                "switchUserInfo": newStockType
            };
            var loginToWebURL = global.reservationUrl + "/" + topage + ".html?module=yydx&needlogin=true";
            var moduleName = "tiitrade_yydx";
            if (global.callNative && global.isSso) {
                $.callMessage({
                    "funcNo": "50500",
                    "msgNo": "150115",
                    "sourceModule": "trade",
                    "targetModule": "*",
                    "action": "4",
                    "param": {
                        "isPhoneLogin": "1",//需要手机号登录
                        "isCapitalLogin": "1",//需要资金账号登录
                        "moduleName": moduleName,
                        "url": loginToWebURL + "&isFromApp=true",
                        "statusColor": "#2A315B",//状态栏颜色
                        "isShowLoading": "0",
                        "targetModule": "trade"
                    }
                });
            } else {
                if (userInfo && common.isEmptyObject(userInfo)) {//登录的情况
                    window.location.href = loginToWebURL;
                } else {
                    $.pageInit("shares/oneKeyPurchase", "account/login", {topage: "shares/oneKeyPurchase"}, true);
                }
            }
            e.stopPropagation();	// 阻止冒泡
        });

        //一键申购
        $.bindEvent($(_pageId + " .oneClick"), function (e) {
//			if(!isLoginIn){//不登录的情况
            if (userInfo && common.isEmptyObject(userInfo)) {//登录的情况
                $.pageInit("shares/oneKeyPurchase", "account/login", {
                    topage: "shares/oneKeyPurchase",
                    "_loginClass": newStockType
                }, true);
            } else {
                commonFunc.login($.getCurrentPageObj().pageCode, "account/login", {
                    "topage": $.getCurrentPageObj().pageCode,
                    "_loginClass": newStockType
                }, {
                    "topage": $.getCurrentPageObj().pageCode,
                    "param": {
                        "switchUserInfo": newStockType,
                        "_loginClass": newStockType
                    }
                });
            }
        }, "tap");
        //全选
        $.bindEvent($(_pageId + " .onekey_check span"), function (e) {
            //埋点
            if (newStockType && newStockType == "1") {//信用交易
                common.comStat(105487, 2, 103, true, {"i_group_name": "全选"});
            } else {
                common.comStat(100301, 2, 103, true, {"i_group_name": "全选"});
            }
            if (keyboard) {
                keyboard.closeKeyPanel();
            }

            if ($(this).find("i").hasClass("active")) {
                $(this).find("i").removeClass("active");
                $(_pageId + " .onekey_main .part").removeClass("active");
            } else {
                $(this).find("i").addClass("active");
                $(_pageId + " .onekey_main .part").addClass("active");

                //科创板权限校验
                if (kcb_account_list.length > 0) {
                    for (var i = 0; i < kcb_account_list.length; i++) {
                        var stock_type = kcb_account_list[i].stock_type;
                        var kcbJurisdiction1 = kcb_account_list[i].kcbJurisdiction1;
                        var kcbJurisdiction2 = kcb_account_list[i].kcbJurisdiction2;
                        //科创板权限
                        if (kcbJurisdiction1 != "0" && (stock_type == "15" || stock_type == "16")) {
                            var titleTips = "";
                            if (newStockType && newStockType == "1") {
                                titleTips = "您尚未开通信用交易账户科创板权限，如需进行交易，请到业务办理完成对应权限开通。";
                                // $.alert("您的信用账号尚未开通科创板权限。请通过已开通权限的账号进行科创板新股申购或交易，如有疑问请致电客服电话400 821 1357进行咨询。");
                            } else {
                                titleTips = "您尚未开通普通交易账户科创板权限，如需进行交易，请到业务办理完成对应权限开通。";
                            }
                            common.iConfirm("温馨提示", titleTips, function success(html) {
                                if (global.callNative && global.isSso) {
                                    var param = {
                                        "funcNo": "50500",
                                        "msgNo": "123",
                                        "sourceModule": "",
                                        "targetModule": "tradeDispatcher",
                                        "action": "1",
                                        "param": {
                                            "business_type": userInfo._loginClass,//普通0  两融1
                                            "event": "2",//打开权限开通页面
                                            "title": "",
                                        }
                                    }
                                    $.callMessage(param);
                                }
                            }, function fail() {
                            }, "开通权限", "取消");
                            break;
                        }
                        //科创板存托凭证权限
                        else if (kcbJurisdiction2 != "0" && stock_type == "16") {
                            if (newStockType && newStockType == "1") {
                                $.alert("您的信用账号尚未开通科创板存托凭证权限。请通过已开通权限的账号进行科创板新股申购或交易，如有疑问请致电客服电话400 821 1357进行咨询。");
                            } else {
                                $.alert("您尚未开通科创板存托凭证股东账号权限，如需进行交易，请到业务办理完成对应权限开通。");
                            }
                            break;
                        } else if (['f', 'p', 'q'].indexOf(stock_type) > -1) {// 创业板股票
                            commonFunc.popupRightsConfirm(kcb_account_list[i], {checkCyb: true})
                            break;
                        }
                    }
                }

            }
            e.stopPropagation();	// 阻止冒泡
        });
    }

    /**
     * 今日新股查询
     */
    function queryMessages() {
        var entrust_way = global.entrust_way; // 委托方式  在configuration配置
        var branch_no = userInfo.branch_no;	 //分支机构
        var fund_account = userInfo.fund_account;//资产账户
        var cust_code = userInfo.cust_code;  	 //客户代码
        var sessionid = userInfo.session_id;
        var password = userInfo.password;
        var param = {
            "entrust_way": entrust_way,
            "branch_no": branch_no,
            "fund_account": fund_account,
            "cust_code": cust_code,
            "password": password,
            "sessionid": sessionid,
            "account_type": userInfo._loginClass,
            "is_login": is_login,
        };
        service_stock.queryListingShares(param, messageCallBack,
            {
                "isLastReq": true,
                "isShowWait": true,
                "isShowOverLay": false,
                "errorFunc": function () {
                    $.hidePreloader();
                    $(_pageId + ".no_data").show();
                    if (myScroller) {
                        myScroller.destroy();
                        myScroller = null;
                    }
                    if (!myScroller) {
                        initScroller();
                    } else {
                        myScroller.refresh();
                    }
                },
                "timeOutFunc": function () {
                    $.hidePreloader();
                    $(_pageId + ".no_data").show();
                    if (myScroller) {
                        myScroller.destroy();
                        myScroller = null;
                    }
                    if (!myScroller) {
                        initScroller();
                    } else {
                        myScroller.refresh();
                    }
                }
            });
    }

    //新股查询回调
    function messageCallBack(data) {
        $.hidePreloader();
        if (data.error_no == 0) {
            var results = data.results;
            if (results && results.length > 0) {
                var cdr_account_list = [];

                var html = '';
                listData = {};
                kcb_account_list = [];
                for (var i = 0; i < results.length; i++) {
                    listData[results[i].stock_code] = results[i];
                    html += messageAddHtml(results[i], i);
//					if(results[i].accounts_list && results[i].accounts_list!=""){
//						cdr_account_list[0] = results[i].accounts_list;
//					}
                    //科创板股票/存托凭证无权限
                    // if(results[i].stock_type=="15" || results[i].stock_type=="16"){
                    var kcbList = {
                        "stock_code": results[i].stock_code,
                        "stock_type": results[i].stock_type,
                        "kcbJurisdiction1": results[i].technology_innovation_rights,//科创板权限
                        "kcbJurisdiction2": results[i].technologyInnovation_cdr_rights,//科创板存托凭证权限
                        "gem_rights": accountP.gem_rights,
                        "gem_register_rights": accountP.gem_register_rights
                    }
                    kcb_account_list.push(kcbList);
                    // }
                }

                $(_pageId + " .onekey_main").html(html);
                $(_pageId + ".no_data").hide();

//				if(cdr_account_list.length > 0 && userInfo._loginClass=="0"){//只做普通交易的
//					//弹框
//					var paramMap = data;
//					common.iConfirm("温馨提示","新股申购列表中存托凭证、创新企业股票无交易权限，请开通对应交易权限。",function success(html){
//							cdrProtocolSign.cdrProtocolMatch("3","2",cdr_account_list,paramMap);
//						},function fail(){
//					},"开通权限","取消");
//				}

//				if(isLoginIn && isLoginIn != "false"){//登录的情况
                if (userInfo && common.isEmptyObject(userInfo)) {//登录的情况
                    //单个选择
                    $.bindEvent($(_pageId + " .onekey_main .part .title"), function (e) {
                        if (newStockType && newStockType == "1") {//信用交易
                            common.comStat(105488, 2, 104, true, {
                                "i_change_name": "选中新股",
                                "i_change_to": $(this).parent(".part").attr("stock_name")
                            });
                        } else {
                            common.comStat(100302, 2, 104, true, {
                                "i_change_name": "选中新股",
                                "i_change_to": $(this).parent(".part").attr("stock_name")
                            });
                        }
                        if ($(this).parent(".part").hasClass("active")) {
                            $(this).parent(".part").removeClass("active");
                        } else {
                            $(this).parent(".part").addClass("active");
                        }

                        var sumLength = $(_pageId + " .onekey_main .part").length;
                        var currentLength = $(_pageId + " .onekey_main .part.active").length;
                        if (sumLength == currentLength) {
                            $(_pageId + " .onekey_check span i").addClass("active");
                        } else {
                            $(_pageId + " .onekey_check span i").removeClass("active");
                        }

                        if ($(this).parent(".part").hasClass("active")) {
//							var account_list = $(this).parent(".part").attr("accounts_list");
//							if(account_list && userInfo._loginClass=="0"){
//								var cdr_account_list = [];
//								cdr_account_list.push(account_list);
//								common.iConfirm("温馨提示","新股申购列表中存托凭证、创新企业股票无交易权限，请开通对应交易权限。",function success(html){
//										cdrProtocolSign.cdrProtocolMatch("3","2",cdr_account_list);
//									},function fail(){
//								},"开通权限","取消");
//							}

                            //科创板股票/存托凭证无权限
                            var stock_type = $(this).parent(".part").attr("stock_type");
                            var kcb_rights1 = $(this).parent(".part").attr("kcb_rights1");
                            var kcb_rights2 = $(this).parent(".part").attr("kcb_rights2");
                            popupKCBConfirm(stock_type, kcb_rights1, kcb_rights2);
                            //校验权限弹框
                            var currentIndex = $(this).parents('.part').index();
                            var jurisdiction = kcb_account_list[currentIndex];
                            jurisdiction && commonFunc.popupRightsConfirm(jurisdiction, {checkCyb: true});
                        }
                        e.stopPropagation();	// 阻止冒泡
                    });
                } else {//未登录
                    //单个选择
                    $.bindEvent($(_pageId + " .onekey_main .part .title"), function (e) {
                        commonFunc.login($.getCurrentPageObj().pageCode, "account/login", {
                            "topage": $.getCurrentPageObj().pageCode,
                            "_loginClass": newStockType
                        }, {
                            "topage": $.getCurrentPageObj().pageCode,
                            "param": {
                                "switchUserInfo": newStockType,
                                "_loginClass": newStockType
                            }
                        });
                        e.stopPropagation();	// 阻止冒泡
                    });
                }

                //申购
                $.bindEvent($(_pageId + " .onekey_main .part ul li:nth-child(2)"), function (e) {
                    //埋点
                    if (newStockType && newStockType == "1") {//信用交易
                        common.comStat(105489, 2, 103, true, {"i_group_name": "编辑数量"});
                    } else {
                        common.comStat(100303, 2, 103, true, {"i_group_name": "编辑数量"});
                    }
                    $(_pageId).attr("key-panel-main", "false");
                    var $this = $(this);
                    var data = listData[$this.parents(".part").attr("id")];
                    var tipStr = "<div class='pop_nums' >";
                    tipStr += '<div class="pop_main" style="margin: 10px;">';
                    tipStr += '<div class="input_text text">';
                    tipStr += '<label>申购上限</label>';
                    tipStr += '<input  style="text-align: center;font-size: 18px;width: 100%;" type="text" class="t1" value="' + Number(data.high_amount) + '" readonly="readonly"/>';
                    //<a href="javascript:void(0);" class="all">全部</a>
                    tipStr += '</div>';
                    tipStr += '<div class="input_box">';
                    tipStr += '<label>申购数量</label>';
                    tipStr += '<div class="input_value" buy_unit="' + Number(data.buy_unit) + '">';
                    tipStr += '<em class="less"></em>';
                    tipStr += '<em class="add"></em>';
                    tipStr += '<input id="purchaseNum" js-key="tel8" type="tel" class="t1" maxLength="11"/>';
                    tipStr += '</div>';
                    tipStr += '</div>';
                    tipStr += '</div>';
                    tipStr += '</div>';
                    common.iConfirm("编辑申购数", tipStr, function (div) {
                        if (keyboard) {
                            keyboard.closeKeyPanel();
                        }
                        $this.find("em").text(div.find(".pop_nums .input_value input").val());
                        $(_pageId).attr("key-panel-main", "true");
                    }, function () {
                        if (keyboard) {
                            keyboard.closeKeyPanel();
                        }
                        $(_pageId).attr("key-panel-main", "true");
                    }, "确定", "取消", function ($html) {
                        var all = $html.find(" .input_value input").val();
                        var buy_unit = $html.find(".input_value").attr("buy_unit") || 500;
                        var apply_sell = "";
                        if (data.exchange_type == "0") {
                            apply_sell = quotaList.SZ;
                        } else if (data.exchange_type == "2" && (data.stock_type != "15" && data.stock_type != "16")) {
                            apply_sell = quotaList.SH;
                        } else if (data.exchange_type == "2" && (data.stock_type == "15" || data.stock_type == "16")) {//科创板
                            apply_sell = quotaList.KC;
                        }
                        if (validator.isNumeric(apply_sell)) {
                            apply_sell = Number(apply_sell);
                        } else {
                            apply_sell = 0;
                        }
                        if (!validatorUtil.isNumeric(all)) {
                            $.alert("输入数量有误");
                            return false;
                        } else if (Number(all) == "0") {
                            $.alert("输入数量不能为0");
                            return false;
                        } else if (Number(all) > apply_sell) {
                            $.alert("申购数量大于可申购数量");
                            return false;
                        } else if (all % Number(buy_unit) != 0) {
                            $.alert("申购数量应该为" + buy_unit + "整数倍");
                            return false;
                        } else if (Number(all) > Number(data.high_amount)) {
                            $.alert("申购数量大于申购上限");
                            return false;
                        } else {
                            return true;
                        }
                    });
                    $(_pageId + "#purchaseNum").val($(this).find("em").text());
                    if (keyboard) {
                        keyboard.keyInit();
                    }
                    //数量失去光标
                    $.bindEvent($(_pageId + "#purchaseNum"), function (e) {
                        var objectId = "";
                        if (newStockType && newStockType == "1") {//信用交易
                            objectId = "105490";
                        } else {
                            objectId = "100304";
                        }
                        common.comStat(objectId, 2, 2, false, {
                            "i_entrust_bs": "", // 交易方向( 1,买入 2,卖出)
                            "i_entrust_prop": "", // 委托属性
                            "i_exchange_type": data.exchange_type, // 交易市场
                            "i_stock_code": data.stock_code, // 股票代码
                            "i_stock_name": data.stock_name, // 股票名称
                            "i_price": data.price, // 选择后的价格
                            "i_adjust_type": "5", // 调整方式（1,加 2,减 3快捷键 5,直接输入）
                            "i_max_cnt": data.high_amount, // 最大数量
                            "i_target_cnt": $(this).quzhi(), // 调整之后的数量
                            "i_fast_btn": "", // 快捷键（全仓，1/2，1/4 ....（可留空））
                        });
                        e.stopPropagation();	// 阻止冒泡
                    }, "blur");
                    //申购
                    $.bindEvent($(_pageId + ".pop_nums .input_value em"), function (e) {
                        if (keyboard) {
                            keyboard.closeKeyPanel();
                        }
                        var css = $(this).attr("class");
                        var inp = $(this).nextAll("input");
                        var buy_unit = $(this).parent(".input_value").attr("buy_unit") || 500;
                        buy_unit = Number(buy_unit);
                        var inpVal = Number(inp.val());
                        if (css == "less") {
                            if (inpVal - buy_unit < 0) {
                                inpVal = 0;
                            } else {
                                inpVal = inpVal - buy_unit;
                            }
                        } else if (css == "add") {
                            inpVal = inpVal + buy_unit;
                        }
                        $(_pageId + " #purchaseNum").quzhi(inpVal);
                        e.stopPropagation();	// 阻止冒泡
                    });
                    $.bindEvent($(_pageId + ".pop_nums .input_text .all"), function (e) {
                        if (keyboard) {
                            keyboard.closeKeyPanel();
                        }
                        var all = $(this).prev("input").val();
                        var apply_sell = "";
                        if (data.exchange_type == "0") {
                            apply_sell = quotaList.SZ;
                        } else if (data.exchange_type == "2" && (data.stock_type != "15" && data.stock_type != "16")) {
                            apply_sell = quotaList.SH;
                        } else if (data.exchange_type == "2" && (data.stock_type == "15" || data.stock_type == "16")) {//科创板
                            apply_sell = quotaList.KC;
                        }
                        if (validator.isNumeric(apply_sell)) {
                            apply_sell = Number(apply_sell);
                        } else {
                            apply_sell = 0;
                        }
                        if (Number(all) > apply_sell) {
                            all = apply_sell;
                        }
                        $(_pageId + " #purchaseNum").quzhi(all);
                        e.stopPropagation();	// 阻止冒泡
                    });
                    e.stopPropagation();	// 阻止冒泡
                });
            } else {
                $(_pageId + ".no_data").show();
            }
        } else {
            $.alert(data.error_info);
        }
        if (myScroller) {
            myScroller.destroy();
            myScroller = null;
        }
        if (!myScroller) {
            initScroller();
        } else {
            myScroller.refresh();
        }
    }

    /**
     * actcheck
     */
    function messageAddHtml(element, i) {
        var buy_unit = element.high_amount || element.buy_unit || "0";
        buy_unit = Number(buy_unit);
        var apply_sell = "";
        if (element.exchange_type == "0") {
            apply_sell = quotaList.SZ;
        } else if (element.exchange_type == "2" && (element.stock_type != "15" && element.stock_type != "16")) {
            apply_sell = quotaList.SH;
        } else if (element.exchange_type == "2" && (element.stock_type == "15" || element.stock_type == "16")) {//科创板
            apply_sell = quotaList.KC;
        }
        if (validator.isNumeric(apply_sell)) {
            apply_sell = Number(apply_sell);
        } else {
            apply_sell = 0;
        }
        if (buy_unit > apply_sell) {
            buy_unit = apply_sell;
        }
        var isOpenGemPerm = $.getSStorageInfo('isOpenGemPerm', false, {"isDecrypt": global.shareCookie}) || global.isOpenGemPerm; // 是否开启创业板权限校验
        if (isOpenGemPerm && ((element.stock_type == "f" && accountP.gem_rights == "0" && accountP.gem_register_rights != "1") || (["p", "q"].indexOf(element.stock_type) >= 0 && accountP.gem_register_rights == "0"))) {  // 创业板股票且无权限
            buy_unit = 0;
        }
        var typeHtml = "";
        if (element.exchange_type == "2" && (element.stock_type == "15" || element.stock_type == "16")) {
            typeHtml = '<pre class="kcbCss">科创</pre>';
        }
        var eleHtml = "";
        eleHtml += '<div id="' + element.stock_code + '" stock_name="' + element.stock_name + '" class="part" exchange_type="' + element.exchange_type + '" stock_account="' + element.stock_account + '" stock_type="' + element.stock_type + '" accounts_list="' + (element.accounts_list || "") + '" kcb_rights1="' + (element.technology_innovation_rights || "") + '" kcb_rights2="' + (element.technologyInnovation_cdr_rights || "") + '">';

        if (userInfo && common.isEmptyObject(userInfo)) {//登录的情况
            eleHtml += '<div class="title">';
            eleHtml += '<i></i>';
        } else {
            eleHtml += '<div class="title" style="padding-left: 0.1rem;">';
        }
        eleHtml += typeHtml;
        eleHtml += '<h5><span>' + element.stock_name + ' <small>' + element.stock_code + '</small></span><span class=\"time\" style="float: right;">' + element.exchange_type_name + '</span></h5></div>';
        eleHtml += '<ul>';
        eleHtml += '<li><p><span>发行价</span><em>' + element.last_price + '</em></p>';
        if (element.stock_type == "10") { // CDR
            eleHtml += '<p><span>申购上限</span>' + element.high_amount + '份</p>';
        } else {
            eleHtml += '<p><span>申购上限</span>' + element.high_amount + '股</p>';
        }
        eleHtml += '</li>';

        if (userInfo && common.isEmptyObject(userInfo)) {//登录的情况
            eleHtml += '<li><p><span>申购数</span><em>' + buy_unit + '</em></p><a href="javascript:void(0);"></a></li>';
        }
        eleHtml += '</ul></div>';
        return eleHtml;
    }

    /*
     *科创板权限校验
     */
    function popupKCBConfirm(stock_type, kcb_receipt_rights1, kcb_receipt_rights2) {
        //科创板权限
        if (kcb_receipt_rights1 != "0" && (stock_type == "15" || stock_type == "16")) {
            var titleTips = "";
            if (newStockType && newStockType == "1") {
                titleTips = "您尚未开通信用交易账户科创板权限，如需进行交易，请到业务办理完成对应权限开通。";
                // $.alert("您的信用账号尚未开通科创板权限。请通过已开通权限的账号进行科创板新股申购或交易，如有疑问请致电客服电话400 821 1357进行咨询。");
            } else {
                titleTips = "您尚未开通普通交易账户科创板权限，如需进行交易，请到业务办理完成对应权限开通。";
            }
            common.iConfirm("温馨提示", titleTips, function success(html) {
                if (global.callNative && global.isSso) {
                    var param = {
                        "funcNo": "50500",
                        "msgNo": "123",
                        "sourceModule": "",
                        "targetModule": "tradeDispatcher",
                        "action": "1",
                        "param": {
                            "business_type": userInfo._loginClass,//普通0  两融1
                            "event": "2",//打开权限开通页面
                            "title": "",
                        }
                    }
                    $.callMessage(param);
                }
            }, function fail() {
            }, "开通权限", "取消");
        }
        //科创板存托凭证权限
        else if (kcb_receipt_rights2 != "0" && stock_type == "16") {
            if (newStockType && newStockType == "1") {
                $.alert("您的信用账号尚未开通科创板存托凭证权限。请通过已开通权限的账号进行科创板新股申购或交易，如有疑问请致电客服电话400 821 1357进行咨询。");
            } else {
                $.alert("您尚未开通科创板存托凭证股东账号权限，如需进行交易，请到业务办理完成对应权限开通。");
            }
        }
    }

    /**
     * 申购验证
     * */
    function cofirmOrder() {
        if (!common.isValue(listData)) {
            $.alert("暂无可以申购的代码信息");
            return false;
        }
        var list = $(_pageId + " .onekey_main div.active");
        var listLength = list.length;
        if (listLength == 0) {
            $.alert("请勾选要申购的代码");
            return false;
        }
        var entrustcodes = [];
        var entrustResults = [];
        var tipStr = "<div ><ul>";
        var tipStrArray = [];
        for (var i = 0; i < listLength; i++) {
            var name = list.eq(i).find("h5 span").html();
            var exchange_type = list.eq(i).attr("exchange_type");
            var stock_account = list.eq(i).attr("stock_account");
            var stock_code = list.eq(i).find("h5 small").text();
            var num = list.eq(i).find("ul li").eq(1).find("p em").text();
            var stock_name = name.replaceAll("" + stock_code, "");
            if (num == 0) {
                $.alert(stock_name + "(" + stock_code + ")" + "申购数量需大于0");
                return false;
            }
            var price = list.eq(i).find("ul li").eq(0).find("p em").text();
            entrustcodes.push(stock_code + ":" + exchange_type + ":" + price + ":" + num + ":" + stock_account);
            entrustResults.push(stock_code + ";" + num + "|");
//			for(var d = 0 ; d<10; d++){
            tipStrArray.push([name, "申购股数 " + num]);
//			}
        }
        tipStr += common.generatePrompt(tipStrArray);
        tipStr += "</ul></div>";
        //埋点
        var comStat = function (i_oper) {
            for (var i = 0; i < listLength; i++) {
                var objectId = "";
                if (newStockType && newStockType == "1") {//信用交易
                    objectId = "105491";
                } else {
                    objectId = "100305";
                }
                var name = list.eq(i).find("h5 span").html();
                var exchange_type = list.eq(i).attr("exchange_type");
                var stock_code = list.eq(i).find("h5 small").text();
                var num = list.eq(i).find("ul li").eq(1).find("p em").text();
                var stock_name = name.replaceAll("" + stock_code, "");
                var price = list.eq(i).find("ul li").eq(0).find("p em").text();

                common.comStat(objectId, 2, 3, false, {
                    "i_entrust_bs": "", // 交易方向( 1,买入 2,卖出)
                    "i_stock_code": stock_code, // 股票代码
                    "i_stock_name": stock_name, // 股票名称
                    "i_entrust_prop": "", // 委托属性
                    "i_exchange_type": exchange_type, // 交易市场
                    "i_entrust_price": price, // 选择后的价格
                    "i_entrust_amount": num, // 委托数量
                    "i_oper": i_oper//动作（1确定 2取消）
                });
            }
        };
        common.iConfirm("申购确定", tipStr, function success() {
            comStat(1);
            var entrust_way = global.entrust_way; // 委托方式  在configuration配置
            var branch_no = userInfo.branch_no;	 //分支机构
            var fund_account = userInfo.fund_account;//资产账户
            var cust_code = userInfo.cust_code;  	 //客户代码
            var sessionid = userInfo.session_id;
            var password = userInfo.password;
            var param = {
                "entrust_way": entrust_way,
                "branch_no": branch_no,
                "fund_account": fund_account,
                "cust_code": cust_code,
                "password": password,
                "sessionid": sessionid,
                "account_type": userInfo._loginClass,
                "entrustcodes": entrustcodes.join("|")
            };
            service_stock.oneKeyPurchase(param, succesCallback, {
                "isLastReq": false, "isShowWait": false,
                "timeOutFunc": function () {
                    $.hidePreloader();
                }, "errorFunc": function () {
                    $.hidePreloader();
                }
            });
            $.showPreloaders("请等待...");
        }, function fail() {
            comStat(2);
        });
    }

    function succesCallback(data) {
        $.hidePreloader();
        $(_pageId + ".onekey_succes .stat_box ul").html("");
        if (typeof (data) != "undefined" && data) {
            $(_pageId + ".state_list ").html("");
            if (data.error_no == 0) {
                $(_pageId + ".main").eq(0).hide();
                var results = data.results;
                var gs = results.length;
                if (gs > 0 && results != "undefined") {
                    var type = 0;
                    var html = "";
                    for (var i = 0; i < gs; i++) {
                        var css = '<span class="n1">提交成功</span>';
                        if (results[i].error_no != 0) {
                            type++;
                            css = '<span class="n2">提交失败</span><p style="word-wrap:break-word;">' + results[i].error_info + '</p>';
                        }
                        html += "<li>" + listData[results[i].stock_code].stock_name + " " + results[i].entrust_amount + "股" + css + "</li>"
                    }
                    $(_pageId + " .onekey_succes .inner span").attr("class", "icon");
                    if (type == 0) {
                        $(_pageId + " .onekey_succes .inner span").addClass("duei");
                    } else if (type == gs) {
                        $(_pageId + " .onekey_succes .inner span").addClass("chuo");
                    } else {
                        $(_pageId + " .onekey_succes .inner span").addClass("gt");
                    }
                    $(_pageId + ".onekey_succes .stat_box ul").html(html);
                }
                $(_pageId + ".main").eq(1).show();
                $(_pageId + ".main").eq(1).css({
                    "height": mianHeight - $(_pageId + " .tab_nav").height() + "px",
                    "overflow": "auto"
                });
                // var height = mianHeight - $(_pageId+" .tab_nav").height()-  $(_pageId + " .onekey_succes .inner").height() - $(_pageId + " .onekey_succes .ce_btn").height() - 40;
                // $(_pageId+".onekey_succes .stat_box ul").css({
                // 	"max-height": height + "px",
                // 	"overflow" : "auto"
                // });
                //返回按钮
                $.bindEvent($(_pageId + ".onekey_succes .ce_btn a"), function (e) {
                    $(_pageId + ".main").eq(1).hide();
                    $.pageRefresh();
                    e.stopPropagation();
                });
            } else {
                $.alert(data.error_info);
            }
        }
    }

    /**
     * 销毁
     */
    function destroy() {
        common.pageBuryingPoint();
        quotaList = {
            "SH": 0,
            "SZ": 0,
            "KC": 0,
        }
        kcb_account_list = [];
        accountP = {};
        $(_pageId + " .max_box strong").html("--");
        $(_pageId + " .onekey_main").html("");
        $(_pageId + " .onekey_check span").find("i").removeClass("active");
        $(_pageId + "#stockPrice").val("");
        $(_pageId + "#stockNum").val("");
        $(_pageId + ".select_box ul").hide();
        $(_pageId + ".input_select .select_box p").html("请选择");
        $(_pageId + " .order_form .max strong").text("--");
        $(_pageId + " .order_form .notice span").text("--");
        $(_pageId + "#stockCode").val("");
        _stock_code = "";
        _stockName = "";
        if (myScroller) {
            myScroller.destroy();
            myScroller = null;
        }
        if (keyboard) {
            keyboard.keyDestroy();
        }
    }

    /**
     * 初始化滑动组件
     */
    function initScroller() {
        var scrollOptions = {
            scrollerHeight: pageHeight, // 滚动组件的高度
            pullThreshold: 5, // 拖动刷新或者加载的阀值，默认 5 像素
            $wrapper: $(_pageId + " #wrapper"),
            hasPullDown: true, // 是否显示下拉提示，默认 true
            hasPullUp: false, // 是否显示上拉提示，默认 true
            isAlwaysShowPullUp: false, // 是否一直显示上拉提示，true 一直显示上拉加载的提示，false 仅在上拉的时候显示提示，默认 true
            pullDownHandler: function () {
                queryMessages(); // 模拟查询接口数据操作
            },
            pullUpHandler: function () {
            }
        };
        if (!myScroller) {
            // 内容的高度比滚动区域高度小时
            // iscrollUtils 已有相同判断的代码，此处这样写的目的是为了解决 Android UC、微信等浏览器滚动失效的问题，在 iscrollUtils 设置高度，在初始化组件时，取到的值不准确
            if (scrollOptions.$wrapper.find("[data-is-content='true']").height() <= scrollOptions.scrollerHeight) {
                scrollOptions.$wrapper.children().height(scrollOptions.scrollerHeight + 1);
            }
            myScroller = iscrollUtils.vScroller(scrollOptions);
        } else {
            myScroller.refresh();
        }
    }


    var base = {
        "init": init,
        "load": load,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy
    };
    module.exports = base;
});
