/**
 */
define('trade/scripts/stock/stockExplain.js', function(require, exports, module) {
	var gconfig = $.config;
	var global = gconfig.global;
	var common = require("common");
	var commonFunc = require("commonFunc");
	var _pageId = "#stock_stockExplain ";
	var downslide = new (require("downslide")).Downslide();
	
    /**
     * 初始化
     */
	function init(){
		if(!$.getPageParam("header") && !$.getSStorageInfo("_header")) {
			$(_pageId + "header.header").show();
		}else{
			$(_pageId + "header.header").hide();
        }
		downslide.addSlide();
		common.bindStockEvent($(_pageId + ".main .search_nav ul li a"),false,false,downslide.clickType());
		if(global.requestLocation == 0){
			backgroundInterface();
		}
    }
		
	function load(){
		var mainHeight =  common.setMainHeight(_pageId, false);
        var height_table =  mainHeight - $(_pageId + ".tab_nav").getMHeight();
		downslide.rollInit(height_table);
		if(global.requestLocation == 1){
			backgroundInterface();
		}
	}
	function backgroundInterface(){
	}
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		//返回按钮
		$.bindEvent($(_pageId + " .top_title .icon_back"), function(e){
            commonFunc.appThirdBack($.getCurrentPageObj().pageId, function () {
                setTimeout(function () {
                    $(this).unbind(e.type);
                    this[e.type] = null;
                    $.pageBack("stock/stockBuy", "left");
                    e.preventDefault();
                    e.stopPropagation();
                },300);
            });
		},"tap");
	}
	
	/**
	 * 数据重置
	 */
	function destroy(){
	}
	
	var base = {
		"init" : init,
		"load" : load,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = base;
});
