/**
 * 普通交易-历史查询
 */
define('trade/scripts/stock/stockQueryHistory.js', function(require, exports, module) {
	var common = require("common");
	var commonFunc = require("commonFunc");
	var gconfig = $.config;
	var global = gconfig.global;
	var service_stock = require("service_stock");
    var _pageId = "#stock_stockQueryHistory ";
    var userInfo = null;
 //    var iscrollUtils = require("iscrollUtils");
	// var myScroller = null; // 滑动组件对象
	var VIscroll = require("vIscroll");
	var vIscroll = {"scroll":null,"_init":false};		//上下滑动
    
    /**
     * 初始化
     */
	function init(){
		userInfo = common.getCurUserInfo();
		var queryType = $.getPageParam("param"); //根据参数判断委托还是成交查询
		if(queryType=="entrust"){
			common.pageBuryingPoint("100209");
			$(_pageId+".toggle_nav ul li").eq(0).addClass("active").siblings().removeClass("active");
			//埋点数据
			$(_pageId+" .date_filter").attr("startObjectId","100213");
			$(_pageId+" .date_filter").attr("endObjectId","100214");
			$(_pageId+" .date_filter").attr("actionId","104");
		}else if(queryType=="deal"){
			common.pageBuryingPoint("100224");
			$(_pageId+".toggle_nav ul li").eq(1).addClass("active").siblings().removeClass("active");
			//埋点数据
			$(_pageId+" .date_filter").attr("startObjectId","100225");
			$(_pageId+" .date_filter").attr("endObjectId","100226");
			$(_pageId+" .date_filter").attr("actionId","104");
		}
		if(global.requestLocation == 0){
			backgroundInterface();
		}
    }
		
	function load(){
		if(global.requestLocation == 1){
			backgroundInterface();
		}
		var mianHeight = common.setMainHeight(_pageId, false);
		if(!vIscroll._init){
			initVIScroll();
		}else{
			vIscroll.scroll.refresh();
		}
	}
	function backgroundInterface(){
		commonFunc.initTimeChoice(_pageId,6, true);
		callsQuery();
		
	}
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		//返回按钮
		$.bindEvent($(_pageId + ".top_title .icon_back"), function(e){
			setTimeout(function () {
				$(this).unbind(e.type);
				this[e.type] = null;
//			$.pageInit("stock/stockQueryHistory","stock/stockQuery",{});
				//埋点
				var index = $(_pageId + ".toggle_nav ul li.active").index();
				if (index == 0) {//历史委托
					common.comStat(100212, 2, 103, true, {"i_group_name": "返回"});
				} else {//历史成交
					common.comStat(100227, 2, 103, true, {"i_group_name": "返回"});
				}
				$.pageBack("stock/stockQuery", "left");
				e.preventDefault();
				e.stopPropagation();
			},300);
		},"tap");
		
		//时间选择
		$.bindEvent($(_pageId + ".date_filter .btn"), function(e){
			// if(!myScroller){
			// 	initScroller();
			// }else{
			// 	myScroller.refresh();
			// }
			if(!vIscroll._init){
				initVIScroll();
			}else{
				vIscroll.scroll.refresh();
			}
			callsQuery();
			//埋点
			var index=$(_pageId + ".toggle_nav ul li.active").index();
			var end_time = $(_pageId+" #endDate").text();  
			var begin_time = $(_pageId+" #startDate").text();	
			var time1 = begin_time.replaceAll("-", "");
			var time2 = end_time.replaceAll("-", "");
			if(index==0){//历史委托
				common.comStat(100215,2,104,true,{"i_change_name":"历史委托查询","i_change_to":time1+"-"+time2});
			}else{//历史成交
				common.comStat(100228,2,104,true,{"i_change_name":"历史成交查询","i_change_to":time1+"-"+time2});
			}
		});
		
		//页面切换
		$.bindEvent($(_pageId + ".toggle_nav ul li"), function(e){
			var objectId=$(this).attr("objectId");
			var actionId=$(this).attr("actionId");
			var name=$(this).attr("name");
			common.comStat(objectId,2,actionId,true,{"i_group_name":name});
			//在页面切换时清掉请求
			$.clearRequest();
			//切换页面时时间控件初始化
			commonFunc.initTimeChoice(_pageId,6,true);
			// if(!myScroller){
			// 	initScroller();
			// }else{
			// 	myScroller.refresh();
			// }
			if(!vIscroll._init){
				initVIScroll();
			}else{
				vIscroll.scroll.refresh();
			}
			$(this).addClass("active").siblings().removeClass("active");
			callsQuery();
			//页面埋点
			var index=$(_pageId + ".toggle_nav ul li.active").index();
			common.pageBuryingPoint();
			if(index==0){//当日委托
				common.pageBuryingPoint("100209");
			}else{//当日成交
				common.pageBuryingPoint("100224");
			}
		});
		
	}
	
	/**
	 * 调用查询
	 */
	function callsQuery(){
		$(_pageId+".search_table2").html("");
		if($(_pageId+".toggle_nav ul li").eq(0).hasClass("active")){
			queryEntrust();//埋点数据
			$(_pageId+" .date_filter").attr("startObjectId","100213");
			$(_pageId+" .date_filter").attr("endObjectId","100214");
			$(_pageId+" .date_filter").attr("actionId","104");
		}else{
			queryDeal();//埋点数据
			$(_pageId+" .date_filter").attr("startObjectId","100225");
			$(_pageId+" .date_filter").attr("endObjectId","100226");
			$(_pageId+" .date_filter").attr("actionId","104");
		}
	}
	
	/**
	 * 委托查询
	 */
	function queryEntrust(){
		$(_pageId+".main .search_table2").html("");
		var entrust_way=global.entrust_way; // 委托方式  在configuration配置
		var branch_no = userInfo.branch_no;	
		var fund_account = userInfo.fund_account;
		var cust_code = userInfo.cust_code;
		var sessionid=userInfo.session_id;
		var end_time = $(_pageId+" #endDate").text();  
		var begin_time = $(_pageId+" #startDate").text();	
		var time1 = new Date(end_time.replaceAll("-", "/"));
		var time2 = new Date(begin_time.replaceAll("-", "/"));
		if(time1 < time2)
		{
		    $.alert("开始日期大于截止日期");
			// if(!myScroller){
			// 	initScroller();
			// }else{
			// 	myScroller.refresh();
			// }
		    return false;
		}//截止时间
		var param={				
			"entrust_way":entrust_way,
		    "branch_no":branch_no,
		    "fund_account":fund_account,
		    "cust_code":cust_code,
		    "sessionid":sessionid,
		    "begin_time":begin_time,
		    "end_time":end_time
		};
		$(_pageId+ ".no_data").hide();
		service_stock.queryHistoryTrust(param,queryEntrustCallback,
			{
			"isLastReq":true,
			"isShowWait":true,
			"isShowOverLay":false,
			"errorFunc":function(){ // 超时调用方法
				$(_pageId+ ".no_data").show();
				// if(!myScroller){
				// 	initScroller();
				// }else{
				// 	myScroller.refresh();
				// }
				if(!vIscroll._init){
					initVIScroll();
				}else{
					vIscroll.scroll.refresh();
				}
	        },
			"timeOutFunc":function(){ // 超时调用方法
				$(_pageId+ ".no_data").show();
				// if(!myScroller){
				// 	initScroller();
				// }else{
				// 	myScroller.refresh();
				// }
				if(!vIscroll._init){
					initVIScroll();
				}else{
					vIscroll.scroll.refresh();
				}
	        }
		});
	}
	/**
	 * 委托查询回调
	 */
	function queryEntrustCallback(data){
		if (typeof(data) != "undefined" && data) {
			if(data.error_no == 0){
				$(_pageId+".no_data").hide();
				var results = data.results;
				if(results.length>0 && results!= "undefined"){
					var html = '<table width="100%" border="0" cellspacing="0" cellpadding="0"><tr><th scope="col">名称/时间</th><th scope="col">委托/成交价</th><th scope="col">委托/成交数</th><th style="width: 25%;" scope="col">类型/状态</th></tr>';
					for (var i=0;i<results.length;i++){
						if($.isValue(results[i].stock_name_long)) results[i].stock_name = results[i].stock_name_long;
						html += queryEntrustHTML(results[i],i);
					}
					html += '</table>';
					$(_pageId+ ".main .search_table2").html(html);
					$(_pageId+ ".no_data").hide();
				}else{
					$(_pageId+".no_data").show();
				}
			}
			else{
				$.alert(data.error_info);
			}
		}
		else{
			  $.alert("查询失败");
		}
		// if(!myScroller){
		// 	initScroller();
		// }else{
		// 	myScroller.refresh();
		// }
		if(!vIscroll._init){
			initVIScroll();
		}else{
			vIscroll.scroll.refresh();
		}
	}
	
	/**
	 * 委托查询HTML生成
	 */
	function queryEntrustHTML(element,i){
		var price_digit = 3;
		var css = "";
		var entrust_name = element.entrust_type_name;
		if(element.entrust_name && element.entrust_name!==" " && element.entrust_name!==""){
			entrust_name = element.entrust_name;
		}
		if($.inArray(element.entrust_bs, ["0","4","62","64","66","68","70"]) != -1){
			css = "n1";
			entrust_name ="买入";
		}else if($.inArray(element.entrust_bs, ["1","5","63","65","67","69","71"]) != -1){
			css = "n2";
			entrust_name ="卖出";
		}else{
			css = "";
		}
		var eleHtml = "";
      	eleHtml+="<tr>";
        eleHtml+="<td><strong style='zoom:"+ $.getTransformScale(element.stock_name, 16, $(window).width() * 0.23) +";'>"+element.stock_name+"</strong><small>"+element.entrust_date+"<br/>"+element.entrust_time+"</small></td>";
        eleHtml+="<td><span>"+Number(element.entrust_price).toFixed(price_digit)+"</span><span>"+Number(element.business_price).toFixed(price_digit)+"</span></td>";
        eleHtml+="<td><span>"+element.entrust_amount+"</span><span>"+element.business_amount+"</span></td>";
        eleHtml+="<td><em class=\""+css+"\">"+entrust_name+"</em><span>"+element.entrust_state_name+"</span></td>";
      	eleHtml+="</tr>";
		return eleHtml;
	}
	
	/**
	 * 成交查询
	 */
	function queryDeal(){
		var entrust_way= global.entrust_way; // 委托方式  在configuration配置
		var branch_no = userInfo.branch_no;	
		var fund_account = userInfo.fund_account;//
		var cust_code = userInfo.cust_code;//关联资产账户标志
		var sessionid = userInfo.session_id;
		var end_time = $(_pageId+" #endDate").text();  
		var begin_time = $(_pageId+" #startDate").text();
		var time1 = new Date(end_time.replaceAll("-", "/"));
		var time2 = new Date(begin_time.replaceAll("-", "/"));
		if(time1 < time2)
		{
		    $.alert("开始日期大于截止日期");
			// if(!myScroller){
			// 	initScroller();
			// }else{
			// 	myScroller.refresh();
			// }
		    return false;
		}//截止时间
		var param={				
			"entrust_way":entrust_way,
		    "branch_no":branch_no,
		    "fund_account":fund_account,
		    "cust_code":cust_code,
		    "sessionid":sessionid,
		    "begin_time":begin_time,
		    "end_time":end_time
		};
		$(_pageId+ ".no_data").hide();
		service_stock.queryHistoryTrade(param,queryDealCallback,
			{
			"isLastReq":true,
			"isShowWait":true,
			"isShowOverLay":false,
			"timeOutFunc":function(){ // 超时调用方法
				$(_pageId+ ".no_data").show();
				// if(!myScroller){
				// 	initScroller();
				// }else{
				// 	myScroller.refresh();
				// }
				if(!vIscroll._init){
					initVIScroll();
				}else{
					vIscroll.scroll.refresh();
				}
	        }
		});
		
	}
	/**
	 * 成交查询回调
	 */
	function queryDealCallback(data){
		if (typeof(data) != "undefined" && data != null) {
			$(_pageId+" .tarde_hit").html("");
			if(data.error_no == 0){
				$(_pageId+".no_data").hide();
				var results = data.results;
				if(results != "undefined" && results.length>0){
					var html = '<table width="100%" border="0" cellspacing="0" cellpadding="0"><tr><th scope="col">名称/时间</th><th scope="col">成交价/成交数</th><th scope="col">成交金额</th><th style="width: 25%;" scope="col">类型</th></tr>';
					for (var i=0;i<results.length;i++){
						if($.isValue(results[i].stock_name_long)) results[i].stock_name = results[i].stock_name_long;
						html += queryDealHTML(results[i],i);
					}
					html += '</table>';
					$(_pageId+".main .search_table2").html(html);
					$(_pageId+".no_data").hide();
				}else{
					$(_pageId+".no_data").show();
				}
			}
			else{
				$.alert(data.error_info);
			}
		}
		else{
			  $.alert("查询失败");
		}
		// if(!myScroller){
		// 	initScroller();
		// }else{
		// 	myScroller.refresh();
		// }
		if(!vIscroll._init){
			initVIScroll();
		}else{
			vIscroll.scroll.refresh();
		}
	}
	/**
	 * 成交查询HTML生成
	 */
	function queryDealHTML(element){
		var price_digit = 3;
		var css = "";
		var entrust_name = element.entrust_type_name;
		if(element.entrust_name && element.entrust_name!==" " && element.entrust_name!==""){
			entrust_name = element.entrust_name;
		}
		if($.inArray(element.entrust_bs, ["0"]) != -1){
			css = "n1";
			// entrust_name ="买入";
		}else if($.inArray(element.entrust_bs, ["1"]) != -1){
			css = "n2";
			// entrust_name ="卖出";
		}else{
			css = "";
		}
		var eleHtml = "";
      	eleHtml+="<tr>";
        eleHtml+="<td><strong style='zoom:"+ $.getTransformScale(element.stock_name, 16, $(window).width() * 0.23) +";'>"+element.stock_name+"</strong><small>"+element.business_date+"<br/>"+element.business_time+"</small></td>";
        eleHtml+="<td><span>"+Number(element.business_price).toFixed(price_digit)+"</span><span>"+element.business_amount+"</span></td>";
        eleHtml+="<td><span>"+Number(element.business_balance).toFixed(2)+"</span></td>";
        eleHtml+="<td><em class=\""+css+"\">"+entrust_name+"</em></td>";
      	eleHtml+="</tr>";
		return eleHtml;
	}
	
	// /**
	//  * 初始化滑动组件
	//  */
	// function initScroller()
	// {
	// 	var scrollOptions = {
	// 		scrollerHeight: $(window).height() - $(_pageId+".top_title").height()- $(_pageId+".date_filter").height() , // 滚动组件的高度
	// 		pullThreshold: 5, // 拖动刷新或者加载的阀值，默认 5 像素
	// 		$wrapper: $(_pageId + " #wrapper"),
	// 		hasPullDown: true, // 是否显示下拉提示，默认 true
	// 		hasPullUp: false, // 是否显示上拉提示，默认 true
	// 		isAlwaysShowPullUp: false, // 是否一直显示上拉提示，true 一直显示上拉加载的提示，false 仅在上拉的时候显示提示，默认 true
	// 		pullDownHandler: function(){
	// 			callsQuery(); // 模拟查询接口数据操作
	// 		},
	// 		pullUpHandler: function(){
	// 		}
	// 	};
	// 	if(!myScroller)
	// 	{
	// 		// 内容的高度比滚动区域高度小时
	// 		// iscrollUtils 已有相同判断的代码，此处这样写的目的是为了解决 Android UC、微信等浏览器滚动失效的问题，在 iscrollUtils 设置高度，在初始化组件时，取到的值不准确
	// 		if(scrollOptions.$wrapper.find("[data-is-content='true']").height() <= scrollOptions.scrollerHeight)
	// 		{
	// 			scrollOptions.$wrapper.children().height(scrollOptions.scrollerHeight + 1);
	// 		}
	// 		myScroller = iscrollUtils.vScroller(scrollOptions);
	// 	}
	// 	else
	// 	{
	// 		myScroller.refresh();
	// 	}
	// }
    /**
     * 初始化上下滑动组件
     */
    function initVIScroll(){
    	if(!vIscroll._init){
    		var config = {
    			"isPagingType": false,		//false表示是微博那种累加形式，true表示分页形式
    			"visibleHeight": $(window).height() - $(_pageId+".top_title").height()- $(_pageId+".date_filter").height() , // 滚动组件的高度
    			"container": $(_pageId+" #v_container_funds_jj"),	
    			"wrapper":$(_pageId+" #v_wrapper_funds_jj"),	
    			"downHandle": function() {				//下拉获取上一页数据方法
    				callsQuery(); // 模拟查询接口数据操作
    			},
    			"upHandle": function() {
    			},
    			"wrapperObj": null
    		};
    		vIscroll.scroll = new VIscroll(config); 	//初始化，需要做if(!hIscroll._init)判断
    		vIscroll._init = true; 						//尽量只初始化一次，保持性能
    		
    	}else{
    		vIscroll.scroll.refresh();
    	}
    	$(_pageId + ".visc_pullUp").css("display","none");
    }
	/**
	 * 销毁
	 */
	function destroy(){
		common.pageBuryingPoint();
		$(_pageId+".search_table2").html("");
		$(_pageId + ".top_title .top_nav").hide();
		// if(myScroller)
		// {
		// 	myScroller.destroy();
		// 	myScroller = null;
		// }
		if(vIscroll._init){
			vIscroll.scroll.refresh();
		}
	}
	
	
	var base = {
		"init" : init,
		"load" : load,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = base;
});