/**
 * 普通交易-历史委托新版
 */
define('trade/scripts/stock/stockWTQueryHistory.js', function(require, exports, module) {
	var common = require("common");
	var commonFunc = require("commonFunc");
	var gconfig = $.config;
	var global = gconfig.global;
	var service_stock = require("service_stock");
    var _pageId = "#stock_stockWTQueryHistory ";
    var userInfo = null;
 //    var iscrollUtils = require("iscrollUtils");
	// var myScroller = null; // 滑动组件对象
	var VIscroll = require("vIscroll");
	var vIscroll = {"scroll":null,"_init":false};		//上下滑动
	var search_type = 1;//默认近一周
    
    /**
     * 初始化
     */
	function init(){
		userInfo = common.getCurUserInfo();
        common.pageBuryingPoint("100209");
        //埋点数据
        $(_pageId+" .date_filter").attr("startObjectId","100213");
        $(_pageId+" .date_filter").attr("endObjectId","100214");
        $(_pageId+" .date_filter").attr("actionId","104");
		if(global.requestLocation == 0){
			backgroundInterface();
		}
    }
		
	function load(){
		if(global.requestLocation == 1){
			backgroundInterface();
		}
		var mianHeight = common.setMainHeight(_pageId, false);
		if(!vIscroll._init){
			initVIScroll();
		}else{
			vIscroll.scroll.refresh();
		}
	}
	function backgroundInterface(){
		commonFunc.initTimeChoice(_pageId,30, true);
        var trade_query_begin_time = $.getSStorageInfo("trade_query_begin_time");
        var trade_query_end_time = $.getSStorageInfo("trade_query_end_time");
        if(trade_query_begin_time!=""&&trade_query_begin_time!=undefined){
            $(_pageId+" #startDate").quzhi(trade_query_begin_time);
        }
        if(trade_query_end_time!=""&&trade_query_end_time!=undefined){
            $(_pageId+" #endDate").quzhi(trade_query_end_time);
        }
        var trade_query_search_type = $.getSStorageInfo("trade_query_search_type");
        if(trade_query_search_type!=''&&trade_query_search_type!=undefined||trade_query_search_type=="0"){
            search_type=trade_query_search_type;
        }
        if(search_type==2){
            $(_pageId + ".nsb_tab_nav ul li:eq(1)").addClass("active");
            $(_pageId + ".nsb_tab_nav ul li:eq(0)").removeClass("active");
            $(_pageId + ".nsb_tab_nav ul li:eq(2)").removeClass("active");
            $(_pageId + ".nsb_tab_nav ul li:eq(3)").removeClass("active");
            $(_pageId + ".time").hide();
        }else if(search_type==3){
            $(_pageId + ".nsb_tab_nav ul li:eq(2)").addClass("active");
            $(_pageId + ".nsb_tab_nav ul li:eq(1)").removeClass("active");
            $(_pageId + ".nsb_tab_nav ul li:eq(0)").removeClass("active");
            $(_pageId + ".nsb_tab_nav ul li:eq(3)").removeClass("active");
            $(_pageId + ".time").hide();
        }else if(search_type==0){
            $(_pageId + ".nsb_tab_nav ul li:eq(3)").addClass("active");
            $(_pageId + ".nsb_tab_nav ul li:eq(1)").removeClass("active");
            $(_pageId + ".nsb_tab_nav ul li:eq(2)").removeClass("active");
            $(_pageId + ".nsb_tab_nav ul li:eq(0)").removeClass("active");
            $(_pageId + ".time").show();
        }else{
            $(_pageId + ".nsb_tab_nav ul li:eq(0)").addClass("active");
            $(_pageId + ".nsb_tab_nav ul li:eq(1)").removeClass("active");
            $(_pageId + ".nsb_tab_nav ul li:eq(2)").removeClass("active");
            $(_pageId + ".nsb_tab_nav ul li:eq(3)").removeClass("active");
            $(_pageId + ".time").hide();
        }
		callsQuery(search_type);
		
	}
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		//返回按钮
		$.bindEvent($(_pageId + ".header_inner .back_btn"), function(e){
			setTimeout(function () {
				$(this).unbind(e.type);
				this[e.type] = null;
//			$.pageInit("stock/stockQueryHistory","stock/stockQuery",{});
				//埋点
                common.comStat(100212, 2, 103, true, {"i_group_name": "返回"});
				$.pageBack("stock/stockQuery", "left");
				e.preventDefault();
				e.stopPropagation();
			},300);
		},"tap");
		
		//时间选择
		$.bindEvent($(_pageId + ".date_filter .btn"), function(e){
			// if(!myScroller){
			// 	initScroller();
			// }else{
			// 	myScroller.refresh();
			// }
			if(!vIscroll._init){
				initVIScroll();
			}else{
				vIscroll.scroll.refresh();
			}
			callsQuery(search_type);
			//埋点
			var end_time = $(_pageId+" #endDate").text();
			var begin_time = $(_pageId+" #startDate").text();	
			var time1 = begin_time.replaceAll("-", "");
			var time2 = end_time.replaceAll("-", "");
            common.comStat(100215,2,104,true,{"i_change_name":"历史委托查询","i_change_to":time1+"-"+time2});
		});
		
		//页面切换
		$.bindEvent($(_pageId + ".nsb_tab_nav ul li"), function(e){
			var objectId=$(this).attr("objectId");
			var actionId=$(this).attr("actionId");
			var name=$(this).attr("name");
            if(null!=vIscroll.scroll){
                vIscroll.scroll.getWrapperObj().scrollTo(0,0,0);
            }
			common.comStat(objectId,2,actionId,true,{"i_group_name":name});
			//在页面切换时清掉请求
			$.clearRequest();
			//切换页面时时间控件初始化
			commonFunc.initTimeChoice(_pageId,30,true);
			if(!vIscroll._init){
				initVIScroll();
			}else{
				vIscroll.scroll.refresh();
			}
			$(this).addClass("active").siblings().removeClass("active");

			//页面埋点
			var index=$(_pageId + ".nsb_tab_nav ul li.active").index();
			if(index==3){
				index=0;
                $(_pageId + ".time").show();
			}else{
				index=index+1;
                $(_pageId + ".time").hide();
			}
            search_type =index;
            callsQuery(search_type);
			common.pageBuryingPoint();
            common.pageBuryingPoint("100209");
		});
	}
	
	/**
	 * 调用查询
	 */
	function callsQuery(search_type){
		$(_pageId+".j-position-table").html("");
        queryEntrust(search_type);//埋点数据
        $(_pageId+" .date_filter").attr("startObjectId","100213");
        $(_pageId+" .date_filter").attr("endObjectId","100214");
        $(_pageId+" .date_filter").attr("actionId","104");
	}
	
	/**
	 * 委托查询
	 */
	function queryEntrust(search_type){
        $(_pageId+".j-position-table").html("");
        $(_pageId+".j-position-table").hide();
        $(_pageId+".no_more_data").hide();
		var entrust_way=global.entrust_way; // 委托方式  在configuration配置
		var branch_no = userInfo.branch_no;	
		var fund_account = userInfo.fund_account;
		var cust_code = userInfo.cust_code;
		var sessionid=userInfo.session_id;
		var end_time = $(_pageId+" #endDate").text();  
		var begin_time = $(_pageId+" #startDate").text();	
		var time1 = new Date(end_time.replaceAll("-", "/"));
		var time2 = new Date(begin_time.replaceAll("-", "/"));
		if(search_type==0){
            if(time1 < time2)
            {
                $.alert("开始日期大于截止日期");
                return false;
            }//截止时间
		}

		var param={				
			"entrust_way":entrust_way,
		    "branch_no":branch_no,
		    "fund_account":fund_account,
		    "cust_code":cust_code,
		    "sessionid":sessionid,
			"search_type":search_type,
		    "begin_time":search_type==0?begin_time:"",
		    "end_time":search_type==0?end_time:""
		};
		$(_pageId+ ".no_data").hide();
		service_stock.queryHistoryTrust(param,queryEntrustCallback,
			{
			"isLastReq":true,
			"isShowWait":true,
			"isShowOverLay":false,
			"errorFunc":function(){ // 超时调用方法
				$(_pageId+ ".no_data").show();
				if(!vIscroll._init){
					initVIScroll();
				}else{
					vIscroll.scroll.refresh();
				}
	        },
			"timeOutFunc":function(){ // 超时调用方法
				$(_pageId+ ".no_data").show();
				if(!vIscroll._init){
					initVIScroll();
				}else{
					vIscroll.scroll.refresh();
				}
	        }
		});
	}
	/**
	 * 委托查询回调
	 */
	function queryEntrustCallback(data){
		if (typeof(data) != "undefined" && data) {
			if(data.error_no == 0){
				$(_pageId+".no_data").hide();
				var results = data.results;
				if(results.length>0 && results!= "undefined"){
					var html = '<table width="100%" border="0" cellspacing="0" cellpadding="0" class="fixed"><tr><th scope="col">证券/时间</th><th scope="col">委托/成交</th><th scope="col">委托量/成交量</th><th style="width: 25%;" scope="col">类型/状态</th></tr>';
					for (var i=0;i<results.length;i++){
						if($.isValue(results[i].stock_name_long)) results[i].stock_name = results[i].stock_name_long;
						html += queryEntrustHTML(results[i],i);
					}
					html += '</table>';
					$(_pageId+ ".main .j-position-table").html(html);
                    $(_pageId+".j-position-table").show();
                    $(_pageId+".no_more_data").show();
					$(_pageId+ ".no_data").hide();
                    //进入详情
                    $.bindEvent($(_pageId + ".main .j-position-table tr"), function(e){

                        var end_time = $(_pageId+" #endDate").text();
                        var begin_time = $(_pageId+" #startDate").text();
                        var selectIndex=$(this).attr("data-index");
                        var param = {
                            'titleName':'历史委托详情',
                            'flag':'3',
                            'search_type':search_type,
                            "begin_time":begin_time,
                            "end_time":end_time,
							"selectIndex":selectIndex
                        };

                        $.pageInit("stock/moneyFlow", "stock/stockDetails", param);
                    });
				}else{
					$(_pageId+".no_data").show();
				}
			}
			else{
				$.alert(data.error_info);
			}
		}
		else{
			  $.alert("查询失败");
		}
		if(!vIscroll._init){
			initVIScroll();
		}else{
			vIscroll.scroll.refresh();
		}
	}
	
	/**
	 * 委托查询HTML生成
	 */
	function queryEntrustHTML(element,i){
		var price_digit = 3;
		var css = "";
		var entrust_name = element.entrust_type_name;
		if(element.entrust_name && element.entrust_name!==" " && element.entrust_name!==""){
			entrust_name = element.entrust_name;
		}
		if($.inArray(element.entrust_bs, ["0","4","62","64","66","68","70"]) != -1){
			css = "trans_color_02";
			entrust_name ="买入";
		}else if($.inArray(element.entrust_bs, ["1","5","63","65","67","69","71"]) != -1){
			css = "trans_color_01";
			entrust_name ="卖出";
		}else{
			css = "";
		}
		var eleHtml = "";
		// var showStock_name=element.stock_name.length>7?element.stock_name.substr(0,7)+"...":element.stock_name;
        // //var showStock_name=element.stock_name;
		// if(showStock_name==""||showStock_name==" "){
        //     showStock_name="--";
        // }
        eleHtml+="<tr data-index='"+i+"'>";
        eleHtml+="<td style='padding-left: 0.06rem'><p style='transform-origin: left;transform:scale("+$.getTransformScale(element.stock_name, 16, $(window).width() * 0.3)+")'>"+element.stock_name+"</p><p  style='font-size: 0.12rem!important;'>"+element.entrust_date.substr(5,10)+" "+element.entrust_time+"</p></td>";
        eleHtml+="<td><p>"+Number(element.entrust_price).toFixed(price_digit)+"</p><p>"+Number(element.business_price).toFixed(price_digit)+"</p></td>";
        eleHtml+="<td><p>"+element.entrust_amount+"</p><p>"+element.business_amount+"</p></td>";
        eleHtml+="<td><p class=\""+css+"\">"+(element.entrust_name_new || entrust_name)+"</p><p>"+element.entrust_state_name+"</p></td>";
      	eleHtml+="</tr>";
		return eleHtml;
	}

    /**
     * 初始化上下滑动组件
     */
    function initVIScroll(){
    	if(!vIscroll._init){
    		var config = {
    			"isPagingType": false,		//false表示是微博那种累加形式，true表示分页形式
    			"visibleHeight": $(window).height() - $(_pageId+".top_title").height()- $(_pageId+".date_filter").height() , // 滚动组件的高度
    			"container": $(_pageId+" #v_container_funds_jj"),	
    			"wrapper":$(_pageId+" #v_wrapper_funds_jj"),	
    			"downHandle": function() {				//下拉获取上一页数据方法
    				callsQuery(search_type); // 模拟查询接口数据操作
    			},
    			"upHandle": function() {
    			},
    			"wrapperObj": null
    		};
    		vIscroll.scroll = new VIscroll(config); 	//初始化，需要做if(!hIscroll._init)判断
    		vIscroll._init = true; 						//尽量只初始化一次，保持性能
    		
    	}else{
    		vIscroll.scroll.refresh();
    	}
    	$(_pageId + ".visc_pullUp").css("display","none");
    }
	/**
	 * 销毁
	 */
	function destroy(){
		common.pageBuryingPoint();
		$(_pageId+".j-position-table").html("");
		$(_pageId + ".top_title .top_nav").hide();
        $.setSStorageInfo("trade_query_begin_time",'');
        $.setSStorageInfo("trade_query_end_time",'');
        $.setSStorageInfo("trade_query_search_type",'');
        search_type=1;
		if(vIscroll._init){
			vIscroll.scroll.refresh();
		}
	}
	
	
	var base = {
		"init" : init,
		"load" : load,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = base;
});
