/**
 * 信用交易-股份持仓查询
 */
define('trade/scripts/third/query/queryPosition.js', function(require,exports,module){
	var gconfig = $.config;
	var global = gconfig.global;
	var	_pageId = "#third_query_queryPosition ";
    var publicQuery = require("publicQuery");
    var data = {
    	"funcNo" : "301711",
    	"param" : {},
    	"history":false,
    	"htmlData" : {
	    	"topDiv":{
	    		"entrust":"entrust_name",
		  		"name":"stock_name",
		  		"code":"stock_code",
//	    		"time":"entrust_state_name",
	    	},
	    	"liList":[
//	    			["委托编号", "entrust_no"],
//					["委托属性", "entrust_prop_name"],
	    			["委托价格","entrust_price"],
	    			["委托数量","entrust_amount"],
	    			["席位号","seat_no"],
	    			["约定号","confer_no"],
//	    			["成交价格","business_price"],
//	    			["成交数量","business_amount"],
//	    			["成交数量","business_amount"],
	    			["申报时间","report_time"],
	    		],
    	}
    }
    
    /**
     * 初始化
     */
	function init(){
		publicQuery.init(data);
    }
		
	function load(){
		publicQuery.load();
	}
    
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		//返回按钮
		$.bindEvent($(_pageId + " .top_title .icon_back"), function(e){
			setTimeout(function () {
				$.pageBack("third/query/query", "left");
				e.preventDefault();
				e.stopPropagation();
			},300);
		});
		
		publicQuery.bindPageEvent();
	}
	
	
    
	/**
	 * 销毁
	 */
	function destroy(){
		publicQuery.destroy();
	}
	
	
	var base = {
		"init" : init,
		"load" : load,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = base;
});
