/**
 * 股转交易-无权限页面
 */
define('trade/scripts/third/thirdJurisdiction.js',function(require, exports, module) {
	var common = require("common");
	var commonFunc = require("commonFunc");
	var gconfig = $.config;
	var global = gconfig.global;
	var service_ggt = require("service_third");
    var _pageId = "#third_thirdJurisdiction ";
    var userInfo = null;

    /**
     * 初始化
     */
	function init(){
		common.bindStockEvent($(_pageId + '.tab_nav ul li a'),true);
		userInfo = common.getCurUserInfo();
    }

	function load(){
		var mainHeight = common.setMainHeight(_pageId, false);
		var slideHeight = mainHeight - $(_pageId + " .header").height() ;
	}

	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		//返回按钮
		$.bindEvent($(_pageId + ".top_title .icon_back"), function(e){
			setTimeout(function () {
				commonFunc.appThirdBack($.getCurrentPageObj().pageId, function () {
					$.pageInit("third/thirdJurisdiction", "account/index", {"history": true}, "left", true);
				});
				e.preventDefault();
				e.stopPropagation();
			},300);
		});

        $.bindEvent($(_pageId + ".btnSub2"), function(e){
            if (global.callNative && global.isSso) {
            	var toPage="";
                if(global.nsb_isProd){
                    toPage = "https://online.huajinsc.cn/new/ygt/index.html#!/newOTCOpen/index.html";
                }else{
                    toPage="http://140.207.41.22:8807/new/ygt/index.html#!/newOTCOpen/index.html";
                }
                var param = {
                    "funcNo": "50500",
                    "msgNo": "123",
                    "sourceModule": "",
                    "targetModule": "tradeDispatcher",
                    "action": "1",
                    "param": {
                        "business_type": userInfo._loginClass,//普通0  两融1
                        "event": "15",//打开风险警示权限开通页面
                        "title": "",
						"toPage":toPage,
                    }
                }
                $.callMessage(param);
            }
        });

	}


	/**
	 * 销毁
	 */
	function destroy(){}

	var base = {
		"init" : init,
		"load" : load,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = base;
});
