/**
 * 普通交易-历史查询
 */
define('trade/scripts/ysyy/ysyySearchHistory.js', function(require, exports, module) {
    var _pageId = "#ysyy_ysyySearchHistory ";
	var gconfig = $.config; 
	var global = gconfig.global;
    var publicQuery = require("publicQuery");
    var common = require("common");
    var data = {
		"funcNo": "301565",
		"param": {},
		"history": true,
		"htmlData": {
			"topDiv": {
				"entrust": "entrust_name",
				"name": "stock_name",
				"code": "stock_code",
				"time": "entrust_state_name",
			},
			"liList": [
				["交易市场","exchange_type_name"],
    			["委托数量","entrust_amount"],
    			["委托编号","entrust_no"],
				["委托时间", function(e){
					return e.entrust_date + " " + e.entrust_time;
				},"white-space: nowrap;"],
			],
		}
   }
    
    /**
     * 初始化
     */
	function init(){
		common.pageBuryingPoint("100450");
		publicQuery.init(data);
    }
		
	function load(){
		publicQuery.load();
	}
    
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		//返回按钮
		$.bindEvent($(_pageId + " .top_title .icon_back"), function(e){
			setTimeout(function () {
				//埋点
				common.comStat(100454, 2, 103, true, {"i_group_name": "返回"});
				pageBack();
				e.preventDefault();
				e.stopPropagation();
			},300);
		});
		
		publicQuery.bindPageEvent();
	}
	
	function pageBack() {
		$.pageBack();
	}
    
	/**
	 * 销毁
	 */
	function destroy(){
		common.pageBuryingPoint();
		publicQuery.destroy();
	}
	
	
	var base = {
		"init" : init,
		"load" : load,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = base;
});