/**
 * yysyservice层调用接口
 */
define('trade/service/scripts/trade/service_ysyy.js',function(require,exports,module){
	var service = require("service");
	var gconfig = $.config;
	var global = gconfig.global;
	var serverConfig = global.serverConfig; // 柜台选择   1. 金证win  2. 恒生T2   3. 顶点 （可拓展）
	
	function service_ysyy(){ //对应的接口方法需要在这里暴露出来
		this.service = new $.service;
	};
	
	module.exports = new service_ysyy();
    
    /**
	 * 释放操作
	 */
	service_ysyy.prototype.destroy = function(){
		this.service.destroy();
	};
	/********************************公共代码部分********************************/
	service_ysyy.prototype.commonInvoke = service.commonInvoke;
    /********************************业务范围--股转系统********************************/

	
  	// 预售要约信息查询
  	service_ysyy.prototype.queryYsyyList=function(param,callback,ctrlParam){
  		var paraMap = {};
  	    paraMap["funcNo"] = "301566";//"301403";
		paraMap["fund_account"] = param.fund_account;	
		paraMap["password"] =  param.password;
		paraMap["cust_code"] = param.cust_code;
		paraMap["position_str"] = param.position_str;
		paraMap["request_num"] =  param.request_num;
		paraMap["session_id"] = param.session_id;
		paraMap["branch_no"] = param.branch_no;
  	    paraMap["entrust_way"] = param.entrust_way;
  	     // 添加 op_station 到接口请求参数中
  	    var reqParamVo = this.service.reqParamVo;
		reqParamVo.setUrl(global.serverPathTrade);
		this.commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
  	};
  	
  	// 预售要约信息申购 解除
  	service_ysyy.prototype.queryYsyyApply=function(param,callback,ctrlParam){
  		var paraMap = {};
  	    paraMap["funcNo"] = "3015631";//"301403";
		paraMap["stock_code"] = param.stock_code;
		paraMap["cust_code"] = param.cust_code;
		paraMap["entrust_bs"] =  param.entrust_bs;
		paraMap["exchange_type"] = param.exchange_type;	
		paraMap["stock_nature"] = param.stock_nature;	
		paraMap["fund_account"] = param.fund_account;	
		paraMap["acquirer_code"] = param.acquirer_code;	
		paraMap["stock_account"] = param.stock_account;	
		
		paraMap["entrust_amount"] = param.entrust_amount;	
		paraMap["entrust_price"] = param.entrust_price;	
		paraMap["password"] =  param.password;
		paraMap["session_id"] = param.session_id;
		paraMap["branch_no"] = param.branch_no;
  	    paraMap["entrust_way"] = param.entrust_way;
  	     // 添加 op_station 到接口请求参数中
  	    var reqParamVo = this.service.reqParamVo;
		reqParamVo.setUrl(global.serverPathTrade);
		this.commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
  	};
  	
  	// 当日预售要约查询
  	service_ysyy.prototype.queryYsyyToday=function(param,callback,ctrlParam){
  		var paraMap = {};
  	    paraMap["funcNo"] = "301564";//"301403";
		paraMap["fund_account"] = param.fund_account;	
		paraMap["password"] =  param.password;
		paraMap["cust_code"] = param.cust_code;
		paraMap["position_str"] = param.position_str;
		paraMap["request_num"] =  param.request_num;
		paraMap["session_id"] = param.session_id;
		paraMap["branch_no"] = param.branch_no;
  	    paraMap["entrust_way"] = param.entrust_way;
  	     // 添加 op_station 到接口请求参数中
  	    var reqParamVo = this.service.reqParamVo;
		reqParamVo.setUrl(global.serverPathTrade);
		this.commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
  	};
  	
  	// 历史预售要约查询
  	service_ysyy.prototype.queryYsyyHistory=function(param,callback,ctrlParam){
  		var paraMap = {};
  	    paraMap["funcNo"] = "301565";//"301403";
		paraMap["fund_account"] = param.fund_account;	
		paraMap["password"] =  param.password;
		paraMap["cust_code"] = param.cust_code;
		paraMap["position_str"] = param.position_str;
		paraMap["request_num"] =  param.request_num;
		paraMap["session_id"] = param.session_id;
		paraMap["branch_no"] = param.branch_no;
  	    paraMap["entrust_way"] = param.entrust_way;
  	    paraMap["stock_code"] = param.stock_code;
  	    paraMap["begin_date"] = param.begin_date;
  	    paraMap["end_date"] = param.end_date; // 
  	    paraMap["exchange_type"] = param.exchange_type; // exchange_type
  	    paraMap["stock_account"] = param.stock_account; // exchange_type
  	     // 添加 op_station 到接口请求参数中
  	    var reqParamVo = this.service.reqParamVo;
		reqParamVo.setUrl(global.serverPathTrade);
		this.commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
  	};
     
	/***应用接口......................................................结束*/

});